-- MySQL dump 9.07
--
-- Host: db.forumone.com    Database: ssdev
---------------------------------------------------------
-- Server version	4.0.20-standard-log

--
-- Table structure for table 'ad_bannertypes'
--

DROP TABLE IF EXISTS `ad_bannertypes`;
CREATE TABLE `ad_bannertypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'ad_bannertypes'
--

INSERT INTO `ad_bannertypes` (`id`, `name`, `weight`) VALUES (1,'small',5);
INSERT INTO `ad_bannertypes` (`id`, `name`, `weight`) VALUES (2,'large',10);

--
-- Table structure for table 'bad_behavior_log'
--

DROP TABLE IF EXISTS `bad_behavior_log`;
CREATE TABLE `bad_behavior_log` (
  `id` int(11) NOT NULL auto_increment,
  `ip` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `request_method` text NOT NULL,
  `http_host` text,
  `request_uri` text NOT NULL,
  `server_protocol` text NOT NULL,
  `http_referer` text,
  `http_user_agent` text,
  `http_headers` text NOT NULL,
  `request_entity` text NOT NULL,
  `denied_reason` text NOT NULL,
  `http_response` int(3) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'bad_behavior_log'
--


--
-- Table structure for table 'country'
--

DROP TABLE IF EXISTS `country`;
CREATE TABLE `country` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `fullname` varchar(255) default NULL,
  `fips` char(3) NOT NULL default '',
  `capital` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `fips` (`fips`),
  KEY `name` (`name`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'country'
--

INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (1,'Afghanistan','Islamic State of Afghanistan','AF','Kabul');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (2,'Albania','Republic of Albania','AL','Tirana');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (3,'Algeria','Democratic and Popular Republic of Algeria','AG','Algiers');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (4,'Andorra','Principality of Andorra','AN','Andorra la Vella');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (5,'Angola','Republic of Angola','AO','Luanda');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (6,'Antigua and Barbuda','','AC','Saint John\'s');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (7,'Argentina','Argentine Republic','AR','Buenos Aires');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (8,'Armenia','Republic of Armenia','AM','Yerevan');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (9,'Australia','Commonwealth of Australia','AS','Canberra');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (10,'Austria','Republic of Austria','AU','Vienna');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (11,'Azerbaijan','Azerbaijani Republic','AJ','Baku');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (12,'Bahamas, The','Commonwealth of the Bahamas','BF','Nassau');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (13,'Bahrain','State of Bahrain','BA','Manama');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (14,'Bangladesh','People\'s Republic of Bangladesh','BG','Dhaka');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (15,'Barbados','','BB','Bridgetown');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (16,'Belarus','Republic of Belarus','BO','Minsk');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (17,'Belgium','Kingdom of Belgium','BE','Brussels');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (18,'Belize','','BH','Belmopan');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (19,'Benin','Republic of Benin','BN','Porto-Novo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (20,'Bhutan','Kingdom of Bhutan','BT','Thimphu');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (21,'Bolivia','Republic of Bolivia','BL','La Paz (admin.), Sucre (legal)');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (22,'Bosnia and Herzegovina','','BK','Sarajevo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (23,'Botswana','Republic of Botswana','BC','Gaborone');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (24,'Brazil','Federative Republic of Brazil','BR','Brasília');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (25,'Brunei','Negara Brunei Darussalam','BX','Bandar Seri Begawan');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (26,'Bulgaria','Republic of Bulgaria','BU','Sofia');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (27,'Burkina Faso','Burkina Faso','UV','Ouagadougou');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (28,'Burma','Union of Burma','BM','Rangoon');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (29,'Burundi','Republic of Burundi','BY','Bujumbura');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (30,'Cambodia','Kingdom of Cambodia','CB','Phnom Penh');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (31,'Cameroon','Republic of Cameroon','CM','Yaoundé');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (32,'Canada','','CA','Ottawa');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (33,'Cape Verde','Republic of Cape Verde','CV','Praia');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (34,'Central African Republic','Central African Republic','CT','Bangui');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (35,'Chad','Republic of Chad','CD','N\'Djamena');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (36,'Chile','Republic of Chile','CI','Santiago');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (37,'China','People\'s Republic of China','CH','Beijing');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (38,'Colombia','Republic of Colombia','CO','Bogotá');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (39,'Comoros','Federal Islamic Republic of the Comoros','CN','Moroni');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (40,'Congo (Brazzaville)','Republic of the Congo','CF','Brazzaville');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (41,'Congo (Kinshasa)','Democratic Republic','CG','Kinshasa');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (42,'Costa Rica','Republic of Costa Rica','CS','San José');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (43,'Cote d\'Ivoire','Republic of Cote d\'Ivoire','IV','Yamoussoukro');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (44,'Croatia','Republic of Croatia','HR','Zagreb');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (45,'Cuba','Republic of Cuba','CU','Havana');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (46,'Cyprus','Republic of Cyprus','CY','Nicosia');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (47,'Czech Republic','Czech Republic','EZ','Prague');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (48,'Denmark','Kingdom of Denmark','DA','Copenhagen');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (49,'Djibouti','Republic of Djibouti','DJ','Djibouti');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (50,'Dominica','Commonwealth of Dominica','DO','Roseau');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (51,'Dominican Republic','Dominican Republic','DR','Santo Domingo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (52,'Ecuador','Republic of Ecuador','EC','Quito');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (53,'Egypt','Arab Republic of Egypt','EG','Cairo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (54,'El Salvador','Republic of El Salvador','ES','San Salvador');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (55,'Equatorial Guinea','Republic of Equatorial Guinea','EK','Malabo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (56,'Eritrea','State of Eritrea','ER','Asmara');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (57,'Estonia','Republic of Estonia','EN','Tallinn');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (58,'Ethiopia','Federal Democratic Republic of Ethiopia','ET','Addis Ababa');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (59,'Fiji','Republic of the Fiji Islands','FJ','Suva');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (60,'Finland','Republic of Finland','FI','Helsinki');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (61,'France','French Republic','FR','Paris');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (62,'Gabon','Gabonese Republic','GB','Libreville');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (63,'Gambia, The','Republic of The Gambia','GA','Banjul');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (64,'Georgia','','GG','T\'bilisi');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (65,'Germany','Federal Republic of Germany','GM','Berlin');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (66,'Ghana','Republic of Ghana','GH','Accra');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (67,'Greece','Hellenic Republic','GR','Athens');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (68,'Grenada','','GJ','Saint George\'s');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (69,'Guatemala','Republic of Guatemala','GT','Guatemala');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (70,'Guinea','Republic of Guinea','GV','Conakry');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (71,'Guinea-Bissau','Republic of Guinea-Bissau','PU','Bissau');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (72,'Guyana','Co-operative Republic of Guyana','GY','Georgetown');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (73,'Haiti','Republic of Haiti','HA','Port-au-Prince');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (74,'Holy See','Holy See','VT','Vatican City');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (75,'Honduras','Republic of Honduras','HO','Tegucigalpa');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (76,'Hungary','Republic of Hungary','HU','Budapest');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (77,'Iceland','Republic of Iceland','IC','Reykjavík');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (78,'India','Republic of India','IN','New Delhi');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (79,'Indonesia','Republic of Indonesia','ID','Jakarta');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (80,'Iran','Islamic Republic of Iran','IR','Tehran');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (81,'Iraq','Republic of Iraq','IZ','Baghdad');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (82,'Ireland','','EI','Dublin');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (83,'Italy','Italian Republic','IT','Rome');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (84,'Jamaica','','JM','Kingston');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (85,'Japan','','JA','Tokyo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (86,'Jordan','Hashemite Kingdom of Jordan','JO','Amman');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (87,'Kazakhstan','Republic of Kazakhstan','KZ','Astana');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (88,'Kenya','Republic of Kenya','KE','Nairobi');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (89,'Kiribati','Republic of Kiribati','KR','Tarawa');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (90,'Korea, North','Democratic People\'s Republic of Korea','KN','Pyongyang');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (91,'Korea, South','Republic of Korea','KS','Seoul');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (92,'Kuwait','State of Kuwait','KU','Kuwait');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (93,'Kyrgyzstan','Kyrgyz Republic','KG','Bishkek');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (94,'Laos','Lao People\'s Democratic Republic','LA','Vientiane');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (95,'Latvia','Republic of Latvia','LG','Riga');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (96,'Lebanon','Lebanese Republic','LE','Beirut');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (97,'Lesotho','Kingdom of Lesotho','LT','Maseru');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (98,'Liberia','Republic of Liberia','LI','Monrovia');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (99,'Libya','Socialist People\'s Libyan Arab Jamahiriya','LY','Tripoli');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (100,'Liechtenstein','Principality of Liechtenstein','LS','Vaduz');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (101,'Lithuania','Republic of Lithuania','LH','Vilnius');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (102,'Luxembourg','Grand Duchy of Luxembourg','LU','Luxembourg');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (103,'Macedonia, The Former Yugoslav R','The Former Yugoslav Republic of Macedonia','MK','Skopje');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (104,'Madagascar','Republic of Madagascar','MA','Antananarivo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (105,'Malawi','Republic of Malawi','MI','Lilongwe');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (106,'Malaysia','','MY','Kuala Lumpur');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (107,'Maldives','Republic of Maldives','MV','Male');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (108,'Mali','Republic of Mali','ML','Bamako');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (109,'Malta','','MT','Valletta');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (110,'Marshall Islands','Republic of the Marshall Islands','RM','Majuro');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (111,'Mauritania','Islamic Republic of Mauritania','MR','Nouakchott');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (112,'Mauritius','Republic of Mauritius','MP','Port Louis');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (113,'Mexico','United Mexican States','MX','Mexico');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (114,'Micronesia, Federated States of','Federated States of Micronesia','FM','Palikir');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (115,'Moldova','Republic of Moldova','MD','Chisinau');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (116,'Monaco','Principality of Monaco','MN','Monaco');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (117,'Mongolia','','MG','Ulaanbaatar');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (118,'Morocco','Kingdom of Morocco','MO','Rabat');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (119,'Mozambique','Republic of Mozambique','MZ','Maputo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (120,'Namibia','Republic of Namibia','WA','Windhoek');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (121,'Nauru','Republic of Nauru','NR','Yaren District');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (122,'Nepal','Kingdom of Nepal','NP','Kathmandu');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (123,'Netherlands','Kingdom of the Netherlands','NL','Amsterdam');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (124,'New Zealand','','NZ','Wellington');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (125,'Nicaragua','Republic of Nicaragua','NU','Managua');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (126,'Niger','Republic of Niger','NG','Niamey');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (127,'Nigeria','Federal Republic of Nigeria','NI','Abuja');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (128,'Norway','Kingdom of Norway','NO','Oslo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (129,'Oman','Sultanate of Oman','MU','Muscat');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (130,'Pakistan','Islamic Republic of Pakistan','PK','Islamabad');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (131,'Palau','Republic of Palau','PS','Koror');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (132,'Panama','Republic of Panama','PM','Panama');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (133,'Papua New Guinea','Independent State of Papua New Guinea','PP','Port Moresby');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (134,'Paraguay','Republic of Paraguay','PA','Asunción');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (135,'Peru','Republic of Peru','PE','Lima');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (136,'Philippines','Republic of the Philippines','RP','Manila');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (137,'Poland','Republic of Poland','PL','Warsaw');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (138,'Portugal','Portuguese Republic','PO','Lisbon');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (139,'Qatar','State of Qatar','QA','Doha');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (140,'Romania','','RO','Bucharest');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (141,'Russia','Russian Federation','RS','Moscow');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (142,'Rwanda','Rwandese Republic','RW','Kigali');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (143,'Saint Kitts and Nevis','Federation of Saint Kitts and Nevis','SC','Basseterre');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (144,'Saint Lucia','','ST','Castries');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (145,'Saint Vincent and the Grenadines','','VC','Kingstown');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (146,'Samoa','Independent State of Samoa','WS','Apia');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (147,'San Marino','Republic of San Marino','SM','San Marino');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (148,'Sao Tome and Principe','Democratic Republic of Sao Tome and Principe','TP','Sao Tome');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (149,'Saudi Arabia','Kingdom of Saudi Arabia','SA','Riyadh');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (150,'Senegal','Republic of Senegal','SG','Dakar');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (151,'Seychelles','Republic of Seychelles','SE','Victoria');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (152,'Sierra Leone','Republic of Sierra Leone','SL','Freetown');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (153,'Singapore','Republic of Singapore','SN','Singapore');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (154,'Slovakia','Slovak Republic','LO','Bratislava');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (155,'Slovenia','Republic of Slovenia','SI','Ljubljana');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (156,'Solomon Islands','','BP','Honiara');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (157,'Somalia','','SO','Mogadishu');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (158,'South Africa','Republic of South Africa','SF','Pretoria');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (159,'Spain','Kingdom of Spain','SP','Madrid');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (160,'Sri Lanka','Democratic Socialist Republic of Sri Lanka','CE','Colombo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (161,'Sudan','Republic of the Sudan','SU','Khartoum');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (162,'Suriname','Republic of Suriname','NS','Paramaribo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (163,'Swaziland','Kingdom of Swaziland','WZ','Mbabane (admin.), Lobamba (royal, leg.)');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (164,'Sweden','Kingdom of Sweden','SW','Stockholm');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (165,'Switzerland','Swiss Confederation','SZ','Bern');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (166,'Syria','Syrian Arab Republic','SY','Damascus');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (167,'Tajikistan','Republic of Tajikistan','TI','Dushanbe');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (168,'Tanzania','United Republic of Tanzania','TZ','Dar es Salaam, Dodoma (leg.)');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (169,'Thailand','Kingdom of Thailand','TH','Bangkok');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (170,'Togo','Togolese Republic','TO','Lomé');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (171,'Tonga','Kingdom of Tonga','TN','Nuku\'alofa');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (172,'Trinidad and Tobago','Republic of Trinidad and Tobago','TD','Port-of-Spain');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (173,'Tunisia','Republic of Tunisia','TS','Tunis');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (174,'Turkey','Republic of Turkey','TU','Ankara');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (175,'Turkmenistan','','TX','Ashgabat');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (176,'Tuvalu','','TV','Funafuti');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (177,'Uganda','Republic of Uganda','UG','Kampala');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (178,'Ukraine','','UP','Kiev');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (179,'United Arab Emirates','United Arab Emirates','TC','Abu Dhabi');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (180,'United Kingdom','United Kingdom of Great Britain and Northern Ireland','UK','London');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (181,'United States','United States of America','US','Washington, DC');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (182,'Uruguay','Oriental Republic of Uruguay','UY','Montevideo');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (183,'Uzbekistan','Republic of Uzbekistan','UZ','Tashkent');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (184,'Vanuatu','Republic of Vanuatu','NH','Port-Vila');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (185,'Venezuela','Republic of Venezuela','VE','Caracas');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (186,'Vietnam','Socialist Republic of Vietnam','VM','Hanoi');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (187,'Yemen','Republic of Yemen','YM','Sanaa');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (188,'Zambia','Republic of Zambia','ZA','Lusaka');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (189,'Zimbabwe','Republic of Zimbabwe','ZI','Harare');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (190,'Serbia','','SR','Belgrade');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (191,'Montenegro','','MW','Podgorica');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (192,'Taiwan','','TW','T\'ai-pei');
INSERT INTO `country` (`id`, `name`, `fullname`, `fips`, `capital`) VALUES (193,'Israel','State of Israel','IS','Jerusalem');

--
-- Table structure for table 'datatype_privs'
--

DROP TABLE IF EXISTS `datatype_privs`;
CREATE TABLE `datatype_privs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `datatype_id` tinyint(3) unsigned NOT NULL default '0',
  `ugid` int(10) unsigned NOT NULL default '0',
  `priv_view` tinyint(3) unsigned NOT NULL default '0',
  `priv_add` tinyint(3) unsigned NOT NULL default '0',
  `priv_edit` tinyint(3) unsigned NOT NULL default '0',
  `priv_approve` tinyint(3) unsigned NOT NULL default '0',
  `priv_delete` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `datatype_id` (`datatype_id`,`ugid`),
  KEY `datatype_ugid` (`datatype_id`,`ugid`)
) TYPE=MyISAM;

--
-- Dumping data for table 'datatype_privs'
--

INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (1,1,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (2,13,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (3,5,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (4,7,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (5,11,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (6,12,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (7,14,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (8,15,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (9,16,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (10,18,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (11,19,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (12,1,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (13,13,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (14,5,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (15,7,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (16,11,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (17,12,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (18,14,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (19,15,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (20,16,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (21,18,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (22,19,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (23,9,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (24,1,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (25,13,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (26,5,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (27,7,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (28,11,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (29,12,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (30,14,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (31,15,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (32,16,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (33,18,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (34,19,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (35,9,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (36,22,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (37,23,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (38,24,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (39,25,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (40,26,1,1,1,1,1,1);
INSERT INTO `datatype_privs` (`id`, `datatype_id`, `ugid`, `priv_view`, `priv_add`, `priv_edit`, `priv_approve`, `priv_delete`) VALUES (41,21,1,1,1,1,1,1);

--
-- Table structure for table 'datatypes'
--

DROP TABLE IF EXISTS `datatypes`;
CREATE TABLE `datatypes` (
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(128) NOT NULL default '',
  `expose` enum('Y','N') NOT NULL default 'Y',
  `weight` int(6) unsigned NOT NULL default '0',
  `label` varchar(50) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `parent_relid` int(11) NOT NULL default '0',
  `weighted` enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (`id`),
  KEY `type` (`type`),
  KEY `weight` (`weight`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'datatypes'
--

INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (1,'administrator','Y',0,'Site Administrator','A content administrator',0,'N');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (2,'group','N',5,'Group','',0,'N');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (13,'general_article','Y',20,'General Article','A document that is displayed as content within the site (i.e. fulltext).',0,'');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (5,'document','Y',25,'Document','An uploaded / local document.',0,'N');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (9,'section','N',30,'Site Section','The section of a site.',0,'N');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (11,'event','Y',35,'Event','A calendar event.',0,'N');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (12,'resource','Y',15,'3rd Party Link','A link to a web site or remote document.',0,'');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (14,'ad_banner','Y',10,'Ad Banner','A banner advertisement.',0,'');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (21,'feedback','N',40,'Feedback','A feedback collection form.',0,'');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (22,'syndication_feed','Y',45,'Syndication Feed','atom or rss feed',0,'');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (23,'blog_post','Y',50,'Blog post','A post for the blog module',0,'');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (24,'blog_comment','Y',55,'Blog Comment','A comment on a blog posting',0,'');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (25,'person','Y',60,'Person','A registered person',0,'');
INSERT INTO `datatypes` (`id`, `type`, `expose`, `weight`, `label`, `description`, `parent_relid`, `weighted`) VALUES (26,'organization','Y',65,'Organization','Organization',0,'');

--
-- Table structure for table 'datatypesrel'
--

DROP TABLE IF EXISTS `datatypesrel`;
CREATE TABLE `datatypesrel` (
  `relid` int(11) NOT NULL default '0',
  `dt1` int(11) NOT NULL default '0',
  `dt2` int(11) NOT NULL default '0',
  PRIMARY KEY  (`relid`,`dt1`,`dt2`)
) TYPE=MyISAM;

--
-- Dumping data for table 'datatypesrel'
--

INSERT INTO `datatypesrel` (`relid`, `dt1`, `dt2`) VALUES (8,1,2);
INSERT INTO `datatypesrel` (`relid`, `dt1`, `dt2`) VALUES (8,25,2);
INSERT INTO `datatypesrel` (`relid`, `dt1`, `dt2`) VALUES (9,24,23);
INSERT INTO `datatypesrel` (`relid`, `dt1`, `dt2`) VALUES (10,25,26);
INSERT INTO `datatypesrel` (`relid`, `dt1`, `dt2`) VALUES (11,26,25);

--
-- Table structure for table 'dbfields'
--

DROP TABLE IF EXISTS `dbfields`;
CREATE TABLE `dbfields` (
  `id` int(11) NOT NULL auto_increment,
  `fname` varchar(255) NOT NULL default '',
  `ftype` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `fname` (`fname`),
  KEY `ftype` (`ftype`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'dbfields'
--

INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (1,'idnum','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (2,'name','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (3,'title','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (4,'fname','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (65,'salutation','pick salutations');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (6,'lname','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (7,'email','email');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (68,'bool5','boolean');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (9,'address1','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (10,'address2','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (11,'city','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (67,'bool4','boolean');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (13,'zip','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (14,'country','pick country');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (15,'phone','phone');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (16,'fax','phone');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (17,'url','url');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (18,'desc1','ltxt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (66,'bool3','boolean');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (20,'date1','date');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (21,'date2','date');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (22,'password','pass2');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (63,'num3','num');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (25,'type','pickid $(objecttype)types');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (32,'weight','num');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (28,'file','upload');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (30,'desc2','ltxt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (35,'bool1','boolean');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (36,'bool2','boolean');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (62,'num2','num');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (38,'phone2','phone');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (61,'num1','num');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (41,'text1','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (42,'url2','url');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (47,'sunrise','date');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (48,'sunset','date');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (51,'topic','pickid topics');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (50,'issue','pickid issues');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (52,'image','upload');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (53,'text2','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (54,'text3','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (55,'text4','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (56,'text5','txt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (57,'url3','url');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (58,'url5','url');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (59,'url4','url');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (60,'desc3','ltxt');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (69,'state','pick state abbrev');
INSERT INTO `dbfields` (`id`, `fname`, `ftype`) VALUES (70,'section_template','pickid stx_section_templates');

--
-- Table structure for table 'documenttypes'
--

DROP TABLE IF EXISTS `documenttypes`;
CREATE TABLE `documenttypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `orderby` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`),
  KEY `orderby` (`orderby`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'documenttypes'
--

INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (23,'Analysis',5);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (24,'Conference Agenda',10);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (25,'Conference Proceedings',15);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (26,'Directive',20);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (27,'Editorial',25);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (28,'Green Paper',30);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (29,'Infrastructure Financing',35);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (30,'Interview',40);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (31,'Judgment',45);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (32,'Legislation',50);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (33,'News',55);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (34,'Newsletter',60);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (35,'Official Document',65);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (36,'Position Paper',70);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (37,'Press Release',75);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (38,'Regulation',80);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (39,'Statistics',85);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (40,'White Paper',90);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (41,'Other',95);
INSERT INTO `documenttypes` (`id`, `name`, `orderby`) VALUES (46,'Form',100);

--
-- Table structure for table 'eventtypes'
--

DROP TABLE IF EXISTS `eventtypes`;
CREATE TABLE `eventtypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'eventtypes'
--

INSERT INTO `eventtypes` (`id`, `name`, `weight`) VALUES (1,'Industry Event',5);
INSERT INTO `eventtypes` (`id`, `name`, `weight`) VALUES (2,'National/Regional Event',10);
INSERT INTO `eventtypes` (`id`, `name`, `weight`) VALUES (3,'Research Event',15);
INSERT INTO `eventtypes` (`id`, `name`, `weight`) VALUES (4,'Other',20);

--
-- Table structure for table 'feedbacktypes'
--

DROP TABLE IF EXISTS `feedbacktypes`;
CREATE TABLE `feedbacktypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'feedbacktypes'
--

INSERT INTO `feedbacktypes` (`id`, `name`, `weight`) VALUES (1,'Inquiry',5);
INSERT INTO `feedbacktypes` (`id`, `name`, `weight`) VALUES (2,'Report broken link',10);

--
-- Table structure for table 'field_priv'
--

DROP TABLE IF EXISTS `field_priv`;
CREATE TABLE `field_priv` (
  `fid` int(11) NOT NULL default '0',
  `ugid` int(11) NOT NULL default '0',
  `priv_read` tinyint(4) default NULL,
  `priv_write` tinyint(4) default NULL,
  PRIMARY KEY  (`fid`,`ugid`),
  KEY `fid` (`fid`),
  KEY `ugid` (`ugid`),
  KEY `priv_read` (`priv_read`),
  KEY `priv_write` (`priv_write`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'field_priv'
--

INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (1,1,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (2,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (4,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (6,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (7,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (167,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (171,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (180,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (173,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (172,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (35,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (36,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (37,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (38,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (39,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (50,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (51,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (52,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (54,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (57,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (59,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (61,1,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (62,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (65,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (66,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (237,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (68,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (69,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (73,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (75,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (160,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (353,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (179,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (83,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (84,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (174,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (178,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (177,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (169,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (106,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (123,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (133,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (132,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (131,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (235,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (134,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (135,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (136,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (137,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (139,21,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (238,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (236,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (142,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (143,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (144,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (168,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (163,1,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (158,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (161,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (162,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (181,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (182,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (183,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (184,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (185,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (186,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (187,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (188,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (189,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (190,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (191,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (192,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (193,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (194,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (195,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (357,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (197,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (198,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (199,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (200,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (201,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (202,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (203,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (204,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (205,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (206,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (207,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (208,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (209,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (210,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (211,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (212,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (213,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (214,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (215,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (216,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (217,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (218,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (219,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (220,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (221,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (222,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (223,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (356,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (225,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (351,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (230,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (231,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (233,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (234,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (239,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (240,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (349,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (251,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (252,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (263,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (264,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (265,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (266,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (267,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (268,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (269,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (270,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (272,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (352,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (2,1,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (282,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (358,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (355,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (354,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (350,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (316,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (315,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (348,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (311,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (317,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (318,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (319,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (320,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (321,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (322,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (323,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (324,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (325,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (326,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (327,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (328,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (329,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (330,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (331,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (332,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (333,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (334,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (335,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (336,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (337,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (338,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (339,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (340,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (341,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (343,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (344,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (345,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (346,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (347,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (359,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (360,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (361,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (362,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (363,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (364,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (365,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (366,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (367,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (368,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (369,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (370,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (371,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (372,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (373,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (374,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (375,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (376,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (377,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (378,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (379,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (380,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (381,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (382,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (383,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (384,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (385,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (386,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (387,0,1,1);
INSERT INTO `field_priv` (`fid`, `ugid`, `priv_read`, `priv_write`) VALUES (388,0,1,1);

--
-- Table structure for table 'general_articletypes'
--

DROP TABLE IF EXISTS `general_articletypes`;
CREATE TABLE `general_articletypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'general_articletypes'
--

INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (1,'Analysis',5);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (2,'Conference Agenda',10);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (3,'Conference Proceedings',15);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (4,'Directive',20);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (5,'Editorial',25);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (6,'Green Paper',30);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (7,'Infrastructure Financing',35);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (8,'Interview',40);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (9,'Judgment',45);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (10,'Legislation',50);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (11,'News',55);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (12,'Newsletter',60);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (13,'Official Document',65);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (14,'Position Paper',70);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (15,'Press Release',75);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (16,'Regulation',80);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (17,'Statistics',85);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (18,'White Paper',90);
INSERT INTO `general_articletypes` (`id`, `name`, `weight`) VALUES (19,'Other',95);

--
-- Table structure for table 'issues'
--

DROP TABLE IF EXISTS `issues`;
CREATE TABLE `issues` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'issues'
--

INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (1,'International Development',5);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (2,'Health/AIDS/Family Planning',10);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (3,'Government &amp; Governmental Affairs',15);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (4,'Environment &amp; Conservation',20);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (5,'Education &amp; Social Action',25);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (14,'Other',55);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (15,'Association/Foundation',30);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (16,'Advocacy/Action',35);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (17,'Research',40);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (18,'Consulting',45);
INSERT INTO `issues` (`id`, `name`, `weight`) VALUES (19,'International Issues',50);

--
-- Table structure for table 'noderel'
--

DROP TABLE IF EXISTS `noderel`;
CREATE TABLE `noderel` (
  `parent` int(11) NOT NULL default '0',
  `child` int(11) NOT NULL default '0',
  `noderelid` tinyint(3) unsigned default NULL,
  `weight` int(10) unsigned default '0',
  KEY `child` (`child`),
  KEY `parent` (`parent`),
  KEY `add_child` (`parent`,`noderelid`),
  KEY `add_parent` (`child`,`noderelid`),
  KEY `relid` (`noderelid`),
  KEY `relweight` (`parent`,`noderelid`,`weight`),
  KEY `weight` (`weight`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'noderel'
--

INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,115,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,275,1,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,296,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,412,1,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,438,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,439,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,459,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,469,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (79,329,1,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (296,79,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (296,325,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (296,329,1,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (325,329,1,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (459,460,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (459,461,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (459,474,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (469,470,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,479,1,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,479,2,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,480,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (480,481,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,482,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (482,483,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (482,485,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (9,486,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (486,487,0,0);
INSERT INTO `noderel` (`parent`, `child`, `noderelid`, `weight`) VALUES (486,488,0,0);

--
-- Table structure for table 'organizationtypes'
--

DROP TABLE IF EXISTS `organizationtypes`;
CREATE TABLE `organizationtypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'organizationtypes'
--

INSERT INTO `organizationtypes` (`id`, `name`, `weight`) VALUES (1,'NGO/Non-profit',5);
INSERT INTO `organizationtypes` (`id`, `name`, `weight`) VALUES (2,'Educational',10);
INSERT INTO `organizationtypes` (`id`, `name`, `weight`) VALUES (3,'National Government',15);
INSERT INTO `organizationtypes` (`id`, `name`, `weight`) VALUES (4,'Local Government',20);
INSERT INTO `organizationtypes` (`id`, `name`, `weight`) VALUES (5,'Commercial Enterprise',25);

--
-- Table structure for table 'pickrel'
--

DROP TABLE IF EXISTS `pickrel`;
CREATE TABLE `pickrel` (
  `f_id` int(10) unsigned NOT NULL default '0',
  `p_id` int(10) unsigned NOT NULL default '0',
  `recid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`f_id`,`p_id`,`recid`),
  KEY `f_id` (`f_id`,`recid`),
  KEY `f_id_2` (`f_id`),
  KEY `p_id` (`p_id`),
  KEY `recid` (`recid`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'pickrel'
--

INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,1,115);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,1,329);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,1,459);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,1,460);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,1,461);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,1,474);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,2,9);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,2,79);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,2,325);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,2,479);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,3,469);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,4,296);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,4,438);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,4,439);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,4,470);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (25,17,275);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (50,1,412);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (50,14,275);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (50,19,479);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (51,2,412);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (51,3,275);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (51,3,489);
INSERT INTO `pickrel` (`f_id`, `p_id`, `recid`) VALUES (51,6,479);

--
-- Table structure for table 'primaryrel'
--

DROP TABLE IF EXISTS `primaryrel`;
CREATE TABLE `primaryrel` (
  `id1` int(10) unsigned NOT NULL default '0',
  `id2` int(10) unsigned NOT NULL default '0',
  `relid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id1`,`id2`,`relid`),
  KEY `id2` (`id2`),
  KEY `id1` (`id1`),
  KEY `relid` (`relid`),
  KEY `id1_2` (`id1`,`relid`),
  KEY `id2_2` (`id2`,`relid`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'primaryrel'
--

INSERT INTO `primaryrel` (`id1`, `id2`, `relid`) VALUES (1,2,8);
INSERT INTO `primaryrel` (`id1`, `id2`, `relid`) VALUES (2,1,8);

--
-- Table structure for table 'priv'
--

DROP TABLE IF EXISTS `priv`;
CREATE TABLE `priv` (
  `recid` int(11) NOT NULL default '0',
  `ugid` int(11) NOT NULL default '0',
  `priv_read` tinyint(4) default NULL,
  `priv_write` tinyint(4) default NULL,
  PRIMARY KEY  (`recid`,`ugid`),
  KEY `recid` (`recid`),
  KEY `ugid` (`ugid`),
  KEY `priv_read` (`priv_read`),
  KEY `priv_write` (`priv_write`),
  KEY `recid_2` (`recid`,`priv_read`,`ugid`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'priv'
--

INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (1,0,1,0);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (1,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (2,0,1,0);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (2,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (1,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (459,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (459,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (459,326,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (9,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (9,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (9,0,1,0);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (489,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (489,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (480,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (480,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (480,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (79,69,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (79,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (79,0,1,0);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (461,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (461,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (461,326,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (115,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (115,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (115,0,1,0);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (275,68,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (275,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (275,0,1,0);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (479,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (479,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (479,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (296,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (296,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (296,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (460,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (460,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (460,326,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (325,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (325,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (325,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (329,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (329,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (329,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (470,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (470,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (469,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (470,340,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (469,340,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (469,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (412,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (412,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (412,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (441,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (441,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (441,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (439,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (439,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (438,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (439,340,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (438,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (438,340,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (474,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (474,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (474,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (481,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (481,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (481,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (482,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (482,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (482,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (483,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (483,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (483,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (485,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (485,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (485,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (486,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (486,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (486,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (487,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (487,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (487,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (488,2,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (488,1,1,1);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (488,0,1,NULL);
INSERT INTO `priv` (`recid`, `ugid`, `priv_read`, `priv_write`) VALUES (489,0,1,NULL);

--
-- Table structure for table 'pxdb_prefs'
--

DROP TABLE IF EXISTS `pxdb_prefs`;
CREATE TABLE `pxdb_prefs` (
  `pref_name` varchar(50) NOT NULL default '',
  `pref_key` varchar(50) NOT NULL default '',
  `pref_value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`pref_name`,`pref_key`,`pref_value`(200))
) TYPE=MyISAM;

--
-- Dumping data for table 'pxdb_prefs'
--

INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('approve_auto','9','0');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('approve_disable','','0');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','amount');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','boolean');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','currency');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','date');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','email');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','ltxt');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','num');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','pass2');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','password');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','phone');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','pick');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','pickid');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','txt');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','upload');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('coltype','','url');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('datastore','url','/files');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('dt_group','','2');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('dt_user','','1');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('gid_admin','','1');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','1','name');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','11','start_date title');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','12','title');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','13','title');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','14','title');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','16','name');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','17','name');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','2','name');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','5','title');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','7','name');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','9','weight name url_id approved url_path');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_field','','approved');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_field','','created');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_field','','datatype');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_field','','id');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_field','','modified');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_initialized','','1140384495');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','datatypes');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','dbfields');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','field_priv');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','noderel');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','pickrel');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','primaryrel');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','priv');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','pxdb_prefs');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','records');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','relationships');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','secondaryrel');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','typesfields');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','usergroup');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','viewfields');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','views');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_table','','weights');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('pxdb_www','','/pxdb_www');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('rel_user_group','','8');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('version','','1.2.6');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('list_columns','21','name email type');
INSERT INTO `pxdb_prefs` (`pref_name`, `pref_key`, `pref_value`) VALUES ('approve_auto','1','0');

--
-- Table structure for table 'records'
--

DROP TABLE IF EXISTS `records`;
CREATE TABLE `records` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `datatype` int(11) unsigned NOT NULL default '0',
  `approved` tinyint(4) unsigned NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `updatedby` varchar(255) NOT NULL default '',
  `sunrise` datetime default NULL,
  `sunset` datetime default NULL,
  `weight` int(3) unsigned default '50',
  `idnum` varchar(250) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `salutation` varchar(255) default NULL,
  `title` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `fname` varchar(255) NOT NULL default '',
  `lname` varchar(255) NOT NULL default '',
  `address1` varchar(255) NOT NULL default '',
  `address2` varchar(255) NOT NULL default '',
  `city` varchar(255) NOT NULL default '',
  `state` varchar(255) default NULL,
  `zip` varchar(255) NOT NULL default '',
  `country` varchar(255) NOT NULL default '',
  `phone` varchar(255) default NULL,
  `phone2` varchar(255) default NULL,
  `fax` varchar(255) default NULL,
  `date1` datetime NOT NULL default '0000-00-00 00:00:00',
  `date2` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` int(11) unsigned NOT NULL default '0',
  `desc1` text,
  `desc2` text,
  `desc3` text,
  `file` varchar(255) default NULL,
  `issue` int(11) unsigned default NULL,
  `topic` int(11) unsigned default NULL,
  `image` varchar(255) default NULL,
  `text1` varchar(255) default NULL,
  `text2` varchar(255) default NULL,
  `text3` varchar(255) default NULL,
  `text4` varchar(255) default NULL,
  `text5` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `url2` varchar(255) default NULL,
  `url3` varchar(255) default NULL,
  `url5` varchar(255) default NULL,
  `url4` varchar(255) default NULL,
  `num1` int(11) default NULL,
  `num2` int(11) default NULL,
  `num3` int(11) default NULL,
  `bool1` tinyint(4) unsigned default '0',
  `bool2` tinyint(4) unsigned default '0',
  `bool3` tinyint(4) unsigned default '0',
  `bool4` tinyint(4) unsigned default '0',
  `bool5` tinyint(4) unsigned default '0',
  PRIMARY KEY  (`id`),
  KEY `datatype` (`datatype`),
  KEY `approved` (`approved`),
  KEY `created` (`created`),
  KEY `modified` (`modified`),
  KEY `updatedby` (`updatedby`),
  KEY `sunrise` (`sunrise`),
  KEY `sunset` (`sunset`),
  KEY `weight` (`weight`),
  KEY `idnum` (`idnum`),
  KEY `name` (`name`),
  KEY `title` (`title`),
  KEY `email` (`email`),
  KEY `fname` (`fname`),
  KEY `lname` (`lname`),
  KEY `city` (`city`),
  KEY `state` (`state`),
  KEY `zip` (`zip`),
  KEY `country` (`country`),
  KEY `date1` (`date1`),
  KEY `date2` (`date2`),
  KEY `type` (`type`),
  KEY `issue` (`issue`),
  KEY `topic` (`topic`),
  KEY `syntax` (`datatype`,`approved`,`sunrise`,`sunset`,`name`),
  FULLTEXT KEY `desc1` (`desc1`),
  FULLTEXT KEY `desc2` (`desc2`),
  FULLTEXT KEY `desc3` (`desc3`),
  FULLTEXT KEY `name_2` (`name`,`title`,`desc1`),
  FULLTEXT KEY `big_fulltext` (`name`,`salutation`,`title`,`fname`,`lname`,`city`,`desc1`,`desc2`,`desc3`,`text1`,`text2`,`text3`,`text4`,`text5`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'records'
--

INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (1,2,0,'2002-08-27 20:54:07','2002-08-27 20:54:07','',NULL,NULL,50,'','','admin',NULL,'','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'',NULL,NULL,'',NULL,NULL,NULL,'',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (2,1,1,'0000-00-00 00:00:00','2006-02-19 16:58:57','','2003-07-17 13:30:00','3000-01-01 00:00:00',50,'admin','bz5S97b0axNOY','Default Administrator','Prof.','','','Default','Administrator','2200 Mt Vernon Ave','','Alexandria',NULL,'22301','Angola','111','','','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'Adminstrative User','',NULL,'',NULL,NULL,NULL,'',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,1,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (459,9,1,'2003-04-15 13:06:22','2003-07-10 11:57:31','',NULL,NULL,20,'aboutus','','About Us',NULL,'About Us','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',1,'Forum One Communications helps people and organizations use the Internet to make a difference.  We will work with you through the entire Internet life cycle - from strategic planning through design, development and ongoing management of dynamic Web sites. \r\n\r\nWith our unique mix of technical savvy, international policy expertise and online experience, we will help you achieve meaningful change.','Forum One Communications helps people and organizations use the Internet to make a difference.  We will work with you through the entire Internet life cycle - from strategic planning through design, development and ongoing management of dynamic Web sites. \r\n\r\nWith our unique mix of technical savvy, international policy expertise and online experience, we will help you achieve meaningful change.','_home/aboutus',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (460,9,1,'2003-04-15 13:07:31','2003-04-15 13:07:31','',NULL,NULL,50,'contactus','','Contact Forum One',NULL,'Contact Forum One','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',1,'2200 Mount Vernon Avenue\r\nAlexandria, VA 22301\r\n<p>\r\ntel: 703.548.1855<br>\r\nfax: 703.995.4937','','_home/aboutus/contactus',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (461,9,1,'2003-04-15 13:08:45','2003-04-30 14:27:02','',NULL,NULL,0,'ourmission','','Our Mission',NULL,'Our Mission','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',1,'','Now is the time for all for all good men to come to the aid of their country.\r\nNow is the time for all for all good men to come to the aid of their country.\r\nNow is the time for all for all good men to come to the aid of their country.\r\nNow is the time for all for all good men to come to the aid of their country.\r\n<p>\r\nNow is the time for all for all good men to come to the aid of their country.\r\nNow is the time for all for all good men to come to the aid of their country.\r\nNow is the time for all for all good men to come to the aid of their country.\r\nNow is the time for all for all good men to come to the aid of their country.','_home/aboutus/ourmission',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (9,9,1,'2002-10-17 17:43:39','2003-10-30 17:47:39','',NULL,NULL,0,'_home','','Home Page',NULL,'Home','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',2,'Forum One Communications helps people and organizations use the Internet to make a difference.  We will work with you through the entire Internet life cycle - from strategic planning through design, development and ongoing management of dynamic Web sites.\r\n\r\nWith our unique mix of technical savvy, international policy expertise and online experience, we will help you achieve meaningful change.','','_home','',NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (412,5,1,'2003-01-28 16:54:53','2005-03-25 13:24:04','','2003-01-28 16:45:00','3000-01-01 00:00:00',50,'','','PDF 1',NULL,'','','','','','','',NULL,'','',NULL,NULL,NULL,'2003-01-28 16:45:00','0000-00-00 00:00:00',0,'test','',NULL,'/files/412_file_SyntaxCMS.pdf',NULL,NULL,NULL,'me',NULL,NULL,NULL,NULL,'',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (469,9,1,'2003-04-18 09:05:59','2003-04-18 10:18:37','',NULL,NULL,50,'portfolio','','Portfolio',NULL,'Portfolio','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',3,'Since 1996, Forum One Communications has worked with more than 100 clients in implementing creative Internet strategies. We bring solid experience working with a range of organizations, including private firms, non-profit and advocacy organizations, research institutions, trade and professional associations, foundations, U.S. government agencies, and multi-lateral organizations.','','_home/portfolio',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (470,9,1,'2003-04-18 09:13:10','2003-04-18 09:13:10','',NULL,NULL,50,'clients','','Our Clients',NULL,'Clients','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',4,'<h2>Internet Strategy and Development Clients</h2>\r\n<ul>\r\n    <li>African Wildlife Foundation (AWF) </li>\r\n    <li>American Academy of Pediatrics </li>\r\n    <li>American Tort Reform Association (ATRA) </li>\r\n    <li>Center on Budget and Policy Priorities (CBPP) </li>\r\n    <li>Center for Global Development </li>\r\n    <li>Communications Consortium Media Center </li>\r\n    <li>Corporation for Public Broadcasting </li>\r\n    <li>Council on Foundations</li>\r\n    <li>DDB Issues &amp; Advocacy </li>\r\n    <li>Earth Force</li>\r\n    <li>Economic Research Service, U.S. Department of Agriculture </li>\r\n    <li>Economic and Social Research Institute </li>\r\n    <li>Eurasia Foundation</li>\r\n    <li>Industrial Economics, Inc. </li>\r\n    <li>InterAction </li>\r\n    <li>International Technology Program, U.S. Environmental Protection Agency </li>\r\n    <li>International Women\'s Media Foundation </li>\r\n    <li>International Youth Foundation </li>\r\n    <li>John Snow, Inc. </li>\r\n    <li>National Academy of Science, Board on Science Technology and Public Policy </li>\r\n    <li>Equal Justice Works! </li>\r\n    <li>National Center for Missing and Exploited Children </li>\r\n    <li>National Council of La Raza </li>\r\n    <li>National Health Law Program </li>\r\n    <li>National School Boards Association </li>\r\n    <li>OneWorld </li>\r\n    <li>Planned Parenthood Federation of America, Global Partners </li>\r\n    <li>Population Action International </li>\r\n    <li>Population Reference Bureau </li>\r\n    <li>Save the Children </li>\r\n    <li>Temple Rodef Shalom </li>\r\n    <li>The International AIDS Vaccine Initiative </li>\r\n    <li>Volunteers in Technical Assistance (VITA) </li>\r\n    <li>World Bank, Development Economics </li>\r\n    <li>World Bank, External Affairs </li>\r\n    <li>World Bank, Global Development Gateway </li>\r\n    <li>World Bank, Internet Working Group </li>\r\n    <li>World Bank, Latin American and Caribbean Department </li>\r\n    <li>World Bank, Poverty Reduction and Economic Management Unit </li>\r\n    <li>World Bank, World Bank Institute </li>\r\n    <li>World Health Organization </li>\r\n    <li>World Institute for Disaster Risk Management (DRM) </li>\r\n    <li>World Wildlife Fund </li>\r\n</ul>\r\n\r\n\r\n<h2>Forum One Capital Clients </h2>\r\n<ul>\r\n    <li>CNET </li>\r\n    <li>DEVX </li>\r\n    <li>eScene Networks </li>\r\n    <li>Excite </li>\r\n    <li>Ezboard </li>\r\n    <li>Foliofn </li>\r\n    <li>LookSmart </li>\r\n    <li>Napster </li>\r\n    <li>Online Inc. </li>\r\n    <li>Salon.com </li>\r\n    <li>TeamWave </li>\r\n    <li>TerraShare </li>\r\n    <li>Web Crossing </li>\r\n</ul>','','_home/portfolio/clients',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (115,9,1,'2002-11-21 17:39:18','2003-04-18 09:19:49','',NULL,NULL,0,'_footer','','FOOTER (HIDDEN)',NULL,'_footer','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',1,'','','_home/_footer',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (275,12,1,'2002-11-25 13:50:19','2003-04-09 14:18:50','','2002-01-01 13:45:00','3000-01-01 00:00:00',50,'','','How Spammers Verify Your E-mail Address',NULL,'','','','','','','',NULL,'','',NULL,NULL,NULL,'2002-01-01 13:45:00','0000-00-00 00:00:00',0,'This Apple Knowledge Base article explains how spammers can verify your e-mail address by using HTML e-mails. It suggests strategies you can use to avoid this, using the built-in OS X Mail client as an example, but keeping it general enough to apply to any HTML-capable e-mail client.','This Apple Knowledge Base article explains how spammers can verify your e-mail address by using HTML e-mails. It suggests strategies you can use to avoid this, using the built-in OS X Mail client as an example, but keeping it general enough to apply to any HTML-capable e-mail client.\r\n\r\nThis problem suggests a couple of things:\r\n\r\n1) If this practice continues, an increasing number of users will turn HTML rendering off entirely. This means that HTML-only e-mail will be unreadable by them.\r\n\r\n2) At a minimum, you should ALWAYS include a text-only version of any HTML e-mail that goes out if you must send HTML.',NULL,NULL,NULL,NULL,NULL,'Apple','','','','','http://docs.info.apple.com/article.html?artnum=107401','','','','',NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (489,23,1,'2006-02-19 17:09:03','2006-02-19 17:10:13','','2006-02-19 17:00:00','3000-01-01 00:00:00',50,'','','Welcome to SyntaxCMS 1.3',NULL,'','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'This release features many things, but the biggest news is probably the blog. Read on for more.','<p>Key features of the blog:\r\n\r\n<ul>\r\n    <li>Groups posts by date</li>\r\n    <li>Allows comments</li>\r\n    <li>Has built-in comment spam protection</li>\r\n    <li>Uses the site-wide topic list</li>\r\n    <li>Allows comment moderation</li>\r\n    <li>Commenters can receive notification when other users leave a comment</li>\r\n    <li>Generates RSS 2.0 and Atom syndication feeds</li>\r\n    <li>Completely integrated with the CMS:\r\n        <ul>\r\n            <li>Posts can be published elsewhere on the site</li>\r\n            <li>Uses the same administration tool as any other content type</li>\r\n        </ul>\r\n    </li>\r\n</ul>\r\n</p>',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (480,9,1,'2005-03-27 09:32:27','2005-03-27 09:32:27','',NULL,NULL,50,'feedback','','Feedback',NULL,'Feedback','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'Please give us any thoughts or comments on the form below.','','_home/feedback',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (79,9,1,'2002-11-20 09:39:15','2003-01-27 08:39:05','',NULL,NULL,55,'businessnews','','Business News',NULL,'Business News','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',2,'This section offers the latest headlines on business news related to the transport sector such as key mergers and acquisitions, successful funding announcements, collaboration with other companies, and key successes. Click on the title to go directly to the whole article or to the link below to view a short summary and related pages.','<html>\r\n  <head>\r\n    \r\n  </head>\r\n  <body>\r\n    <p>\r\n      \r\n    </p>\r\n  </body>\r\n</html>','_home/members/businessnews',NULL,NULL,NULL,NULL,'business, company, transport','Put description here',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (479,11,1,'2005-03-26 09:17:02','2005-03-26 09:17:02','','2005-03-26 09:00:00','3000-01-01 00:00:00',50,'','','National Cherry Blossom Festival',NULL,'','','','','','','',NULL,'','','',NULL,NULL,'2005-03-26 09:00:00','2005-04-10 18:00:00',0,'<cite>The 2005 festival marks the 93rd celebration of the original gift of the 3,000 cherry trees from the city of Tokyo to the people of Washington, DC in 1912. Come and enjoy the spirit of the season.</cite>',NULL,NULL,NULL,NULL,NULL,NULL,'The National Mall','Washington, DC','USA','National Cherry Blossom Festival, Inc.',NULL,'http://www.nationalcherryblossomfestival.org/',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (296,9,1,'2002-12-10 15:04:52','2003-01-31 16:41:27','',NULL,NULL,15,'members','','Members Area',NULL,'Members Area','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',4,'This is the description of the members area. <b>What a nice description</b>','','_home/members',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (325,9,1,'2003-01-13 11:01:27','2003-01-13 11:01:27','',NULL,NULL,50,'membersub','','Members SubSection 1',NULL,'Susbsection 1','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',2,'Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time. Now is the time.','','_home/members/membersub',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (329,14,1,'2003-01-16 16:30:48','2005-03-25 12:31:37','','2003-01-16 16:30:00','3000-01-01 00:00:00',50,'','','Forum One',NULL,'','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',1,NULL,NULL,NULL,NULL,NULL,NULL,'/files/329_image_f1logonew.gif','Forum One Communications Corporation',NULL,NULL,NULL,NULL,'http://www.forumone.com/',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (474,9,1,'2003-10-22 16:34:55','2003-10-22 16:44:05','',NULL,NULL,5,'glossary','','Glossary',NULL,'Glossary','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',1,'This is the Glossary','Term 1\r\nDefinition\r\n\r\nTerm 2\r\nDefinition\r\n\r\nTerm 3 \r\nDefinition','_home/aboutus/glossary',NULL,NULL,NULL,NULL,'Glossary','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (438,9,1,'2003-01-31 10:09:02','2003-01-31 11:42:32','',NULL,NULL,25,'_calendar_intro','','Calendar Introduction (HIDDEN)',NULL,'_calendar_intro','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',4,'Tempus fugit sed scriptos manent','','_home/_calendar_intro',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (439,9,1,'2003-01-31 10:09:38','2003-01-31 10:10:40','',NULL,NULL,10,'_browse_intro','','Browse Introduction (HIDDEN)',NULL,'_browse_intro','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',4,'No, I don\'t need help. I\'m just browsing.','','_home/_browse_intro',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (441,17,1,'2003-01-31 10:12:32','2003-02-04 17:46:39','','2003-01-30 00:00:00','3000-01-01 00:00:00',50,'','','Test KV',NULL,'','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,NULL,NULL,NULL,NULL,7,4,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (481,9,1,'2005-12-28 17:30:11','2005-12-28 17:30:11','',NULL,NULL,50,'_thanks','','Thank You',NULL,'Thank You','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'','Thank you for your feedback.  We will respond as soon as possible.','_home/feedback/_thanks',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (482,9,1,'2006-01-04 11:19:46','2006-01-04 11:19:46','',NULL,NULL,50,'_newsletter','','Newsletter',NULL,'Newsletter','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'','','_home/_newsletter',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (483,9,1,'2006-01-04 11:46:08','2006-01-04 11:46:08','',NULL,NULL,50,'_intro','','Subscribe to our Newsletter',NULL,'Subscribe to our Newsletter','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'','<p>Please use the form below to subscribe to our periodic newsletter.</p>','_home/_newsletter/_intro',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (485,9,1,'2006-01-04 12:00:28','2006-01-04 12:00:28','',NULL,NULL,50,'_thank_you','','Thank You for Subscribing',NULL,'Thank You!','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'','You\'ve been added to our list and will beging receiving our newsletter in the future.','_home/_newsletter/_thank_you',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (486,9,1,'2006-01-04 12:12:03','2006-01-04 12:12:03','',NULL,NULL,50,'_directory','','Member Directory',NULL,'Member Directory','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'','','_home/_directory',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (487,9,1,'2006-01-04 12:12:58','2006-01-04 12:12:58','',NULL,NULL,50,'_intro','','Join Our Directory',NULL,'Join Our Directory','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'','<p>Register and create a user account to access member-only content and benefits.</p>','_home/_directory/_intro',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);
INSERT INTO `records` (`id`, `datatype`, `approved`, `created`, `modified`, `updatedby`, `sunrise`, `sunset`, `weight`, `idnum`, `password`, `name`, `salutation`, `title`, `email`, `fname`, `lname`, `address1`, `address2`, `city`, `state`, `zip`, `country`, `phone`, `phone2`, `fax`, `date1`, `date2`, `type`, `desc1`, `desc2`, `desc3`, `file`, `issue`, `topic`, `image`, `text1`, `text2`, `text3`, `text4`, `text5`, `url`, `url2`, `url3`, `url5`, `url4`, `num1`, `num2`, `num3`, `bool1`, `bool2`, `bool3`, `bool4`, `bool5`) VALUES (488,9,1,'2006-01-04 12:15:15','2006-01-04 12:15:15','',NULL,NULL,50,'_thank_you','','Thank You for Joining.',NULL,'Thank You','','','','','','',NULL,'','',NULL,NULL,NULL,'0000-00-00 00:00:00','0000-00-00 00:00:00',0,'','Enjoy the benefits of membership.','_home/_directory/_thank_you',NULL,NULL,NULL,NULL,'','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0);

--
-- Table structure for table 'relationships'
--

DROP TABLE IF EXISTS `relationships`;
CREATE TABLE `relationships` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `description` varchar(127) NOT NULL default '',
  `weight` tinyint(3) unsigned NOT NULL default '50',
  `tmp_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `weight` (`weight`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'relationships'
--

INSERT INTO `relationships` (`id`, `description`, `weight`, `tmp_id`) VALUES (8,'Group Members',35,8);
INSERT INTO `relationships` (`id`, `description`, `weight`, `tmp_id`) VALUES (9,'Blog Comment - Post',40,NULL);
INSERT INTO `relationships` (`id`, `description`, `weight`, `tmp_id`) VALUES (10,'Membership',45,NULL);
INSERT INTO `relationships` (`id`, `description`, `weight`, `tmp_id`) VALUES (11,'Organization Contact',50,NULL);

--
-- Table structure for table 'resourcetypes'
--

DROP TABLE IF EXISTS `resourcetypes`;
CREATE TABLE `resourcetypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'resourcetypes'
--

INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (1,'Analysis',5);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (2,'Conference Agenda',10);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (3,'Conference Proceedings',15);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (4,'Directive',20);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (5,'Editorial',25);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (6,'Green Paper',30);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (7,'Infrastructure Financing',35);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (8,'Interview',40);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (9,'Judgment',45);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (10,'Legislation',50);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (11,'News',55);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (12,'Newsletter',60);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (13,'Official Document',65);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (14,'Position Paper',70);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (15,'Press Release',75);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (16,'Regulation',80);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (17,'Statistics',85);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (18,'White Paper',90);
INSERT INTO `resourcetypes` (`id`, `name`, `weight`) VALUES (19,'Other',95);

--
-- Table structure for table 'salutations'
--

DROP TABLE IF EXISTS `salutations`;
CREATE TABLE `salutations` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'salutations'
--

INSERT INTO `salutations` (`id`, `name`, `weight`) VALUES (1,'Mr.',10);
INSERT INTO `salutations` (`id`, `name`, `weight`) VALUES (2,'Ms.',15);
INSERT INTO `salutations` (`id`, `name`, `weight`) VALUES (8,'Prof.',25);
INSERT INTO `salutations` (`id`, `name`, `weight`) VALUES (6,'Dr.',5);
INSERT INTO `salutations` (`id`, `name`, `weight`) VALUES (7,'Mrs.',20);

--
-- Table structure for table 'secondaryrel'
--

DROP TABLE IF EXISTS `secondaryrel`;
CREATE TABLE `secondaryrel` (
  `id1` int(10) unsigned NOT NULL default '0',
  `id2` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id1`,`id2`),
  KEY `id2` (`id2`),
  KEY `id1` (`id1`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'secondaryrel'
--


--
-- Table structure for table 'sectiontypes'
--

DROP TABLE IF EXISTS `sectiontypes`;
CREATE TABLE `sectiontypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'sectiontypes'
--

INSERT INTO `sectiontypes` (`id`, `name`, `weight`) VALUES (1,'datatype',5);
INSERT INTO `sectiontypes` (`id`, `name`, `weight`) VALUES (2,'topic',10);
INSERT INTO `sectiontypes` (`id`, `name`, `weight`) VALUES (3,'issue',15);
INSERT INTO `sectiontypes` (`id`, `name`, `weight`) VALUES (4,'module',20);

--
-- Table structure for table 'state'
--

DROP TABLE IF EXISTS `state`;
CREATE TABLE `state` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `abbrev` char(2) NOT NULL default '',
  `capital` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `state` (`name`),
  KEY `abbrev` (`abbrev`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'state'
--

INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (1,'Alabama','AL','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (2,'Alaska','AK','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (3,'Arizona','AZ','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (4,'Arkansas','AR','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (5,'California','CA','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (6,'Colorado','CO','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (7,'Connecticut','CT','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (8,'Delaware','DE','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (9,'Florida','FL','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (10,'Georgia','GA','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (11,'Hawaii','HI','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (12,'Idaho','ID','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (13,'Illinois','IL','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (14,'Indiana','IN','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (15,'Iowa','IA','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (16,'Kansas','KS','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (17,'Kentucky','KY','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (18,'Louisiana','LA','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (19,'Maine','ME','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (20,'Maryland','MD','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (21,'Massachusetts','MA','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (22,'Michigan','MI','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (23,'Minnesota','MN','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (24,'Mississippi','MS','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (25,'Missouri','MO','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (26,'Montana','MT','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (27,'Nebraska','NE','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (28,'Nevada','NV','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (29,'New Hampshire','NH','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (30,'New Jersey','NJ','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (31,'New Mexico','NM','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (32,'New York','NY','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (33,'North Carolina','NC','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (34,'North Dakota','ND','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (35,'Ohio','OH','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (36,'Oklahoma','OK','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (37,'Oregon','OR','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (38,'Pennsylvania','PA','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (39,'Rhode Island','RI','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (40,'South Carolina','SC','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (41,'South Dakota','SD','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (42,'Tennessee','TN','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (43,'Texas','TX','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (44,'Utah','UT','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (45,'Vermont','VT','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (46,'Virginia','VA','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (47,'Washington','WA','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (48,'Washington, D.C.','DC','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (49,'West Virginia','WV','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (50,'Wisconsin','WI','');
INSERT INTO `state` (`id`, `name`, `abbrev`, `capital`) VALUES (51,'Wyoming','WY','');

--
-- Table structure for table 'stx_redirects'
--

DROP TABLE IF EXISTS `stx_redirects`;
CREATE TABLE `stx_redirects` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `redirect` varchar(255) NOT NULL default '',
  `target` text NOT NULL,
  `root_section` varchar(255) NOT NULL default '',
  UNIQUE KEY `redirect` (`root_section`(64),`redirect`(64)),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'stx_redirects'
--


--
-- Table structure for table 'stx_section_templates'
--

DROP TABLE IF EXISTS `stx_section_templates`;
CREATE TABLE `stx_section_templates` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `filename` varchar(255) default NULL,
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'stx_section_templates'
--


--
-- Table structure for table 'stx_tags'
--

DROP TABLE IF EXISTS `stx_tags`;
CREATE TABLE `stx_tags` (
  `record_id` int(11) NOT NULL default '0',
  `tag` varchar(255) NOT NULL default '',
  UNIQUE KEY `record_id` (`record_id`,`tag`),
  KEY `record_id_2` (`record_id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'stx_tags'
--


--
-- Table structure for table 'topics'
--

DROP TABLE IF EXISTS `topics`;
CREATE TABLE `topics` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id_2` (`id`),
  KEY `id` (`id`)
) TYPE=MyISAM;

--
-- Dumping data for table 'topics'
--

INSERT INTO `topics` (`id`, `name`, `weight`) VALUES (1,'Environment',5);
INSERT INTO `topics` (`id`, `name`, `weight`) VALUES (2,'Community Building',10);
INSERT INTO `topics` (`id`, `name`, `weight`) VALUES (3,'Web Site Building',15);
INSERT INTO `topics` (`id`, `name`, `weight`) VALUES (4,'Health',20);
INSERT INTO `topics` (`id`, `name`, `weight`) VALUES (5,'Personnel',25);
INSERT INTO `topics` (`id`, `name`, `weight`) VALUES (6,'other',30);

--
-- Table structure for table 'typesfields'
--

DROP TABLE IF EXISTS `typesfields`;
CREATE TABLE `typesfields` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `typeid` int(11) NOT NULL default '0',
  `identifier` varchar(50) NOT NULL default '',
  `fieldid` int(11) NOT NULL default '0',
  `otype` varchar(32) NOT NULL default '',
  `relid` int(10) unsigned NOT NULL default '0',
  `orderby` int(11) NOT NULL default '999',
  `req` enum('Y','N') NOT NULL default 'N',
  `is_unique` enum('Y','N') default 'N',
  `mul` enum('Y','N') NOT NULL default 'N',
  `displayname` varchar(64) default NULL,
  `description` longtext,
  `autogen` varchar(50) default NULL,
  `validator` varchar(50) NOT NULL default '',
  `processor` varchar(50) NOT NULL default '',
  `widget` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `typeid` (`typeid`),
  KEY `fieldid` (`fieldid`),
  KEY `orderby` (`orderby`),
  KEY `otype` (`otype`),
  KEY `identifier` (`identifier`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'typesfields'
--

INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (2,1,'name',2,'',0,0,'N','N','N','Full Name',NULL,'fullname','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (4,1,'fname',4,'',0,10,'Y','N','N','First Name',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (163,1,'group',0,'2',8,80,'N','N','Y','Group Membership','','','','','pick_3col::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (6,1,'lname',6,'',0,15,'Y','N','N','Last Name',NULL,NULL,'','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (7,1,'email',7,'',0,70,'N','N','N','E-mail','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (171,9,'url_id',1,'',0,0,'Y','N','N','URL ID',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (172,5,'sunrise',47,'',0,65,'Y','N','N','Go Live',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (35,5,'summary',18,'',0,15,'Y','N','N','Intoduction Summary',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (36,5,'file',28,'',0,40,'Y','N','N','Upload file',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (37,5,'title',2,'',0,0,'Y','N','N','Document Title',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (38,5,'author',41,'',0,5,'N','N','N','Author',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (39,5,'url',17,'',0,55,'N','N','N','URL Link',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (50,2,'name',2,'',0,1,'Y','N','N','',NULL,NULL,'','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (51,2,'email',7,'',0,5,'N','N','N','',NULL,NULL,'','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (52,2,'description',18,'',0,4,'N','N','N','Description',NULL,NULL,'','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (54,2,'members',0,'1',8,3,'N','N','Y','Members',NULL,NULL,'','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (57,9,'name',2,'',0,10,'Y','N','N','Section Name',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (59,9,'description',18,'',0,15,'N','N','N','Description',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (61,1,'password',22,'',0,85,'Y','N','N','Password',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (62,5,'type',25,'',0,25,'N','N','Y','Document Type',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (65,5,'date',20,'',0,30,'Y','N','N','Date Published',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (66,11,'description',18,'',0,40,'N','N','N','Event Description',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (236,11,'type',25,'',0,45,'N','N','Y','Event Type',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (68,11,'start_date',20,'',0,5,'Y','N','N','Start Date',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (69,11,'title',2,'',0,0,'Y','N','N','Event Title',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (174,5,'details',30,'',0,20,'N','N','N','Full text',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (83,11,'url',17,'',0,15,'Y','N','N','Event URL',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (235,11,'location_country',54,'',0,35,'Y','N','N','Event Location: Country',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (178,5,'issue',50,'',0,50,'Y','N','Y','Issue',NULL,'','','','pick_2col');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (1,1,'idnum',1,'',0,75,'Y','Y','N','User ID','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (142,11,'location',41,'',0,25,'N','N','N','Event Location',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (160,12,'url',17,'',0,5,'Y','N','N','Article URL',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (161,9,'crumb',3,'',0,5,'Y','N','N','Breadcrumb',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (162,9,'grouping',25,'',0,25,'N','N','N','Grouping Preference',NULL,'','','','pick_1col');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (167,9,'content',30,'',0,20,'N','N','N','Content',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (168,12,'title',2,'',0,0,'Y','N','N','Article Headline',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (169,12,'summary',18,'',0,20,'N','N','N','Brief Description',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (170,9,'weight',32,'',0,30,'N','N','N','Weight',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (173,5,'sunset',48,'',0,70,'N','N','N','Expire',NULL,'','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (177,5,'topic',51,'',0,45,'Y','N','Y','Topic',NULL,'','','','pick_2col');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (352,26,'sunrise',47,'',0,80,'N','N','N','Go live','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (179,5,'image',52,'',0,60,'N','N','N','Thumbnail',NULL,'','','resize_jpg_100','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (180,12,'source',41,'',0,10,'N','N','N','Source',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (181,12,'topic',51,'',0,25,'Y','N','Y','Topic',NULL,'','','','pick_2col');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (182,12,'issue',50,'',0,30,'Y','N','Y','Issue',NULL,'','','','pick_2col');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (183,12,'date',20,'',0,15,'Y','N','N','Date',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (184,12,'sunrise',47,'',0,90,'Y','N','N','Go Live',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (185,12,'sunset',48,'',0,95,'N','N','N','Expire',NULL,'','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (186,12,'type',25,'',0,35,'N','N','Y','Article Type',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (187,12,'details',30,'',0,40,'N','N','N','Long Description',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (188,12,'url2',42,'',0,50,'N','N','N','URL2',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (189,12,'source2',53,'',0,45,'N','N','N','Source2',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (190,12,'url3',57,'',0,60,'N','N','N','URL3',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (191,12,'source3',54,'',0,55,'N','N','N','Source3',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (192,12,'url4',59,'',0,70,'N','N','N','URL4',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (193,12,'source4',55,'',0,65,'N','N','N','Source4',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (194,12,'url5',58,'',0,80,'N','N','N','URL5',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (195,12,'source5',56,'',0,75,'N','N','N','Source5',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (197,12,'image',52,'',0,85,'N','N','N','Thumbnail Image',NULL,'','','resize_jpg_100','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (198,14,'title',2,'',0,0,'Y','N','N','Ad Title',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (199,14,'image',52,'',0,10,'Y','N','N','Image Upload',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (200,14,'alt_text',41,'',0,15,'Y','N','N','Alt Text for Image',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (201,14,'size',25,'',0,20,'Y','N','N','Size',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (202,14,'sunrise',47,'',0,25,'Y','N','N','Go Live',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (203,14,'sunset',48,'',0,30,'N','N','N','Expire',NULL,'','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (204,14,'featured',35,'',0,35,'N','N','N','Featured',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (205,14,'url',17,'',0,5,'Y','N','N','URL',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (206,13,'title',2,'',0,0,'Y','N','N','Article Title',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (207,13,'topic',51,'',0,25,'Y','N','Y','Topic',NULL,'','','','pick_2col');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (208,13,'issue',50,'',0,30,'Y','N','Y','Issue',NULL,'','','','pick_2col');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (209,13,'summary',18,'',0,20,'Y','N','N','Article Summary',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (210,13,'type',25,'',0,35,'N','N','Y','Article Type',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (211,13,'details',30,'',0,40,'Y','N','N','Full Text',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (212,13,'author',3,'',0,45,'N','N','N','Author or Company Name',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (213,13,'author_bio',60,'',0,55,'N','N','N','Biography / Background Info',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (214,13,'url',17,'',0,10,'N','N','N','URL',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (215,13,'source',41,'',0,5,'N','N','N','Source',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (216,13,'url2',42,'',0,60,'N','N','N','URL2',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (217,13,'source2',53,'',0,65,'N','N','N','Source2',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (218,13,'url3',57,'',0,70,'N','N','N','URL3',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (219,13,'source3',54,'',0,75,'N','N','N','Source3',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (220,13,'url4',59,'',0,80,'N','N','N','URL4',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (221,13,'source4',55,'',0,85,'N','N','N','Source4',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (222,13,'url5',58,'',0,90,'N','N','N','URL5',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (223,13,'source5',56,'',0,95,'N','N','N','Source5',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (354,25,'salutation',65,'',0,5,'N','N','N','Title / Salutation','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (225,13,'image',52,'',0,100,'N','N','N','Image Upload',NULL,'','','resize_jpg_100','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (230,1,'sunrise',47,'',0,120,'Y','N','N','Go Live','Ignore','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (231,1,'sunset',48,'',0,130,'N','N','N','Expire','Ignore','','','','optional_date::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (233,11,'end_date',21,'',0,10,'Y','N','N','End Date',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (234,11,'location_city',53,'',0,30,'Y','N','N','Event Location: City',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (237,11,'image',52,'',0,50,'N','N','N','Event Graphic',NULL,'','','resize_jpg_100','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (238,11,'contact',4,'',0,55,'N','N','N','Contact: Name',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (239,11,'contact_email',7,'',0,60,'N','N','N','Contact: Email',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (240,11,'contact_phone',15,'',0,65,'N','N','N','Contact: Phone',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (349,25,'sunrise',47,'',0,105,'N','N','N','Go live','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (251,9,'meta_keywords',41,'',0,35,'N','N','N','META Keywords',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (252,9,'meta_description',53,'',0,40,'N','N','N','META Description',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (263,11,'sunrise',47,'',0,80,'Y','N','N','Go Live',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (264,11,'sunset',48,'',0,85,'N','N','N','Expire',NULL,'','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (265,13,'sunrise',47,'',0,105,'Y','N','N','Go Live',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (266,13,'sunset',48,'',0,110,'N','N','N','Expire',NULL,'','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (267,13,'date',20,'',0,15,'Y','N','N','Date',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (268,11,'topic',51,'',0,70,'Y','N','Y','Topic',NULL,'','','','pick_2col');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (269,11,'issue',50,'',0,75,'Y','N','Y','Issue',NULL,'','','','pick_2col');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (270,11,'organiser',55,'',0,20,'N','N','N','Name of Organiser',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (350,25,'sunset',48,'',0,110,'N','N','N','Expire','','','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (272,13,'author_image',28,'',0,50,'N','N','N','Author or Company Image',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (351,26,'name',2,'',0,0,'Y','N','N','Name','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (282,14,'members_only',68,'',0,40,'N','N','N','Members-Only',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (355,25,'fname',4,'',0,10,'Y','N','N','First Name','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (353,26,'sunset',48,'',0,85,'N','N','N','Expire','','','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (348,25,'name',2,'',0,0,'Y','N','N','Name','','fullname::','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (315,9,'inherit_template',35,'',0,50,'N','N','N','Inherit Parent Template',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (316,5,'email',7,'',0,10,'N','N','N','Contact email',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (317,9,'url_path',60,'',0,999,'N','N','N','URL PATH (automatic)',NULL,NULL,'','','readonly::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (318,21,'name',2,'',0,0,'Y','N','N','Your Name',NULL,'fullname::','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (319,21,'sunrise',47,'',0,30,'N','N','N','Go live',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (320,21,'sunset',48,'',0,35,'N','N','N','Expire',NULL,'','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (321,21,'fname',4,'',0,5,'Y','N','N','First Name',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (322,21,'lname',6,'',0,10,'Y','N','N','Last Name',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (323,21,'email',7,'',0,20,'Y','N','N','Your E-mail',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (324,21,'type',25,'',0,15,'Y','N','N','Regarding',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (325,21,'body',18,'',0,25,'Y','N','N','Message',NULL,'','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (326,22,'name',2,'',0,0,'Y','N','N','Name','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (327,22,'sunrise',47,'',0,20,'N','N','N','Go live','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (328,22,'sunset',48,'',0,25,'N','N','N','Expire','','','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (329,22,'summary',18,'',0,5,'N','N','N','Summary','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (330,22,'site_url',17,'',0,10,'Y','N','N','Site URL','Link to the site\'s main page','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (331,22,'rss_url',42,'',0,15,'Y','N','N','Feed URL','Atom or RSS link','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (332,9,'template',70,'',0,55,'N','N','N','Template','Overrides the default behavior with this template. The filename column should have the complete path from your private root master templates directory.','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (333,23,'name',2,'',0,0,'Y','N','N','Title','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (334,23,'sunrise',47,'',0,20,'N','N','N','Go live','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (335,23,'sunset',48,'',0,25,'N','N','N','Expire','','','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (336,24,'name',2,'',0,0,'Y','N','N','Name','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (337,24,'sunrise',47,'',0,30,'N','N','N','Go live','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (338,24,'sunset',48,'',0,35,'N','N','N','Expire','','','','','optional_date');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (339,23,'intro',18,'',0,5,'Y','N','N','Introduction','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (340,23,'content',30,'',0,10,'N','N','N','Full Text','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (341,23,'topics',51,'',0,15,'Y','N','Y','Topics','','','','','pick_1col::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (343,24,'body',18,'',0,5,'Y','N','N','Comment','HTML will be stripped, urls will be automatically linked','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (344,24,'email',7,'',0,10,'Y','N','N','E-mail','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (345,24,'website',17,'',0,15,'N','N','N','Website','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (346,24,'subscribe',36,'',0,20,'N','N','N','Subscribe to post','Check to receive notifications of future comments.','','','','yes_no::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (347,24,'parent_post',0,'23',9,25,'Y','N','N','Parent Post','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (356,25,'lname',6,'',0,15,'Y','N','N','Last Name','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (357,25,'title',3,'',0,20,'N','N','N','Title','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (358,25,'address1',9,'',0,30,'N','N','N','Address','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (359,25,'address2',10,'',0,35,'N','N','N','Address (cont.)','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (360,25,'city',11,'',0,40,'N','N','N','City','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (361,25,'state',69,'',0,45,'N','N','N','State','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (362,25,'zip',13,'',0,50,'N','N','N','Postal Code','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (363,25,'description',18,'',0,60,'N','N','N','Bio/Description','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (364,25,'email',7,'',0,70,'Y','Y','N','E-mail','Required to login.','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (365,25,'password',22,'',0,75,'Y','N','N','Password','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (366,25,'image',52,'',0,65,'N','N','N','Thumbnail','','','','resize_jpg_100::','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (367,25,'topic',51,'',0,85,'N','N','Y','Topic','','','','','pick_2col::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (368,25,'issue',50,'',0,90,'N','N','Y','Issue','','','','','pick_2col::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (369,25,'subscribed',35,'',0,95,'N','N','N','Subscribe to newsletter?','','','','','yes_no::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (370,25,'in_directory',36,'',0,100,'N','N','N','Show in directory?','','','','','yes_no::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (371,25,'short_bio',30,'',0,55,'N','N','N','Short Bio','for featured profiles','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (372,25,'organization',0,'26',10,25,'N','N','N','Organization','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (373,25,'group',0,'2',8,80,'N','N','Y','Group Membership','','','','','pick_3col::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (374,26,'title',3,'',0,5,'N','N','N','Department','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (375,26,'type',25,'',0,10,'Y','N','Y','Organization Type','','','','','pick_1col::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (376,26,'address',9,'',0,15,'Y','N','N','Address','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (377,26,'address2',10,'',0,20,'N','N','N','Address (cont.)','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (378,26,'city',11,'',0,25,'Y','N','N','City','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (379,26,'state',69,'',0,30,'Y','N','N','State','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (380,26,'country',14,'',0,35,'Y','N','N','Country','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (381,26,'zip',13,'',0,40,'Y','N','N','Postal Code','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (382,26,'email',7,'',0,45,'N','N','N','E-mail','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (383,26,'url',17,'',0,50,'N','N','N','Web site','','','','','');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (384,26,'topic',51,'',0,60,'N','N','Y','Topic','','','','','pick_3col::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (385,26,'issue',50,'',0,65,'N','N','Y','Issue','','','','','pick_3col::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (386,26,'contact',0,'25',11,55,'N','N','Y','Organization Contact','','','','','pick_from_related::childrel=11');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (387,26,'in_directory',36,'',0,70,'N','N','N','Show in directory?','','','','','yes_no::');
INSERT INTO `typesfields` (`id`, `typeid`, `identifier`, `fieldid`, `otype`, `relid`, `orderby`, `req`, `is_unique`, `mul`, `displayname`, `description`, `autogen`, `validator`, `processor`, `widget`) VALUES (388,26,'image',52,'',0,75,'N','N','N','Thumbnail','','','','resize_jpg_100::','');

--
-- Table structure for table 'usergroup'
--

DROP TABLE IF EXISTS `usergroup`;
CREATE TABLE `usergroup` (
  `idnum` varchar(250) NOT NULL default '',
  `groups` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`idnum`(166),`groups`(166)),
  KEY `idnum` (`idnum`)
) TYPE=MyISAM PACK_KEYS=1;

--
-- Dumping data for table 'usergroup'
--

INSERT INTO `usergroup` (`idnum`, `groups`) VALUES ('admin','admin');

--
-- Table structure for table 'viewfields'
--

DROP TABLE IF EXISTS `viewfields`;
CREATE TABLE `viewfields` (
  `id` int(11) NOT NULL auto_increment,
  `viewid` int(11) NOT NULL default '0',
  `typesfield` int(11) NOT NULL default '0',
  `label` varchar(64) NOT NULL default '',
  `description` longtext,
  `expand` enum('Y','N') NOT NULL default 'N',
  `subviewid` int(11) NOT NULL default '0',
  `orderby` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `datatype` (`viewid`)
) TYPE=MyISAM;

--
-- Dumping data for table 'viewfields'
--

INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (2,6,2,'Name',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (3,5,50,'Name',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (7,1,37,'Doc Title',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (8,1,38,'Author',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (10,3,69,'Event Title',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (11,3,68,'Start Date',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (12,8,57,'Name',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (13,9,180,'Source',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (14,10,4,'First Name',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (15,10,6,'Last Name',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (16,11,206,'Title',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (17,12,4,'First Name',NULL,'N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (18,12,6,'Last Name',NULL,'N',0,15);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (19,12,228,'Title',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (20,12,7,'Email Address',NULL,'N',0,25);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (21,12,9,'Address 1',NULL,'N',0,30);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (22,12,10,'Address 2',NULL,'N',0,35);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (23,12,11,'City',NULL,'N',0,40);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (24,12,47,'Country',NULL,'N',0,45);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (25,12,13,'Postal Code',NULL,'N',0,50);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (26,12,55,'Phone Number',NULL,'N',0,55);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (46,12,273,'[hidden from direc]',NULL,'N',0,70);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (28,12,60,'Fax Number',NULL,'N',0,60);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (30,12,2,'Name [autogen]',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (31,13,198,'Name',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (34,1,65,'Date',NULL,'N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (35,11,267,'Date',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (36,9,168,'Headline',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (37,9,183,'Date',NULL,'N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (38,6,230,'Go Live Date',NULL,'N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (42,13,199,'Thumbnail',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (43,13,200,'ALT Text',NULL,'N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (44,12,3,'Job Title / Role',NULL,'N',0,20);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (48,16,2,'(autogen)',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (49,16,4,'First Name',NULL,'N',0,15);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (50,16,6,'Last Name',NULL,'N',0,20);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (51,16,7,'Email (and login)',NULL,'N',0,25);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (53,16,3,'Role / Title',NULL,'N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (55,16,61,'Password',NULL,'N',0,35);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (56,16,9,'Address 1',NULL,'N',0,40);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (57,16,10,'Address 2',NULL,'N',0,45);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (58,16,11,'City',NULL,'N',0,50);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (59,16,47,'Country',NULL,'N',0,55);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (60,16,13,'Postal Code',NULL,'N',0,60);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (61,16,55,'Phone Number',NULL,'N',0,65);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (62,16,60,'Fax Number',NULL,'N',0,70);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (64,16,228,'Title',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (71,18,321,'First Name',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (72,18,322,'Last Name',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (73,18,324,'Regarding',NULL,'N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (74,18,323,'Your E-mail',NULL,'N',0,15);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (75,18,325,'Your Message',NULL,'N',0,20);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (76,19,57,'Name',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (77,19,171,'Address (URL)',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (78,20,57,'Name',NULL,'N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (79,20,171,'Address (URL)',NULL,'N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (80,21,326,'','','N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (81,22,333,'','','N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (82,23,336,'','','N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (89,24,344,'','','N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (84,23,344,'','','N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (88,24,343,'','','N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (87,24,336,'','','N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (90,24,345,'','','N',0,15);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (91,24,346,'','','N',0,20);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (92,25,348,'','','N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (93,26,351,'','','N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (94,28,348,'','','N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (95,28,354,'','','N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (96,28,355,'','','N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (97,28,356,'','','N',0,15);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (98,28,357,'','','N',0,20);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (99,28,358,'','','N',0,25);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (100,28,359,'','','N',0,30);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (101,28,360,'','','N',0,35);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (102,28,361,'','','N',0,40);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (103,28,362,'','','N',0,45);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (104,28,364,'','','N',0,50);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (105,28,365,'','','N',0,55);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (106,28,367,'','','N',0,60);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (107,28,368,'','','N',0,65);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (108,28,369,'','','N',0,70);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (109,28,370,'','','N',0,75);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (110,27,348,'','','N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (111,27,355,'','','N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (112,27,356,'','','N',0,10);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (113,27,364,'','','N',0,15);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (114,27,369,'','','N',0,20);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (115,25,364,'','','N',0,5);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (116,17,323,'From','','N',0,0);
INSERT INTO `viewfields` (`id`, `viewid`, `typesfield`, `label`, `description`, `expand`, `subviewid`, `orderby`) VALUES (117,17,324,'Concerning','','N',0,5);

--
-- Table structure for table 'views'
--

DROP TABLE IF EXISTS `views`;
CREATE TABLE `views` (
  `id` int(11) NOT NULL auto_increment,
  `datatype` int(11) NOT NULL default '0',
  `view` varchar(64) NOT NULL default '',
  `label` varchar(50) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `datatype` (`datatype`)
) TYPE=MyISAM;

--
-- Dumping data for table 'views'
--

INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (1,5,'admin','','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (3,11,'admin','','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (8,9,'admin','','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (5,2,'admin','','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (6,1,'admin','','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (9,12,'admin','','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (10,1,'public','Public View','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (11,13,'admin','Admin View','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (12,1,'newsl','Newsletter Subscribe Form','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (13,14,'admin','Admin View','Admin view.');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (16,1,'member','Member Profile Form','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (17,21,'admin','','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (18,21,'public','public','Public form');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (19,9,'links','Section Links','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (20,9,'links','Section Links','');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (21,22,'admin','Admin','Controls columns used in admin list view.');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (22,23,'admin','Admin','Controls columns used in admin list view.');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (23,24,'admin','Admin','Controls columns used in admin list view.');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (24,24,'public','Public','Public comment form');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (25,25,'admin','Admin','Controls columns used in admin list view.');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (26,26,'admin','Admin','Controls columns used in admin list view.');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (27,25,'newsletter','Newsletter','Form for subscribing to newsletter.');
INSERT INTO `views` (`id`, `datatype`, `view`, `label`, `description`) VALUES (28,25,'member','Member Profile','Form for registering as a site member.');

--
-- Table structure for table 'weights'
--

DROP TABLE IF EXISTS `weights`;
CREATE TABLE `weights` (
  `recid` int(10) unsigned NOT NULL default '0',
  `relid` int(10) unsigned NOT NULL default '0',
  `parentid` int(10) unsigned NOT NULL default '0',
  `weight` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`recid`,`relid`,`parentid`)
) TYPE=MyISAM;

--
-- Dumping data for table 'weights'
--


