<?php
/**
 * Syntax CMS Static Config
 *
 * These are constants that should not be necessary to change for a new
 * implementation of the Syntax CMS framework. Only change them if you really
 * know what you're doing.
 */

// required for navigation
define('NAV_ROOT_EL', '_home');
define('NAV_DISP_DEPTH', 0); // 0 means show only top level

// Set Error Handling
// ------------------	

// some constants that are used
define('F1_ERROR_LOG', 'errors.log');
define('F1_DEBUG_LOG', 'debug.log');

// Which errors should be written to LOG file?	
define('LOG_ERRORS', E_ALL ^ E_NOTICE ^ E_USER_NOTICE);

// Which errors should cause script to die?  (or redirect,
// or whatever errorHandler() method does.)
define('DIE_ERRORS', E_ERROR | E_USER_ERROR | E_PARSE);	

    
// Locale Constants
// ================

define('START_OF_TIME', strtotime('1900-01-01 00:00:00'));
define('END_OF_TIME', '3000-01-01 00:00:00'); // if you change this, make sure you change the constant in 
// PxDB/plugins/widgets/optional_date.php
            
define('DB_TIME_STAMP', "'".pxdb_tools::get_time_quarters()."'" );

// PEAR Cache
// ==========

define('CACHE_DEF_GROUP', 'default');
define('CACHE_STORAGE_CLASS', 'file');
define('CACHE_DIR', SITE_TMP_PATH . '/cache');

define('CACHE_LIFETIME', 3600); // 1 hour

?>