<?php 
// the class is included by default in pxdb.inc.php
require_once( SITE_CFG_PATH . '/auth.conf.php' );

$auth = &pxdb_auth::singleton('public_auth');	
//$auth = &new pxdb_auth();
//$auth->debug=true;

// set username field to use for authentication	
$auth->set_username_field(AUTH_USERNAME_FIELD);

// set user content type
if (defined('AUTH_USER_CONTENT_TYPE'))
{
    $auth->set_datatypes(AUTH_USER_CONTENT_TYPE);
}
    
if (!empty($_GET['logout'])) 
{
    $auth->logout(); 
    if (true == AUTH_COOKIE_LOGIN)
    {
        // from php manual, how to delete a cookie, set it to empty with all the 
        // same parameters as it was set with
        setcookie('saved_login_1', '', time()+AUTH_COOKIE_TTL, '/', $_SERVER['SERVER_NAME']);
        setcookie('saved_login_2', '', time()+AUTH_COOKIE_TTL, '/', $_SERVER['SERVER_NAME']);
        
        // oam i don't these are foolproof for removing a cookie
        $_COOKIE['saved_login_1'] = '';
        $_COOKIE['saved_login_2'] = '';
        unset($_COOKIE['saved_login_1']);
        unset($_COOKIE['saved_login_2']);
    }
}
// restrict to specified groups, which have
// been defined in config/user.conf.php			
$auth->restrict(AUTH_MEMBER_GROUPS);

// prep if cookie authentication is on
if (true==AUTH_COOKIE_LOGIN
    && empty($_SESSION[PXDB_SESSION_VAR]['public_auth']) 
    && !empty($_COOKIE['saved_login_1']) && !empty($_COOKIE['saved_login_2']) 
)
{
    // OAM NOTE : i guess all this could live in the auth class too
    
    $sql = 'SELECT id, '.AUTH_USERNAME_FIELD.', password'
          .', md5( CONCAT('.AUTH_USERNAME_FIELD.',password)) as myhash'
          .' FROM records r WHERE r.datatype IN (' . $auth->dt_user . ')'
          .' AND md5( CONCAT('.AUTH_USERNAME_FIELD.',password))="'.$_COOKIE['saved_login_1'].'"'
    ;
    
    $dbh = &pxdb::dbh();
    $cquery1 = $dbh->execute($sql );
        
    if (0 < $cquery1->RowCount()) 
    {
        $row = $cquery1->FetchRow();
            
        if (md5($row['myhash'].AUTH_COOKIE_SECRET) == $_COOKIE['saved_login_2'])
        {
            $user = new pxdb_user($row['id']);
            $_SESSION[PXDB_SESSION_VAR]['public_auth'] = md5($row[AUTH_USERNAME_FIELD]);
        }
    }
}

// instantiates pxdb_user class if it can
if ($user = $auth->authenticate())
{
    if ( defined('AUTH_COOKIE_LOGIN') && true == AUTH_COOKIE_LOGIN && 1==$_REQUEST['save_login'])
    {
        
        // hash1 = username by password
        // hash2 = hash1 X AUTH_COOKIE_SECRET
        $hash[1] = md5($user->fields['email'].$user->fields['password']);
        $hash[2] = md5($hash[1].AUTH_COOKIE_SECRET);        
        //save the cookies
        setcookie('saved_login_1', $hash[1], time()+AUTH_COOKIE_TTL, '/', $_SERVER['SERVER_NAME']);
        setcookie('saved_login_2', $hash[2], time()+AUTH_COOKIE_TTL, '/', $_SERVER['SERVER_NAME']);        
    }
    
    if (isset($_REQUEST['login_ref']) && !empty($_REQUEST['login_ref']))
    {
        header('Location: ' . $_REQUEST['login_ref']);
        exit;
    }
    if ($user->is_admin())
    {          
        define('PUBLIC_ADMIN_BAR', true );        
    }
    else 
    {
        define('PUBLIC_ADMIN_BAR', false );
    }
}
else 
{
    define('PUBLIC_ADMIN_BAR', false );
}


?>