<?php
//------------------------------------------------------------------------------
class TableColumn {
    function TableColumn( $label, $params )
    {
        $this->label=$label;
        $this->params = $params;
    }

    function getLabel()
    {
        return $this->label;
    }
    
    function dspHeader () {
        return $this->label;
    }    

    /* abstract methods */
    function dspCell( &$row ) {}
    
    function getParam( $name )
    {
        return $this->params[ $name ];   
    }

}

//------------------------------------------------------------------------------
class Column_static extends TableColumn {
    
    function dspCell ( &$row ) {
        return $this->text;
    }    
    
} // end class

//------------------------------------------------------------------------------
class Column_link extends TableColumn {
    
function column_link( $label, $params )
{
    $this->label = $label;
    $this->linkTpl  = $params[0];
    $this->linkText = $params[1];

    if ( isset( $params[2] ) )
    {
        $this->onClick = $params[2];
    } // end if
}

function dspCell ( &$row ) {
    $link = $this->buildLink( $row );

    echo '<a href="'.$link.'"';
    if ( !empty( $this->onClick ) )
    {
        $onclick = $this->buildOnclick( &$row );
        echo ' onClick="return confirm(\''.$onclick.'\')"';
    } // end if   
    
    echo '>'. $this->linkText.'</a>';
#    return '<a href="'.$link.'">'. $this->linkText.'</a>';
}    
    
function buildLink (&$row) {
    $link = $this->linkTpl;
    if ( preg_match_all("/{\#([^#]+)\#}/", $this->linkTpl, $match) )
    {
        foreach($match[1] as $fieldName ) 
        {
            $link = str_replace("{#$fieldName#}", $row[$fieldName], $link);   
        }
    }
    return $link;
}

    
function buildOnclick (&$row) {
    $click = $this->onClick;
    if ( preg_match_all("/{\#([^#]+)\#}/", $this->onClick, $match) )
    {
        foreach($match[1] as $fieldName ) 
        {
            $click = str_replace("{#$fieldName#}", $row[$fieldName], $click);   
        }
    }
    return $click;
}

} // end class

//------------------------------------------------------------------------------
class Column_select_form extends TableColumn {

function dspCell( &$row ) {
?>
    <form name="selectForm_<?=$this->label?>_<?=$row->id?>" action="<?=$this->params['action']?>">
    <? 
    if ( !empty( $this->params['hidden'] )  )
    {
        foreach ( $this->params['hidden'] as $name=>$val )
        { ?>
        <input type="hidden" name="<?=$name?>" value="<?=$val?>">
<?      }
    } // end if

    if ( !empty( $this->params['send_fields'] )  )
    {
        foreach ( $this->params['send_fields'] as $name=>$val )
        { ?>
        <input type="hidden" name="<?=$name?>" value="<?=$row[$val]?>">
<?      }
    } // end if

    ?>
        <select name="<?=$this->params['select_name']?>" size="<?=(empty($this->params['select_size'])) ? '1' : $this->params['select_size'] ?>">
            <?=intranet::arraySelectOptions( $this->params['select_options'], $row[ $this->params['selected_field'] ])?>
        </select>

        <input type="submit" value="<?=(empty($this->params['button_label'])) ? 'submit' : $this->params['button_label'] ?>" <?=(empty($this->params['button_css_class'])) ? '' : ' class="'.$this->params['button_css_class'].'"' ?>>
    </form>
<?
}

}

//------------------------------------------------------------------------------

class Column_checkbox extends TableColumn {

function dspCell( &$row ) {
?>
    <input type="checkbox" name="<?=$this->params['name']?>" value="<?=$row[ $this->params['field'] ]?>">
<?
}

} // end class

//------------------------------------------------------------------------------
class Column_input_text extends TableColumn {
 
function dspCell ( &$row )
{
    if ( empty( $this->params['field'] ) )
    {
        trigger_error( 'Parmam[\'field\'] not passed', E_USER_WARN);   
    }
    $fld = $this->params['field'];
    
    $size = ( isset( $this->params['size'] ) ) ? $this->params['size'] : 12;
?>
<input type="text" name="<?=$this->params['field']?>" value="<?=$row[$fld]?>" size="<?=$size?>">
<?       
}

}

    //------------------------------------------------------------------------------ 
class Column_input_radio extends TableColumn 
{
    
function dspCell( &$row )
{    
    if ( empty( $this->params['field'] ) )
    {
        trigger_error( 'Parmam[\'field\'] not passed', E_USER_WARN);   
    }
    $fld = $this->params['field'];
    $choice = $this->params['choices'];
    
    foreach ( $choice as $value=>$option )
    {
        $sel = ( $value==$row[$fld] ) ? ' checked' : '';
?>
    <input type="radio" name="<?=$this->params['field']?>" value="<?=$value?>"<?=$sel?>><?=$option?><br />
<?      
    }
}

}
//------------------------------------------------------------------------------

class Column_input_select extends TableColumn 
{
    
function dspCell( &$row )
{    
    if ( empty( $this->params['field'] ) )
    {
        trigger_error( 'Parmam[\'field\'] not passed', E_USER_WARN);   
    }
    
    $mult = (isset( $this->params['mult'] )) ? 'multiple' : '';
    $size = (isset( $this->params['size'] )) ? $this->params['size'] : '1';
    
    $fld = $this->params['field'];
    $choice = $this->params['choices'];
    
?>

    <select name="<?=$this->params['field']?>" size="<?=$size?>" <?=$mult?>>
<?    
    foreach ( $choice as $value=>$option )
    {
     #   echo $value;
        $sel = ( $value==$row[$fld] ) ? ' selected' : '';
?>
        <option value="<?=$value?>" <?=$sel?>><?=$option?>
<?      
    } // end foreach
?>
    </select>
<?
}

}
//------------------------------------------------------------------------------
?>
