<?php
/**
* For working directly with Syntax Collections
*/
class TableOutput_CollectionHTML extends TableOutput {

function display()
{
    ob_start(); 
?>
    <table border="0" cellspacing="0" cellpadding="0" width="100%">
    <?=( $this->sortable) ? $this->dspSortHeader() : $this->dspHeader(); ?>  
    <?=$this->dspBody();?>
    </table>  
<?
    $c = ob_get_contents();    
    ob_end_clean();    
    
    if ( !empty( $this->table->_rowStyle ) )
    {
        $this->_altRow = count( $this->table->_rowStyle );
    }   
    return $c;    
}

function _dspPreColHead() {
    ob_start();     
    reset( $this->table->preCols );
    while ( list(,$colObj) = each ( $this->table->preCols ) )  
    { ?>    
        <th class="<?=$colObj->label?>"><?=$colObj->dspHeader()?></th>    
    <?
    } 
    $c = ob_get_contents();    
    ob_end_clean();    
    return $c;    
}

function _dspColHead() {
    ob_start();
    
    reset( $this->table->extraCols );
    while ( list(,$colObj) = each ( $this->table->extraCols ) )     
    
    {
?>
    <th class="<?=$colObj->getLabel()?> no_sort"><?=$colObj->dspHeader()?></th>
<?  } 
    $c = ob_get_contents();    
    ob_end_clean();    
    return $c;    
}    
/**
* Displays the header row for a regular HTML table.
*/
function dspHeader() {
	$cols = $this->table->getFieldCount();
    ob_start()
?>
    <tr>
<?
// Show the heading columns, TODO: makes them sortable.

    // pre-columns
    echo $this->_dspPreColHead();

	for ($i=0; $i<$cols; $i++)
	{
		$this->queryFields   [ $i ] = $this->table->getFieldName( $i );
        $this->queryFieldType[ $i ] = $this->table->getFieldType( $i );
        
		if ( ! $this->table->_isHiddenField( $this->queryFields[$i] ) )
		{
            $lbl = $this->table->_getFieldLabel( $this->queryFields[$i] );

            $width = '';
            if ( isset( $this->table->colWidth[ $this->queryFields[$i] ] ) )
            {
                $width = ' width="'.$this->table->colWidth[ $this->queryFields[$i] ].'"';
            } // end if
	?>
	<th<?=$width?> class="<?=$this->queryFields[$i]?>"><?=$lbl?></th>
<?		} // hide special fields
	}
    
    echo $this->_dspColHead();
?>    
</tr>
<?
    $c = ob_get_contents();
    ob_end_clean();
    return $c;
}    

/**
* Displays the header row for a regular HTML table.
*/
function dspSortHeader() {
	$cols = $this->table->getFieldCount();
    ob_start()
?>
    <tr>
<?
    // pre-columns
    echo $this->_dspPreColHead();

    // figure out some things based on what the orderby request is
    if ( isset( $_REQUEST['orderby'] ) ) 
    {
        if ( strpos( $_REQUEST['orderby'] , 'DESC' ) ) {
            $sortdir = 'DESC';
            $sortField = trim( substr( $_REQUEST['orderby'], 0, strpos( $_REQUEST['orderby'] , 'DESC' ) ) );    
        } else {
            $sortdir = 'ASC';
            $sortField = $_REQUEST['orderby'];            
        }        
    }
               
	for ($i=0; $i<$cols; $i++)
	{
		$this->queryFields   [ $i ] = $this->table->getFieldName( $i );
        $this->queryFieldType[ $i ] = $this->table->getFieldType( $i );
        
        $indicator = '';
        
		if ( ! $this->table->_isHiddenField( $this->queryFields[$i] ) )
		{
            $lbl = $this->table->_getFieldLabel( $this->queryFields[$i] );

            $width = '';
            if ( isset( $this->table->colWidth[ $this->queryFields[$i] ] ) )
            {
                $width = ' width="'.$this->table->colWidth[ $this->queryFields[$i] ].'"';
            } // end if
            
           if ( !isset( $_REQUEST['orderby'] ) )
           {
               // nothing sorted yet
               $sortParam = urlencode($this->queryFields[$i]);
               $indicator = 'able'; //makes th td of css class .sort_able
           } 
           else if ( $this->queryFields[$i] == $sortField )
           {
               // we sorted the current field
               if ( $sortdir == 'DESC' ) 
               {
                   $indicator = 'desc';
                   $sortParam = urlencode( $sortField );    
               } else {
                   $indicator = 'asc';
                   $sortParam = urlencode( $sortField.' DESC' );                   
               }
               
               
           } else {
               // we haven't sorted the current field
               $sortParam = urlencode($this->queryFields[$i]);
               $indicator = 'able'; //makes th td of css class .sort_able
           }
           
           // check if a query string is part of this url ( can't use $_SERVER['QURY_STRING']
           // because we might be rewriting stuff.
           
           $test = explode( '?', $_SERVER['REQUEST_URI'] );
           
           $qs = array();
           $sortLink = '';
           
           if ( !empty( $test[1] ) )           
           {   // we have an unhidden query string               
               $qparams = explode( '&', $test[1] );
               
               $addedOby = FALSE;
               reset( $qparams );
               while( list(,$pair) = each( $qparams ) )               
               {                
                    $comp = explode( '=', $pair );                    
                    if ( 'orderby' == $comp[0] ) 
                    {
                        $qs[] = 'orderby='.$sortParam;
                        $addedOby = TRUE;
                    } else {
                        $qs[] = $comp[0].'='.$comp[1];
                    }
               }
                   
               if ( !$addedOby  )
               {
                  $qs[] = 'orderby='.$sortParam;
               }
               
               $sortLink.='?'.implode( '&', $qs );
           } 
           else
           {
             // user's not seeing a query string
             $sortLink.='?orderby='.$sortParam;
           }
           
                   
   $thClass = !empty( $indicator ) ? "sort_{$indicator} " : '';
   $thClass.= $this->queryFields[$i];
   
           if ( $this->table->isSortable( $this->queryFields[$i] ) )
           {
?>
	<th<?=$width?> class="<?=$thClass?>"><a href="<?=$sortLink?>"><?=$lbl?></a></th>
<?php
           } else {
?>
	<th<?=$width?> class="<?=$thClass?>"><?=$lbl?></th>                      
<?php               
           } // if sortable
		} // hide special fields
	}
    
    echo $this->_dspColHead();
?>    
</tr>
<?
    $c = ob_get_contents();
    ob_end_clean();
    return $c;
}    

function dspBody() {
    ob_start();
    $i=0;
    $altStyles = count( $this->table->_rowStyle );
    while( $row = $this->table->getNextRecord() ) 
    {         
        $i++;
        if ( !empty( $this->table->_rowStyle ) )
        {
            $row_class =  ' class="'.$this->table->_rowStyle[ $i % $altStyles ].'"';
        } else {
            $row_class = '';
        }
?>
	<tr<?=$row_class?>>
<?php
            reset( $this->table->preCols );
            while( list(,$colObj) = each( $this->table->preCols ) )            
            { 
                ob_start();
                $colObj->dspCell( &$row );
                $output = ob_get_contents();
                $output= trim($output); 
                ob_end_clean();
                
                if ( ""==$output ) $output = '&nbsp;';
            
            ?><td valign="top" class="<?=strtolower($colObj->label)?>"><?=$output?></td>
<?php       } 
        
            reset( $this->queryFields );
            while( list( $index,$name) = each( $this->queryFields ) )            
            {
                if ( ! $this->table->_isHiddenField( $name ) )         
                { 
                    $value = $this->table->_getFieldValue( $this->queryFieldType[$index], $row[ $this->queryFields[$index] ], $name);    
                    if ( ""==$value) { $value = '&nbsp;'; }
            ?><td valign="top" class="<?=$this->queryFields[$index]?>"><?=$value?></td>
<?php          	}
            }         

            reset( $this->table->extraCols );
            while ( list(,$colObj) = each ( $this->table->extraCols ) )              
            { 
                ob_start();
                $colObj->dspCell( &$row );
                $output = ob_get_contents();
                $output= trim($output); 
                ob_end_clean();
                
                if ( ""==$output ) $output = '&nbsp;';
?>
          <td valign="top" class="<?=strtolower($colObj->label)?>"><?=$output?></td>
<?php
            }
?>
    </tr>
<?php
    } // end while
    $c = ob_get_contents();
    ob_end_clean();
    return $c;
}   

}
?>
