<?php
// $Id: pxdb_browser.class.php,v 1.1.1.1 2004/09/10 19:27:11 omerida Exp $
/**
* This is a utility class that provides information about the user browser
* platform and browser capabilities.
*
*/
class BrowserInfo 
{
    var $agent;
    var $version;
    var $platform;

    function BrowserInfo()
    {
        $this->detectBrowser();
        $this->detectPlatform();
    }

    function getAgent() 
    {
        return $this->agent;
    }

    function getVersion() 
    {
        return $this->version;
    }

    function getPlatform() 
    {
        return $this->platform;
    }

    function isMac() 
    {
        return ($this->getPlatform()=='Mac') ? true : false;
    }

    function isWindows() 
    {
        return ($this->getPlatform()=='Win') ? true : false; 
    }

    function isUnix()
    {
        return ($this->getPlatform()=='Unix') ? true : false;
    }

    function isLinux()
    {   
        return ($this->getPlatform()=='Linux') ? true : false;
    }

    function isUnknownPlatform()
    {   
        return ($this->getPlatform()=='Other') ? true : false;
    }

    function isIE() 
    {
        return ($this->getAgent()=='IE') ? true : false;
    }

    function isMozilla() 
    {
        return ($this->getAgent()=='MOZILLA') ? true : false;
    }

    function isNetscape() 
    {
        return $this->isMozilla();
    }

    function isOpera() 
    {
        return ($this->getAgent()=='OPERA') ? true : false;
    }
    
    function isUnknownBrowser()
    {
        return ($this->getAgent()=='OTHER') ? true : false;
    }

    function detectBrowser()
    {
        $BROWSER = $_SERVER['HTTP_USER_AGENT'];
        if (ereg( 'MSIE ([0-9].[0-9]{1,2})',$BROWSER,$log_version)) 
        {
            $this->version = $log_version[1];
            $this->agent = 'IE';
        } 
        elseif (ereg( 'Opera ([0-9].[0-9]{1,2})',$BROWSER,$log_version))
        {
            $this->version = $log_version[1];
            $this->agent = 'OPERA';
        } 
        elseif (ereg( 'Mozilla/([0-9].[0-9]{1,2})',$BROWSER,$log_version)) 
        {
            $this->version = $log_version[1];
            $this->agent = 'MOZILLA';
        } 
        else 
        {
            $this->version = 0;
            $this->agent = 'OTHER';
        }
    } // End detectBrowser()

    function detectPlatform()
    {
        $BROWSER = $_SERVER['HTTP_USER_AGENT'];
        if (strstr($BROWSER,'Win')) 
        {
            $this->platform = 'Win';
        } 
        else if (strstr($BROWSER,'Mac')) 
        {
            $this->platform = 'Mac';
        } 
        else if (strstr($BROWSER,'Linux')) 
        {
            $this->platform = 'Linux';
        } 
        else if (strstr($BROWSER,'Unix')) 
        {
            $this->platform = 'Unix';
        } 
        else 
        {
            $this->platform = 'Other';
        }
    } // End detectPlatform()

} // End class
?>
