<?php
// $Id: update_tags.php,v 1.1 2006/01/26 17:38:41 omerida Exp $
# --------------------------------------------------
# Start Plugin: Tag Extractor
#
# IN: $id, $type, $name, $db (ADOdb connection)
# OUT: $value
#
#if(is_string($value)) {
#	$value = strtolower($value);
#}
# --------------------------------------------------
# End Plugin	
/*
* ----------------------------------------------------------------------
* fullname
* Extracts tags from a field and saves them tag to record relationships
* in another table.  Requires one parameter named 'source' which should
* be a string field containing the list of tags.  You can also 
* specify a paramater named 'delimiter' with the tag delimiter.  If 
* ommited, it will use whitespace as the delimiter.
* ----------------------------------------------------------------------
* 
* input: 
*	$record pxdb_record object
* 	$db		is the ADOdb connection
*	$column is the column that is being generated
*	$datatype 	
* 	$record_id	
* 
* output: 
*	$value containing new generated value.
*/
if ( !isset($params['source']))
{
    trigger_error( '"source" parameter not set, specify field to save extracted urls in.', E_USER_ERROR );
}
$source = $params['source'];

$delimiter = (isset($params['delimiter']) ? $params['delimiter'] : "\s+");

pxdb_import( 'content.StxRecordTags' );

if ( null != $record->get_field($source) )
{
    $input = trim($record->get_field($source));
    if ( !empty($input) )
    {
        $new_tags = preg_split( "/$delimiter/", $input);
        
        $tags = new StxRecordTags();
        $tags->setRecordId( $record_id );
        $tags->getTagsFromString( $input, $delimiter );
        if ( !$tags->save() )
        {
            trigger_error( 'Error encountered saving tags', E_USER_ERROR );
        }
    }
}

// no need to actually store anything in records
$value = null;
?>
