<?php
# --------------------------------------------------
# Start Plugin: Resize Image
#
# IN: $id, $type, $name, $value, $db (ADOdb connection)
# OUT: $value
#
#
# This plugin doesn't actually change the $value property -- it just
# resizes the file on the filesystem.  (which then gets moved & renamed by later
# methods of the pxdb_commit class)

// $value is expected to be a hash of image properties
//
// $value['tmp'] -- the quasi-temporary full path (i.e. it's already been moved once)
// $value['type'] -- mime type.
// $value['name'] -- file name
// $value['size'] -- file size in bytes


// Set these to the max width and height

$IMG_WIDTH = 100;
$IMG_HEIGHT = 100;

// make sure $value contains a file -- AND that it's a JPEG
// OAM: 1/2005, also allow progressive jpegs
if ( $value['tmp'] && ( 'image/jpeg' == $value['type'] || 'image/pjpeg' == $value['type'] ) ) 
{

	
	// get original image information
		
	$img_orig_size = getimagesize($value['tmp']); 
	$img_orig_width = $img_orig_size[0]; 
	$img_orig_height = $img_orig_size[1]; 

	/*
	You could store the original image if it were important:

	$img_original = ImageCreateFromJpeg($value['tmp']);
	Imagejpeg($img_orgiginal, '/some/unique/path/orig_'.$value['name']);
	ImageDestroy($img_original);
	
	*/
	
		
	/*
	echo "
	Image Name: {$value['name']}<br>
	Width: $img_orig_width<br> 
	Height: $img_orig_height<br> 
	Max Image Size for Thumbnails: $IMG_WIDTH x $IMG_HEIGHT<br>";
	*/

	if($img_orig_width > $IMG_WIDTH || $img_orig_height > $IMG_HEIGHT) { 

		$mlt_w = $IMG_WIDTH / $img_orig_width; 
		$mlt_h = $IMG_HEIGHT / $img_orig_height; 
		$mlt = $mlt_w < $mlt_h ? $mlt_w:$mlt_h; 

		#### Calculate new dimensions 
		$img_new_width = round($img_orig_width * $mlt); 
		$img_new_height = round($img_orig_height * $mlt);


		$img_resized = ImageCreate($img_new_width, $img_new_height); 
		imagecopyresized($img_resized, ImageCreateFromJpeg($value['tmp']), 0 , 0 , 0 , 0, $img_new_width, $img_new_height, $img_orig_width, $img_orig_height); 

		# Overwrite	
		Imagejpeg($img_resized, $value['tmp']); 
		ImageDestroy($img_resized); 

		/*	echo "<b>Image Resized</b><br> 
			Width: $img_new_width<br> 
			Height: $img_new_height<br> 
			FileSize: ".filesize($value['tmp'])."(in bytes)<br>";
		*/

	} // if larger

} // if image & JPEG

# --------------------------------------------------
# End Plugin	
?>
