<?php

# --------------------------------------
# Start Plugin: Month & Year Select Widget
#
# IN: 	
#		$css_tag	Full CSS tag (e.g. 'class="error"' or 'style="font-family: Arial"')
#		$css_type	'style' vs. 'class'
#		$css_style	Style to use for the tag.
#		$db 		ADOdb connection
#		$params		Widget parameters
#
#		$form_name		[HTML] Form name.
#		$element_name	[HTML] Form element name (e.g. "pxdb[data][name]")
#		$name			Un-processed element name.
#		$id				Typesfield id (unique to this field).
#		$type			Type of field
#		$options		Options (for pick list)
#		$value			Current value(s)
#		$multiple		Whether or not this field has multiple values (for pick lists)
#		etc, etc. -- see pxdb_input and pxdb_widget class.
#
# OUT: $widget The HTML representing this form widget

$curr_year = date('Y'); // current year in YYYY format
$curr_mnth = date('n'); // current month in MM format (no zero padding)
    
if ($value) {
    list($date, $time)  = explode(' ', $value);
    list($year, $month) = explode('-', $date);
} else {
    $year = $curr_year;
    $month = $curr_mnth;
}

// Get parameters or set defaults
if ( isset( $params['start_year'] ) )
{
    $start_year = $params['start_year'];
}
else if ( isset( $params['minus_years'] ) )
{
    $start_year = date('Y') - $params['minus_years'];
}
else
{
    $start_year = date('Y') - 10;
}

$plus_years = (isset($params['plus_years'])) ? $params['plus_years'] : 10;
$day = (isset($params['day'])) ? $params['day'] : '01';

$jsname = str_replace('[','',$element_name);
$jsname = str_replace(']','',$jsname);

$default_date = "$year-$month-$day";

$mth_enum = array(  1  => 'January',
                    2  => 'February',
                    3  => 'March',
                    4  => 'April',
                    5  => 'May',
                    6  => 'June',
                    7  => 'July',
                    8  => 'August',
                    9  => 'September',
                    10 => 'October',
                    11 => 'November',
                    12 => 'December' );

$widget = "
    <script>
        function changeDate_$jsname( yearId, monthId, myForm ) 
        {
            var year_elt = document.getElementById( yearId );
            var year = year_elt.value;
            
            var month_elt = document.getElementById( monthId );
            var month = month_elt.value;
            
            var day = '1';
            var newValue = year + '-' + month + '-' + day;
            
            myField = myForm.elements[ '$element_name' ];
            myField.value = newValue;            
        }
    </script>
";

$onChange = 'changeDate_'.$jsname.'(\''.$jsname.'year\',\''.$jsname.'month\' , this.form);';

$widget .= "<input type=\"hidden\" name=\"$element_name\" value=\"$default_date\">\n";
$widget .= "<select name=\"".$jsname."month\" id=\"".$jsname."month\" onChange=\"$onChange\">\n";

for ($mnth=1; $mnth <= 12; $mnth++)
{
    $selected = ($mnth==$month) ? 'selected' : '';
    $widget .= "<option value=\"$mnth\" $selected>$mth_enum[$mnth]</option>\n";
}
$widget .= "</select>\n";
$widget .= '<select name="'.$jsname.'year" id="'.$jsname.'year" onChange="'.$onChange.'">'."\n";

for( $yr = $start_year; $yr<=$curr_year+$plus_years; $yr++ )
{
    $selected = ($year==$yr) ? 'selected' : '';
    $widget .= "<option value=\"$yr\" $selected>$yr</option>\n";    
}
$widget .= "</select>\n";
?>
