<?php

# --------------------------------------
# Start Plugin: Month & Year Select Widget
#
# IN: 	
#		$css_tag	Full CSS tag (e.g. 'class="error"' or 'style="font-family: Arial"')
#		$css_type	'style' vs. 'class'
#		$css_style	Style to use for the tag.
#		$db 		ADOdb connection
#		$params		Widget parameters
#
#		$form_name		[HTML] Form name.
#		$element_name	[HTML] Form element name (e.g. "pxdb[data][name]")
#		$name			Un-processed element name.
#		$id				Typesfield id (unique to this field).
#		$type			Type of field
#		$options		Options (for pick list)
#		$value			Current value(s)
#		$multiple		Whether or not this field has multiple values (for pick lists)
#       $plugin_info
#		etc, etc. -- see pxdb_input and pxdb_widget class.
#
# OUT: $widget The HTML representing this form widget
ob_start();

// echo $id;
// OAM : lookup relid from db

if ( empty( $plugin_info['params']['childrel'] ) )
{
    trigger_error( 'Widget param childrel is not set.', E_USER_WARNING );
} else {

    // now overwrite whats in the $data['options'] with only objects that 
    // are related to the current one

    $orderby = empty( $params['orderby'] ) ? 'name' : $orderby;

    $childrel = $plugin_info['params'][ 'childrel' ];
    $recid = $this->input->record_id;

    if ( empty( $recid ) )
    {
        // this must mean we are creating an object
        echo "n/a";
    } else {
        // two steps - first find what is related to this object 
        $rs = $db->execute( 'select relid from typesfields where id='.$id );
        $r = $rs->FetchRow();
        $relid =$r['relid'];

        $rs = $db->execute( 'select id2 from primaryrel where id1='.$recid.' and relid= '.$relid );

        while ( $r = $rs->FetchRow() ) 
        {
            $usedrels[] = $r['id2'];
        } // end while


        $sql = 'select r.id, r.name from records r'
              .' inner join primaryrel p on (p.id1='.$recid.' and p.id2=r.id and p.relid='.$childrel.')'
        ;
        if ( 0 < count( $usedrels) )
        {
            $sql.=' WHERE r.id not in ('.implode( ',' , $usedrels ).')';
        }
        $sql.=' order by '.$orderby
        ;

        $rs = $db->execute( $sql );


        $data['options'] = array();
        while ( $r = $rs->FetchRow( $rs ) )
        {
            $data['options'][] = array( 'label'=>$r['name'], 'value'=>$r['id'],  );
        }

        echo $this->_widget_primaryrel( $data );

    } // end if
}

$widget=ob_get_contents();
ob_end_clean(); 
?>