<?php
if ( !defined('DATATYPE_SECTION') )
{
    define ( 'DATATYPE_SECTION', 9 );   
}
# --------------------------------------
# Start Plugin: Pick from Sections
#
# IN: 	
#		$css_tag	Full CSS tag (e.g. 'class="error"' or 'style="font-family: Arial"')
#		$css_type	'style' vs. 'class'
#		$css_style	Style to use for the tag.
#		$db 		ADOdb connection
#		$params		Widget parameters
#
#		$form_name		[HTML] Form name.
#		$element_name	[HTML] Form element name (e.g. "pxdb[data][name]")
#		$name			Un-processed element name.
#		$id				Typesfield id (unique to this field).
#		$type			Type of field
#		$options		Options (for pick list)
#		$value			Current value(s)
#		$multiple		Whether or not this field has multiple values (for pick lists)
#       $plugin_info
#		etc, etc. -- see pxdb_input and pxdb_widget class.
#
# OUT: $widget The HTML representing this form widget
ob_start();

if ( empty( $plugin_info['params']['section'] ) )
{
    trigger_error( 'Widget param section is not set, idnum or urlpath of parent section to use.', E_USER_WARNING );
}
else 
{

    // now overwrite whats in the $data['options'] with only objects that 
    // are related to the current one

    $sect  = trim($plugin_info['params'][ 'section' ]);
    
    require_once( PXDB_PATH . '/../../syntaxcms/Section.class.php' );
    if ( FALSE !== strpos( $sect, '/' ) )
    {
        $section =& Section::getByUrlPath( $sect );
    }
    else
    {
        $section =& Section::getByUrlId();
    }
    
    
    // two steps - first find what is related to this object
    $sql = 'SELECT p.id, p.name'
          .' FROM records r'
          .' INNER JOIN noderel n on (n.parent=r.id)'
          .' INNER JOIN records p on (p.id=n.child and p.datatype='.DATATYPE_SECTION.')'
          ." WHERE r.id='".$section->get_id()."' and r.datatype=".DATATYPE_SECTION
          .' ORDER BY p.weight, p.name'
    ;

    $rs = $db->execute( $sql );


    $data['options'] = array();
    while ( $r = $rs->FetchRow( $rs ) )
    {
        $data['options'][] = array( 'label'=>$r['name'], 'value'=>$r['id'],  );
    }

    echo $this->_widget_primaryrel( $data );

} // end if

$widget=ob_get_contents();
ob_end_clean(); 
?>