<?php
# --------------------------------------
# Start Plugin: Rel Filtered Picker
# Allows users to filter/search through options for a relationship
#
# Available parameters:
# per_page: optional, records per page
# view: optional, view for the related object to use ( determines columns shown )

# you can send other parameters, if they match a field of the datatype
# you are picking, it will automatically be filtered to that field
#

#
# IN: 	
#		$css_tag	Full CSS tag (e.g. 'class="error"' or 'style="font-family: Arial"')
#		$css_type	'style' vs. 'class'
#		$css_style	Style to use for the tag.
#		$db 		ADOdb connection
#		$params		Widget parameters
#
#		$form_name		[HTML] Form name.
#		$element_name	[HTML] Form element name (e.g. "pxdb[data][name]")
#		$name			Un-processed element name.
#		$id				Typesfield id (unique to this field).
#		$type			Type of field
#		$options		Options (for pick list)
#		$value			Current value(s)
#		$multiple		Whether or not this field has multiple values (for pick lists)
#       $plugin_info
#		etc, etc. -- see pxdb_input and pxdb_widget class.
#
# OUT: $widget The HTML representing this form widget

ob_start();



// echo $id;
// OAM : lookup relid from db
// print_r ( $plugin_info['params'] );
$this_field = new pxdb_typesfield( $id );

if ( 'Y' == $this_field->get_mul() )
{
    $element_name = $element_name.'[]';
}

$pub_rel = pxdb::get_pxdb_www();
//defaults
$per_page  = !empty( $plugin_info['params']['per_page'] ) ? $plugin_info['params']['per_page'] : 12;
$this_element = "rel_picker_$id";
$pxdb_elt_id = md5( $element_name );

#echo '<pre>'; print_r( $this_field ); echo '</pre>';
?>

<script src="<?=$pub_rel?>/widgets/rel_filtered_picker/rel_filtered_picker.js"></script>
<?php 
//this is where we setup the display of the currently selected values
if ( !empty( $value ) ) 
{
    for( $i=0; $i<count($value); $i++)
    {
        if ( !empty( $value[$i] ) )
        {
            $Record = new pxdb_record( $value[$i] );
            $curVal[$value[$i]] = array ( 'id' => $value[$i], 'name'=>$Record->get_field( 'name' ) );
        }
    }    
    $remVisible = 'visible';
} else {
    $curVal[0] = array ( 'id' => null, 'name'=>'&nbsp;', 'img'=>null );
    $remVisible = 'hidden';
}

?>
<style>
.togglePickOn {
    background:center left no-repeat url(/admin/images/gnome_icons/stock_insert-image.png);
    height:35px;
    width:110px;
    padding-left:24px;
    
}

.togglePickOff {
    background:center left no-repeat url(/admin/images/gnome_icons/stock_calc-cancel.png);
    height:35px;
    width:110px;
    padding-left:24px;
    
}
</style>    
    <table border="0" cellspacing="0" cellpadding="3" id="<?=$this_element?>_name" style="border-collapse:collapse;">
    <tbody id="<?=$this_element?>_tbody">
<?php 
if ( !empty( $curVal) && is_array( $curVal ) )
{
    while( list( $val_id, $val_props) = each( $curVal ) )
    {
        $value_element = $pxdb_elt_id.'_'.$val_props['id'];
?>    
    <tr id="<?=$value_element?>_row">
        <td id="<?=$value_element?>_cell1">
            <span id="<?=$value_element?>_span"><?=$val_props['name']?></span></div>       
            <input type="hidden" id="<?=$value_element?>" name="<?=$element_name?>" value="<?=$val_props['id']?>">
        </td>    
        <td width="120" valign="top" id="<?=$value_element?>_cell2">
            <input type="button" id="<?=$value_element?>_clear" value="remove" onClick="rel_picker_clear( '<?=$value_element?>' );" style="visibility: <?=$remVisible?>;">
        </td>
                
    </tr>
<?php 
    }
}
?>    
    </tbody>
    </table></div>
    
    </td>
</tr>
<tr>
    <td colspan="2"><input class="togglePickOn" type="button" id="<?=$this_element?>_toggle" value="show picker" onClick="rel_picker_toggle_show( '<?=$this_element?>' );"><br /><iframe id="<?=$this_element?>_iframe" style="visibility: hidden; border: none; width:750px;" src="<?=$pub_rel?>/widgets/rel_filtered_picker/list.php?typesfield=<?=$id?>&per_page=<?=$per_page?>&element=<?=$this_element?>&pxdb_element=<?=urlencode($element_name)?>" width="750" height="0" class="ownRow"></iframe></td>

<?php
    // bulk of the work in this widget is done in the iframe above
$widget=ob_get_contents();
ob_end_clean(); 
?>
