<?php
$private_dir = realpath( dirname(__FILE__).'/../../../../../../' ) ;
$public_dir  = realpath( dirname(__FILE__).'/../../../../../../../public' ) ;

require( $private_dir.'/init/init.urls.php' );
require( $private_dir.'/init/init.pxdb.php' );

//echo '<pre>'; print_r( $_REQUEST ); echo '</pre>';

if ( empty( $_REQUEST['typesfield'] ) )
{
    trigger_error( 'no typesfield id passed', E_USER_ERROR );
}

$pub_rel = pxdb::get_pxdb_www();

$tfield = new pxdb_typesfield( $_REQUEST['typesfield'] ); 
/*
	* By convention the dt2 column contains the "related" datatypes.  This can include the current
	* datatype if it is so-specified in the relationships table.
    
    we'll assume that you don't usually want to relate to the same datatype.
    
    OAM 8/2/2004: actually we should revise that thinking and include the same datatype.
*/
$dtypes = array_unique( $tfield->get_related_datatypes($tfield->get_relid()) ) ;
//$dtypes = array_diff( $dtypes, array( $tfield->get_typeid() ) );

$cols = $_REQUEST['cols'];
$per_page = $_REQUEST['per_page'];
$max_width = $_REQUEST['max_width'];
$element = $_REQUEST['element'];
$pxdb_element = urldecode( $_REQUEST['pxdb_element'] );
$page = isset( $_REQUEST['page'] ) ? $_REQUEST['page'] : 1; 

// SETUP FILTERING AND COLLECTION
pxdb_import( 'content.output.pxdb_search' );
pxdb_import( 'content.output.pxdb_collection' );
$filter = &pxdb_search::filter( join(',' , $dtypes) );
$filter->set_show_unapproved( true );

if ( !empty( $_REQUEST['search'] ) )
{
    $regex_terms = pxdb_tools::get_search_terms(quotemeta($_REQUEST['search']), $prefix='(^|[^A-Za-z])', $suffix='($|[^A-Za-z])');
    $clean_terms = pxdb_tools::get_search_terms($_REQUEST['search']);        
    $filter->add_value( 'name', $regex_terms, 'REGEXP' );
}

$collection = new pxdb_collection( join(',' , $dtypes) );

// for clarity's sake, i'm using output buffering to include filters.php since
// that file has the potential to add values to $filter
ob_start();
    include ( dirname(__FILE__).'/filters.php' );
    $filters_html = ob_get_contents();
ob_end_clean();

$collection->find( $filter );
$rs = $collection->execute_page( $per_page, $page );

// SETUP TABLE OUTPUT
?>
<html>
    <head>
        <link rel="stylesheet" href="/admin/style.css" type="text/css">
    </head>
<body style="margin:0; padding:0;background-color:#efefef;">
    <table border="0" cellspacing="1" cellpadding="4" width="100%">
    <tr>
        <form action="" name="search_here" method="GET">
            <input type="hidden" name="typesfield" value="<?=$_REQUEST['typesfield']?>" />
            <input type="hidden" name="max_width" value="<?=$_REQUEST['max_width']?>" />
            <input type="hidden" name="cols" value="<?=$_REQUEST['cols']?>" />
            <input type="hidden" name="per_page" value="<?=$_REQUEST['per_page']?>" />
            <input type="hidden" name="element" value="<?=$_REQUEST['element']?>" />
            <input type="hidden" name="pxdb_element" value="<?=$_REQUEST['pxdb_element']?>" />
            <input type="text" name="search" value="<?=$_REQUEST['search']?>" style="width:200px" />

        <td valign="top" bgcolor="#cccccc">
            <b>Filter</b><br />
            <?=$filters_html?>
        </td>
        
        <td valign="top" bgcolor="#cccccc">
            <b>Search by Name</b> <br />
            &nbsp;&nbsp;<br /><br />
            <input type="submit" value="Find" style="width:80px" />
            
        </td>
        </form>

        <td valign="top" bgcolor="#cccccc" valign="bottom">
            <form action="" name="reset_here" method="GET">
                <input type="hidden" name="typesfield" value="<?=$_REQUEST['typesfield']?>" />
                <input type="hidden" name="max_width" value="<?=$_REQUEST['max_width']?>" />
                <input type="hidden" name="cols" value="<?=$_REQUEST['cols']?>" />
                <input type="hidden" name="per_page" value="<?=$_REQUEST['per_page']?>" />
                <input type="hidden" name="element" value="<?=$_REQUEST['element']?>" />      
                <input type="hidden" name="pxdb_element" value="<?=$_REQUEST['pxdb_element']?>" />
                <input type="submit" value="Reset Filters"  style="width:80px" />                
            </form>        
        </td>
        
        <td valign="bottom" width="20">&nbsp;</td>
        <td valign="bottom">
            <b>Page:</b>&nbsp;
            <form action="" name="paginate" method="GET">
                <input type="hidden" name="typesfield" value="<?=$_REQUEST['typesfield']?>" />
                <input type="hidden" name="max_width" value="<?=$_REQUEST['max_width']?>" />
                <input type="hidden" name="cols" value="<?=$_REQUEST['cols']?>" />
                <input type="hidden" name="per_page" value="<?=$_REQUEST['per_page']?>" />
                <input type="hidden" name="element" value="<?=$_REQUEST['element']?>" />          
                <input type="hidden" name="pxdb_element" value="<?=$_REQUEST['pxdb_element']?>" />
<?php 
if( !empty( $hidden_inputs ) )
{
    while ( list( $h_name, $h_value ) = each( $hidden_inputs ) )
    {
?>
                <input type="hidden" name="<?=$h_name?>" value="<?=$h_value?>">
<?php 
    }
}
?>                 
                <select name="page" style="width:40px;" onChange="document.forms['paginate'].submit()">
<?php                                 
                $pages = ceil( $rs->_maxRecordCount / $per_page );                
                
                for ( $i = 1; $i<=$pages; $i++ )
                {
?>
                    <option value="<?=$i?>"<?=($i==$page) ? ' selected' : ''?>><?=$i?>
<?php
                }
                
?>
                </select>
                <br />
                Displaying <?=$rs->_maxRecordCount?> images<br /> on <?=$pages?> pages.
            </form> 
        </td>
        
        
        

    </tr>
    <tr>
        <td valign="top" colspan="5">            
<?php
        include ( dirname(__FILE__).'/thumbnails.php' );
?>        
        </td>
    </tr>
    </table>
            
</body>

