<?php
$private_dir = realpath( dirname(__FILE__).'/../../../../../../' ) ;
$public_dir  = realpath( dirname(__FILE__).'/../../../../../../../public' ) ;

require( $private_dir.'/init/init.urls.php' );
require( $private_dir.'/init/init.pxdb.php' );

//echo '<pre>'; print_r( $_REQUEST ); echo '</pre>';

if ( empty( $_REQUEST['typesfield'] ) )
{
    trigger_error( 'no typesfield id passed', E_USER_ERROR );
}

$pub_rel  = pxdb::get_pxdb_www();
$tfield   = new pxdb_typesfield( $_REQUEST['typesfield'] ); 
$multiple = $tfield->get_mul();
/*
* By convention the dt2 column contains the "related" datatypes.  This can include the current
* datatype if it is so-specified in the relationships table.

we'll assume that you don't usually want to relate to the same datatype.

OAM 8/2/2004: actually we should revise that thinking and include the same datatype.
*/
$dtypes = array_unique( $tfield->get_related_datatypes($tfield->get_relid()) ) ;
//$dtypes = array_diff( $dtypes, array( $tfield->get_typeid() ) );

$widget = pxdb::parse_plugin( $tfield->get_widget() );

$params = $widget[ 'params' ];
$per_page = empty( $params['per_page'] ) ? 12 : $params['per_page'];

$element = $_REQUEST['element'];
$pxdb_element = urldecode( $_REQUEST['pxdb_element'] );
$page = isset( $_REQUEST['page'] ) ? $_REQUEST['page'] : 1;

$view_fields[ 'name' ] = array( 'label'=>'Name', 'type'=>'simple' );
$letter_filter = $params['letter_filter'];

if ( ! empty( $params['view'] ) )
{
    //clear default values
    $view_fields = array();
    pxdb_import( 'metadata.pxdb_view' );    
    
    if ( $pxdb_view =& pxdb_view::factory( $tfield->get_otype(), $params['view'] ) )
    {
        $fields = $pxdb_view->arr_viewfields();
        
        if ( 0 < count( $fields ) )
        {            
            while( list(,$vfield) = each( $fields ) )
            {                
                $view_tf = new pxdb_typesfield( $vfield['typesfield'] );
                $view_fields[ $view_tf->get_identifier() ] = array (
                    'label' => $vfield['label'],
                    'type'  => $view_tf->get_field_type()
                ); // end array
            }
         
        }
        else 
        {
            trigger_error( 'View '.$params['view'].' is empty.', E_USER_WARNING );
    
        }
    }
}   

$reserved_params = array( 'per_page', 'view', 'letter_filter' );

// figure out what params might map to the filtering of this field

if( !empty( $params ) )
{
    $param_keys = array_keys( $params );    
    $custom_params = array_diff( $param_keys, $reserved_params );
}

// SETUP FILTERING AND COLLECTION
pxdb_import( 'content.output.pxdb_search' );
pxdb_import( 'content.output.pxdb_collection' );
$filter =& pxdb_search::filter( join(',' , $dtypes) );
$filter->set_show_unapproved( true );

// oam disabled until i know how to combine a search with a filter
if ( isset( $_REQUEST['keywords'] ) && !empty( $_REQUEST['keywords'] ) )
{    
    $regex_terms = pxdb_tools::get_search_terms(quotemeta($_REQUEST['keywords']), $prefix='(^|[^A-Za-z])', $suffix='($|[^A-Za-z])');
    $clean_terms = pxdb_tools::get_search_terms($_REQUEST['keywords']);       
    
    $keyword_search =& pxdb_search::search( join(',' , $dtypes) );
    $keyword_search->set_value_conj('AND');
    $keyword_search->set_show_unapproved( true );
    
    // search all simple fields
    while( list( $view_col, $view_params ) = each ( $view_fields ) )
    {        
        if ( 'simple' == $view_params['type'] )
        {            
            $keyword_search->add_value( $view_col, $regex_terms, 'REGEXP', 'name' );
        }            
    }
        
    reset( $view_fields );
        
    $hidden_inputs[ 'keywords'] = $_REQUEST['keywords'];
}

// now we auto apply custom parameters
if ( !empty( $custom_params ) )
{    
    while( list( ,$my_param ) = each( $custom_params ) )
    {
        if( !empty( $my_param ) )
        {        
            $filter->add_value( $my_param, $params[ $my_param ] );
        }
    }
}
$collection = new pxdb_collection( join(',' , $dtypes) );

// for clarity's sake, i'm using output buffering to include filters.php since
// that file has the potential to add values to $filter
ob_start();
    include ( dirname(__FILE__).'/filters.php' );
    $filters_html = ob_get_contents();
ob_end_clean();

if ( !empty( $keyword_search ) )
{    
    // this gets us the keyword filtered results
    $collection->find( $keyword_search );

    // now we filter by otehr properties
    $collection->find($filter->filter_sql($collection->sql));    
}
else
{
    $collection->find( $filter );
}
 $rs = $collection->execute_page( $per_page, $page ); 

//echo $collection->get_sql();
// SETUP TABLE OUTPUT
?>
<html>
    <head>
        <link rel="stylesheet" href="/admin/style.css" type="text/css">
    </head>
<body style="margin:0; padding:0;background-color:#efefef;">
    <table border="0" cellspacing="1" cellpadding="4" width="100%">
    <tr>
        <form action="" name="search_here" method="GET">
            <input type="hidden" name="typesfield" value="<?=$_REQUEST['typesfield']?>" />
            <input type="hidden" name="max_width" value="<?=$_REQUEST['max_width']?>" />
            <input type="hidden" name="cols" value="<?=$_REQUEST['cols']?>" />
            <input type="hidden" name="per_page" value="<?=$_REQUEST['per_page']?>" />
            <input type="hidden" name="element" value="<?=$_REQUEST['element']?>" />
            <input type="hidden" name="pxdb_element" value="<?=$_REQUEST['pxdb_element']?>" />            

        <td valign="top" bgcolor="#cccccc" rowspan="2">
            <b>Filter</b><br />
            <?=$filters_html?>
        </td>
        
        <td valign="top" bgcolor="#cccccc">

        <b>Search fields using keywords:</b> <br />            
            <input type="text" name="keywords" value="<?=$_REQUEST['keywords']?>" style="width:200px" />
            <br /><br /> 
            <input type="submit" value="Find" style="width:80px" />
            
        </td>
        </form>

       
        
        <td valign="bottom" width="10" rowspan="2">&nbsp;</td>
        <td valign="bottom" rowspan="2">
            <b>Page:</b>&nbsp;
            <form action="" name="paginate" method="GET">
                <input type="hidden" name="typesfield" value="<?=$_REQUEST['typesfield']?>" />
                <input type="hidden" name="max_width" value="<?=$_REQUEST['max_width']?>" />
                <input type="hidden" name="cols" value="<?=$_REQUEST['cols']?>" />
                <input type="hidden" name="per_page" value="<?=$_REQUEST['per_page']?>" />
                <input type="hidden" name="element" value="<?=$_REQUEST['element']?>" />          
                <input type="hidden" name="pxdb_element" value="<?=$_REQUEST['pxdb_element']?>" />
<?php 
if( !empty( $hidden_inputs ) )
{
    while ( list( $h_name, $h_value ) = each( $hidden_inputs ) )
    {
?>
                <input type="hidden" name="<?=$h_name?>" value="<?=$h_value?>">
<?php 
    }
}
?>
                
                <select name="page" style="width:40px;" onChange="document.forms['paginate'].submit()">
<?php                                 
$pages = ceil( $rs->_maxRecordCount / $per_page );                

for ( $i = 1; $i<=$pages; $i++ )
{
?>
                    <option value="<?=$i?>"<?=($i==$page) ? ' selected' : ''?>><?=$i?>
<?php
}
                
?>
                </select>
                <br />
                Displaying <?=$rs->_maxRecordCount?> items<br /> on <?=$pages?> pages.
            </form> 
        </td>
    </tr>
    <tr>
     <td valign="top" bgcolor="#cccccc" valign="bottom">
            <form action="" name="reset_here" method="GET">
                <input type="hidden" name="typesfield" value="<?=$_REQUEST['typesfield']?>" />
                <input type="hidden" name="max_width" value="<?=$_REQUEST['max_width']?>" />
                <input type="hidden" name="cols" value="<?=$_REQUEST['cols']?>" />
                <input type="hidden" name="per_page" value="<?=$_REQUEST['per_page']?>" />
                <input type="hidden" name="element" value="<?=$_REQUEST['element']?>" />      
                <input type="hidden" name="pxdb_element" value="<?=$_REQUEST['pxdb_element']?>" />
                <input type="submit" value="Reset Filters"  style="width:80px" />                
            </form>        
        </td>
    </tr>
    <tr>
        <td valign="top" colspan="5">            
<?php
        include ( dirname(__FILE__).'/records.php' );
?>        
        </td>
    </tr>
    </table>
            
</body>

