<?php
require_once( dirname(__FILE__) . '/timeLibrary.php');

class simpleTimer extends timeLibrary
{

function simpleTimer()
	{
		$this->counter=1;
		$this->marker='mark_';
	}

function insert_mark($mark,$action)
	{
		return "<span style=\"color:red\">$mark: $action</span>";
	}

function calculate_time($start, $finish)
	{
		$start=timeLibrary::get_microtime($start);
		$finish=timeLibrary::get_microtime($finish);
		$total=timeLibrary::get_interval($start, $finish);
		$total=round($total,4);
		return $total;
	}

function start($label=NULL, $flag=NULL)
	{
		if (empty($label))
			$label=$this->marker.$this->counter;
		$this->start_times[$label]=microtime();
		if ($flag)
			return $this->insert_mark($label,"start");
	}

function finish($label=NULL, $flag=NULL, $display=NULL)
	{
		if (!isset($label) || $label=='')
		{
			$label=$this->marker.$this->counter;
			$this->counter++;
		}
		$this->finish_times[$label]=microtime();
		if ($display)
			$time=$this->get_times($label);
		if ($flag)
			return $this->insert_mark($label,"finish $time");
	}

function get_elapsed_time($label)
	{
		if (!isset($label))
			$label=$this->marker.$this->counter;
		$time= $this->calculate_time($this->start_times[$label], microtime());
		return $this->insert_mark($label,"interval $time");
	}

function get_times($label=NULL)
	{
		if (!empty($label))
		{
			// return only the time specified
			$time= $this->calculate_time($this->start_times[$label], $this->finish_times[$label]);
			return $time;
		}
		else
		{
			// we're returning everything we've got
			if (count($this->start_times) != count($this->finish_times))
			{
				echo "<br><span style=\"color:red\">Error!  Number of finish times does not equal start times! ".count($this->start_times)." starts | ".count($this->finish_times)." finishes</span></br>";
				return false;
			}
			else
			{
				foreach ($this->start_times as $label=>$start_time)
				{
					$time=$this->calculate_time($start_time, $this->finish_times[$label]);
					$times[$label]=$time;
				}
				return $times;
			} // end else
		} // end else
	} // end method

function return_times($label)
	{
		$times = $this->get_times($label);
		return($times);
	}

function display_times($label=NULL)
	{
		$times = $this->get_times($label);
		$output= "<p style=\"font-weight:bold\">";
		foreach ($times as $label=>$value)
		{
			$output.= $label.': <span style="color:blue">'.$value.'</span> sec<br>';
		}
		$output.= "</p>";
		echo $output;
	}
} // end class

?>