<?php
/**
* Deprecated. This is a class inspired by the binarycloud error class. 
* It abstracts PEAR_Error and provides some utility functions.
*
* In particular what is useful about this class is the fact that at the
* end of script execution the $errors array will contain *all* the errors
* that occurred in page execution.
* 
* Of course only some of these will be logged or [even rarer] displayed.
*
* Licensed under LGPL.
*
* @author alex black <enigma@turingstudio.com>
* @author Hans Lellelid <hans@forumone.com>
* @deprecated
* @package SyntaxCMS
*/
class Err
{
	
	/**
	* Stores errors.
	* @var array
	*/
    var $errors;

    /**
     * This is the public Method method,
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     */
    function Err() 
	{
        $this->errors=array();
        return true;
    }

	/**
	* ONE instance of this class.
	* @access public
	* @return object Err
	*/
	function &singleton()
	{
		static $instance;
		if(!isset($instance)) { $instance = new Err(); }
		return $instance;
	}


    /**
     * This is the public method NewError, it's the static
     * method used to return a new error object and log the
     * error to the stack in $Err->errors.
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     * @param array $params Array with various settings
     */		
    function &newError($params) 
	{

		$Err = &Err::singleton();

        $user_info = array(
                        /* 'type' => $params['type'], */
                         'source' => $params['source'],
                         'file' => $params['file'],
                         'line' => $params['line'],
                     );

        $obj = PEAR::raiseError($params['message'],$params['code'],null,null,$user_info,null,null);
        $ref =& $Err->addError($obj);			
		
       return $ref;
    }

    /**
     * This is the public method CheckError, it uses
     * PEAR::isError to check if the value passed is an
     * error object.
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     * @return  bool    true if error, false if not
     * @param object PEAR::Error &$obj
     */

    function checkError(&$obj) 
	{
        $result = PEAR::isError($obj);
        return $result;
    }

    /**
     * This is the public method AddError, it adds
     * an error object to the error stack.
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     * @param object PEAR::Error &$obj
     */

    function &addError(&$obj) 
	{
		$Err = &Err::singleton();
        array_push($Err->errors,$obj);
        $err_num = count($Err->errors)-1;
        $ref =& $Err->errors[$err_num];
        return $ref;
    }

	/**
	* Adds error to the log.
	* @param object PEAR::Error &$obj
	*/
	function logError(&$obj)
	{
		// Log error:
		Log::entry(F1_ERROR_LOG, Err::getCode($obj),Err::getFile($obj),Err::getLine($obj),Err::getMessage($obj));	
	}
	
    /**
     * This is the public method Destroy, it removes
     * an error object from the error stack.
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     * @param object PEAR::Error
     */

    function destroy(&$obj) 
	{
        $obj = null;
        return true;
    }

    /**
     * This is the public method GetMessage, it returns
     * the error message of the error object.
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     * @param object PEAR::Error &$obj
     */

    function getMessage(&$obj) 
	{
        return $obj->message;
    }

    /**
     * This is the public method GetCode, it returns
     * the code of the error object.
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     * @param object PEAR::Error &$obj
     */

    function getCode(&$obj) 
	{
        return $obj->code;
    }

    /**
     * This is the public method GetType, it returns
     * a reference to the error type of the error object.
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     * @param object PEAR::Error &$obj
     */

    function getType(&$obj) 
	{
        return $obj->userinfo['type'];
    }

    /**
     * This is the public method GetSource, it returns
     * a reference to the error source of the error object.
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     * @param object PEAR::Error &$obj
     */

    function getSource(&$obj) 
	{
        return $obj->userinfo['source'];
    }

    /**
     * This is the public method GetFile, it returns
     * a reference to the error file of the error object
     *
     * @author  alex black, enigma@turingstudio.com
     * @param object PEAR::Error &$obj
     * @access  public
     */

    function getFile(&$obj) {
        return $obj->userinfo['file'];
    }

    /**
     * This is the public method GetLine, it returns
     * a reference to the error line of the error object
     *
     * @author  alex black, enigma@turingstudio.com
     * @access  public
     * @param object PEAR::Error &$obj
     */

    function getLine(&$obj) 
	{
        return $obj->userinfo['line'];
    }
    
}

?>