<?php

include_once('Cache/Output.php');

/**
* A fix to Cache_Output class.
* Overrides the start() method to provide consistent buffering behavior -- 
* whether caching is on or off.
* @author Hans Lelleleid
* @access public
* @package SyntaxCMS
*/
class F1CMS_Cache extends Cache_Output {
     
    /**
    * starts the output buffering and returns an empty string or returns the cached output from the cache.
    *
    * @param    string  dataset ID
    * @param    string  cache group
    * @return   string  Cached data
    * @access   public
    */
    function start($id, $group = 'default')
    {

        if (!$this->caching)
        {
            ob_start();
            ob_implicit_flush(false);
           // WARNING: we need the output buffer - possible clashes            
            return '';
        }

        // this is already cached return it from the cache so that the user
        // can use the cache content and stop script execution
        if ($content = $this->get($id, $group))
        {
            return $content;
        }
        
       // WARNING: we need the output buffer - possible clashes
        ob_start();
        ob_implicit_flush(false);

        // remember some data to be able to fill the cache on calling end()
        $this->output_id = $id;
        $this->output_group = $group;
 
        return '';
    } // end func start

}

?>