<?php

include(dirname(__FILE__) . '/init/init.php');
// get a random ad from the database for current section, if defined.

$dbh =& pxdb::dbh();

srand((float) microtime() * 10000000);


// FILTERING
// ---------

$content_filter =& pxdb_search::filter(DATATYPE_AD_BANNER);

$content_filter->add_value('sunrise', DB_TIME_STAMP, '<=', null, false);
$content_filter->add_value('sunset', DB_TIME_STAMP, '>=', null, false);                
$content_filter->add_value('size', $Request->getVar('size'));

// restrict by section
if (null !== $Request->getVar('section'))
{
    // filter based on nodrel relationship to that section:		
    $section_filter =& pxdb_search::filter(DATATYPE_SECTION);
    $section_filter->add_value('id', $Request->getVar('section'));

    // restrict by featured
    if (null !== $Request->getVar('featured'))
    {
        $noderel_id = (true === $Request->getVar('featured')) ? NODEREL_SECTION_TO_FEATURED : NODEREL_SECTION_TO_CONTENT;
        
        $content_filter->add_parent($section_filter, $noderel_id);
    }
    else
    {
        $content_filter->add_parent($section_filter);
    }
}

$Records =& new AdBannerCollection();    
$Records->find($content_filter);    

// END FILTERING

if (false === $Records->execute())
{
    trigger_error('Error on locating ad', E_USER_WARNING);
}

// 1) featured and section-specific
if (!$Records->num_records())
{
    if (DEBUG)
    {
        trigger_error('No featured ads found, looking for un-featured.', E_USER_WARNING);
    }
    // 2) un-featured        
    $content_filter = $content_filter;
    if ( isset($sectionF) )
    {
        $content_filter->merge($sectionF); 
    }
    
    $Records->find($content_filter);
    $Records->execute();
    
    if (!$Records->num_records())
    {
        if (DEBUG)
        {
            trigger_error('No section-specific ads found, displaying nothing.', E_USER_WARNING);
        }
    }
    else
    {
        if (DEBUG)
        {
            trigger_error('Found ' . $Records->num_records() . ' ads.', E_USER_WARNING);
        }
    }
}
else
{
    if (DEBUG)
    {
        trigger_error('Found '.$Records->num_records().' featured ads.', E_USER_WARNING);
    }
}

if ($Records->num_records())
{
    // choose a random record
    $seek = rand(0, $Records->num_records() - 1);
    
    if (DEBUG)
    {
        trigger_error('[' . $Request->getVar('size') . '] Chose to display ad at position ' . $seek . ' (of ' . ($Records->num_records()-1) . ').', E_USER_WARNING);
    }
    
    $Records->rs->Move($seek);        
    $Record =& $Records->fetchRecord();        
    
    if ($Record->getImage()) 
    {
        $pxdb_prefs =& pxdb_prefs::singleton();        
        $pieces = pathinfo($Record->getImage());        
        $size = getimagesize( PXDB_FILESTORE_PATH . '/' . $pieces['basename']);
        $width = $size[0];
        $width = 120;    
        switch ($Request->getVar('size'))
        {
            case 'small':
                if ($width > 160)
                {
                    $width = 160;
                }
            break;
            
            case 'large':
                if ($width > 160)
                {
                    $width = 160;
                }
            break;
        }        
        
        include($MODULE_TPL_PATH . '/img.tpl');
    } // end if
}
?>