<?php

/**
* This is a skeleton class for a class that represents a record of type AdBanner
* You can use this in place of using the pxdb_record class directly.
*
* Provided are some rough guesses of methods you might want.  Customize & add as needed!
*
* Note that this class uses Camels Hump capitalization so that methods of this
* class can be easily distinguished from the all-lowercase methods of the parent
* classes.
*
* This class does not handle writing data to a record.  You could add this if you wanted,
* but that is not part of the pxdb_record functionality -- that is handled by the pxdb_commit
* (and often pxdb_input for form building) classes.
*
* This class provides methods for accessing record values.  You can use this class in 
* conjunction with the pxdb_collection class by either
* 
* 1) using the auto-generated AdBannerList class, which will return this object
* when you invoke the fetchRecord() method.  or
*
* 2) specify this object when you fetch a record from  pxdb_collection:
*	while($rec = &$content->fetch_record('AdBanner')) { 
*		print $rec->getName(); // e.g., not necessary a method of this class.
*	}
*
* @version 1.1
* @author DBasis :-)
*/
class AdBanner extends pxdb_record
{

	/**
	* Constructor. 
	* Calls parent constructor.
	* @param mixed $data Record ID or record row (array)
	*/
	function AdBanner($data=null)
	{
		parent::pxdb_record($data);
	}
	
	/**
	* Return the ID for the object.
	* This is "aliased" because of how frequently it is used.
	* @return integer ID
	*/
	function getID()
	{
		return parent::get_id();	
	}
	
	/**
	* Get the value for field `title`.
	* @return mixed Value or array of values.
	*/
	function getTitle()
	{		
		return $this->get_field('title');				
	}
	
	/**
	* Get the value for field `image`.
	* @return mixed Value or array of values.
	*/
	function getImage()
	{		
		return $this->get_field('image');				
	}
	
	/**
	* Get the value for field `alt_text`.
	* @return mixed Value or array of values.
	*/
	function getAltText()
	{		
		return $this->get_field('alt_text');				
	}
	
	/**
	* Get the value for field `url`.
	* @return mixed Value or array of values.
	*/
	function getUrl()
	{		
		return $this->get_field('url');				
	}
	
	/**
	* Get the value for field `size`.
	* @return mixed Value or array of values.
	*/
	function getSize()
	{		
		return $this->get_field('size');				
	}
	
	/**
	* Get the value for field `sunrise`.
	* @return mixed Value or array of values.
	*/
	function getSunrise()
	{		
		return $this->get_field('sunrise');				
	}
	
	/**
	* Get the value for field `sunset`.
	* @return mixed Value or array of values.
	*/
	function getSunset()
	{		
		return $this->get_field('sunset');				
	}
	
	/**
	* Get the value for field `featured`.
	* @return mixed Value or array of values.
	*/
	function getFeatured()
	{		
		return $this->get_field('featured');				
	}
	
	/**
	* Get whether or not `featured` is non-zero.
	* @return boolean True for non-zero value, false if zero.
	*/
	function isFeatured()
	{		
		if($this->get_field('featured')) { return true; } else { return false; }				
	}
	
} // end AdBanner class



?>
