<?php
/*
IMPORTANT NOTICE

This class definition file is autogenerated. You SHOULD NOT modify this code.
Instead always use a subclass of this class and add or override methods as
necessary.
*/

// Include class dependencies

    pxdb_import('content.output.pxdb_collection');
    pxdb_import('content.output.pxdb_record');
    pxdb_import('content.output.pxdb_search');

// Set up a constant to use in place of datatype number

    define('DATATYPE_RESOURCE', 12);

/**
* This is a collection class for of type Resource.
* This class extends pxdb_collection and provides object-specific methods which invoke
* parent generic methods.  This class provides some methods you might find useful --
* and more importantly, it provides a base from which you can build your own.
*
* IMPORTANT: You SHOULD NOT implement this class directly. It is an abstract class.
* Instead you should use the subclassed 'user' class.
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class AbstractResourceCollection extends pxdb_collection
{

    /**
    * Constructor.
    * Calls parent constructor and sets a default 'order by' value for the
    * results sets this class will produce.
    */
    function AbstractResourceCollection()
    {
        init();
    }
    
    /**
    * Initialization function
    * Called by subclasses to initialize the object
    */
    function init()
    {
        parent::pxdb_collection(DATATYPE_RESOURCE);
        // Default order will be the 'name' column
        // you can override this, of course
        $this->orderBy('name');
    }
    
    /**
    * Wrapper for parent's set_order method.
    * @param string $order Column to order by.
    */
    function orderBy($order)
    {
        return parent::set_order($order);
    }
    
    /**
    * Calls parent fetch_record class, specifying to use the Resource class.
    * @return object Resource    
    */
    function &fetchRecord()
    {
        return parent::fetch_record('Resource');
    }    
        
    /**
    * Find records matching `topic` pick list -- or finds all  sorted by topic.
    *
    * If the $topic parameter is left blank, it is assumed you want to find all of the
    *  records, organized (sorted) by topic.
    * @param mixed $topic Pick table `id` col -- or `name` col
    * @return void
    */
    function findByTopic($topic = null)
    {
        if (null === $topic)
        {
            $this->orderBy('topic, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_RESOURCE);
            $pickFilter->add_value('topic', $topic);
            $this->find($pickFilter);                 
        }
    }
        
    /**
    * Find records matching `issue` pick list -- or finds all  sorted by issue.
    *
    * If the $issue parameter is left blank, it is assumed you want to find all of the
    *  records, organized (sorted) by issue.
    * @param mixed $issue Pick table `id` col -- or `name` col
    * @return void
    */
    function findByIssue($issue = null)
    {
        if (null === $issue)
        {
            $this->orderBy('issue, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_RESOURCE);
            $pickFilter->add_value('issue', $issue);
            $this->find($pickFilter);                 
        }
    }
        
    /**
    * Find records matching `type` pick list -- or finds all  sorted by type.
    *
    * If the $type parameter is left blank, it is assumed you want to find all of the
    *  records, organized (sorted) by type.
    * @param mixed $type Pick table `id` col -- or `name` col
    * @return void
    */
    function findByType($type = null)
    {
        if (null === $type)
        {
            $this->orderBy('type, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_RESOURCE);
            $pickFilter->add_value('type', $type);
            $this->find($pickFilter);                 
        }
    }
} // end AbstractResourceCollection class

/**
* This is a skeleton class for a class that represents a record of type Resource* You can use this in place of using the pxdb_record class directly.
* It is an abstract class that SHOULD NOT be implemented directly. Instead you should
* use a subclass (such as the user skeleton class provided in DBasis).
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class AbstractResource extends pxdb_record
{

    /**
    * Constructor.
    * Calls parent constructor.
    * @param mixed $data Record ID or record row (array)
    */
    function AbstractResource($data = null)
    {
        init($data);
    }
    
    /**
    * Initialization method
    */
    function init($data)
    {
        parent::pxdb_record($data);
    }
    
    /**
    * Return the ID for the object.
    * This is "aliased" because of how frequently it is used.
    * @return integer ID
    */
    function getId()
    {
        return parent::get_id();    
    }
    /**
    * Get the value for field `title`.
    * @return mixed Value or array of values.
    */
    function getTitle()
    {       
        return $this->get_field('title');             
    }
    
    /**
    * Get the value for field `url`.
    * @return mixed Value or array of values.
    */
    function getUrl()
    {       
        return $this->get_field('url');             
    }
    
    /**
    * Get the value for field `source`.
    * @return mixed Value or array of values.
    */
    function getSource()
    {       
        return $this->get_field('source');             
    }
    
    /**
    * Get the value for field `date`.
    * @return mixed Value or array of values.
    */
    function getDate()
    {       
        return $this->get_field('date');             
    }
    
    /**
    * Get the value for field `summary`.
    * @return mixed Value or array of values.
    */
    function getSummary()
    {       
        return $this->get_field('summary');             
    }
    
    /**
    * Get the value for field `topic`.
    * @return mixed Value or array of values.
    */
    function getTopic()
    {       
        return $this->get_field('topic');             
    }
    
    /**
    * Get the value for field `issue`.
    * @return mixed Value or array of values.
    */
    function getIssue()
    {       
        return $this->get_field('issue');             
    }
    
    /**
    * Get the value for field `type`.
    * @return mixed Value or array of values.
    */
    function getType()
    {       
        return $this->get_field('type');             
    }
    
    /**
    * Get the value for field `details`.
    * @return mixed Value or array of values.
    */
    function getDetails()
    {       
        return $this->get_field('details');             
    }
    
    /**
    * Get the value for field `source2`.
    * @return mixed Value or array of values.
    */
    function getSource2()
    {       
        return $this->get_field('source2');             
    }
    
    /**
    * Get the value for field `url2`.
    * @return mixed Value or array of values.
    */
    function getUrl2()
    {       
        return $this->get_field('url2');             
    }
    
    /**
    * Get the value for field `source3`.
    * @return mixed Value or array of values.
    */
    function getSource3()
    {       
        return $this->get_field('source3');             
    }
    
    /**
    * Get the value for field `url3`.
    * @return mixed Value or array of values.
    */
    function getUrl3()
    {       
        return $this->get_field('url3');             
    }
    
    /**
    * Get the value for field `source4`.
    * @return mixed Value or array of values.
    */
    function getSource4()
    {       
        return $this->get_field('source4');             
    }
    
    /**
    * Get the value for field `url4`.
    * @return mixed Value or array of values.
    */
    function getUrl4()
    {       
        return $this->get_field('url4');             
    }
    
    /**
    * Get the value for field `source5`.
    * @return mixed Value or array of values.
    */
    function getSource5()
    {       
        return $this->get_field('source5');             
    }
    
    /**
    * Get the value for field `url5`.
    * @return mixed Value or array of values.
    */
    function getUrl5()
    {       
        return $this->get_field('url5');             
    }
    
    /**
    * Get the value for field `sunrise`.
    * @return mixed Value or array of values.
    */
    function getSunrise()
    {       
        return $this->get_field('sunrise');             
    }
    
    /**
    * Get the value for field `sunset`.
    * @return mixed Value or array of values.
    */
    function getSunset()
    {       
        return $this->get_field('sunset');             
    }
    
    /**
    * Get the value for field `image`.
    * @return mixed Value or array of values.
    */
    function getImage()
    {       
        return $this->get_field('image');             
    }
    
    /**
    * Get the value for field `featured`.
    * @return mixed Value or array of values.
    */
    function getFeatured()
    {       
        return $this->get_field('featured');             
    }
    
    /**
    * Get whether or not `featured` is non-zero.
    * @return boolean True for non-zero value, false if zero.
    */
    function isFeatured()
    {       
        if ($this->get_field('featured'))
        {
             return true;
        }
        else
        {
            return false;
        }             
    }
    
    /**
    * Get the value for field `members_only`.
    * @return mixed Value or array of values.
    */
    function getMembersOnly()
    {       
        return $this->get_field('members_only');             
    }
    
    /**
    * Get whether or not `members_only` is non-zero.
    * @return boolean True for non-zero value, false if zero.
    */
    function isMembersOnly()
    {       
        if ($this->get_field('members_only'))
        {
             return true;
        }
        else
        {
            return false;
        }             
    }
    

} // end AbstractResource class


// Register this class as the pxdb_record class to use for datatype DATATYPE_RESOURCE
pxdb::register_class('Resource', 'pxdb_record', DATATYPE_RESOURCE);

/**
* This is a collection class for objects of type Resource.
*
* This class extends the abstract class which in turn extends the pxdb_collection
* and provides object-specific methods which invoke
* parent generic methods.  This class provides some methods you might find useful --
* and more importantly, it provides a base from which you can build your own.
*
* Note that this class uses CamelHump capitalization so that methods of this
* class can be easily distinguished from the all-lowercase methods of the parent
* classes.
*
* Here's an example of how to use these classes (with hypothetical user functions):
*
* $resource_collection = new ResourceCollection();
* $resource_collection->findByAuthor($user->get_uid()); // current logged-in user's id.
*
* while ($Record =& $resource_collection->fetchRecord())
* {
*   // fetchRecord() returns a Resource object --
*   // which extends the pxdb_record object and provides individual methods
*   // for getting attributes.
*   print "<br>".$Record->getTitle();
* }
*
* If you need to only get a subset or a paged version of the query, you will
* want to execute the query manually (otherwise default execute() is run when
* you fetchRecord()).
*
* $resource_collection->execute_page($rows_per_page, $current_page);
* while ($Record =& $resource_collection->fetchRecord())
* {
* ...
* OR
* $resource_collection->execute_limit($num_rows);
* while ($Record =& $resource_collection->fetchRecord())
* {
* ...
*
* Remember also that the ADOdb recordset is returned from the ->execute() method.
* $rs  =& $resource_collection->execute();
* print "Rows found: ".$rs->RecordCount();
* while (!$rs ->EOF)
* {
*   print "Document name: ".$rs->fields['name'];
*   $rs->MoveNext();
* }
*
* @version build_user_class 1.2
* @author AutoGenerated (DBasis)
*/

class ResourceCollection extends AbstractResourceCollection
{
    /**
    * Constructor.
    * Calls parent constructor
    * results sets this class will produce.
    */
    function ResourceCollection()
    {
        parent::init();
    }
    
} // end ResourceCollection class

/**
* This is a skeleton class for a class that represents a record of type Resource* You can use this in place of using the pxdb_record class directly.
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class Resource extends AbstractResource
{
    /**
    * Constructor.
    * Calls parent constructor.
    * @param mixed $data Record ID or record row (array)
    */
    function Resource($data = null)
    {
        parent::init($data);
    }
    
    /**
    * Initialization method
    */
    function init($data)
    {
        parent::pxdb_record($data);
    }
    
} // end AbstractResource class

?>