<?php
/*
IMPORTANT NOTICE

This class definition file is autogenerated. You SHOULD NOT modify this code.
Instead always use a subclass of this class and add or override methods as
necessary.
*/

// Include class dependencies

    pxdb_import('content.output.pxdb_collection');
    pxdb_import('content.output.pxdb_record');
    pxdb_import('content.output.pxdb_search');

// Set up a constant to use in place of datatype number

    define('DATATYPE_BLOG_POST', 23);

/**
* This is a collection class for of type BlogPost.
* This class extends pxdb_collection and provides object-specific methods which invoke
* parent generic methods.  This class provides some methods you might find useful --
* and more importantly, it provides a base from which you can build your own.
*
* IMPORTANT: You SHOULD NOT implement this class directly. It is an abstract class.
* Instead you should use the subclassed 'user' class.
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class AbstractBlogPostCollection extends pxdb_collection
{

    /**
    * Constructor.
    * Calls parent constructor and sets a default 'order by' value for the
    * results sets this class will produce.
    */
    function AbstractBlogPostCollection()
    {
        $this->init();
    }
    
    /**
    * Initialization function
    * Called by subclasses to initialize the object
    */
    function init()
    {
        parent::pxdb_collection(DATATYPE_BLOG_POST);
        // Default order will be the 'name' column
        // you can override this, of course
        $this->orderBy('name');
    }
    
    /**
    * Wrapper for parent's set_order method.
    * @param string $order Column to order by.
    */
    function orderBy($order)
    {
        return parent::set_order($order);
    }
    
    /**
    * Calls parent fetch_record class, specifying to use the BlogPost class.
    * @return object BlogPost    
    */
    function &fetchRecord()
    {
        return parent::fetch_record('BlogPost');
    }    
        
    /**
    * Find records matching `topics` pick list -- or finds all Blog post sorted by topics.
    *
    * If the $topics parameter is left blank, it is assumed you want to find all of the
    * Blog post records, organized (sorted) by topics.
    * @param mixed $topics Pick table `id` col -- or `name` col
    * @return void
    */
    function findByTopics($topics = null)
    {
        if (null === $topics)
        {
            $this->orderBy('topics, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_BLOG_POST);
            $pickFilter->add_value('topics', $topics);
            $this->find($pickFilter);                 
        }
    }
} // end AbstractBlogPostCollection class

/**
* This is a skeleton class for a class that represents a record of type BlogPost* You can use this in place of using the pxdb_record class directly.
* It is an abstract class that SHOULD NOT be implemented directly. Instead you should
* use a subclass (such as the user skeleton class provided in DBasis).
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class AbstractBlogPost extends pxdb_record
{

    /**
    * Constructor.
    * Calls parent constructor.
    * @param mixed $data Record ID or record row (array)
    */
    function AbstractBlogPost($data = null)
    {
        init($data);
    }
    
    /**
    * Initialization method
    */
    function init($data)
    {
        parent::pxdb_record($data);
    }
    
    /**
    * Return the ID for the object.
    * This is "aliased" because of how frequently it is used.
    * @return integer ID
    */
    function getId()
    {
        return parent::get_id();    
    }
    /**
    * Get the value for field `name`.
    * @return mixed Value or array of values.
    */
    function getName()
    {       
        return $this->get_field('name');             
    }
    
    /**
    * Get the value for field `intro`.
    * @return mixed Value or array of values.
    */
    function getIntro()
    {       
        return $this->get_field('intro');             
    }
    
    /**
    * Get the value for field `content`.
    * @return mixed Value or array of values.
    */
    function getContent()
    {       
        return $this->get_field('content');             
    }
    
    /**
    * Get the value for field `topics`.
    * @return mixed Value or array of values.
    */
    function getTopics()
    {       
        return $this->get_field('topics');             
    }
    
    /**
    * Get the value for field `sunrise`.
    * @return mixed Value or array of values.
    */
    function getSunrise()
    {       
        return $this->get_field('sunrise');             
    }
    
    /**
    * Get the value for field `sunset`.
    * @return mixed Value or array of values.
    */
    function getSunset()
    {       
        return $this->get_field('sunset');             
    }
    

} // end AbstractBlogPost class


?>
