<?php

// Include class file for base abstract class
require_once(dirname(__FILE__) . "/AbstractBlogPost.class.php");

// Register this class as the pxdb_record class to use for datatype DATATYPE_BLOG_POST
pxdb::register_class('BlogPost', 'pxdb_record', DATATYPE_BLOG_POST);

/**
* This is a collection class for objects of type BlogPost.
*
* This class extends the abstract class which in turn extends the pxdb_collection
* and provides object-specific methods which invoke
* parent generic methods.  This class provides some methods you might find useful --
* and more importantly, it provides a base from which you can build your own.
*
* Note that this class uses CamelHump capitalization so that methods of this
* class can be easily distinguished from the all-lowercase methods of the parent
* classes.
*
* Here's an example of how to use these classes (with hypothetical user functions):
*
* $blogpost_collection = new BlogPostCollection();
* $blogpost_collection->findByAuthor($user->get_uid()); // current logged-in user's id.
*
* while ($Record =& $blogpost_collection->fetchRecord())
* {
*   // fetchRecord() returns a BlogPost object --
*   // which extends the pxdb_record object and provides individual methods
*   // for getting attributes.
*   print "<br>".$Record->getTitle();
* }
*
* If you need to only get a subset or a paged version of the query, you will
* want to execute the query manually (otherwise default execute() is run when
* you fetchRecord()).
*
* $blogpost_collection->execute_page($rows_per_page, $current_page);
* while ($Record =& $blogpost_collection->fetchRecord())
* {
* ...
* OR
* $blogpost_collection->execute_limit($num_rows);
* while ($Record =& $blogpost_collection->fetchRecord())
* {
* ...
*
* Remember also that the ADOdb recordset is returned from the ->execute() method.
* $rs  =& $blogpost_collection->execute();
* print "Rows found: ".$rs->RecordCount();
* while (!$rs ->EOF)
* {
*   print "Document name: ".$rs->fields['name'];
*   $rs->MoveNext();
* }
*
* @version build_user_class 1.2
* @author AutoGenerated (DBasis)
*/

class BlogPostCollection extends AbstractBlogPostCollection
{
    /**
    * Constructor.
    * Calls parent constructor
    * results sets this class will produce.
    */
    function BlogPostCollection()
    {
        parent::init();
    }
    
} // end BlogPostCollection class

/**
* This is a skeleton class for a class that represents
* a record of type BlogPost* You can use this in place of using the pxdb_record class directly.
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class BlogPost extends AbstractBlogPost
{
    /**
    * Constructor.
    * Calls parent constructor.
    * @param mixed $data Record ID or record row (array)
    */
    function BlogPost($data = null)
    {
        parent::init($data);
    }
    
    /**
    * Initialization method
    */
    function init($data)
    {
        parent::pxdb_record($data);
    }
    
} // end AbstractBlogPost class


?>
