<?php
require_once( dirname(__FILE__) . '/BlogPost.class.php' );
require_once( dirname(__FILE__) . '/BlogComment.class.php' );
/*
* Sends a notification email to everyone who is subscribed
*/
class CommentNotifier
{
    /*
    * Blog Post object
    */
    var $post;
    
    /*
    * Comments collection of subscribers
    */
    var $subscribers;
        
    /**
    * Comment object
    */
    var $comment;
    
    function CommentNotifier( $post_id, $comment_id )
    {
        $this->getPost( $post_id );
        $this->getComment( $comment_id );
        $this->getSubs();
        
    }
    
    function getPost( $post_id )
    {
       $this->post = new BlogPost( $post_id );
    }
    
    function getComment( $comment_id )
    {
        $this->comment = new BlogComment( $comment_id );
    }
    
    function getSubs()
    {   
        // recent poster's email
        $poster = $this->comment->getEmail();
        
        $BlogCommentFilter =& pxdb_search::filter(DATATYPE_BLOG_COMMENT);
        $BlogCommentFilter->add_value('parent_post', $this->post->get_id() );
        $BlogCommentFilter->add_value('subscribe', 1 );
        $BlogCommentFilter->add_value('email', $poster, '<>' );
        
        $subscribers = new BlogCommentCollection();
        $subscribers->find($BlogCommentFilter);
        $subscribers->execute();
        
        
        
        // get a unique list of subscribers by email address
        while ( $sub = $subscribers->fetch_record() )
        {
            $this->subscribers[ trim($sub->getEmail() ) ] = $sub->getName();
        }
        
    }
    
    function send()
    {
        if ( 0 < count( $this->subscribers ) )
        {
            $subj = 'New comment on '.strip_tags($this->post->getName());
            
            $msg = "A new comment has been posted to ".$this->post->getName().' at'
                  .' <http://'.$_SERVER['SERVER_NAME'].'/content/blog/detail/'.$this->post->getId()."/>"
                  ."\n\nYou are receiving this notification because you have left a comment on this post"
                  ." and indicated you wanted to subcribe to future comments."
                  ."\n\nThis is an automated message, please do not reply to this address.";
            $msg = wordwrap( $msg, 65 );
            
            while( list( $email, $name ) = each( $this->subscribers ) )
            {
                $new_msg = "$name,\n\n".$msg;
                mail( $email, $subj, $new_msg, "From: auto@".$_SERVER['SERVER_NAME']."\n" );
            }
        }
    }
}
?>
