<?php
// Include module-specific init file.
include(dirname(__FILE__) . '/init/init.php');

        
$filter =& pxdb_search::filter(DATATYPE_BLOG_COMMENT);

// filter by sunrise/sunset (string is already quoted)
$filter->add_value('sunset', DB_TIME_STAMP, '>=', null, false);
$filter->add_value('sunrise', DB_TIME_STAMP, '<=', null, false);

// filter by Anonymous (boolean) if needed
if (null !== $Request->getVar('anonymous'))
{
    $filter->add_value('anonymous', $Request->getVar('anonymous'));
}        
            
// filter by Country (pick) if needed
if (null !== $Request->getVar('country'))
{
    $filter->add_value('country', $Request->getVar('country'));
}        
            
// filter by Parent_post (primaryrel) if needed
if (null !== $Request->getVar('parent_post'))
{
    $filter->add_value('parent_post', $Request->getVar('parent_post'));
}        
            
// filter by section if needed
if (null !== $Request->getVar('in_section'))
{
    // add to main filter
    $filter->add_parent($Request->getVar('in_section'));
}

// create collection
$Records = new BlogCommentCollection();

        
if ($Request->getVar('orderby'))
{
    $Records->set_order($Request->getVar('orderby'));
}
else
{
    // set a default order by, usually sunrise
    $Records->set_order('sunrise');
} // end if

// bind the filter first
$Records->find($filter);

// limit recordset results
if (null !== $Request->getVar('limit'))
{
    if (false === $Records->execute_limit($Request->getVar('limit')))
    {
        trigger_error('Execute Limit failed', E_USER_WARNING);
    }    
} // paginate recordset
else if (null !== $Request->getVar('page_no') && null !== $rows_per_page)
{
    if (false === $Records->execute_page($rows_per_page, $Request->getVar('current_page')))
    {
        trigger_error('Execute Page failed', E_USER_WARNING);
    }
// show all records    
}
else
{
    $Records->execute();
}

// generate output
if (!$Request->isIncluded())
{
    include_once(SITE_TPL_PATH . '/header.tpl');
} // end if included

// if there are no records do not output anything at all.
if (0 < $Records->num_records())
{
    if (null !== $Request->getVar('template'))
    {    
        include($MODULE_TPL_PATH . '/' . $Request->getVar('template') . '.tpl');
    }
    else
    {
        include($MODULE_TPL_PATH . '/comments.tpl');
    } // end if no template var
} // end if no records

if (!$Request->isIncluded())
{    
    include_once(SITE_TPL_PATH . '/footer.tpl');
} // end if included

?>
