<?php
/*
IMPORTANT NOTICE

This class definition file is autogenerated. You SHOULD NOT modify this code.
Instead always use a subclass of this class and add or override methods as
necessary.
*/

// Include class dependencies

pxdb_import('content.output.pxdb_collection');
pxdb_import('content.output.pxdb_record');
pxdb_import('content.output.pxdb_search');

// Set up a constant to use in place of datatype number

define('DATATYPE_EVENT', 11);
/**
* This is a collection class for of type Event.
* This class extends pxdb_collection and provides object-specific methods which invoke
* parent generic methods.  This class provides some methods you might find useful --
* and more importantly, it provides a base from which you can build your own.
*
* IMPORTANT: You SHOULD NOT implement this class directly. It is an abstract class.
* Instead you should use the subclassed 'user' class.
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class AbstractEventCollection extends pxdb_collection
{

    /**
    * Constructor.
    * Calls parent constructor and sets a default 'order by' value for the
    * results sets this class will produce.
    */
    function AbstractEventCollection()
    {
        $this->init();
    }
    
    /**
    * Initialization function
    * Called by subclasses to initialize the object
    */
    function init()
    {
        parent::pxdb_collection(DATATYPE_EVENT);
        // Default order will be the 'name' column
        // you can override this, of course
        $this->orderBy('name');
    }
    
    /**
    * Wrapper for parent's set_order method.
    * @param string $order Column to order by.
    */
    function orderBy($order)
    {
        return parent::set_order($order);
    }
    
    /**
    * Calls parent fetch_record class, specifying to use the Event class.
    * @return object Event    
    */
    function &fetchRecord()
    {
        return parent::fetch_record('Event');
    }    
        
    /**
    * Find records matching `type` pick list -- or finds all Event sorted by type.
    *
    * If the $type parameter is left blank, it is assumed you want to find all of the
    * Event records, organized (sorted) by type.
    * @param mixed $type Pick table `id` col -- or `name` col
    * @return void
    */
    function findByType($type = null)
    {
        if (null === $type)
        {
            $this->orderBy('type, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_EVENT);
            $pickFilter->add_value('type', $type);
            $this->find($pickFilter);                 
        }
    }
        
    /**
    * Find records matching `topic` pick list -- or finds all Event sorted by topic.
    *
    * If the $topic parameter is left blank, it is assumed you want to find all of the
    * Event records, organized (sorted) by topic.
    * @param mixed $topic Pick table `id` col -- or `name` col
    * @return void
    */
    function findByTopic($topic = null)
    {
        if (null === $topic)
        {
            $this->orderBy('topic, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_EVENT);
            $pickFilter->add_value('topic', $topic);
            $this->find($pickFilter);                 
        }
    }
        
    /**
    * Find records matching `issue` pick list -- or finds all Event sorted by issue.
    *
    * If the $issue parameter is left blank, it is assumed you want to find all of the
    * Event records, organized (sorted) by issue.
    * @param mixed $issue Pick table `id` col -- or `name` col
    * @return void
    */
    function findByIssue($issue = null)
    {
        if (null === $issue)
        {
            $this->orderBy('issue, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_EVENT);
            $pickFilter->add_value('issue', $issue);
            $this->find($pickFilter);                 
        }
    }
} // end AbstractEventCollection class

/**
* This is a skeleton class for a class that represents a record of type Event* You can use this in place of using the pxdb_record class directly.
* It is an abstract class that SHOULD NOT be implemented directly. Instead you should
* use a subclass (such as the user skeleton class provided in DBasis).
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class AbstractEvent extends pxdb_record
{

    /**
    * Constructor.
    * Calls parent constructor.
    * @param mixed $data Record ID or record row (array)
    */
    function AbstractEvent($data = null)
    {
        init($data);
    }
    
    /**
    * Initialization method
    */
    function init($data)
    {
        parent::pxdb_record($data);
    }
    
    /**
    * Return the ID for the object.
    * This is "aliased" because of how frequently it is used.
    * @return integer ID
    */
    function getId()
    {
        return parent::get_id();    
    }
    /**
    * Get the value for field `title`.
    * @return mixed Value or array of values.
    */
    function getTitle()
    {       
        return $this->get_field('title');             
    }
    
    /**
    * Get the value for field `start_date`.
    * @return mixed Value or array of values.
    */
    function getStartDate()
    {       
        return $this->get_field('start_date');             
    }
    
    /**
    * Get the value for field `end_date`.
    * @return mixed Value or array of values.
    */
    function getEndDate()
    {       
        return $this->get_field('end_date');             
    }
    
    /**
    * Get the value for field `url`.
    * @return mixed Value or array of values.
    */
    function getUrl()
    {       
        return $this->get_field('url');             
    }
    
    /**
    * Get the value for field `organiser`.
    * @return mixed Value or array of values.
    */
    function getOrganiser()
    {       
        return $this->get_field('organiser');             
    }
    
    /**
    * Get the value for field `location`.
    * @return mixed Value or array of values.
    */
    function getLocation()
    {       
        return $this->get_field('location');             
    }
    
    /**
    * Get the value for field `location_city`.
    * @return mixed Value or array of values.
    */
    function getLocationCity()
    {       
        return $this->get_field('location_city');             
    }
    
    /**
    * Get the value for field `location_country`.
    * @return mixed Value or array of values.
    */
    function getLocationCountry()
    {       
        return $this->get_field('location_country');             
    }
    
    /**
    * Get the value for field `description`.
    * @return mixed Value or array of values.
    */
    function getDescription()
    {       
        return $this->get_field('description');             
    }
    
    /**
    * Get the value for field `type`.
    * @return mixed Value or array of values.
    */
    function getType()
    {       
        return $this->get_field('type');             
    }
    
    /**
    * Get the value for field `image`.
    * @return mixed Value or array of values.
    */
    function getImage()
    {       
        return $this->get_field('image');             
    }
    
    /**
    * Get the value for field `contact`.
    * @return mixed Value or array of values.
    */
    function getContact()
    {       
        return $this->get_field('contact');             
    }
    
    /**
    * Get the value for field `contact_email`.
    * @return mixed Value or array of values.
    */
    function getContactEmail()
    {       
        return $this->get_field('contact_email');             
    }
    
    /**
    * Get the value for field `contact_phone`.
    * @return mixed Value or array of values.
    */
    function getContactPhone()
    {       
        return $this->get_field('contact_phone');             
    }
    
    /**
    * Get the value for field `topic`.
    * @return mixed Value or array of values.
    */
    function getTopic()
    {       
        return $this->get_field('topic');             
    }
    
    /**
    * Get the value for field `issue`.
    * @return mixed Value or array of values.
    */
    function getIssue()
    {       
        return $this->get_field('issue');             
    }
    
    /**
    * Get the value for field `sunrise`.
    * @return mixed Value or array of values.
    */
    function getSunrise()
    {       
        return $this->get_field('sunrise');             
    }
    
    /**
    * Get the value for field `sunset`.
    * @return mixed Value or array of values.
    */
    function getSunset()
    {       
        return $this->get_field('sunset');             
    }
    
    /**
    * Get the value for field `featured`.
    * @return mixed Value or array of values.
    */
    function getFeatured()
    {       
        return $this->get_field('featured');             
    }
    
    /**
    * Get whether or not `featured` is non-zero.
    * @return boolean True for non-zero value, false if zero.
    */
    function isFeatured()
    {       
        if ($this->get_field('featured'))
        {
             return true;
        }
        else
        {
            return false;
        }             
    }
    
    /**
    * Get the value for field `members_only`.
    * @return mixed Value or array of values.
    */
    function getMembersOnly()
    {       
        return $this->get_field('members_only');             
    }
    
    /**
    * Get whether or not `members_only` is non-zero.
    * @return boolean True for non-zero value, false if zero.
    */
    function isMembersOnly()
    {       
        if ($this->get_field('members_only'))
        {
             return true;
        }
        else
        {
            return false;
        }             
    }
    

} // end AbstractEvent class


?>