<?php 
/*
IMPORTANT NOTICE

This class definition file is autogenerated. You SHOULD NOT modify this code.
Instead always use a subclass of this class and add or override methods as
necessary.
*/

// Include class dependencies

    pxdb_import('content.output.pxdb_collection');
    pxdb_import('content.output.pxdb_record');
    pxdb_import('content.output.pxdb_search');

// Set up a constant to use in place of datatype number

    define('DATATYPE_PERSON', 25);

/**
* This is a collection class for of type Person.
* This class extends pxdb_collection and provides object-specific methods which invoke
* parent generic methods.  This class provides some methods you might find useful --
* and more importantly, it provides a base from which you can build your own.
*
* IMPORTANT: You SHOULD NOT implement this class directly. It is an abstract class.
* Instead you should use the subclassed 'user' class.
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class AbstractPersonCollection extends pxdb_collection
{

    /**
    * Constructor. 
    * Calls parent constructor and sets a default 'order by' value for the
    * results sets this class will produce.
    */
    function AbstractPersonCollection()
    {
        $this->init();
    }
    
    /**
    * Initialization function
    * Called by subclasses to initialize the object
    */
    function init()
    {
        parent::pxdb_collection(DATATYPE_PERSON);
        // Default order will be the 'name' column
        // you can override this, of course
        $this->orderBy('name'); 
    }
    
    /**
    * Wrapper for parent's set_order method.
    * @param string $order Column to order by.
    */
    function orderBy($order)
    {
        return parent::set_order($order);
    }
    
    /**
    * Calls parent fetch_record class, specifying to use the Person class.
    * @return object Person    
    */
    function &fetchRecord()
    {
        return parent::fetch_record('Person');
    }    
        
    /**
    * Find records matching `salutation` pick list -- or finds all Person sorted by salutation.
    *
    * If the $salutation parameter is left blank, it is assumed you want to find all of the 
    * Person records, organized (sorted) by salutation.
    * @param mixed $salutation Pick table `id` col -- or `name` col
    * @return void
    */
    function findBySalutation($salutation = null)
    {
        if (null === $salutation)
        {
            $this->orderBy('salutation, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_PERSON);
            $pickFilter->add_value('salutation', $salutation);
            $this->find($pickFilter);                 
        }
    }
      
    /**
    * Find based on a filter for relationship (field `organization`)
    *
    * @param integer $organizationID Related record ID
    * @return void
    */
    function findByOrganization($organizationID)
    {       
        $PersonFilter =& pxdb_search::filter(DATATYPE_PERSON);
        $PersonFilter->add_value('organization', $organizationID);
        $this->find($PersonFilter);               
    }
            
              
        
    /**
    * Find records matching `state` pick list -- or finds all Person sorted by state.
    *
    * If the $state parameter is left blank, it is assumed you want to find all of the 
    * Person records, organized (sorted) by state.
    * @param mixed $state Pick table `id` col -- or `name` col
    * @return void
    */
    function findByState($state = null)
    {
        if (null === $state)
        {
            $this->orderBy('state, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_PERSON);
            $pickFilter->add_value('state', $state);
            $this->find($pickFilter);                 
        }
    }
      
    /**
    * Find based on a filter for relationship (field `group`)
    *
    * @param integer $groupID Related record ID
    * @return void
    */
    function findByGroup($groupID)
    {       
        $PersonFilter =& pxdb_search::filter(DATATYPE_PERSON);
        $PersonFilter->add_value('group', $groupID);
        $this->find($PersonFilter);               
    }
            
              
        
    /**
    * Find records matching `topic` pick list -- or finds all Person sorted by topic.
    *
    * If the $topic parameter is left blank, it is assumed you want to find all of the 
    * Person records, organized (sorted) by topic.
    * @param mixed $topic Pick table `id` col -- or `name` col
    * @return void
    */
    function findByTopic($topic = null)
    {
        if (null === $topic)
        {
            $this->orderBy('topic, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_PERSON);
            $pickFilter->add_value('topic', $topic);
            $this->find($pickFilter);                 
        }
    }
        
    /**
    * Find records matching `issue` pick list -- or finds all Person sorted by issue.
    *
    * If the $issue parameter is left blank, it is assumed you want to find all of the 
    * Person records, organized (sorted) by issue.
    * @param mixed $issue Pick table `id` col -- or `name` col
    * @return void
    */
    function findByIssue($issue = null)
    {
        if (null === $issue)
        {
            $this->orderBy('issue, name');
            $this->find();
        }
        else
        {
            $pickFilter =& pxdb_search::filter(DATATYPE_PERSON);
            $pickFilter->add_value('issue', $issue);
            $this->find($pickFilter);                 
        }
    }
} // end AbstractPersonCollection class

/**
* This is a skeleton class for a class that represents a record of type Person* You can use this in place of using the pxdb_record class directly.
* It is an abstract class that SHOULD NOT be implemented directly. Instead you should
* use a subclass (such as the user skeleton class provided in DBasis).
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class AbstractPerson extends pxdb_record
{

    /**
    * Constructor. 
    * Calls parent constructor.
    * @param mixed $data Record ID or record row (array)
    */
    function AbstractPerson($data = null)
    {
        init($data);
    }
    
    /**
    * Initialization method
    */
    function init($data)
    {
        parent::pxdb_record($data);
    }
    
    /**
    * Return the ID for the object.
    * This is "aliased" because of how frequently it is used.
    * @return integer ID
    */
    function getId()
    {
        return parent::get_id();    
    }
    /**
    * Get the value for field `name`.
    * @return mixed Value or array of values.
    */
    function getName()
    {       
        return $this->get_field('name');             
    }
    
    /**
    * Get the value for field `salutation`.
    * @return mixed Value or array of values.
    */
    function getSalutation()
    {       
        return $this->get_field('salutation');             
    }
    
    /**
    * Get the value for field `fname`.
    * @return mixed Value or array of values.
    */
    function getFname()
    {       
        return $this->get_field('fname');             
    }
    
    /**
    * Get the value for field `lname`.
    * @return mixed Value or array of values.
    */
    function getLname()
    {       
        return $this->get_field('lname');             
    }
    
    /**
    * Get the value for field `title`.
    * @return mixed Value or array of values.
    */
    function getTitle()
    {       
        return $this->get_field('title');             
    }
    
    /**
    * Get the related object for record `organization` -- or value, if $lookup_field is specified.
    * @param string $lookup_field Field to lookup on related record
    * @return mixed Object, array of objects -- or value or array of values (if $lookup_field)
    */
    function getOrganization($lookup_field = null)
    {               
        return $this->get_field('organization', $lookup_field);             
    }
    
    /**
    * Get the value for field `address1`.
    * @return mixed Value or array of values.
    */
    function getAddress1()
    {       
        return $this->get_field('address1');             
    }
    
    /**
    * Get the value for field `address2`.
    * @return mixed Value or array of values.
    */
    function getAddress2()
    {       
        return $this->get_field('address2');             
    }
    
    /**
    * Get the value for field `city`.
    * @return mixed Value or array of values.
    */
    function getCity()
    {       
        return $this->get_field('city');             
    }
    
    /**
    * Get the value for field `state`.
    * @return mixed Value or array of values.
    */
    function getState()
    {       
        return $this->get_field('state');             
    }
    
    /**
    * Get the value for field `zip`.
    * @return mixed Value or array of values.
    */
    function getZip()
    {       
        return $this->get_field('zip');             
    }
    
    /**
    * Get the value for field `short_bio`.
    * @return mixed Value or array of values.
    */
    function getShortBio()
    {       
        return $this->get_field('short_bio');             
    }
    
    /**
    * Get the value for field `description`.
    * @return mixed Value or array of values.
    */
    function getDescription()
    {       
        return $this->get_field('description');             
    }
    
    /**
    * Get the value for field `image`.
    * @return mixed Value or array of values.
    */
    function getImage()
    {       
        return $this->get_field('image');             
    }
    
    /**
    * Get the value for field `email`.
    * @return mixed Value or array of values.
    */
    function getEmail()
    {       
        return $this->get_field('email');             
    }
    
    /**
    * Get the value for field `password`.
    * @return mixed Value or array of values.
    */
    function getPassword()
    {       
        return $this->get_field('password');             
    }
    
    /**
    * Get the related object for record `group` -- or value, if $lookup_field is specified.
    * @param string $lookup_field Field to lookup on related record
    * @return mixed Object, array of objects -- or value or array of values (if $lookup_field)
    */
    function getGroup($lookup_field = null)
    {               
        return $this->get_field('group', $lookup_field);             
    }
    
    /**
    * Get the value for field `topic`.
    * @return mixed Value or array of values.
    */
    function getTopic()
    {       
        return $this->get_field('topic');             
    }
    
    /**
    * Get the value for field `issue`.
    * @return mixed Value or array of values.
    */
    function getIssue()
    {       
        return $this->get_field('issue');             
    }
    
    /**
    * Get the value for field `subscribed`.
    * @return mixed Value or array of values.
    */
    function getSubscribed()
    {       
        return $this->get_field('subscribed');             
    }
    
    /**
    * Get whether or not `subscribed` is non-zero.
    * @return boolean True for non-zero value, false if zero.
    */
    function isSubscribed()
    {       
        if ($this->get_field('subscribed'))
        {
             return true; 
        }
        else
        { 
            return false;
        }             
    }
    
    /**
    * Get the value for field `in_directory`.
    * @return mixed Value or array of values.
    */
    function getInDirectory()
    {       
        return $this->get_field('in_directory');             
    }
    
    /**
    * Get whether or not `in_directory` is non-zero.
    * @return boolean True for non-zero value, false if zero.
    */
    function isInDirectory()
    {       
        if ($this->get_field('in_directory'))
        {
             return true; 
        }
        else
        { 
            return false;
        }             
    }
    
    /**
    * Get the value for field `sunrise`.
    * @return mixed Value or array of values.
    */
    function getSunrise()
    {       
        return $this->get_field('sunrise');             
    }
    
    /**
    * Get the value for field `sunset`.
    * @return mixed Value or array of values.
    */
    function getSunset()
    {       
        return $this->get_field('sunset');             
    }
    

} // end AbstractPerson class

?>
