<?php
// Include class file for base abstract class
require_once(dirname(__FILE__) . "/AbstractOrganization.class.php");

// Register this class as the pxdb_record class to use for datatype DATATYPE_ORGANIZATION
pxdb::register_class('Organization', 'pxdb_record', DATATYPE_ORGANIZATION);

/**
* This is a collection class for objects of type Organization.
*
* This class extends the abstract class which in turn extends the pxdb_collection
* and provides object-specific methods which invoke
* parent generic methods.  This class provides some methods you might find useful --
* and more importantly, it provides a base from which you can build your own.
*
* Note that this class uses CamelHump capitalization so that methods of this
* class can be easily distinguished from the all-lowercase methods of the parent
* classes.
*
* Here's an example of how to use these classes (with hypothetical user functions):
*
* $organization_collection = new OrganizationCollection();
* $organization_collection->findByAuthor($user->get_uid()); // current logged-in user's id.
* 
* while ($Record =& $organization_collection->fetchRecord())
* { 
*   // fetchRecord() returns a Organization object --
*   // which extends the pxdb_record object and provides individual methods
*   // for getting attributes. 
*   print "<br>".$Record->getTitle();
* }
*
* If you need to only get a subset or a paged version of the query, you will 
* want to execute the query manually (otherwise default execute() is run when 
* you fetchRecord()).
*
* $organization_collection->execute_page($rows_per_page, $current_page);
* while ($Record =& $organization_collection->fetchRecord())
* { 
* ...
* OR
* $organization_collection->execute_limit($num_rows);
* while ($Record =& $organization_collection->fetchRecord())
* { 
* ...
*
* Remember also that the ADOdb recordset is returned from the ->execute() method.
* $rs  =& $organization_collection->execute();
* print "Rows found: ".$rs->RecordCount();
* while (!$rs ->EOF)
* {
*   print "Document name: ".$rs->fields['name'];
*   $rs->MoveNext();
* }
*
* @version build_user_class 1.2
* @author AutoGenerated (DBasis)
*/

class OrganizationCollection extends AbstractOrganizationCollection 
{ 
    /**
    * Constructor. 
    * Calls parent constructor
    * results sets this class will produce.
    */
    function OrganizationCollection()
    {
        parent::init();
    }
    
} // end OrganizationCollection class

/**
* This is a skeleton class for a class that represents 
* a record of type Organization* You can use this in place of using the pxdb_record class directly.
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class Organization extends AbstractOrganization 
{
    /**
    * Constructor. 
    * Calls parent constructor.
    * @param mixed $data Record ID or record row (array)
    */
    function Organization($data = null)
    {
        parent::init($data);
    }
    
    /**
    * Initialization method
    */
    function init($data)
    {
        parent::pxdb_record($data);
    }
    
} // end Organization class


?>
