<?php
// Include module-specific init file.
include(dirname(__FILE__) . '/init/init.php');

$page_title = Modules::getAttribute('directory', 'label');

// if we specify an organization type, only return organization records
if (null == $Request->getVar('orgtype'))
{
    $filter  = pxdb_search::filter(Modules::getAttribute('directory', 'datatype'));
    $Records = new DirectoryCollection();    
}
else
{
    $filter  = pxdb_search::filter(DATATYPE_ORGANIZATION);
    $Records = new OrganizationCollection();
}


$filter->add_value('in_directory', TRUE);

if (null != $Request->getVar('issue')) 
{
    $filter->add_value('issue', $Request->getVar('issue')); 
}

if (null != $Request->getVar('topic')) 
{
    $filter->add_value('issue', $Request->getVar('topic')); 
}
if ('directorycollection' == strtolower(get_class($Records)))
{
    $Records->setCoreFilter($filter);
}

if (null != $Request->getVar('keyword'))
{ 
    $Records->findKeywordSearch($Request->getVar('keyword'));
}

if (null != $Request->getVar('alpha'))
{
    $Records->findAlphaSearch($Request->getVar('alpha'));
}

if (null == $Request->getVar('keyword') && null == $Request->getVar('alpha'))
{
    $Records->find();
}
	
	
// current page we're viewing
if (!$Request->getVar('page')) 
{
    $Request->setVar('page', 1);
}

if (!$Request->isIncluded())
{
    include_once(SITE_TPL_PATH . '/header.tpl');
    $Request->setSidebarScript($MODULE_PATH . '/filters.php');
}


    
if ($Request->getVar('printable')) 
{
    // if we're viewing a printable version, we should not paginate results.
    $Records->execute();
}
else 
{
    // otherwise... show current page.
    $Records->execute_page(DIRECTORY_ROWS_PER_PAGE, $Request->getVar('page'));
}

        
include($MODULE_TPL_PATH . '/list.tpl');

if(!$Request->isIncluded()) 
{
    include_once(SITE_TPL_PATH . '/footer.tpl');
}

?>
