<?php 
// Include module-specific init file.
include(dirname(__FILE__) . '/init/init.php');

// get view passed to script, if any (potentially altered by actions below)
$view = $Request->getVar('view');

if ('save' == $Request->getVar('mode'))
{
    pxdb_import('content.input.pxdb_commit');
    $adm =& new pxdb_commit();
    
    // set SyntaxCMS defaults for these fields
    $adm->set_field('sunrise', DB_TIME_STAMP);
    $adm->set_field('sunset', END_OF_TIME);
    $adm->set_field('subscribed', TRUE);
    
    // assign -- not, comparison
    if ($rec_id = $adm->save()) 
    {
        if (defined('STXMOD_DIRECTORY_AUTOAPPROVE_SUBSCRIBERS') && true == STXMOD_DIRECTORY_AUTOAPPROVE_SUBSCRIBERS)
        {
            // approve
            $adm->approve();
        }
        // success! -- $rec_id is saved (or added) record id
        // $modified_fields = $adm->get_modified_fields(); // array of field identifiers
        // best to redirect to another page here so that reloading
        // the page doesn't cause user's data to be saved multiple times.
        if (defined('STXMOD_DIRECTORY_NEWSL_THANK_YOU_URL'))
        {
            header('Location: ' . STXMOD_DIRECTORY_NEWSL_THANK_YOU_URL);
            exit();
        }
        else
        {
            trigger_error('STXMOD_DIRECTORY_NEWSL_THANK_YOU_URL is not defined', E_USER_WARNING);
        }
        
    }
    else
    {
        // failed to save -- maybe validation errors stored in $errors
        $view = "input_form";
    }
} // end if

// generate output

if (true == defined('STXMOD_DIRECTORY_NEWSL_INTRO_URL_PATH'))
{
    if (! ($subscribeSection =& Section::getByUrlpath(STXMOD_DIRECTORY_NEWSL_INTRO_URL_PATH)))
    {        
        trigger_error(STXMOD_DIRECTORY_NEWSL_INTRO_URL_PATH . ' section does not exist.', E_USER_WARNING);
    }
}


if (!$Request->isIncluded())
{
    if ('success' == $view)
    {
        $Request->setPageTitle('Success');
    }
    else
    {
        if (isset($subscribeSection))
        {
            $Request->setTrailPoint(1, array('crumb'=>$subscribeSection->getCrumb(), 'url'=>''));
            $Request->setPageTitle($subscribeSection->getCrumb());
        }
    }
    include_once(SITE_TPL_PATH . '/header.tpl');
} // end if included

switch ($view) 
{
    case 'input_form':
    default:
    
        pxdb_import('content.input.pxdb_input');
        
        // if Request Var id is empty, we will be creating a new record
        // otherwise the form will be populated by that record's data.
        $in = new pxdb_input(DATATYPE_PERSON, $Request->getVar('id'));
        $in->set_submit_vars(array('mode'=>'save'));
        
        // Post back to ourselves
        $in->set_form_action($_SERVER['SCRIPT_URI']);
        
        // these calls are optional 
        // set field defaults    
        if (null !== $Request->getVar('email'))
        {
            $in->set_field_default('email', $Request->getVar('email'));            
        }
        
        $in->set_field_default('subscribed', true);
        // 
        //set view 
           $in->get_view('newsletter');
        
        // show the actual form
        //   You can overide the default template by specifying  
        //   the path to a smarty template as a parameter.
        include ($MODULE_TPL_PATH . '/subscribe.tpl');
        
    break;
} // end switch view

if (!$Request->isIncluded())
{    
    include_once(SITE_TPL_PATH . '/footer.tpl');
} // end if included
?>
