<?php
// Include module-specific init file.
include(dirname(__FILE__) . '/init/init.php');


$filter =& pxdb_search::filter(DATATYPE_SYNDICATION_FEED);

// filter by sunrise/sunset (string is already quoted)
$filter->add_value('sunset', DB_TIME_STAMP, '>=', null, false);
$filter->add_value('sunrise', DB_TIME_STAMP, '<=', null, false);

// filter by section publication if needed
if ( null !== $Request->getVar( 'in_section' ) )
{
    // add to main filter
    if( 1 == $Request->getVar( 'featured' ) )
    {
        $filter->add_parent( $Request->getVar( 'in_section' ), NODEREL_SECTION_TO_FEATURED, 'ASC' );
    }
    else
    {
        //assume publication & order by section weight
        $filter->add_parent( $Request->getVar( 'in_section' ), NODEREL_SECTION_TO_CONTENT, 'ASC' );
    }
    $node_weighted = true;
}
else
{
    $node_weighted = false;
}

// create collection
$Records = new SyndicationFeedCollection();


if ($Request->getVar('orderby'))
{
    $Records->set_order($Request->getVar('orderby'));
}
else
{
    // set a default order by, usually sunrise
    $Records->set_order('sunrise');
} // end if

// bind the filter first
$Records->find($filter);

// limit recordset results
if (null !== $Request->getVar('limit'))
{
    if (false === $Records->execute_limit($Request->getVar('limit')))
    {
        trigger_error('Execute Limit failed', E_USER_WARNING);
    }
} // paginate recordset
else if (null !== $Request->getVar('page_no') && null !== $rows_per_page)
{
    if (false === $Records->execute_page($rows_per_page, $Request->getVar('current_page')))
    {
        trigger_error('Execute Page failed', E_USER_WARNING);
    }
// show all records
}
else
{
    $Records->execute();
}

// generate output
if (!$Request->isIncluded())
{
    include_once(SITE_TPL_PATH . '/header.tpl');
} // end if included

// if there are no records do not output anything at all.
if (0 < $Records->num_records())
{
    if (null !== $Request->getVar('template'))
    {
        include($MODULE_TPL_PATH . '/' . $Request->getVar('template') . '.tpl');
    }
    else
    {
        include($MODULE_TPL_PATH . '/list.tpl');
    } // end if no template var
} // end if no records

if (!$Request->isIncluded())
{
    include_once(SITE_TPL_PATH . '/footer.tpl');
} // end if included

?>