<?php
// Include module-specific init file.
include(dirname(__FILE__) . '/init/init.php');

$request_path_raw = $Request->getVar('request');
$module_path = $Request->getPath();

if ( null == $Request->getVar('feed_format') )
{
    // oam - the fieed format may also appear as part of the uri such as
    // http://www.syntaxcms.org/content/blog/syndicate/rss2.xml
    $path = explode( '/' , trim($request_path_raw, '/') );
    $format = $path[ count($path) - 1 ];
    
    if ( 'syndicate' !== $format )
    {
        switch ( $format ) 
        {
            case 'rss.xml':
            case 'rss2.xml':
                header( "Content-type: text/xml" );
                $feed_format = 'RSS2.0'; 
            break;
            
            case 'atom.xml':
                header( "Content-type: text/xml" );                
                $feed_format = 'ATOM'; 
            break;
            
            default:
                // unrecognized format
                trigger_error( 'Unknown syndication format specified: '.$format, E_USER_ERROR );                
            break;
        } // end switch
    }
    else
    {
        // format not specified as part of url
        $feed_format = FEED_DEFAULT_FORMAT;
    }
    
}
else
{
    $feed_format = $Request->getVar('feed_format');
}

// Re-use the general module for globbing

// if we are providing this is a a fallback provider, see if we should limit to the
// requested modules datatypes



$parameters = array('limit'=>15, 'template'=>'syndication_feed', 'feed_format'=>$feed_format);

if ( $request_path_raw !==  $module_path )
{
    $original_call = explode('/', $request_path_raw);
    if ( $datatypes = Modules::getAttribute($original_call[0], 'datatype') )
    {
        $parameters['datatype'] = $datatypes;
    }
}
echo f1cms::callModule('general', 'list', $parameters );

?>
