<?php 
require_once ( dirname(__FILE__) . '/../lib/feedcreator.class.php' );

$rss = new UniversalFeedCreator(); 
$rss->useCached(FALSE); // use cached version if age<1 hour
$rss->title = SITE_NAME; 
$rss->description = SITE_TAGLINE;
//optional
$rss->link = FEED_SITE_LINK; 
$rss->syndicationURL = $_SERVER['SCRIPT_URI']; 
$rss->encoding = 'utf-8';

// get your news items from somewhere, e.g. your database:
$datatype_labels = array();

while ( $Record = $Records->fetch_record() ) 
{ 
    $item = new FeedItem();
    
    // try name field first, then title
    if ( null != $Record->get_field('name') )
    {
        $item->title = $Record->get_field('name');
    }
    else if ( null != $Record->get_field('title') )
    {    
        $item->title = $Record->get_field('title');        
    }
    
    $datatype = $Record->get_datatype();
    if ( !isset( $detail_modules[$datatype] ) )
    {
        $detail_module = Modules::getCapabilityProvider('detail', $Record->get_datatype() );
    
        if ('general' == $detail_module)
        {
            // try to map detail through a datatype module if available
            if ($modules = Modules::findModules('datatype', $Record->get_datatype(), $strict=false))
            {
                $detail_module = $modules[0];
            }
        }
        $detail_modules[ $datatype ] = $detail_module;
    }
    
    $item->link = 'http://'.$_SERVER['SERVER_NAME'] . '/content/' . $detail_modules[$datatype]
            . '/detail/' . $Record->get_id() .'/';
            
    if ( $Record->has_field('summary') && null != $Record->get_field('summary') )
    {
        $item->description = $Record->get_field('summary');
    }
    else if ( $Record->has_field('intro') && null != $Record->get_field('intro') )
    {
        $item->description = $Record->get_field('intro');
    }
    
    $item->descriptionHtmlSyndicated = true;

    $item->date = strtotime($Record->get_field('sunrise')); 
    $item->source = 'http://' . $_SERVER['SERVER_NAME'] .'/'; 
     
    $rss->addItem($item); 
}

if ( null == $Request->getVar('feed_format') )
{
    echo $rss->createFeed( FEED_DEFAULT_FORMAT );    
}
else
{
    $format = strtoupper($Request->getVar('feed_format'));
    $_feed_formats = array( "PIE0.1" , "mbox", "RSS0.91", "RSS1.0", "RSS2.0", "OPML", "ATOM", "ATOM0.3", "HTML", "JS" );
    if ( in_array( $format, $_feed_formats ) )
    {
        echo $rss->createFeed( $format );
    }
    else
    {
        trigger_error( 'Invalid feed format specified : '. $format, E_USER_WARNING );
        return false;
    }
}

?>
