<?php
if ('' == FEEDBACK_RECIPIENT)
{
    trigger_error('modules/feedback: FEEDBACK_RECIPIENT in register.php is empty. Set this in modules/feedback/init/register.php.', E_USER_ERROR);    
}

if ('' == FEEDBACK_SUBJECT)
{
    trigger_error('modules/feedback: FEEDBACK_SUBJECT in register.php is empty. Set this in modules/feedback/init/register.php.', E_USER_ERROR);    
}

if ('save' == $Request->getVar('mode'))
{
    pxdb_import('content.input.pxdb_commit');
    $adm = &new pxdb_commit();
    
    // set SyntaxCMS defaults for these fields
    $adm->set_field('sunrise', DB_TIME_STAMP);
    $adm->set_field('sunset', END_OF_TIME);
    //$adm->set_field('date', date('Y-m-d h:i:j'));
    
    if ($rec_id = $adm->save()) 
    { // assign -- not, comparison
        pxdb_import('content.output.pxdb_record');
        pxdb_import('metadata.pxdb_view');
        
        // success! -- $rec_id is saved (or added) record id
        $modified_fields = $adm->get_modified_fields(); // array of field identifiers
        $view = "success";
#        $ref = "/section/_feedback/_thanks";
        
        $record = new pxdb_record($rec_id);
        
        $msg = "A new feedback message has been sent:\n";
        
        $pxdb_view = pxdb_view::fetch_object_view(DATATYPE_FEEDBACK, 'public');
        $viewfields = $pxdb_view->arr_typesfields();
                
        while (list(,$viewfield) = each($viewfields))
        {
            $msg .= "\n   ".$viewfield['displayname'].':   '.$record->get_field($viewfield['identifier']);
        }
        $headers = "From: ".FEEDBACK_FROM."\r\n"
                  ."Reply-to:".$record->get_field('email')."\r\n"
        ;
        mail(FEEDBACK_RECIPIENT, FEEDBACK_SUBJECT, $msg, $headers);        
    } 
    else 
    {
        // failed to save -- maybe validation errors stored in $errors
        $view = "input_form";
    }
} // end if

$view = $Request->getVar('view');
switch ($view)
{
    case 'success':
    
        ob_end_clean();
        if (null !== $Request->getVar('ref'))
        {
            $ref = $Request->getVar('ref');
        } 
        else 
        {
            $ref = $_SERVER['HTTP_REFERER'];
        }
        // best to redirect to another page here so that reloading
        // the page doesn't cause user's data to be saved multiple times.
        
        Header('Location: '.$ref);
        exit();
    
    break;

    case 'input_form':
    default:
    
        if (null !== $Request->getVar('ref'))
        {
            $ref = $Request->getVar('ref');
        }
        else
        {
            $ref = $_SERVER['HTTP_REFERER'];
        }
        
        pxdb_import('content.input.pxdb_input');
        
        // if Request Var id is empty, we will be creating a new record
        // otherwise the form will be populated by that record's data.
        $in = &new pxdb_input(DATATYPE_FEEDBACK, null);
        $in->set_submit_vars(array('mode'=>'save', 'ref'=>$ref));
        
        // the following handles getting values even when this form
        // is embedded in a section template.
        
        if (null!== $Request->getVar('pxdb'))
        {
            $in->import($Request->getVar('pxdb'));
        }

        // Post back to ourselves
        $in->set_form_action($_SERVER['SCRIPT_URI']);
        
        // these calls are optional
        // set field defaults    
        //   $in->set_field_default(fieldname, value);  
        //
        // set view
        $in->get_view('public');
        
        // show the actual form
        //   You can overide the default template by specifying  
        //   the path to a smarty template as a parameter.
        
        if (!$Request->isIncluded())
        {
            include_once(SITE_TPL_PATH . '/header.tpl');
        }
        
        echo $in->showform();
        
        if (!$Request->isIncluded())
        {
            include_once(SITE_TPL_PATH . '/footer.tpl');
        }
    break;
} // end switch view


?> 