<?php

// Include module-specific init file.

include(dirname(__FILE__) . '/init/init.php');

// some page-specific values				

$Records = &new pxdb_collection(CONTENT_DATATYPES_LIST);
    
$contentF = &pxdb_search::filter(CONTENT_DATATYPES_LIST);

// FILTERING
// ---------

// Find _EXPIRED_ content (this is the archive page)
$contentF->add_value('sunrise', DB_TIME_STAMP, '<=', $opt=null, $quote=false);
$contentF->add_value('sunset', DB_TIME_STAMP, '<', $opt=null, $quote=false);	

// Find not hidden (applicable to people & orgs)
$contentF->add_value('hidden', 0, '=', $opt=null, $quote=false);

// Find based on privs of logged-in user (if any)
$User = &Site::getUser();
if (!$User || !$User->is_member(AUTH_MEMBER_GROUPS))
{
    $contentF->add_value('members_only', 0, '=', $opt=null, $quote=false);
}		


// filter on section -- if set.	
if (null !== $Request->getVar('section'))
{

    // filter based on nodrel relationship to that section:		
    $sectionFilter = &pxdb_search::filter(DATATYPE_SECTION);
    $sectionFilter->add_value('id', $Request->getVar('section'));

    $contentF->add_parent($sectionFilter);						
}


// set order -- based on orderby_field and orderby_direction

if(!$Request->getVar('orderby_field')) $Request->setVar('orderby_field', 'sunrise');	
if(!$Request->getVar('orderby_direction')) $Request->setVar('orderby_direction', 'DESC');		

$Records->set_order($Request->getVar('orderby_field') . ' ' . $Request->getVar('orderby_direction'));

// Build the SQL
$Records->find($contentF);		

// END FILTERING

// current page we're viewing
if (!$Request->getVar('current_page')) $Request->setVar('current_page', 1);

if ($Request->getVar('printable'))
{
    // if we're viewing a printable version, we should not paginate results.
    $Records->execute();
}
else
{
    // otherwise... show current page.
    $Records->execute_page(ROWS_PER_PAGE, $Request->getVar('current_page'));
}
        
// add section name ....	
if ($Request->getVar('section'))
{		
    $Section = &new Section($Request->getVar('section'));
    $page_title .= $Section->getName() . ' Archive';
}
else
{
    $page_title = '[no section found.  what should page title be?]';
}

$Request->setPageTitle($page_title);
$Request->setSidebarScript($MODULE_PATH . '/search-sidebar.php');


if (!$Request->isIncluded()) include_once(SITE_TPL_PATH . '/header.tpl');

$pager_params = array('section'=>$Request->getVar('section'));

include($MODULE_TPL_PATH . '/tabular-list.tpl');

if (!$Request->isIncluded()) include_once(SITE_TPL_PATH . '/footer.tpl');

?>