<?php

// Include module-specific init file.

	include(dirname(__FILE__) . '/init/init.php');

// some page-specific values

	// set breadcrumb trail
	
	$Request->setTrail($Request->getTrailStart());	
	$Request->addTrailPoint(array('crumb'=>'Search Results','url'=>''));
		
	
	$Records = &new pxdb_collection(CONTENT_DATATYPES_LIST);
	
	// set order -- based on orderby_field and orderby_direction	
	if(!$Request->getVar('orderby_field')) $Request->setVar('orderby_field', 'sunrise');	
	if(!$Request->getVar('orderby_direction')) $Request->setVar('orderby_direction', 'DESC');		

	$Records->set_order($Request->getVar('orderby_field') . ' ' . $Request->getVar('orderby_direction'));
	
	$contentF = &pxdb_search::filter(CONTENT_DATATYPES_LIST);
	
	// NOT EXPIRED
	$contentF->add_value('sunrise', DB_TIME_STAMP, '<=', $opt=null, $quote=false);
	$contentF->add_value('sunset', DB_TIME_STAMP, '>', $opt=null, $quote=false);
	
	// not hidden (for people & orgs)
	$contentF->add_value('hidden', 0, '=', $opt=null, $quote=false);
	
	$User = &Site::getUser();
	if(!$User || !$User->is_member(AUTH_MEMBER_GROUPS)) {
		$contentF->add_value('members_only', 0, '=', $opt=null, $quote=false);
	}
		
	$regex_terms = pxdb_tools::get_search_terms(quotemeta($Request->getVar('keywords')), $prefix='(^|[^A-Za-z])', $suffix='($|[^A-Za-z])');
	$clean_terms = pxdb_tools::get_search_terms($Request->getVar('keywords'));
	
	if($clean_terms) {
		
		$contentS = &pxdb_search::search(CONTENT_DATATYPES_LIST);
		$contentS->set_value_conj('AND');

		# add all the fields that need to be searchable		

		$contentS->add_value('name', $regex_terms, 'REGEXP');
		$contentS->add_value('city', $regex_terms, 'REGEXP');
		$contentS->add_value('country', $regex_terms, 'REGEXP');
		
		$contentS->add_value('title', $regex_terms, 'REGEXP');
		$contentS->add_value('text1', $regex_terms, 'REGEXP');
		$contentS->add_value('text4', $regex_terms, 'REGEXP');

		$contentS->add_value('desc1', $clean_terms, 'FULLTEXT');
		$contentS->add_value('desc2', $clean_terms, 'FULLTEXT');

		$stored_dt = $contentS->get_datatype();

		$contentS->set_datatype(DATATYPE_ORGANISATION);	
		$contentS->add_value('type', $terms, 'REGEXP');	

		$contentS->set_datatype(DATATYPE_RESOURCE);	
		$contentS->add_value('type', $terms, 'REGEXP');

		$contentS->set_datatype($stored_dt);

		unset($stored_dt);

		// need still to add:
		// organisation --> FILTER

		$orgF = &pxdb_search::search(DATATYPE_ORGANISATION);
		$orgF->set_value_conj('AND');
		$orgF->add_value('name', $terms ,'REGEXP');

		$contentS->add_related($orgF); // NO RELID (probably ok)
		
		// Build the SQL
		$Records->find($contentS);

		// Now find on filtered SQL
		$Records->find($contentF->filter_sql($Records->sql));

	} else {
	
		// find all (based on core filtering)
		$Records->find($contentF);
	
	}
	
	// current page we're viewing
	if(!$Request->getVar('current_page')) $Request->setVar('current_page', 1);
	
	if($Request->getVar('printable')) {
		// if we're viewing a printable version, we should not paginate results.
		$Records->execute();
	} else {
		// otherwise... show current page.
		$Records->execute_page(ROWS_PER_PAGE, $Request->getVar('current_page'));
	}
			
	// add section name ....	
	
	//print $Records->sql;

	$Request->setPageTitle('Search Results');
	
	$Request->setSidebarScript($MODULE_PATH . '/search-sidebar.php');
	
	if(!$Request->isIncluded()) include_once(SITE_TPL_PATH . '/header.tpl');
	
	include($MODULE_TPL_PATH . '/tabular-list.tpl');
	
	if(!$Request->isIncluded()) include_once(SITE_TPL_PATH . '/footer.tpl');

?>
