<?php
// Include module-specific init file.
include(dirname(__FILE__) . '/init/init.php');
include('Mail.php');
include('Mail/mime.php');
// include(SITE_LIB_PATH . '/ext/mime.php');
error_reporting(E_ALL);

// initialize all our variables
$mode = (true === isset($_REQUEST['mode'])) ? $_REQUEST['mode'] : null;
$view = (true === isset($_REQUEST['view'])) ? $_REQUEST['view'] : null;
$referrer = (true === isset($_REQUEST['referrer'])) ? $_REQUEST['referrer'] : null;
$from_email = (true === isset($_REQUEST['from_email'])) ? $_REQUEST['from_email'] : null;
$from_name = (true === isset($_REQUEST['from_name'])) ? $_REQUEST['from_name'] : null;
$to_email = (true === isset($_REQUEST['to_email'])) ? $_REQUEST['to_email'] : null;
$to_name = (true === isset($_REQUEST['to_name'])) ? $_REQUEST['to_name'] : null;
$id = (true === isset($_REQUEST['id'])) ? $_REQUEST['id'] : null;
$field = (true === isset($_REQUEST['field'])) ? $_REQUEST['field'] : null;

switch ($mode)
{
    case 'send':
    
        // a whole lotta validation
        if (false === isset($errors))
        {
            $errors = array();
        }
        elseif (false === is_array($errors))
        {
            $errors = array($errors);
        }
        if (false === is_valid_input($to_email, $from_email, $id, $field))
        {
            $errors[] = "Please correct the problems listed and try again.";
            $view = 'input';
            break;
        }
        
        // grab the file and file path
        $filter =& pxdb_search::filter();
        $filter->add_value('id', $id);
        $collection = new pxdb_collection();
        $collection->find($filter);
        $record =& $collection->fetch_record();
        $file = $record->get_field($field);
        
        if (null !== $to_name)
        {
            $to = '"' . $to_name . '" <' . $to_email . '>';
        }
        else
        {   
            $to = $to_email;
        }
        if (null !== $from_name)
        {
            $from = $from_email . ' ('. $from_name . ')';
        }
        else
        {   
            $from = $from_email;
        }
        
        $subject = "$from has sent you a file";
        
        // get the message template
        ob_start();
        include('templates/send_file_email.tpl');
        $text_body = ob_get_contents();
        ob_end_clean();
        
        // mail the stinkin' document already
        $hdrs = array('From' => $from, 'Subject' => $subject);
        
        $mime = new Mail_mime("\n");
        $mime->setTXTBody($text_body);
        $mime->addAttachment(SITE_PATH . $file);
        
        $mime_body = $mime->get();
        $hdrs = $mime->headers($hdrs);
        
        $mail =& Mail::factory('mail');
        
        // send
        $result = $mail->send($to, $hdrs, $mime_body);

        // see if mail was really sent
        if (true === $result)
        {
            // success
            header("Location: /content/general/send_file/?view=thanks&referrer=" . urlencode($referrer) . "&id=$id&field=" . urlencode($field) . "&to_email=" . urlencode($to_email) . "&from_email=" . urlencode($from_email) . "&from_name=" . urlencode($from_name));
        }
        else
        {
            // mail error
            $errors[] = "There was an error sending your message. " . $result->error;
            $view = 'input';
        }
        
    break;

    default:
    
        // do nothing
    
    break;
}

switch ($view)
{
    case 'thanks':
    
        $Request->setPageTitle('Thank You for Sending this File');
        if (!$Request->isIncluded())
        {
            include_once(SITE_TPL_PATH . '/header.tpl');
        }
        
        include($MODULE_TPL_PATH . '/send_file_thanks.tpl');
        
        if (!$Request->isIncluded())
        {
            include_once(SITE_TPL_PATH . '/footer.tpl');
        }

    
    break;
    
    case 'input':
    default:
    
        // get details
        $filter =& pxdb_search::filter();
        $filter->add_value('id', $id);
        $collection = new pxdb_collection();
        $collection->find($filter);
        $record = &$collection->fetch_record();
        $prefs = &pxdb_prefs::singleton();
        $file_info	= &new documentInfo();		
        $file_info->set_file($prefs->get_pref('datastore','path') . str_replace($prefs->get_pref('datastore', 'url'), '', $record->get_field($field)));
        $Request->setPageTitle('Send a File');
        if (!$Request->isIncluded())
        {
            include_once(SITE_TPL_PATH . '/header.tpl');
        }
        
        include($MODULE_TPL_PATH . '/send_file_input.tpl');
        
        if (!$Request->isIncluded())
        {
            include_once(SITE_TPL_PATH . '/footer.tpl');
        }
    
    break;
}

// Functions

/**
* Validates the input when sending. Does set global $errors array.
*
* @access public
* @return boolean
* @param string $to_email
* @param string $from_email
* @param string $id
* @param string $field
*/
function is_valid_input($to_email, $from_email, $id, $field)
{
    global $errors; // way to pass errors back to the user
    $validation_errors = array();
    // check that the email address to send to was provided and if so, that it is
    // a valid email address.
    if (null === $to_email)
    {
        $validation_errors[] = 'You must provide the email address you wish to send this file to.';
    }
    elseif (false === StxUtilities::isValidEmail($to_email))
    {
        $validation_errors[] = 'The email address you wish to send the file to is not valid. Please check it for typos.';
    }
    // Check that the email address they're sending from was provided and is valid.
    if (null === $from_email)
    {
        $validation_errors[] = 'You must provide your email address.';
    }
    elseif (false === StxUtilities::isValidEmail($from_email))
    {
        $validation_errors[] = 'Your email address is not valid. Please check it for typos.';
    }
    // Check that the id was passed and it's a real ID and that the file's field was passed
    if (null === $id || false === is_numeric($id) || null === $field)
    {
        $validation_errors[] = 'You must send a file uploaded through SyntaxCMS.';
    }
    
    /*
    * That's existence and validity of the passed data. Return any errors now
    * So we don't do more expensive checks for something we won't send anyway.
    */
    if (0 < count($validation_errors))
    {
        while (list(, $error) = each($validation_errors))
        {
            $errors[] = $error;
        }
        return false;
    }
    
    // check that the id is of something in the content store and the public
    // has the ability to view it.
    $filter =& pxdb_search::filter();
    $filter->add_value('id', $id);
    $collection = new pxdb_collection();
    $collection->find($filter);
    if (false === $collection->execute())
    {
        $validation_errors[] = 'An internal error prevented the server from verifying the file you wished to send. Please go back to the page you found it on and try again or let a site administrator know about the problem.';
    }
    elseif (0 === $collection->num_records())
    {
        $validation_errors[] = 'This file no longer exists or you do not have permission to send it.';
    }
    else
    {
        // check that they have permission to view the field that was passed
        $record =& $collection->fetch_record();
        $typesfield_id = $record->lookup_tfid($field);
        // 0 is everybody
        if (false === pxdb_privs::is_readable('field', $typesfield_id, 0))
        {
            $validation_errors[] = 'You do not have permission to send this file.';
        }
        else
        {
            $file = $record->get_field($field);
            if ('' == $file)
            {
                $validation_errors[] = 'This file no longer exists.';
            }
        }
    }
    // final accounting for errors
    if (0 < count($validation_errors))
    {
        while (list(, $error) = each($validation_errors))
        {
            $errors[] = $error;
        }
        return false;
    }
    // otherwise, everything's fine
    return true;
}

?>