<?php
// instantiate record's datatype
pxdb_import('metadata.pxdb_datatype');
$dt = new pxdb_datatype($Record->get_datatype());
?>
<h2><?= $Record->get_field('name') ?></h2>

<?php
if (strtotime($Record->get_field('date1')) > START_OF_TIME)
{
?>
<div class="date">
    <?= _sql_date($Record->get_field('date1')) ?>
</div>
<?php
}

if ($Record->get_field('desc1'))
{
?>
<div class="description">
    <?= _text($Record->get_field('desc1')) ?>
</div>
<?php
}

if ($Record->get_field('desc2'))
{
?>
<div class="content">
    <?= _text($Record->get_field('desc2')) ?>
</div>
<?php
}

$already_displayed = array('name', 'desc1', 'desc2', 'sunrise', 'type', 'sunset', 'date1', 'topic', 'issue', 'bool1');
?>
<table>
<?php
while ($typesfield =& $dt->fetch_typesfield())
{
    $field = $typesfield->get_identifier();
    $db_field = new pxdb_dbfield($typesfield->get_fieldid());

    if (!in_array($db_field->get_fname(), $already_displayed))
    {
        $value = '';

        switch ($typesfield->get_field_metatype())
        {
            case 'upload':

                if ($field == 'image' && ($img = $Record->get_field($field)))
                {
                    $value = "<img src=\"$img\" alt=\"Uploaded Image\">\n";
                }
                elseif ($file = $Record->get_field($field))
                {
                    $value = '<a href="' . $file . ' title="';
                    $value .= htmlentities($typesfield->get_displayname());
                    $value .= '">Download ' . $typesfield->get_displayname();
                    $value .= '</a> <a href="/content/general/send_file/?referrer=';
                    $value .= urlencode($_SERVER['SCRIPT_URL']);
                    $value .= '&amp;id=' . $Record->get_id();
                    $value .= '&amp;field=' . urlencode($field) . '">Send ';
                    $value .= $typesfield->get_displayname() . "By Email</a>\n";
                }

            break;

            case 'date':
            
                $timestamp = strtotime($Record->get_field($field));
                if ($timestamp > START_OF_TIME)
                {
                    $value = strftime(LOCALE_DATE_STD, $timestamp);
                }
            
            break;
            
            case 'primaryrel':
            
                $names = $Record->get_field($field, 'name');
                $ids = $Record->get_field($field, 'id');
                if (true === is_array($names))
                {
                    $value = array();
                    for ($count = count($ids), $i = 0; $i < $count; $i++)
                    {
                        $value[] = '<a href="/content/general/detail/' . $ids[$i] . '">' . $names[$i] . '</a>';
                    }
                    $value = implode("<br>\n", $value);
                }
                else
                {
                    $value = '<a href="/content/general/detail/' . $ids . '">' . $names . "</a>\n";
                }
            
            break;

            default:
            
                $value = $Record->get_field($field, 'name');
                if (is_array($value))
                {
                    $value = implode("<br>\n", $value);
                }
                else
                {
                    $value = _text($value);
                }
        }

        $privs = $typesfield->get_global_privs();
        if ($privs['read'] && false === empty($value))
        {
?>
    <tr>
        <td class="label" valign="top">
            <?= $typesfield->get_displayname() ?>
        </td>
        <td valign="top">
            <?= $value ?>
        </td>
    </tr>
<?php
        }
    } // if not in array of already-displayed fields
 }
?>
</table>
