<?php 
$facets = StxPrefs::getFacets();
$facetWidgets = array();

if ( !isset($filter_target))
{
    $filter_target = $_SERVER['SCRIPT_URI'];
}
while ( list(,$facet) = each( $facets ) )
{
    if (!isset($facet['picktable'] ))
    {
        $dbfield = new pxdb_dbfield($facet['field']);        
        $field_type = $dbfield->get_field_type();
        
        if ( 'date' == $field_type )
        {
            // set up options for the associated year
            //-----------------------------------------
            $options = array();
            $options[] = array( 'label'=>'by ' . $facet['label'], 'value'=>null);
            for( $i = $facet['start']; $i <= date('Y'); $i++ )
            {
                $options[] = array( 'label'=>$i, 'value'=>$i );
            }
            $facetWidgets[] = new ListWidget( $options, 'year' );

        }
        else if ( !($facet['picktable'] = $dbfield->get_pick_table() ))
        {
            trigger_error( $facet['field'] . ' is not a picktable', E_USER_WARNING );
        }
        else
        {
            if ( !isset($facet['label']))
            {
                $facet['label'] = ucwords($facet['field']);
            }
            
            $facetWidgets[] = StxUtilities::listFromPicktable( $facet['field'], $facet['picktable']
                                                            , array('label'=>'by ' . $facet['label'], 'value'=>null));
        }
    }
}
?>
<form method="get" action="<?= $filter_target ?>">
<?php 
while ( list(,$widget) = each($facetWidgets) )
{
?>
    <?= $widget->selectList() ?>
    <br />
<?php 
}
?>
    <input type="submit" value="Apply filters" class="inputButton" />
</form>

<form action="<?= $filter_target ?>">
    <input type="submit" value="Clear filters" class="inputButton" />
</form>
