<?php
require_once( dirname(__FILE__).'/init/init.php' );

// OAM: You can control if hidden sections's children are shown by the 
// following module attribute
// your user.conf file should have a line like:
//   Modules::setAttribute( 'sitemap', 'descend_hidden', TRUE ) 
// or 
//   Modules::setAttribute( 'sitemap', 'descend_hidden', FALSE ) 

$descend_hidden = Modules::getAttribute( 'sitemap', 'descend_hidden');


$template = ( null == $Request->getVar('template') ) 
            ? 'list.tpl' : $Request->getVar('template').'.tpl';
// get home
$section_navigator = SectionNavigatorOptimized::singleton();
$section =& $section_navigator->getHomeSection();
$depth = -1;
$section_navigator->setSection($section);

$idnum = $section->get_field('url_id');
$sitemap[ $idnum ][ 'name'  ] = $section->get_field('name');
$sitemap[ $idnum ][ 'trail' ] = $section_navigator->getNavPath();
$sitemap[ $idnum ][ 'depth' ] = $depth;
    
$section_navigator->setDescend( true );

// walk through all the children
while ($section =& $section_navigator->getNextSection())
{
    $old_depth = $sitemap[$idnum]['depth'];
    $depth = $section_navigator->getDepth();
    // don't display if hidden
    if (0 !== strpos($section->get_field('url_id'), '_') && false === $section->isLink())
    {
        // fake that any hidden parent isn't there
        // OAM: strpos is less intenstive that strstr, also want to check for /_ 
        // to adjust for a hidden parent.  
        if (FALSE !== strpos($section_navigator->getNavPath(), '/_'))
        {            
            $depth--;            
        }
        $idnum = $section->get_field('url_id');
        $sitemap[ $idnum ][ 'name'  ] = $section->get_field('name');
        $sitemap[ $idnum ][ 'trail' ] = $section_navigator->getNavPath();
        $sitemap[ $idnum ][ 'depth' ] = $depth;
        $sitemap[ $idnum ][ 'depth_diff'] = $depth-$old_depth;
    }
    else
        {
        // we could setDescend to $descend_hidden but this is more descriptive
        if ( TRUE == $descend_hidden ) 
        {
            $section_navigator->setDescend( TRUE );
        }
        else
        {
            $section_navigator->setDescend( FALSE );
        }
    }
}

if (!$Request->isIncluded()) 
{
    include_once(SITE_TPL_PATH . '/header.tpl');    
}

include( $MODULE_TPL_PATH .'/'.$template );

if (!$Request->isIncluded()) 
{       
    include_once(SITE_TPL_PATH . '/footer.tpl');
}

?>
