<?php
/**
* Generates the php code needed to handle an input form 
*
* @author Oscar Merida
*/

class SyntaxCodeTemplate_InputForm extends SyntaxCodeTemplate 
{
    function generate() 
    {
        ob_start();
            $this->saveBlock();
            
            // $this->errorBlock();
            $this->switchViewBlock();
            
        $c = ob_get_contents();
        ob_end_clean();
        
        return $c;
    }
       
    function errorBlock() 
    {
?>

// handle errors if any were returned
if ($errors) 
{
    reset($errors);        
    while (list(,$error) = each($errors))            
    {    
        echo "<div style=\"color: red\">$error</div>";
    }
}

<?php
    } // end errorBlock

    function inputFormBlock() 
    {
        $dt_define = 'DATATYPE_' . strtoupper($this->datatype->get_type());
?>
        pxdb_import('content.input.pxdb_input');
        
        // if Request Var id is empty, we will be creating a new record
        // otherwise the form will be populated by that record's data.
        $in =& new pxdb_input(<?= $dt_define ?>, $Request->getVar('id'));
        $in->set_submit_vars(array('mode'=>'save'));
        
        // Post back to ourselves
        $in->set_form_action($_SERVER['SCRIPT_URI']);
        
        // these calls are optional 
        // set field defaults    
        //   $in->set_field_default(fieldname, value);  
        // 
        // set view 
        //   $in->get_view(defined_view)
        
        // show the actual form
        //   You can overide the default template by specifying  
        //   the path to a smarty template as a parameter.
        echo $in->showform();
<?php
    }
    
    function saveBlock() 
    {
?>
// Include module-specific init file.
include(dirname(__FILE__) . '/init/init.php');

// get view passed to script, if any (potentially altered by actions below)
$view = $Request->getVar('view');

if ('save' == $Request->getVar('mode'))
{
    pxdb_import('content.input.pxdb_commit');
    $adm =& new pxdb_commit();
    
    // set SyntaxCMS defaults for these fields
    $adm->set_field('sunrise', DB_TIME_STAMP);
    $adm->set_field('sunset', END_OF_TIME);
    
    // assign -- not, comparison
    if ($rec_id = $adm->save()) 
    {
        // success! -- $rec_id is saved (or added) record id
        $modified_fields = $adm->get_modified_fields(); // array of field identifiers
        // best to redirect to another page here so that reloading
        // the page doesn't cause user's data to be saved multiple times.
        header('Location: ' . $_SERVER['SCRIPT_URL'] . '?view=success');
        exit();
        $view = "success";
    }
    else
    {
        // failed to save -- maybe validation errors stored in $errors
        $view = "input_form";
    }
} // end if
<?php   
    }
    
    function switchViewBlock() 
    {
?>

if ('success' == $view)
{
    $Request->setPageTitle('Success');
}

// generate output
if (!$Request->isIncluded())
{
    include_once(SITE_TPL_PATH . '/header.tpl');
} // end if included

switch ($view) 
{

    case 'success':
    
        include('templates/success.tpl');
        
    break;

    case 'input_form':
    default:
    
<?php
        $this->inputFormBlock();
?>

    break;
} // end switch view

if (!$Request->isIncluded())
{    
    include_once(SITE_TPL_PATH . '/footer.tpl');
} // end if included
<?php        
    }
}
?>