<?php
/**
* Generates the php code needed to handle an input form 
*
* @author Oscar Merida
*/

class SyntaxCodeTemplate_InputTemplate extends SyntaxCodeTemplate {
    
    function prettyPrint() {
        
        $code = $this->generate();

        highlight_string( $code );    
        
    }
    
    function generate() {
        
        ob_start();
        
            $this->warnBlock();
            $this->formStart();
            $this->fieldsBlock();
            $this->closeForm();
            
        $c = ob_get_contents();
        ob_end_clean();
        
        return $c;

    }

    function warnBlock() {
echo '<%*'
?>

* WARNING: THIS IS A __STATIC__ TEMPLATE
* 
* In most cases, you shouldn't need to use this template.  Using the default showform.tpl or 
* customizing your own version of the showform template will provide you with a more flexible 
* template solution.
* 
* This template should only be used if:
* 	1)	You need *complete* control over the form layout (in a way that is impossible to write in the
* 		loop-style default showform.tpl template)
* 	2)	Your object is stable -- meaning that you won't be adding new fields to it or re-ordering
* 		fields.  If you do add new fields after implementing a "static" template, you will have 
* 		to modify the template to position the new form elements.  Of course, if you use the dynamic 
* 		templates (e.g. the default template) your form will always reflect the database object 
* 		definition.
* 
* This template will still respect all database-level permissions, however, and is designed to give
* template designers maximal flexibility in designing forms.  You can choose here to use the widget
* that has been built, or you may build your own widget using the parameters that are part of each
* field:
* 		$fields.fname.value             Current value of field.
* 		$fields.fname.name              Basic field name.  ('fname')
* 		$fields.fname.element_name      Fully-qualified form element name. (e.g. 'pxdb[data][fname]')
* 		$fields.fname.options           Options for current field (e.g. pick options if it's a picklist)
* 		$fields.fname.type              The type of field (e.g. 'pickid', 'primaryrel', 'ltxt');
* 		$fields.fname.multiple          [boolean] -- is field multiple?
* 		$fields.fname.required          [boolean] -- is field required?
* 		$fields.fname.error             Any validation error message for this field.
* 		$fields.fname.id                Typesfields id.
* 		$fields.fname.priv              Hash of privileges (e.g. priv[write] = false, priv[read] = true)
* 		$fields.fname.form_name         The name attribute of <FORM>
* 
*%>

<?php 
    }


    function formStart() {
?>    
 <form action="<?='<'?>%$form_action%>" method="POST" name="<?='<'?>%$form_name%>" enctype="multipart/form-data" onSubmit="<?='<'?>%$onsubmit_jscript%>">

<!-- current form variables -->
<?='<'?>%$current_vars%>

<!-- f1db_input parameters -->
<?='<'?>%$param_vars%>
<?php    
    }

    function fieldsBlock( $view = null ) {
    pxdb_import( 'content.input.pxdb_input' );    
    $in = &new pxdb_input( $this->datatype->get_Id() );

    if( null !== $view) {
        $fields = $in->get_view($view);
    } else {
        $fields = $in->get_fields();
    }
?>    
<table border=0>
<?
        foreach($fields as $field) {	
            $fname = $field['name'];	
?>

	<!-- Begin Section for Field: <?=$fname?> -->
	<?='<'?>% if $fields.<?=$fname?>.error ne "" %>
	<?='<'?>% assign var="row_css" value="color: red" %>	
		<tr><td></td><td colspan="1" style="<?='<'?>%$row_css%>"><?='<'?>%$fields.<?=$fname?>.error%></td></tr>	
	<?='<'?>% else %>
		<?='<'?>% assign var="row_css" value="" %>
	<?='<'?>% /if %>

		<tr style="<?='<'?>%$row_css%>">
			<td align=right valign=top>
				<?='<'?>% if $fields.<?=$fname?>.required ne "" %><span style="color: red">*</span><?='<'?>% /if %><?='<'?>%$fields.<?=$fname?>.label%>
			</td>
			<td>						
				<?='<'?>%$fields.<?=$fname?>.widget%>
			</td>
		</tr>
	<!-- End Section for Field:	<?=$fname?> -->
	
<?php   } ?>
</table>   
    
<?php    
    } // end function
    
    function closeForm() {
?>        
      <div align="center">
<input type=submit name=subbtn value=" Submit Form " onClick="<?='<'?>%$click_submit_jscript%>">
</div>

</form>  
<?php         
    }
} // end class
?>
