<?php
pxdb_import('metadata.pxdb_typesfield');
pxdb_import('metadata.pxdb_datatype');
pxdb_import('metadata.pxdb_basis');

$mode = (true === isset($form_data['mode']))
    ? $form_data['mode'] : null;

switch ($mode)
{
    /*
    When a user selects 'simple' or 'relationship', this updates the content of
    the select list.
    */
    case 'update_available_list':
    
        if (false === isset($form_data['id']) || (('new' != $form_data['id'] && false === is_numeric($form_data['id']))))
        {
            // handle no id if they're trying to edit a typesfield
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else
        {
            $typesfield = new pxdb_typesfield();
            $typesfield->set_typeid($form_data['content_type_id']);
            if ('new' === $form_data['id'])
            {
                // if they're adding a typesfield
                $type_new_list = new ListWidget(array('simple' => 'Simple Field', 'relationship' => 'Relationship'), 'type_new', $form_data['type_new']);
                if ('simple' == $form_data['type_new'])
                {
                    $field_id_new_list = new ListWidget($typesfield->arr_available_dbfields('{fname} - {ftype}'), "fieldid_new", null);
                }
                elseif ('relationship' == $form_data['type_new'])
                {
                    $field_id_new_list = new ListWidget($typesfield->arr_available_relationships('{description}'), "fieldid_new", null);
                }
                $field_id_new_list->setDefaultElement(array('value' => '', 'label' => '[Choose Field]'));
                $field_id_new_list->setArrayKeys(array('value' => 'id', 'label' => 'custom_field'));
                $field_id_new_list->setCSS('fieldid');
                ob_start();
                echo($type_new_list->radioButtonsTable(1, 'onclick="updateFieldIDList(\'new\')"'));
                echo($field_id_new_list->selectList());
                $result = ob_get_contents();
                ob_end_clean();
                $xajax_response->addAssign('type_new_cell', 'innerHTML', $result);
            }
            else
            {
                // if they're editing an existing typesfield
                $type_new_list = new ListWidget(array('simple' => 'Simple Field', 'relationship' => 'Relationship'), 'type_' . $form_data['id'], $form_data['type_' . $form_data['id']]);
                if ('simple' == $form_data['type_new'])
                {
                    $field_id_new_list = new ListWidget($typesfield->arr_available_dbfields('{fname} - {ftype}'), 'fieldid_' . $form_data['id'], null);
                }
                elseif ('relationship' == $form_data['type_new'])
                {
                    $field_id_new_list = new ListWidget($typesfield->arr_available_relationships('{description}'), 'fieldid_' . $form_data['id'], null);
                }
                $field_id_new_list->setDefaultElement(array('value' => '', 'label' => '[Choose Field]'));
                $field_id_new_list->setArrayKeys(array('value' => 'id', 'label' => 'custom_field'));
                $field_id_new_list->setCSS('fieldid');
                ob_start();
                echo($type_new_list->radioButtonsTable(1, 'onclick="updateFieldIDList(' . $form_data['id'] . ')"'));
                echo($field_id_new_list->selectList());
                $result = ob_get_contents();
                ob_end_clean();
                $xajax_response->addAssign('type_cell_' . $form_data['id'], 'innerHTML', $result);
            }
        }
    
    break;
    
    /*
    Move a typefield up
    */
    case 'reorder_up':
    
        if (true === isset($form_data['id']) && true === is_numeric($form_data['id']))
        {
            $typesfield = new pxdb_typesfield($form_data['id']);
            $typesfield->move('up');
            ob_start();
            include('templates/list.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
            $xajax_response->addAssign('content_field_' . $form_data['id'], 'class', 'modified');
        }
        else
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
    
    break;

    /*
    Move a typefield down
    */
    case 'reorder_down':
    
        if (true === isset($form_data['id']) && true === is_numeric($form_data['id']))
        {
            $typesfield = new pxdb_typesfield($form_data['id']);
            $typesfield->move('down');
            ob_start();
            include('templates/list.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
            $xajax_response->addAssign('content_field_' . $form_data['id'], 'class', 'modified');
        }
        else
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
    
    break;
    
    /*
    Delete a typefield
    */
    case 'delete':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $typesfield = new pxdb_typesfield($form_data['id']);
            $typesfield->delete();
            $xajax_response->addRemove('content_field_' . $form_data['id']);
        }
    
    break;
    
    /*
    Edit a preexising field
    */
    case 'edit':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $typesfield = new pxdb_typesfield($form_data['id']);
            ob_start();
            include('templates/edit.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('content_field_' . $form_data['id'], 'innerHTML', $result);
        }
    
    break;
    
    /*
    Save changes to a preexisting field
    */
    case 'save':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            // handle no typesfield id
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        elseif (true === empty($form_data['identifier_' . $form_data['id']])) 
        {
            // if there is no identifier, grab the identifier of the associated
            // dbfield or relationship and put that in its place
            if ('simple' == $form_data['type_' . $form_data['id']])
            {
                $db_field = new pxdb_dbfield($form_data['fieldid_' . $form_data['id']]);
                $form_data['identifier_' . $form_data['id']] = $db_field->get_fname();
            }
            elseif ('relationship' == $form_data['type_' . $form_data['id']])
            {
                $relationship = new pxdb_relationship($form_data['fieldid_' . $form_data['id']]);
                $form_data['identifier_' . $form_data['id']] = preg_replace("/[^a-zA-Z0-9_]/", "_", strtolower($relationship->get_description()));
            }
        }
        else
        {
            // process the given identifier, make it conform to rules
            $form_data['identifier_' . $form_data['id']] = strtolower(preg_replace("/[^a-zA-Z0-9_]/", "_", $form_data['identifier_' . $form_data['id']]));
            // check if the identifier is unique for that content type
            $dbh = &pxdb::dbh();
            $sql = "
SELECT
    id
FROM
    typesfields
WHERE
    identifier = " . $dbh->Quote($form_data['identifier_' . $form_data['id']]) . "
    AND typeid = " . $form_data['content_type_id'] . "
    AND id != " . $form_data['id'];
            $rs = $dbh->Execute($sql);
            if (!$rs->EOF)
            {
                $errors[] = "The 'unique name' value you entered (" . $form_data['identifier_' . $form_data['id']] . ") is not unique.";
            }
            elseif (in_array($form_data['identifier_' . $form_data['id']], pxdb::get_pxdb_reserved_fields()))
            {
                $errors[] = "You cannot use any of the following as unique field names: " . implode(', ', pxdb::get_pxdb_reserved_fields());
            }
            if (0 < count($errors))
            {
                ob_start();
                include(STXMANAGER_PATH . '/templates/errors.php');
                $result = ob_get_contents();
                ob_end_clean();
                $xajax_response->addAssign('errors', 'innerHTML', $result);
                break;
            }
        }
        // save remainder of data
        $typesfield = new pxdb_typesfield($form_data['id']);
        $typesfield->set_displayname($form_data['displayname_' . $form_data['id']]);
        $typesfield->set_identifier($form_data['identifier_' . $form_data['id']]);
        $typesfield->set_description($form_data['description_' . $form_data['id']]);
        if ('simple' == $form_data['type_' . $form_data['id']])
        {
            $typesfield->set_fieldid($form_data['fieldid_' . $form_data['id']]);
        }
        elseif ('relationship' == $form_data['type_' . $form_data['id']])
        {
            $typesfield->set_relid($form_data['fieldid_' . $form_data['id']]);
        }
        
        if (true === isset($form_data['mul_' . $form_data['id']]) && 'Y' == $form_data['mul_' . $form_data['id']])
        {
            $typesfield->set_mul('Y');
        }
        else
        {
            $typesfield->set_mul('N');
        }
        
        if (true === isset($form_data['req_' . $form_data['id']]) && 'Y' == $form_data['req_' . $form_data['id']])
        {
            $typesfield->set_req('Y');
        }
        else
        {
            $typesfield->set_req('N');
        }
        
        if (true === isset($form_data['is_unique_' . $form_data['id']]) && 'Y' == $form_data['is_unique_' . $form_data['id']])
        {
            $typesfield->set_is_unique('Y');
        }
        else
        {
            $typesfield->set_is_unique('N');
        }
        if (true === isset($form_data['widget_script_' . $form_data['id']]) && '' != $form_data['widget_script_' . $form_data['id']])
        {
            $typesfield->set_widget(implode('::', array($form_data['widget_script_' . $form_data['id']], $form_data['widget_params_' . $form_data['id']])));
        }
        else 
        {
            $typesfield->set_widget('');            
        }
        
        if (true === isset($form_data['processor_script_' . $form_data['id']]) && '' != $form_data['processor_script_' . $form_data['id']])
        {
            $typesfield->set_processor(implode('::', array($form_data['processor_script_' . $form_data['id']], $form_data['processor_params_' . $form_data['id']])));
        }
        else 
        {
            $typesfield->set_processor('');
        }
        
        if (true === isset($form_data['validator_script_' . $form_data['id']]) && '' != $form_data['validator_script_' . $form_data['id']])
        {
            $typesfield->set_validator(implode('::', array($form_data['validator_script_' . $form_data['id']], $form_data['validator_params_' . $form_data['id']])));
        }
        else 
        {
            $typesfield->set_validator('');
        }
        if (true === isset($form_data['autogen_script_' . $form_data['id']]) && '' != $form_data['autogen_script_' . $form_data['id']])
        {
            $typesfield->set_autogen(implode('::', array($form_data['autogen_script_' . $form_data['id']], $form_data['autogen_params_' . $form_data['id']])));
        }
        else 
        {
            $typesfield->set_autogen('');
        }
        $typesfield->save();
        ob_start();
        include('templates/listitem.php');
        $result = ob_get_contents();
        ob_end_clean();
        $xajax_response->addAssign('content_field_' . $typesfield->get_id(), 'innerHTML', $result);
        
    break;
    
    case 'add':
    
        if (true === empty($form_data['identifier_new'])) 
        {
            if ('simple' == $form_data['type_new'])
            {
                $db_field = new pxdb_dbfield($form_data['fieldid_new']);
                $form_data['identifier_new'] = $db_field->get_fname();
            }
            elseif ('relationship' == $form_data['type_new'])
            {
                $relationship = new pxdb_relationship($form_data['fieldid_new']);
                $form_data['identifier_new'] = preg_replace("/[^a-zA-Z0-9_]/", "_", strtolower($relationship->get_description()));
            }
        }
        else
        {
            $form_data['identifier_new'] = strtolower(preg_replace("/[^a-zA-Z0-9_]/", "_", $form_data['identifier_new']));
            $dbh = &pxdb::dbh();
            $sql = "
SELECT
    id
FROM
    typesfields
WHERE
    identifier = " . $dbh->Quote($form_data['identifier_new']) . "
    AND typeid = " . $form_data['content_type_id'];
            $rs = $dbh->Execute($sql);
            if (!$rs->EOF)
            {
                $errors[] = "The 'unique name' value you entered (" . $form_data['identifier_new'] . ") is not unique.";
            }
            elseif (in_array($form_data['identifier_new'], pxdb::get_pxdb_reserved_fields()))
            {
                $errors[] = "You cannot use any of the following as unique field names: " . implode(', ', pxdb::get_pxdb_reserved_fields());
            }
            if (0 < count($errors))
            {
                ob_start();
                include(STXMANAGER_PATH . '/templates/errors.php');
                $result = ob_get_contents();
                ob_end_clean();
                $xajax_response->addAssign('errors', 'innerHTML', $result);
                break;
            }
        }
        $typesfield = new pxdb_typesfield();
        $typesfield->set_typeid($form_data['content_type_id']);
        $typesfield->set_displayname($form_data['displayname_new']);
        $typesfield->set_identifier($form_data['identifier_new']);
        $typesfield->set_description($form_data['description_new']);
        if ('simple' == $form_data['type_new'])
        {
            $typesfield->set_fieldid($form_data['fieldid_new']);
        }
        elseif ('relationship' == $form_data['type_new'])
        {
            $typesfield->set_relid($form_data['fieldid_new']);
        }
        if (true === isset($form_data['mul_new']) && 'Y' == $form_data['mul_new'])
        {
            $typesfield->set_mul('Y');
        }
        if (true === isset($form_data['req_new']) && 'Y' == $form_data['req_new'])
        {
            $typesfield->set_req('Y');
        }
        if (true === isset($form_data['is_unique_new']) && 'Y' == $form_data['is_unique_new'])
        {
            $typesfield->set_is_unique('Y');
        }
        if (true === isset($form_data['widget_script_new']) && '' != $form_data['widget_script_new'])
        {
            $typesfield->set_widget(implode('::', array($form_data['widget_script_new'], $form_data['widget_params_new'])));
        }
        if (true === isset($form_data['processor_script_new']) && '' != $form_data['processor_script_new'])
        {
            $typesfield->set_processor(implode('::', array($form_data['processor_script_new'], $form_data['processor_params_new'])));
        }
        if (true === isset($form_data['validator_script_new']) && $form_data['validator_script_new'])
        {
            $typesfield->set_validator(implode('::', array($form_data['validator_script_new'], $form_data['validator_params_new'])));
        }
        if (true === isset($form_data['autogen_script_new']) && $form_data['autogen_script_new'])
        {
            $typesfield->set_autogen(implode('::', array($form_data['autogen_script_new'], $form_data['autogen_params_new'])));
        }
        $typesfield->save();
        ob_start();
        include('templates/list.php');
        $result = ob_get_contents();
        ob_end_clean();
        $xajax_response->addAssign('form_div', 'innerHTML', $result);
        
    break;
    
    case 'list':
    default:
    
        if (true === isset($form_data['content_type_id']) && true === is_numeric($form_data['content_type_id']))
        {
            ob_start();
            include('templates/list.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
            $xajax_response->addAssign('content_type_heading', 'innerHTML', $content_type->get_label());
        }
        else
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
}

?>