<?php
// setup for lists
$type_list = new ListWidget(array('simple' => 'Simple Field', 'relationship' => 'Relationship'), 'type_' . $typesfield->get_id(), $typesfield->get_field_type());

if ('simple' == $typesfield->get_field_type())
{
    $field_id_list = new ListWidget($typesfield->arr_available_dbfields('{fname} - {ftype}'), 'fieldid_' . $typesfield->get_id(), $typesfield->get_fieldid());
}
elseif ('relationship' == $typesfield->get_field_type())
{
    $field_id_list = new ListWidget($typesfield->arr_available_relationships('{description}'), 'fieldid_' . $typesfield->get_id(), $typesfield->get_relid());
}
$field_id_list->setDefaultElement(array('value' => '', 'label' => '[Choose Field]'));
$field_id_list->setArrayKeys(array('value' => 'id', 'label' => 'custom_field'));
$field_id_list->setCSS('fieldid');

$gen_db = pxdb::parse_plugin($typesfield->get_autogen());
$autogenerator_list = new ListWidget(pxdb_tools::get_plugins('generators'), 'autogen_script_' . $typesfield->get_id(), $gen_db['script']);
$autogenerator_list->setDefaultElement(array('value' => '', 'label' => '[autogen]'));
$autogenerator_list->setCSS('plugin');

$widg_db = pxdb::parse_plugin($typesfield->get_widget());
$widget_list = new ListWidget(pxdb_tools::get_plugins('widgets'), 'widget_script_' . $typesfield->get_id(), $widg_db['script']);
$widget_list->setDefaultElement(array('value' => '', 'label' => '[widget]'));
$widget_list->setCSS('plugin');

$val_db = pxdb::parse_plugin($typesfield->get_validator());
$validator_list = new ListWidget(pxdb_tools::get_plugins('validators'), 'validator_script_' . $typesfield->get_id(), $val_db['script']);
$validator_list->setDefaultElement(array('value' => '', 'label' => '[validator]'));
$validator_list->setCSS('plugin');

$proc_db = pxdb::parse_plugin($typesfield->get_processor());
$processor_list = &new ListWidget(pxdb_tools::get_plugins('processors'), 'processor_script_' . $typesfield->get_id(), $proc_db['script']);
$processor_list->setDefaultElement(array('value' => '', 'label' => '[processor]'));
$processor_list->setCSS('plugin');
?>

<th id="header_<?= $typesfield->get_id() ?>" colspan="2">Edit:</th>
<td id="label_<?= $typesfield->get_id() ?>_cell">
    Label:
    <input type="text" id="displayname_<?= $typesfield->get_id() ?>" name="displayname_<?= $typesfield->get_id() ?>" value="<?= $typesfield->get_displayname() ?>"><br>
    (optional) Description:<br>
    <textarea name="description_<?= $typesfield->get_id() ?>" rows="2" cols="20" id="description_<?= $typesfield->get_id() ?>"><?= htmlspecialchars($typesfield->get_description()) ?></textarea>
</td>
<td id="identifier_<?= $typesfield->get_id() ?>_cell">
    <input type="text" name="identifier_<?= $typesfield->get_id() ?>" id="identifier_<?= $typesfield->get_id() ?>" value="<?= $typesfield->get_identifier() ?>">
</td>
<td id="type_<?= $typesfield->get_id() ?>_cell">
    <?= $type_list->radioButtonsTable(1, 'onclick="updateFieldIDList(' . $typesfield->get_id() . ')"') ?>
    <?= $field_id_list->selectList() ?>
</td>
<td id="special_<?= $typesfield->get_id() ?>_cell">
    mult: <input type="checkbox" name="mul_<?= $typesfield->get_id() ?>" value="Y"<?= (true === $typesfield->is_multiple()) ? ' checked' : '' ?>><br>
    req'd: <input type="checkbox" name="req_<?= $typesfield->get_id() ?>" value="Y"<?= (true === $typesfield->is_required()) ? ' checked' : '' ?>><br>
    unique: <input type="checkbox" name="is_unique_<?= $typesfield->get_id() ?>" value="Y"<?= (true === $typesfield->is_unique()) ? ' checked' : '' ?>>
</td>
<td id="plugins_<?= $typesfield->get_id() ?>_cell">
    <table id="widget_edit_<?= $typesfield->get_id() ?>">
        <tr>
            <td>
                <?= $autogenerator_list->selectList() ?>
            </td>
            <td>
                <input type="text" name="autogen_params_<?= $typesfield->get_id() ?>" id="autogen_params_<?= $typesfield->get_id() ?>" value="<?= $gen_db['paramstr'] ?>">
            </td>
        </tr>
            <td>
                <?= $widget_list->selectList() ?>
            </td>
            <td>
                <input type="text" name="widget_params_<?= $typesfield->get_id() ?>" id="widget_params_<?= $typesfield->get_id() ?>" value="<?= $widg_db['paramstr'] ?>">
            </td>
        </tr>
        <tr>
            <td>
                <?= $validator_list->selectList() ?>
            </td>
            <td>
                <input type="text" name="validator_params_<?= $typesfield->get_id() ?>" id="validator_params_<?= $typesfield->get_id() ?>" value="<?= $val_db['paramstr'] ?>">
            </td>
        </tr>
        <tr>
            <td>
                <?= $processor_list->selectList() ?>
            </td>
            <td>
                <input type="text" name="processor_params_<?= $typesfield->get_id() ?>" id="processor_params_<?= $typesfield->get_id() ?>" value="<?= $proc_db['paramstr'] ?>">
            </td>
        </tr>
    </table>
</td>
<td id="actions_<?= $typesfield->get_id() ?>">
    <a href="javascript:saveCurrent(<?= $typesfield->get_id() ?>)"><img src="/admin/images/gnome_icons/stock_save.png" alt="Save" id="save_<?= $typesfield->get_id() ?>" width="24" height="24"></a>
</td>
