<?php

$mode = (true === isset($form_data['mode']))
    ? $form_data['mode'] : null;

switch ($mode)
{
    case 'reorder_up':
    
        if (true === isset($form_data['id']) && true === is_numeric($form_data['id']))
        {
            $content_type = new pxdb_datatype($form_data['id']);
            $content_type->move('up');
            $content_types = new pxdb_basis();
            ob_start();
            include('templates/list.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
            $xajax_response->addAssign('content_type_' . $form_data['id'], 'class', 'modified');
        }
        else
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
    
    break;

    case 'reorder_down':
    
        if (true === isset($form_data['id']) && true === is_numeric($form_data['id']))
        {
            $content_type = new pxdb_datatype($form_data['id']);
            $content_type->move('down');
            $content_types = new pxdb_basis();
            ob_start();
            include('templates/list.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
            $xajax_response->addAssign('content_type_' . $form_data['id'], 'class', 'modified');
        }
        else
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
    
    break;
    
    case 'delete':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $content_type = new pxdb_datatype($form_data['id']);
            $content_type->delete();
            $xajax_response->addRemove('content_type_' . $form_data['id']);
        }
    
    break;
    
    case 'edit':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $content_type = new pxdb_datatype($form_data['id']);
            ob_start();
            include('templates/edit.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('content_type_' . $form_data['id'], 'innerHTML', $result);
        }
    
    break;
    
    case 'save':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        elseif (true === empty($form_data['type_' . $form_data['id']])) 
        {
            $errors[] = "You must enter a content type name.";
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
            $xajax_response->addAssign('type_' . $form_data['id'], 'style.background', 'red');
        }
        else 
        {
            $form_data['type_' . $form_data['id']] = strtolower(preg_replace("/[^a-zA-Z0-9_]/", "_", $form_data['type_' . $form_data['id']]));
            $content_type = new pxdb_datatype($form_data['id']);
            $content_type->set_type($form_data['type_' . $form_data['id']]);
            $content_type->set_label($form_data['label_' . $form_data['id']]);
            $content_type->set_description($form_data['description_' . $form_data['id']]);
            if (false === isset($form_data['expose_' . $form_data['id']]))
            {
                $form_data['expose_' . $form_data['id']] = 'N';
            }
            $content_type->set_expose($form_data['expose_' . $form_data['id']]);
            $content_type->save();
            
            ob_start();
            $result = ob_get_contents();
            ob_end_clean();
            
            $xajax_response->addAlert($result);
            
            ob_start();
            include('templates/listitem.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('content_type_' . $content_type->get_id(), 'innerHTML', $result);
        }
        
    break;
    
    case 'add':
    
        if (true === empty($form_data['type_new'])) 
        {
            $errors[] = "You must enter a content type name.";
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
            $xajax_response->addAssign('type_new_cell', 'style.background', 'red');
        }
        else 
        {
            $form_data['type_new'] = strtolower(preg_replace("/[^a-zA-Z0-9_]/", "_", $form_data['type_new']));
            $content_type = new pxdb_datatype();
            $content_type->set_type($form_data['type_new']);
            $content_type->set_label($form_data['label_new']);
            $content_type->set_description($form_data['description_new']);
            if (false === isset($form_data['expose_new']))
            {
                $form_data['expose_new'] = 'N';
            }
            $content_type->set_expose($form_data['expose_new']);
            $content_type->save();
            $content_types = new pxdb_basis();
            ob_start();
            include('templates/list.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
        }
        
    break;
    
    case 'list':
    default:
    
        pxdb_import('metadata.pxdb_basis');
        pxdb_import('metadata.pxdb_datatype');
        $content_types = new pxdb_basis();
        ob_start();
        include('templates/list.php');
        $result = ob_get_contents();
        ob_end_clean();
        $xajax_response->addAssign('form_div', 'innerHTML', $result);
}

?>