<?php
/**
 * The primary form handler--passes off to other functions as necessary
 *
 * @access public
 * @return string XML data
 * @param array $form_data Associative array of all form data.
 *
 */
function process_form($form_data = null)
{
    // blank array to use for error communication throughout
    $errors = array();
    if (null === $form_data)
    {
       trigger_error('No Form Data', E_USER_WARNING);
       exit();
    }
    // make sure we know which app to use
    if (false === isset($form_data['stxmanager_app']))
    {
       trigger_error('No application specified', E_USER_WARNING);
       exit();
    }
    
    $xajax_response = new xajaxResponse();
    
    switch ($form_data['stxmanager_app'])
    {
        case 'content_types':
        
            include(STXMANAGER_PATH . '/content_types/logic.php');
        
        break;
        
        case 'content_type':
        
            include(STXMANAGER_PATH . '/content_type/logic.php');
        
        break;
        
        case 'code_generators':
        
            include(STXMANAGER_PATH . '/code_generators/logic.php');
        
        break;
        
        case 'relationships':
        
            include(STXMANAGER_PATH . '/relationships/logic.php');
        
        break;
        
        case 'views':
        
            include(STXMANAGER_PATH . '/views/logic.php');
        
        break;
        
        default:
        
            trigger_error('Bad application name', E_USER_WARNING);
            exit();
    }
    return $xajax_response->getXML();

}
?>