<?php
pxdb_import('metadata.pxdb_relationship');
pxdb_import('metadata.pxdb_datatype');
        
$mode = (true === isset($form_data['mode']))
    ? $form_data['mode'] : null;

switch ($mode)
{
    case 'delete':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $content_type = new pxdb_relationship($form_data['id']);
            $content_type->delete();
            $xajax_response->addRemove('relationship_' . $form_data['id']);
        }
    
    break;
    
    case 'edit':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $content_type = new pxdb_datatype($form_data['id']);
            ob_start();
            include('templates/edit.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('content_type_' . $form_data['id'], 'innerHTML', $result);
        }
    
    break;
    
    case 'save':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        elseif (true === empty($form_data['type_' . $form_data['id']])) 
        {
            $errors[] = "You must enter a content type name.";
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
            $xajax_response->addAssign('type_' . $form_data['id'], 'style.background', 'red');
        }
        else 
        {
            $form_data['type_' . $form_data['id']] = strtolower(preg_replace("/[^a-zA-Z0-9_]/", "_", $form_data['type_' . $form_data['id']]));
            $content_type = new pxdb_datatype($form_data['id']);
            $content_type->set_type($form_data['type_' . $form_data['id']]);
            $content_type->set_label($form_data['label_' . $form_data['id']]);
            $content_type->set_description($form_data['description_' . $form_data['id']]);
            if (false === isset($form_data['expose_' . $form_data['id']]))
            {
                $form_data['expose_' . $form_data['id']] = 'N';
            }
            $content_type->set_expose($form_data['expose_' . $form_data['id']]);
            $content_type->save();
            
            ob_start();
            var_dump($content_type);
            $result = ob_get_contents();
            ob_end_clean();
            
            $xajax_response->addAlert($result);
            
            ob_start();
            include('templates/listitem.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('content_type_' . $content_type->get_id(), 'innerHTML', $result);
        }
        
    break;
    
    case 'add':
    
        if (true === empty($form_data['label_new'])) 
        {
            $errors[] = "You must enter a relationship label.";
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
            $xajax_response->addAssign('label_new_cell', 'style.background', 'red');
        }
        else 
        {
            // OAM - TODO form data for arrays will be formally supported in xajax 0.2
            // using a modified version with that support for now
            
            $relationship = new pxdb_relationship();
            $relationship->set_description($form_data['label_new']);
            $relationship->set_dt1($form_data['dt1']);
            $relationship->set_dt2($form_data['dt2']);
            $relationship->save();
            
            ob_start();            
            include('templates/list.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
        }
        
    break;
    
    case 'list':
    default:                        
        ob_start();
        include('templates/list.php');
        $result = ob_get_contents();
        ob_end_clean();
        $xajax_response->addAssign('form_div', 'innerHTML', $result);
    break;
}

?>