<?php
pxdb_import('metadata.pxdb_relationship');
pxdb_import('metadata.pxdb_datatype');

$mode = (true === isset($form_data['mode']))
    ? $form_data['mode'] : null;

switch ($mode)
{
    case 'delete':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $view = new pxdb_view($form_data['id']);
            $view->delete();
            $xajax_response->addRemove('view_row_' . $form_data['id']);
        }
    
    break;
    
    case 'delete_field':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $view = new pxdb_viewfield($form_data['id']);
            $view->delete();
            $xajax_response->addRemove('view_field_row_' . $form_data['id']);
        }
    
    break;    
    
    case 'edit':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $view = new pxdb_view($form_data['id']);
            ob_start();
            include('templates/edit.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('view_row_' . $form_data['id'], 'innerHTML', $result);
        }
    
    break;
    
    case 'edit_field':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            $view_field = new pxdb_viewfield($form_data['id']);
            ob_start();
            include('templates/edit_field.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('view_field_row_' . $form_data['id'], 'innerHTML', $result);
        }
    
    break;    
    
    case 'list_fields':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        else 
        {
            if ( isset( $form_data['view_id'] ) )
            {
                $view = new pxdb_view($form_data['view_id']);
            }
            else if ( isset( $form_data['id'] ) )
            {
                $view = new pxdb_view($form_data['id']);
            }
            ob_start();
            include('templates/list_fields.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
        }
    
    break;
    
    case 'save':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        elseif (true === empty($form_data['view_' . $form_data['id']])) 
        {
            $errors[] = "You must enter a view name.";
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
            $xajax_response->addAssign('view_' . $form_data['id'], 'style.background', 'red');
        }
        else 
        {
            $form_data['view_' . $form_data['id']] = strtolower(preg_replace("/[^a-zA-Z0-9_]/", "_", $form_data['view_' . $form_data['id']]));
            
            $view = new pxdb_view($form_data['id']);
            $view->set_view($form_data['view_' . $form_data['id']]);
            $view->set_label($form_data['label_' . $form_data['id']]);
            $view->set_description($form_data['description_' . $form_data['id']]);
            $view->save();
            
            /*
            ob_start();            
            $result = ob_get_contents();
            ob_end_clean();
            
            $xajax_response->addAlert($result);
            */
            ob_start();
            include('templates/listitem.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('view_row_' . $view->get_id(), 'innerHTML', $result);
        }
        
    break;
    
    case 'save_field':
    
        if (false === isset($form_data['id']) || false === is_numeric($form_data['id']))
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
        elseif (true === empty($form_data['typesfield_' . $form_data['id']])) 
        {
            $errors[] = "You must select a field..";
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
            $xajax_response->addAssign('view_field_row_' . $form_data['id'], 'style.background', 'red');
        }
        else 
        {
            $view_field = new pxdb_viewfield($form_data['id']);
            $view_field->set_viewid($form_data['view_id']);
            $view_field->set_label($form_data['label_' . $form_data['id']]);
            $view_field->set_description($form_data['description_' . $form_data['id']]);
            $view_field->set_typesfield($form_data['typesfield_' . $form_data['id']]);
            $view_field->save();
            
            ob_start();
            include('templates/listitem_field.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('view_field_row_' . $view_field->get_id(), 'innerHTML', $result);
        }
        
    break;
    
    /*
    Move a view field up
    */
    case 'reorder_field_up':
    
        if (true === isset($form_data['id']) && true === is_numeric($form_data['id']))
        {
            $view_field = new pxdb_viewfield($form_data['id']);
            $view_field->move('up');
            
            $view = new pxdb_view( $view_field->get_viewid() );
            ob_start();
            include('templates/list_fields.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
            $xajax_response->addAssign('view_field_row' . $form_data['id'], 'class', 'modified');
        }
        else
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
    
    break;

    /*
    Move a view field down
    */
    case 'reorder_field_down':
    
        if (true === isset($form_data['id']) && true === is_numeric($form_data['id']))
        {
            $view_field = new pxdb_viewfield($form_data['id']);
            $view_field->move('down');
            
            $view = new pxdb_view( $view_field->get_viewid() );
            ob_start();
            include('templates/list_fields.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);  
            $xajax_response->addAssign('view_field_row' . $form_data['id'], 'class', 'modified');
        }
        else
        {
            $errors[] = 'No ID was passed.';
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
        }
    
    break;
    
    case 'add':
    
        if (true === empty($form_data['label_new'])) 
        {
            $errors[] = "You must enter a view label.";
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
            $xajax_response->addAssign('label_new_cell', 'style.background', 'red');
        }
        else 
        {
            $view = new pxdb_view();
            $view->set_view($form_data['view_new']);
            $view->set_label($form_data['label_new']);
            $view->set_datatype($form_data['content_type']);
            $view->set_description($form_data['description_new']);
            $view->save();
            
            ob_start();            
            include('templates/list.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
        }
        
    break;
    
    case 'add_field':
    
        if (true === empty($form_data['typesfield_new'])) 
        {
            $errors[] = "You must select a typesfield.";
            ob_start();
            include(STXMANAGER_PATH . '/templates/errors.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('errors', 'innerHTML', $result);
            $xajax_response->addAssign('type_new_cell', 'style.background', 'red');
        }
        else 
        {
            $view_field = new pxdb_viewfield();
            $view_field->set_viewid($form_data['view_id']);
            $view_field->set_typesfield($form_data['typesfield_new']);
            $view_field->set_label($form_data['label_new']);            
            $view_field->set_description($form_data['description_new']);
            $view_field->save();

            $view = new pxdb_view($form_data['view_id']);
            ob_start();            
            include('templates/list_fields.php');
            $result = ob_get_contents();
            ob_end_clean();
            $xajax_response->addAssign('form_div', 'innerHTML', $result);
        }
        
    break;
    
    case 'list':
    default:                        
        ob_start();
        $content_type = $form_data['content_type'];
        include('templates/list.php');
        $result = ob_get_contents();
        ob_end_clean();
        $xajax_response->addAssign('form_div', 'innerHTML', $result);
    break;
}

?>