<?php 
/* 
This template provides a single way to present a pager
for a pxdb_collection across a site.  You could also
use this as a starting point for customizing other pagers.
All the pagination-related logic is in the stx_collection_pager.
This file expects a $Records pxdb_collection object 
and a $Request request object.
*
* @author Oscar Merida
*/
if ( !isset($max_links) )
{
    $max_links = 6;
}

if ( 0 < $Records->total_num_records() )
{
    pxdb_import( 'content.output.stx_collection_pager' );
    $pager = new stx_collection_pager( $Records, $Request );
    
    if ( 1 < $pager->get_total_pages() )
    {
        if ( !$pager->at_first_page() )
        {
?>    
        <a href="<?= $pager->get_page_uri(1) ?>">&laquo;</a>&nbsp;
        <a href="<?= $pager->get_page_uri($pager->get_current_page() - 1) ?>">&lsaquo;</a>&nbsp;
<?php 
        }
        
        $links = $pager->get_page_links($max_links);
        while ( list(, $page_link) = each($links) )
        {
           if ( $page_link == $Request->getVar('page') )
           {
?>
        &nbsp;<strong><?= $page_link ?></strong>
<?php
           }
           else
           {
?>
        &nbsp;<a href="<?= $pager->get_page_uri($page_link) ?>"><?= $page_link ?></a>
<?php
           } // end if
        }
    
        if ( !$pager->at_last_page() )
        {
?>  
        &nbsp;&nbsp;<a href="<?= $pager->get_page_uri($pager->get_current_page() + 1) ?>">&rsaquo;</a>
        &nbsp;<a href="<?= $pager->get_page_uri( $pager->get_total_pages()) ?>">&raquo;</a>    
<?php 
        }
        
        if ( $pager->get_total_pages() > $max_links )
        {
?>
    <br />
    <form>
        <select name="pager_nav" onChange="window.location.href=this.options[this.selectedIndex].value">    
<?php 
            for ( $target_page = 1; $target_page <= $pager->get_total_pages(); $target_page++)
            {
                $sel = ( $target_page == $pager->get_current_page() ) ? ' selected' : '';
?>
        <option value="<?= $pager->get_page_uri($target_page) ?>"<?= $sel ?>><?= $target_page ?></option>
<?php 
            } // end for
?>
        </select>
    </form>
<?php
        }
    } // end if more than one page
} // end if
?>
