<?php
// Change the values below to reflect the specifics of your site.  In some cases default values
// will be substituted if you comment out the variable.

// PxDB Setup
// ----------

// The path to the PxDB package. Leave this empty (or comment it out) if you have set your PHP include
// path to point to the PxDB directory.
// (E.g. '/home/phlexdb/packages/pxdb')

$MAIN_SITE_PATH = realpath(dirname(__FILE__) . '/../..');
$PXDB_PATH      = $MAIN_SITE_PATH . '/../private/lib/ext/PxDB';

// Database Connection
// ------------------- 
// Set the appropriate values for your database here.

// OAM - get values from site config file
$DB_PATH = realpath ( $MAIN_SITE_PATH.'/../private/config/db.conf.php' );
require_once( $DB_PATH );

$PXDB_DB_HOST = DB_HOST;
$PXDB_DB_USER = DB_USER;
$PXDB_DB_PASS = DB_PASS;

// If your site only uses one database, please specify it below.  Comment this line out
// to enable multiple database suport (db pull-down menu).
$PXDB_DB = DB;

if( isset($PXDB_PATH) && $PXDB_PATH )
{
    // add a trailing slash, because I want to provide the option of leaving it unset
    // which will then try to find it in include path.
    $PXDB_PATH .= DIRECTORY_SEPARATOR; 	
    
}	

include_once($PXDB_PATH . 'pxdb.inc.php');
// *If* you comment out $PXDB_DB (in order to enable multiple-db support), you can specify a default
// database here:

// Site Details
// ------------

// The name of this application (display only)
//

define('IS_DEV', false !== strpos($_SERVER['HTTP_HOST'], 'forumone.com') && false === strpos($_SERVER['HTTP_HOST'], 'www.forumone.com'));

if (true === IS_DEV)
{
    $SITE_NAME = substr($_SERVER['HTTP_HOST'], 0, strpos($_SERVER['HTTP_HOST'], '.')) . ' -- NOT LIVE SITE';
}
else
{
    $SITE_NAME = $_SERVER['HTTP_HOST'];
}

// The absolute URL to this web application (i.e. your admin site)
// (E.g. 'http://xmpl.org/admin')
// If not set, will default to 'http://'.$_SERVER['HTTP_HOST']
// OAM: instead of hardcoding 'admin' below, we can figure it out

$SITE_URL = 'http://'.$_SERVER['HTTP_HOST'].str_replace( $MAIN_SITE_PATH, '', SITE_ROOT );

// DISPLAY PREFERENCES
//
$ROWS_PER_PAGE = 20;

// PERMISSIONS
// -----------

// Groups allowed to access this sites
// Specify either a single value or an array of group
// *names* that user must be a member of in order to be granted access 
$AUTH_SESSION_NAME = 'context';
$ALLOWED_GROUPS = array('admin');

// Used by F1CMS for non-expiring content.
//
define('END_OF_TIME', '3000-01-01 00:00:00');

// NAVIGATION NODES
define( 'NAV_ROOT_EL', '_home' );

// If the following constant is defined, then any section added by a user will be
// a child of that section.
define( 'DEFAULT_SECTION_PARENT', '_home' );

// if the following constant is defined, then only these top nodes ( where noderel.parent is 0 )
// will be displayed in the admin application
// it can be a comma separated list of node idnums'
define( 'DISPLAY_TOP_NODES', '_home' );

// Defines the preference key under datatype_expose to use to determine what
// datatypes to show in this instance.  If left undefined or empty, then it
// will revert to using the expose column in the datatypes table.  Useful for
// when you have one db across multiple sites and want to restrict what datatypes
// are shown on each site to the same login groups.
// define( 'DATATYPE_EXPOSE_KEY', 'public' );

// defines the different kind of publishing behaviors a site can have, usually just
// sufficient to distinguish between regular and featured content.
$noderel_data = array(
    NODEREL_SECTION_TO_CONTENT  => 'Regular Content',
    NODEREL_SECTION_TO_FEATURED => 'Featured Content'
);
?>