<?php
// may well have been already included
require_once( dirname(__FILE__) . '/includes/setup.php' );

# PxDB Classes
# ------------
pxdb_import('content.input.pxdb_input');
pxdb_import('content.input.pxdb_commit');

$mode = ( isset($_REQUEST['mode']) ? $_REQUEST['mode'] : null );
$dt   = ( isset($_REQUEST['dt']) ? $_REQUEST['dt'] : null );

$ref  = ( isset($_REQUEST['ref']) ? urldecode($_REQUEST['ref']) : null);
$id   = ( isset($_REQUEST['id']) ? $_REQUEST['id'] : null );
$pxdb = ( isset($_REQUEST['pxdb']) ? $_REQUEST['pxdb'] : null);

switch( $mode )
{
    case 'remove_from_sect':
        
        $sql = "DELETE FROM noderel"
              ." WHERE parent='".$_REQUEST['parent']."' and child='".$_REQUEST['id']."' and noderelid='".$_REQUEST['noderel']."'";
        
        if ( $dbh->Execute($sql) )
        {
            // oam: redirect
            $_SESSION['feedback'] = 'Content removed from this section.';                
            header( "Location: ".$_SERVER['HTTP_REFERER'] );
            exit();
        }
        else 
        {
            echo '<pre>'; print_r( $_REQUEST ); echo '</pre>';
            die();
        }
    break;
    
    case 'noderel_order':
        require_once( dirname(__FILE__) . '/includes/lib.objOrder_noderel.php' );
        //echo '<pre>'; print_r( $_REQUEST ); echo '</pre>';
        $dt_edit = $datatype_privs->get_object_array( DATATYPE_PRIV_VIEW );
        $node_order = new objOrder_noderel( $_REQUEST['parent'], $_REQUEST['noderel'] );
        $node_order->moveObject( $_REQUEST['id'], $_REQUEST['dir'] );
        header( "Location: ".$_SERVER['HTTP_REFERER'] );
        exit();          
        
    break;
    case "publish":
        // this handles publishing or featuring content
        // expects $_REQUESTS['node_parent'] to be an array of noderel_id, node_id pairs 
        // ie how to publish, and to what section
        if ( isset($_REQUEST['id']) )
        {
            $record_id = $_REQUEST['id'];
            
            // 1) clear out any parent nodes of type DT_NODE (or whatever we're calling it)
            
            $sql = "
SELECT id, nrel.noderelid FROM records r INNER JOIN noderel nrel ON nrel.parent = r.id
WHERE nrel.child = $record_id AND r.datatype = ".DT_NODE;

            $del_rs = $dbh->Execute($sql);

            $existing_nodes = array();
            while (!$del_rs->EOF)
            {                
                $existing_nodes[ $del_rs->fields['noderelid'] ][] = $del_rs->fields['id'];
                
                $sql = "DELETE FROM noderel"
                      ." WHERE child = '$record_id' and parent = '".$del_rs->fields['id']."'";
                      
                $dbh->Execute($sql);
                $del_rs->MoveNext();
            }
                         
            if (!is_array($_REQUEST['node_parent']))
            { 
                $_REQUEST['node_parent'] = array($_REQUEST['node_parent']); 
            }
            
            $adm = &new pxdb_commit( $_REQUEST['id'] );		
            
            $added_nodes = array();
             
            //NOTE - oam: if you clear all checkboxes, then $_REQUEST['node_parent'] is 
            //       an array with a single empty element at index 0 
            while( list($noderel_id, $node_id) = each ( $_REQUEST['node_parent'] ) )
            {
                if ( !empty($node_id) && '' !== $node_id )
                {                    
                    $adm->add_parent($node_id, $noderel_id);                     
                    $added_nodes[$noderel_id] = $node_id;
                }
                
                // oan: we have to figure out the new and deleted nodes per noderelid
                //      to account for all possible state changes.
                
                //anything in added not in existing is new, should get faded
                if ( empty($existing_nodes[$noderel_id]) )
                {
                    $new_nodes[$noderel_id] = $added_nodes[$noderel_id];
                }
                else
                {
                    $new_nodes[$noderel_id] = array_diff( $added_nodes[$noderel_id], $existing_nodes[$noderel_id] );
                }
                
                                
                if ( empty($added_nodes) )
                {
                    // all existing noderelids were cleared
                    $del_nodes = $existing_nodes;
                }
                else
                {
                    //anything in existing not in added was deleted, should also get fades
                    $del_nodes[$noderel_id] = array_diff( $existing_nodes[$noderel_id], $added_nodes[$noderel_id] );
                }
            }
            
            // affected noderelids:
            //cho '<pre>'; print_r( $existing_nodes ); echo '</pre>';
            //die();
            if ( !empty( $existing_nodes ) )
            {
                $noderel_ids = array_keys( $existing_nodes );
            }
            else
            {
                $noderel_ids = array_keys( $added_nodes );
            }
            
            while ( list(, $noderel_id ) = each($noderel_ids) )
            {
                $_SESSION['changed_nodes'][$noderel_id] = array_merge( $new_nodes[$noderel_id], $del_nodes[$noderel_id] );
            }
            
        } // if exists	
        
        // if this was a node, indicate that nav information has changed.	
        if ( DT_NODE == $adm->datatype )
        {		
            $pxdb_prefs->set_pref('content_updated', 'nav', time());
        }
        else
        {
            $pxdb_prefs->set_pref('content_updated', 'content', time());
        }
        
        // oam: redirect to privs tab ...
        $_SESSION['feedback'] = 'Content Publication updated';                
                
        header( "Location: ".$_SERVER['HTTP_REFERER'] );
        exit();        
    
    break;
    
    case "update_privs":
        if ( $datatype_privs->is_allowed( $_REQUEST['dt'], DATATYPE_PRIV_EDIT ) )
        {
            $_SESSION['feedback'] = 'Content Privileges updated';
            include ( dirname(__FILE__).'/includes/update_privs.php' );        
            $privUrl = SITE_REL.'/db.php?mode=edit&pane=privs&dt='.$_REQUEST['dt'].'&id='.$_REQUEST['id'].'&ref='.$_REQUEST['ref'];
            header( "Location: ".$privUrl );
            exit();
        }
        else 
        {
            $view = "not_allowed";
            $message = "You do not have sufficient privileges to edot this content type.";
        }
    break;
    
	case "add":
	    if ( $datatype_privs->is_allowed( $_REQUEST['dt'], DATATYPE_PRIV_ADD ) )
        {            
            $id = null;
            $view = "input";
        }
        else 
        {
            $view = "not_allowed";
            $message = "You do not have sufficient privileges to add this content type.";
        }

	break;
	
	case "edit":			
        if ( $datatype_privs->is_allowed( $_REQUEST['dt'], DATATYPE_PRIV_EDIT ) )
        {            
            $view = "input";
        }
        else 
        {
            $view = "not_allowed";
            $message = "You do not have sufficient privileges to edit this content type.";
        }
		
	break;	
    
	case "save":	   
       
		include_once(SITE_ROOT . '/includes/lib/custom_validators.lib.php');				
		
		$adm =& new pxdb_commit();		

		if ( (!isset($_POST['node_parent']) || !$_POST['node_parent']) && false )
		{ /* disabled ?temporarily? */
			// did they choose a section?
			$errors[] = 'You must select at least one section in which this content should appear.';
			$view = 'input';
			
		}
		else
		{
            // go automatically to the publish pane only if we are adding a new record
            // (if we are editing a record, the tabs will be showing.
            if (null === $id)
		    {
		        $go_to_publish = true;
                $allowed = $datatype_privs->is_allowed( $_REQUEST['dt'], DATATYPE_PRIV_ADD );
                $message = "You do not have sufficient privileges to add this content type.";
            }
		    else
		    {
		        $go_to_publish = false;
                $allowed = $datatype_privs->is_allowed( $_REQUEST['dt'], DATATYPE_PRIV_EDIT );
                $message = "You do not have sufficient privileges to edit this content type.";
		    }
				
            if ( !$allowed ) 
            {
                $view = "not_allowed";
            } 
            else if ( ! ($record_id = $adm->save()) )
			{
                
                $errors = $adm->errors;
                $view = "input";
                
			}
			else
			{
				
				# write relationships
				# -------------------
				if ( isset($oref) )
				{
					foreach ($oref as $relid => $related_id)
					{
						$adm->add_related($related_id, $relid);
					}
				}		
                
                // to handle requests to create new objects based on the public_admin module
                if ( isset( $_REQUEST['pub_node_parent'] ) )
                {
                    $adm->add_parent( $_REQUEST['pub_node_parent'] );
                } 
                else if( defined('DEFAULT_SECTION_PARENT') && DT_NODE == $adm->datatype && 'insert'==$adm->get_save_type()) 
                {
                    // lookup the parent node
                    pxdb_import( 'content.output.pxdb_search' );
                    pxdb_import( 'content.output.pxdb_collection' );
                    $node_filter = pxdb_search::filter( DT_NODE );
                    $node_filter->add_value( 'url_path', DEFAULT_SECTION_PARENT );
                    $node_collection = new pxdb_collection( DT_NODE );
                    $node_collection->find( $node_filter );
                    $node_collection->execute();
                    
                    if ( $node_parent = $node_collection->fetch_record() )
                    {                        
                        $adm->add_parent( $node_parent->get_field( 'id' ), NODEREL_SECTION_TO_SECTION);
                    }
                }
				
				// 4/27/04 OAM: moved node publishing code to publish mode for non-node records                
				// Special: add to which node ?
				// this handles adding sections to parent sections
				if (isset($_REQUEST['node_parent']) )
				{
				
					// 1) clear out any parent nodes of type DT_NODE (or whatever we're calling it)
					
					$sql = "
SELECT id FROM records r INNER JOIN noderel nrel ON nrel.parent = r.id
WHERE nrel.child = $record_id AND r.datatype = ".DT_NODE;
					
					if ($adm->debug) pxdb::print_debug($sql, 'db-select');
					$del_rs = $dbh->Execute($sql);
							
					while (!$del_rs->EOF)
					{
						$sql = "DELETE FROM noderel WHERE child = $record_id and parent = ".$del_rs->fields['id'];
						if ($adm->debug) pxdb::print_debug($sql, 'db-update');
						$dbh->Execute($sql);
						$del_rs->MoveNext();
					}
					
					if (!is_array($_REQUEST['node_parent']))
					{ 
                        $_REQUEST['node_parent'] = array($_REQUEST['node_parent']); 
                    }
                                  
                    if ( DT_NODE == $adm->datatype )
                    {
                        $node_relid = NODEREL_SECTION_TO_SECTION;
                    } else {
                        // assume publish
                        $node_relid = NODEREL_SECTION_TO_CONTENT;
                    }
					foreach ($_REQUEST['node_parent'] AS $node_id)
					{
						if ($node_id !== '')
						{ 
                            $adm->add_parent($node_id, $node_relid); 
                        }
					}
					
				} // if exists	
				
				// if this was a node, indicate that nav information has changed.	
				if ( DT_NODE == $adm->datatype )
				{		
					$pxdb_prefs->set_pref('content_updated', 'nav', time());
				}
				else
				{
					$pxdb_prefs->set_pref('content_updated', 'content', time());
				}
							
				// END: Special
                $view = "success";
			}
		} // else if not error
		
	break;
	
	case "del":
    	if ( $datatype_privs->is_allowed( $_REQUEST['dt'], DATATYPE_PRIV_DELETE ) )
        {
            $adm =& new pxdb_commit($id);
            
            $adm->delete();
            
            $errors = $adm->errors;
            if (!$errors)
            {
                $view = 'success_delete';
            }
            
            if ($adm->datatype == 9)
            {		
                $pxdb_prefs->set_pref('content_updated', 'nav', time());
            }
            else
            {
                $pxdb_prefs->set_pref('content_updated', 'content', time());
            }
        }
        else 
        {
            $view = "not_allowed";
            $message = "You do not have sufficient privileges to delete this content type.";
        }            
            
	break;

}

define( 'SUPPRESS_LEFT_COL', TRUE );

include(SITE_ROOT . '/display/header.disp.php');

// oam: only show other tabs if we are editing an exisiting object
if ( 'edit' == $mode && $datatype_privs->is_allowed( $_REQUEST['dt'], DATATYPE_PRIV_EDIT ) )
{
    include( SITE_ROOT.'/display/tab_header.disp.php' );    
}

switch($view)
{
    case 'success_delete':
        $_SESSION['feedback'] = 'Content item deleted,';
        if ( empty ( $ref ) )
        {
            $ref = $_SERVER['HTTP_REFERER'];
        }
        header("Location: $ref");
        exit;
    break;
    
	case "success":
		
		$ref = preg_replace("/__newid__/i", $record_id, $ref);				
		
		// header("Location: $ref?modified=$record_id&".$Persist->pass('url'));
        $_SESSION['modified'] = $record_id;
        $_SESSION['feedback'] = 'Content data saved.';
        
        if ( true == $go_to_publish && $datatype_privs->is_allowed( $_REQUEST['dt'], DATATYPE_PRIV_EDIT )  ) {
            header("Location: $SITE_URL/db.php?mode=edit&pane=publication&dt=".$adm->datatype."&id=$record_id&ref=".urlencode($ref));
        } else {
            header("Location: $ref");
        }        
        exit;
	break;
	
	case "input":
        $pane = (isset($_REQUEST['pane']) ? $_REQUEST['pane'] : 'properties');
        
        switch( $pane )
        {
            case 'privs':            
                include_once( dirname(__FILE__).'/includes/pane_privs.php' );            
            break;
            
            case 'publication':
                include_once( dirname(__FILE__).'/includes/pane_publication.php' );
            break;
            
            case 'section_content':
                include_once( dirname(__FILE__).'/includes/pane_section_content.php' );
            break;
            
            case 'properties':
            default:
			    include_once (  dirname(__FILE__).'/includes/pane_content.php' );
            break;
        }
	break;
    
    case 'not_allowed':
        echo "<h3>$message</h3>";
    break;

}

include(SITE_ROOT . '/display/footer.disp.php');

?>
