<?php
// $Id: initialize.php,v 1.1.1.1 2004/09/10 19:27:31 omerida Exp $

require_once(PXDB_CLASSPATH . DIRECTORY_SEPARATOR . 'pxdb.class.php');

define('PXDB_VERSION', '0.0.4');

/*
* Default config file for Syntax.
* --------------------------------
* Don't use this config file -- use the example file that was provided in the public_html/ directory. This
* file has the isset() checks to make sure that it doesn't overwrite values you have set in your config.php
* file.  This config file also creates the define()s that actually are used by the classes.
*/
 
/*
* Load values in this global variable by default.
*/
if(!isset($PXDB_GLOBAL_VAR)) { $PXDB_GLOBAL_VAR = 'pxdb'; }
define('PXDB_GLOBAL_VAR', $PXDB_GLOBAL_VAR);

/*
* Use this variable as the session variable (hash).
*/
if(!isset($PXDB_SESSION_VAR)) { $PXDB_SESSION_VAR = 'pxdb_sess'; }
define('PXDB_SESSION_VAR', $PXDB_SESSION_VAR);

/*
* Enable session support? [EXPERIMENTAL]
* Sessions can store values such as validation errors so that you can
* have input forms and commit functions on separate PHP pages without losing
* context.
* SESSION SUPPORT STILL EXPERIMENTAL
*/
if(!isset($PXDB_USE_SESSION)) { $PXDB_USE_SESSION = false; }
define('PXDB_USE_SESSION', $PXDB_USE_SESSION);

/*
* Global Debug variable.
*/
if(!defined('PXDB_DEBUG')) { define('PXDB_DEBUG', false); }

/*
* Smarty templating engine.
*/
if(!class_exists('Smarty')) {
				
	if(!defined('SMARTY_DIR')) { define('SMARTY_DIR', PXDB_RESPATH . DIRECTORY_SEPARATOR . 'smarty' . DIRECTORY_SEPARATOR); }
	require_once(SMARTY_DIR . 'Smarty.class.php');
	
}

/*
* List Widget form element builder
*/
if(!class_exists('ListWidget')) {
	require_once(PXDB_RESPATH . DIRECTORY_SEPARATOR . 'ListWidget.class.php');
}

/*
* ADOdb Database Abstraction
*/

	if(!isset($PXDB_ADODB_VAR)) { $PXDB_ADODB_VAR = '_pxdb_dbh'; }
	
	// only include db stuff if it's not already defined.
	
	if(!isset(${$PXDB_ADODB_VAR})) {
		
		if(isset($PXDB_DSN) && !empty($PXDB_DSN)) {
			
			require_once(PXDB_RESPATH . DIRECTORY_SEPARATOR.'adodb'.DIRECTORY_SEPARATOR.'adodb-pear.inc.php');
			
			$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
			${$PXDB_ADODB_VAR} = &DB::Connect($PXDB_DSN);
			
		} else {
		
			if(!isset($PXDB_DB_TYPE)) { $PXDB_DB_TYPE = 'mysql'; }
			if(!isset($PXDB_DB_HOST)) { $PXDB_DB_HOST = 'localhost'; }	
	
			require_once(PXDB_RESPATH . DIRECTORY_SEPARATOR.'adodb'.DIRECTORY_SEPARATOR.'adodb.inc.php');
		
			if(!defined('ADODB_ERROR_HANDLER')) {
				require_once(PXDB_RESPATH .DIRECTORY_SEPARATOR.'adodb'.DIRECTORY_SEPARATOR.'adodb-errorhandler.inc.php');
			}				

			$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
			${$PXDB_ADODB_VAR} = &ADONewConnection($PXDB_DB_TYPE);			
			${$PXDB_ADODB_VAR}->Connect($PXDB_DB_HOST, $PXDB_DB_USER, $PXDB_DB_PASS, $PXDB_DB);
		
		}
		
		// make sure prefs table is present.
		if(!in_array('pxdb_prefs', ${$PXDB_ADODB_VAR}->MetaTables())) {
			pxdb::trigger_error("Database $PXDB_DB does not appear to be a valid !Syntax instance (no pxdb_prefs table found).", E_USER_ERROR);
		}
							
	}
	
/*
* Load the RDBMS-specific SQL constant file.
*/

	// 1) load RDBMS-specific [may not exist]
	@include_once(PXDB_CONFPATH . DIRECTORY_SEPARATOR . 'sql' . DIRECTORY_SEPARATOR . ${$PXDB_ADODB_VAR}->databaseType . '.php');

	// 2) include default SQL -- happens to be geared for MySQL.	
	include_once(PXDB_CONFPATH . DIRECTORY_SEPARATOR . 'sql' . DIRECTORY_SEPARATOR . 'default.php');
	
/*
* Register the ADOConnection with the pxdb class
*/

	pxdb::dbh(${$PXDB_ADODB_VAR});

/*
* Run the run-once.php script if it has been modified since this database has been "initialized" last.
*/

	require_once(PXDB_CLASSPATH . DIRECTORY_SEPARATOR . 'pxdb_prefs.class.php');
	$pxdb_prefs = &pxdb_prefs::singleton();
	
	// has run-once.php file changed since we've initialized the database last?
	
	if(@filemtime(PXDB_CONFPATH . DIRECTORY_SEPARATOR . 'run-once.php') > $pxdb_prefs->get_pref('pxdb_initialized')) {
	        // perform initial setup of the db preferences -- with default values, etc.
	        include(PXDB_CONFPATH . DIRECTORY_SEPARATOR . 'run-once.php');
	}


/**
* Function for importing classes -- inspired by import() method of BinaryCloud project.
* @param $class The class "path" to import.
* @return boolean Success of import().
*/
function pxdb_import($class) {
    
	$path = strtr($class, '.', DIRECTORY_SEPARATOR) . '.class.php';	
	
	static $import_map; 
	if(!isset($import_map)) { $import_map = array(); }
	
	if (isset($import_map[$class])) { 
		return true; 
	}
       
	if (include_once(PXDB_CLASSPATH . DIRECTORY_SEPARATOR . $path)) {
                $import_map[$class] = true;
                return true;
	}
	
	return false;
}

?>
