<?php
// $Id: run-once.php,v 1.1.1.1 2004/09/10 19:27:31 omerida Exp $

/*
* This file is included by Syntax's initialize.php. As the name suggests, it is designed to be run to initialize
* a Syntax instance.
* 
* This file will be run anytime the date of this file's modification is more recent than the last time the db instance
* was initialized (determined by reading a pref from the db).
*/
	if(!${$PXDB_ADODB_VAR}) { pxdb::trigger_error('Please setup variable '.${$PXDB_ADODB_VAR}.' (your ADOdb connection) before including this file.', E_USER_ERROR, 'run-once.php'); }
	//if(!defined('PXDB_CONFPATH')) { pxdb::trigger_error('Please define PXDB_CONFPATH before including this file.', E_USER_ERROR); }
	
	// Check to see if version in prefs table is GREATER than current Syntax version
				
		// Version Math: convert 0.2.12 into a number that can be compared with current version.
		function _pxdb_version_num($version)
		{
			$version_pieces = explode('.', $version);
			$version_num = 0;
			for($i=0, $z=sizeof($version_pieces); $i<$z; $i++) {
				$version_num += $version_pieces[$i] * pow(10, $z - $i - 1);
			}
			return $version_num;
		}
		
		$_pxdb_db_version = _pxdb_version_num($pxdb_prefs->get_pref('version'));
		$_pxdb_version = _pxdb_version_num(PXDB_VERSION);
		
		if($_pxdb_db_version > $_pxdb_version ) {	
			// Newer database than class files!			
			pxdb::trigger_error("Your database structure (v".$pxdb_prefs->get_pref('version').") is a newer version than your PxDB class files (v".PXDB_VERSION."). Not safe to proceed.", E_USER_ERROR);		
		} elseif($_pxdb_db_version < $_pxdb_version  ) {		
			// Older DB
			pxdb::trigger_error("Your database structure (v".$pxdb_prefs->get_pref('version').") is a older than your PxDB class files (v".PXDB_VERSION."). Attempting to upgrade ... ", E_USER_NOTICE);
			include(PXDB_CONFPATH . DIRECTORY_SEPARATOR . 'install' . DIRECTORY_SEPARATOR . ${$PXDB_ADODB_VAR}->databaseType . '-upgrade.php');
		}
	
	
	// These are the field types that Syntax will use.
	// -------------------------------------------------
	// You may add metatypes here to suit your needs, BUT note that you must
	// have constants defined in your RDBMS-specific SQL file (or the default file)
	// that will map the types you add to DB types.
	// E.g. if you add a coltype 'mtxt', make sure that you add:
	//		define('PXSQL_TYPE_MTXT', 'MEDIUMTEXT');
	// to the RDBMS-specific SQL file (or default SQL file).
	//
	// Also, if you modify the metatypes (keys), know that these names correspond to methods
	// in pxdb_widgets class: e.g. _widget_txt() or _widget_pass2(), etc.	
	
		$pxdb_prefs->add_pref('coltype', 'txt');
		$pxdb_prefs->add_pref('coltype', 'ltxt');
		$pxdb_prefs->add_pref('coltype', 'boolean');
		$pxdb_prefs->add_pref('coltype', 'num');
		$pxdb_prefs->add_pref('coltype', 'upload');		
		$pxdb_prefs->add_pref('coltype', 'date');
		$pxdb_prefs->add_pref('coltype', 'amount');
		$pxdb_prefs->add_pref('coltype', 'email');
		$pxdb_prefs->add_pref('coltype', 'password');
		$pxdb_prefs->add_pref('coltype', 'pass2');
		$pxdb_prefs->add_pref('coltype', 'phone');
		$pxdb_prefs->add_pref('coltype', 'currency');				
		$pxdb_prefs->add_pref('coltype', 'pick');
		$pxdb_prefs->add_pref('coltype', 'pickid');
		$pxdb_prefs->add_pref('coltype', 'url');

	// These are the tables that are part of a Syntax instance.
	// ---------------------------------------------------------		
	// We se add_pref() here because we are dealing with a whole bunch of values
	// for the same pref name (and key).
	
		$pxdb_prefs->add_pref('pxdb_table', 'records');
		$pxdb_prefs->add_pref('pxdb_table', 'pickrel');
		$pxdb_prefs->add_pref('pxdb_table', 'primaryrel');
		$pxdb_prefs->add_pref('pxdb_table', 'secondaryrel');
		$pxdb_prefs->add_pref('pxdb_table', 'noderel');
		$pxdb_prefs->add_pref('pxdb_table', 'datatypes');
		$pxdb_prefs->add_pref('pxdb_table', 'dbfields');
		$pxdb_prefs->add_pref('pxdb_table', 'priv');
		$pxdb_prefs->add_pref('pxdb_table', 'field_priv');
		$pxdb_prefs->add_pref('pxdb_table', 'typesfields');
		$pxdb_prefs->add_pref('pxdb_table', 'relationships');
		#$pxdb_prefs->add_pref('pxdb_table', 'datatypesrel');
		$pxdb_prefs->add_pref('pxdb_table', 'pxdb_prefs');		
		$pxdb_prefs->add_pref('pxdb_table', 'usergroup');		
		$pxdb_prefs->add_pref('pxdb_table', 'viewfields');
		$pxdb_prefs->add_pref('pxdb_table', 'views');
		$pxdb_prefs->add_pref('pxdb_table', 'weights');
		
	// Similarly, these are reserved Syntax records columns.
	// ------------------------------------------------------
		
		$pxdb_prefs->add_pref('pxdb_field', 'id');
		$pxdb_prefs->add_pref('pxdb_field', 'datatype');
		$pxdb_prefs->add_pref('pxdb_field', 'created');
		$pxdb_prefs->add_pref('pxdb_field', 'modified');
		$pxdb_prefs->add_pref('pxdb_field', 'approved');

	// These are default datatype information for users and groups
	
		$pxdb_prefs->set_default_pref('dt_user', 1);
		$pxdb_prefs->set_default_pref('dt_group', 2);
		$pxdb_prefs->set_default_pref('rel_user_group', 8);		
		

	// Some default prefs based on record ids
	
		$pxdb_prefs->set_default_pref('gid_admin', 1);	
	
	// Rel URL to public www files (must create symlink to pxdb_www/ in your site)
		
		$pxdb_prefs->set_default_pref('pxdb_www', '', '/pxdb_www');
		$pxdb_prefs->set_default_pref('pxdb_www', $_SERVER['HTTP_HOST'], '/pxdb_www');
	
	// By default disable approval system
	
		$pxdb_prefs->set_default_pref('approve_disable', 0);
		
	// Cleanup
		
	// Write last run-time to db
	
		$pxdb_prefs->set_pref('pxdb_initialized', time());
	
	/*
	* Include any supplementary run-once.
	*/
	
	if(isset($PXDB_RUNONCE_SUPPL))	{
		
		if(@file_exists($PXDB_RUNONCE_SUPPL)) {
			include($PXDB_RUNONCE_SUPPL);
		} else {
			pxdb::trigger_error("Could not include run-once supplement: $PXDB_RUNONCE_SUPPL", E_USER_WARNING);
		}

	}
	
?>
