<?php
// $Id: index.php,v 1.1.1.1 2004/09/10 19:27:31 omerida Exp $

require_once(dirname(__FILE__) . '/../includes/setup.php');

$page_title = "data";

require_once(PXDB_CLASSPATH . '/metadata/pxdb_typesfield.class.php');
require_once(PXDB_CLASSPATH . '/metadata/pxdb_relationship.class.php');
require_once(PXDB_CLASSPATH . '/metadata/pxdb_dbfield.class.php');
require_once(PXDB_CLASSPATH . '/content/input/pxdb_input.class.php');
require_once(PXDB_CLASSPATH.'/content/output/pxdb_record.class.php');

$session->set_default_param('dt', 1);
$session->set_default_param('orderby_field', 'name');
$session->set_default_param('orderby_direction', 'ASC');
$session->set_default_param('current_page', 1);

// Disable preference caching for the $prefs object
// THis is important because these scripts modify preferences and
// then expect to be able to retrieve the modified preferences with
// the get_pref() method.
$prefs->disable_cache = true;

if(!isset($dt)) {
	$dt = $session->get_param('dt');
} else {
	$session->set_param('dt', $dt);
	$session->set_param('orderby_field', 'name');
}

if(!isset($orderby_field)) {
	$orderby_field = $session->get_param('orderby_field');
} else {
	$session->set_param('orderby_field', $orderby_field);
}

if(!isset($orderby_direction)) {
	$orderby_direction = $session->get_param('orderby_direction');
} else {
	$session->set_param('orderby_direction', $orderby_direction);
}

if(!isset($current_page)) {
	$current_page = $session->get_param('current_page');
} else {
	$session->set_param('current_page', $current_page);
}

if(!isset($search_terms)) {
	$search_terms = $session->get_param('search_terms');
} else {
	$session->set_param('search_terms', $search_terms);
}

$rows_per_page = 20;

$dtObj = new pxdb_datatype($dt);

// get the dbfields used by the datatype
$used_dbfieldsA = $dtObj->arr_dbfields();

$object_columnsA = pxdb_tools::array_thread('fname', $used_dbfieldsA);

$records_columnsA = $db->MetaColumnNames('records');

$object_columnsA = array_intersect($object_columnsA, $records_columnsA);

// We can almost always expect the following query to be neccessary (exception: they are modifying a record using f1db_input class)
//

$data = &new pxdb_data($dt);
$sql = "SELECT ".$data->sql_aliased_columns()." FROM records WHERE datatype = $dt ".($search_terms ? " AND (".get_search_sql($search_terms, $object_columnsA).")" : "")." ORDER BY $orderby_field $orderby_direction";	
$total_rs = $db->Execute($sql);

$rs = $db->PageExecute($sql, $rows_per_page, $current_page);


# Main Include
# ------------

include (SITE_ROOT.'/data/'.$session->get_path(1).'.logic.php');


# Depending Functions
# -------------------

function get_search_terms ($search_data) {

	$keywordL = $search_data;
	
	// first get any quoted strings
	// match all
	preg_match_all("/\"(.*?)\"/",$keywordL, $matches);
	$quotedA = $matches[1];
	
	// now remove any quoted strings from the search keywords
	$keywordL = preg_replace("/\".*?\"/", "", $keywordL);
	
	// now change any spaces to commas
	$keywordL = preg_replace("/[ ]+/", ",", $keywordL);
	// remove any duplicate commas (i.e. what if they had put "love, war" -- then it would now be "love,,war")
	$keywordL = preg_replace("/[,]+/", ",", $keywordL);
	
	$keywordA = explode(",", $keywordL);
	
	// add the arrays together
	$allA = array_merge($keywordA, $quotedA);
	
	//print_r($keywordA);
	//print_r($quotedA);
	//print_r($allA);
	
	return $allA;

}

function get_search_sql ($keywords, $fieldsA, $lop = "AND") {
	
	// flexible: we can pass it either an array or a comma-separated list of keywords to search for
	if(!is_array($keywords)) $keywordsA = get_search_terms($keywords); else $keywordsA = $keywords;
	
	//print_r($keywordsA);
	
	if($keywordsA) {
		
		$add = 0;
		foreach($keywordsA as $key) {
			if($add++) $sql .= " $lop ";
			$sql .= "(";
			$inner_add = 0;
			foreach($fieldsA as $field) {
				if($inner_add++) $sql .= "OR ";
				$sql .= "$field like '%$key%'";
			} 
			$sql .= ")";
		}

	}
	return $sql;
}


?>
