<?php
// $Id: setup.php,v 1.2 2005/06/03 20:47:34 sandys1 Exp $

// Output buffering -- implied flush at close of script
ob_start();

// Load Configuration Options
// --------------------------
// set define() based on values in config.

define('SITE_ROOT', realpath(dirname(__FILE__) . DIRECTORY_SEPARATOR . '..'));

// if we haven't moved dbasis, then the private root is 3 directories above
define('VHOST_ROOT', realpath(SITE_ROOT. DIRECTORY_SEPARATOR . '..'. DIRECTORY_SEPARATOR . '..'. DIRECTORY_SEPARATOR . '..'));

//php_value session.save_path "/var/www/vhosts/syntaxdev.www/private/tmp/session"
ini_set('session.save_path', VHOST_ROOT.DIRECTORY_SEPARATOR .'private'.DIRECTORY_SEPARATOR .'tmp'.DIRECTORY_SEPARATOR .'session');


include(SITE_ROOT . '/config/config.inc.php');
include_once(VHOST_ROOT . '/private/config/db.conf.php');



if (!isset($SITE_URL)) 
{
    $SITE_URL = 'http://'.$_SERVER['HTTP_HOST'];
}
else
{
    $SITE_URL = preg_replace("/\/\$/", "", $SITE_URL);
}

define('SITE_NAME', $SITE_NAME);
define('SITE_URL', $SITE_URL);

$url = parse_url(SITE_URL);
define('SITE_REL', $url['path']);


if (isset($PXDB_PATH) && $PXDB_PATH) 
{
    $PXDB_PATH .= '/'; // add a trailing slash
}


//# Session Setup
//# -------------

require_once($PXDB_PATH . '/resources/path_persist.class.php');

if (SITE_REL) 
{
 // if it's empty, then we can use use default, which is '/'
    ini_set('session.cookie_path', SITE_REL);
}

// Give this session a unique name to avoid conflicts with other session cookies
ini_set('session.name', 'STX_DBAS_SID');

session_start();
// not sure whether $destroy can be set in software, so test for both
if (true === isset($_REQUEST['destroy']) || true === isset($destroy))
{
    session_destroy();
}

if (!session_is_registered('session')) 
{
    // this stores info about current session...

    session_register('session');

    $session = new path_persist();

    $session->set_default_param('database', $PXDB_DB_CONN[0]['default_db']);
    $session->set_default_param('db_conn_idx', 0);
    $session->set_default_param('path', 'object:fields');
    $session->set_path_rewrite('object', 'object:fields');
    $session->set_path_rewrite('views', 'views:views');
    $session->set_path_rewrite('data', 'data:fields');
}

// DB ERROR HANDLER
// ----------------

//include(SITE_ROOT . '/includes/errorhandler.inc.php');

// ok -- i need to include the db connectivity stuff:

if (isset($database) && $database != $session->get_param('database')) 
{
    $session->set_param('database', $database);
}

if (isset($db_conn_idx) && $db_conn_idx != $session->get_param('db_conn_idx')) 
{
    $session->set_param('db_conn_idx', $db_conn_idx);
    // database changes too:
    $session->set_param('database', $PXDB_DB_CONN[$db_conn_idx]['default_db']);
}

//# PxDB Setup
//# ----------

$conn = $PXDB_DB_CONN[ $session->get_param('db_conn_idx') ];

// OAM - added fix to use site's db config if session is empty
if (null !== $session->get_param('database'))
{
    $PXDB_DB = $session->get_param('database');
    $PXDB_DB_HOST = $conn['server'];
    $PXDB_DB_USER = $conn['username'];
    $PXDB_DB_PASS = $conn['password'];
}
else
{
    $PXDB_DB = DB;
    $PXDB_DB_HOST = DB_HOST;
    $PXDB_DB_USER = DB_USER;
    $PXDB_DB_PASS = DB_PASS;
}

unset($conn);

$PXDB_ADODB_VAR = 'db';

require_once($PXDB_PATH . 'pxdb.inc.php');

// setup prefs & metadata objects that will be used throughout the site.
require_once(PXDB_CLASSPATH.'/metadata/pxdb_basis.class.php');

$prefs = &new pxdb_prefs();
$md = &new pxdb_basis();

// OAM: need to run initialize to be able to add in authentication
require_once($PXDB_PATH . '/config/initialize.php');

// note: only initialize the object after setting rewrite rules
// and default parameters.

//$session->debug = true;

$session->initialize();

// Authentication
// --------------
require_once($PXDB_PATH . '/classes/auth/pxdb_auth.class.php');

$auth = &new pxdb_auth('dbasis');
$auth->set_username_field('idnum');
//$auth->debug = true;
// restrict to admin group

if (isset($_REQUEST['logout'])) 
{
    $auth->logout();
}

$auth->restrict('admin');

if (!($user = &$auth->authenticate())) 
{
    $auth->showlogin();
    exit;
}

// -----------------------------------------------------------------------
// Setup the TABS

require_once(SITE_ROOT . '/includes/classes/tabset.class.php');

$tabs = &new tabset();

$tabs->set_default_link("javascript:loadTab('{tab->path}');");

//$tabs->set_css('color: #ffcc00; background-color: #000000', 'row');
$tabs->set_css('tab-top-act', 'tab', 'active'); // or use a CSS class name!
$tabs->set_css('tab-top-def', 'tab', 'default');
$tabs->set_css('tab-top-link-act', 'link', 'active');
$tabs->set_css('tab-top-link-def', 'link', 'default');

$obj_tab = &$tabs->add_tab('object');
$view_tab = &$tabs->add_tab('views', 'views');
$tabs->add_tab('datatypes');
$tabs->add_tab('dbfields');
$tabs->add_tab('relationships');
$tabs->add_tab('pick', 'pick lists');
$tabs->add_tab('prefs', 'preferences');
$tabs->add_tab('codegen', 'code generators');

$data_tab = &$tabs->add_tab('data', 'data');

$obj_subtabs = &$obj_tab->add_subtabs();
$obj_subtabs->set_css('tab-sub-act', 'row');
$obj_subtabs->set_css('tab-sub-act', 'tab', 'active');
$obj_subtabs->set_css('tab-sub-def', 'tab', 'default');
$obj_subtabs->set_css('tab-sub-link-act', 'link', 'active');
$obj_subtabs->set_css('tab-sub-link-def', 'link', 'default');

$obj_subtabs->add_tab('fields', 'object fields');
$obj_subtabs->add_tab('objprivs', 'object privileges');
$obj_subtabs->add_tab('privs', 'field privileges');

$view_subtabs = &$view_tab->add_subtabs();
$view_subtabs->set_css('tab-sub-act', 'row');
$view_subtabs->set_css('tab-sub-act', 'tab', 'active');
$view_subtabs->set_css('tab-sub-def', 'tab', 'default');
$view_subtabs->set_css('tab-sub-link-act', 'link', 'active');
$view_subtabs->set_css('tab-sub-link-def', 'link', 'default');

$view_subtabs->add_tab('views', 'views');
$view_subtabs->add_tab('fields', 'view fields');


$data_subtabs = &$data_tab->add_subtabs();
$data_subtabs->set_css('tab-sub-act', 'row');
$data_subtabs->set_css('tab-sub-act', 'tab', 'active');
$data_subtabs->set_css('tab-sub-def', 'tab', 'default');
$data_subtabs->set_css('tab-sub-link-act', 'link', 'active');
$data_subtabs->set_css('tab-sub-link-def', 'link', 'default');

$data_subtabs->add_tab('fields', 'data fields');
$data_subtabs->add_tab('privs', 'data privs');

// Variables for redirects, form post, etc.
define('SCRIPT_URI', 'http://'. $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);
define('SCRIPT_URL', $_SERVER['REQUEST_URI']);

?>