<?php
// $Id: fields.logic.php,v 1.2 2005/05/20 21:36:51 sandys1 Exp $

if (true === isset($pxdb['id']))
{
    $objf =& new pxdb_typesfield($pxdb['id']);
    $objf->load(); // imported -> class vars
}
$mode = (true === isset($_REQUEST['mode'])) ? $_REQUEST['mode'] : null;
switch($mode)
{
    case "add":
    
        $addf = &new pxdb_typesfield();

        if ($pxdb['widget_script']) $pxdb['widget'] = implode('::', array($pxdb['widget_script'], $pxdb['widget_params']));
        if ($pxdb['processor_script']) $pxdb['processor'] = implode('::', array($pxdb['processor_script'], $pxdb['processor_params']));
        if ($pxdb['validator_script']) $pxdb['validator'] = implode('::', array($pxdb['validator_script'], $pxdb['validator_params']));
        if ($pxdb['autogen_script']) $pxdb['autogen'] = implode('::', array($pxdb['autogen_script'], $pxdb['autogen_params']));

        if (!$pxdb['identifier'])
        {
            if ($pxdb['fieldid'])
            {
                $dbf =& new pxdb_dbfield($pxdb['fieldid']);
                $pxdb['identifier'] = $dbf->get_fname();
            }
            elseif ($pxdb['relid'])
            {
                $rel =& new pxdb_relationship($pxdb['relid']);
                $pxdb['identifier'] = preg_replace("/[^a-zA-Z0-9_]/", "_", strtolower($rel->get_description()));
            }
        }
        else
        {
            $pxdb['identifier'] = preg_replace("/[^a-zA-Z0-9_]/", "_", $pxdb['identifier']);
            $sql = "SELECT id FROM typesfields WHERE identifier = ".$db->Quote($pxdb['identifier'])." AND typeid = $dt";
            $rs=$db->Execute($sql);
            if (!$rs->EOF)
            {
                $errors[] = "The 'unique name' value you entered (" . $pxdb['identifier'] . ") is not unique.";
            }
            else
            {
                if (in_array($pxdb['identifier'], pxdb::get_pxdb_reserved_fields()))
                {
                    $errors[] = "You cannot use any of the following as unique field names: " . implode(', ', pxdb::get_pxdb_reserved_fields());
                }
            }

        }

        $addf->import(); // re-import
        $addf->load(); // re-load
        if (!$errors)
        {
            $addf->set_typeid($dt);
            if ($pxdb['id'] = $addf->save())
            {
                header("Location: ".SCRIPT_URL."?&modified=$pxdb[id]&".$session->pass('url'));
            }
        }
    break;

    case "save":

        // make sure these get zero-d out if there's no script chosen:
        $pxdb['widget'] = '';
        $pxdb['processor'] = '';
        $pxdb['validator'] = '';
        $pxdb['autogen'] = '';

        if ($pxdb['widget_script']) $pxdb['widget'] = implode('::', array($pxdb['widget_script'], $pxdb['widget_params']));
        if ($pxdb['processor_script']) $pxdb['processor'] = implode('::', array($pxdb['processor_script'], $pxdb['processor_params']));
        if ($pxdb['validator_script']) $pxdb['validator'] = implode('::', array($pxdb['validator_script'], $pxdb['validator_params']));
        if ($pxdb['autogen_script']) $pxdb['autogen'] = implode('::', array($pxdb['autogen_script'], $pxdb['autogen_params']));

        if (!$pxdb['identifier'])
        {
            if ($pxdb['fieldid'])
            {
                $dbf =& new pxdb_dbfield($pxdb['fieldid']);
                $pxdb['identifier'] = $dbf->get_fname();
            }
            elseif ($pxdb['relid'])
            {

                $rel =& new pxdb_relationship($pxdb['relid']);
                $pxdb['identifier'] = preg_replace("/[^a-zA-Z0-9_]/", "_", strtolower($rel->get_description()));
            }
        }
        else
        {
            $pxdb['identifier'] = preg_replace("/[^a-zA-Z0-9_]/", "_", $pxdb['identifier']);
            $sql = "SELECT id FROM typesfields WHERE identifier = ".$db->Quote($pxdb['identifier'])." AND typeid = $dt AND id <> $pxdb[id]";
            $rs=$db->Execute($sql);
            if (!$rs->EOF)
            {
                $errors[] = "The 'unique name' value you entered (" . $pxdb['identifier'] . ") is not unique.";
            }
            else
            {
                if (in_array($pxdb['identifier'], pxdb::get_pxdb_reserved_fields()))
                {
                    $errors[] = "You cannot use any of the following as unique field names: " . implode(', ', pxdb::get_pxdb_reserved_fields());
                }
            }

        }

        if ($pxdb['fieldid'])
        {
         $pxdb['relid'] = ''; }
        if ($pxdb['relid'])
        {
         $pxdb['fieldid'] = ''; }

        //pxdb::print_debug($pxdb, 'green');

        $objf->import(); // re-import
        $objf->load(); // re-load

        if (!$errors)
        {
            if ($objf->save())
            {
                header("Location: ".SCRIPT_URL."?&modified=$pxdb[id]&".$session->pass('url'));
                exit;
            }
        }
    break;

    case "move_up":
        $objf->move('up');
        header("Location: ".SCRIPT_URL."?&modified=$pxdb[id]&".$session->pass('url'));
        exit;
    break;

    case "move_down":
        $objf->move('down');
        header("Location: ".SCRIPT_URL."?&modified=$pxdb[id]&".$session->pass('url'));
        exit;
    break;

    case "edit":
        // prepare to edit a new field -- this means clearing some vars that
        // might be set.
        unset($field_type);
        unset($pxdb);
    break;

    case "del":
        if ($objf->delete())
        {
            header("Location: ".SCRIPT_URL."?&modified=$pxdb[id]&".$session->pass('url'));
            exit;
        }
    break;

}

include(SITE_ROOT.'/disp/header.disp.php');

include(SITE_ROOT.'/object/object_fields.disp.php');

include(SITE_ROOT.'/disp/footer.disp.php');

?>