<?php
// $Id: build_class.php,v 1.1.1.1 2004/09/10 19:27:32 omerida Exp $

error_reporting(E_ALL ^ E_NOTICE);

require_once(dirname(__FILE__) . '/../includes/setup.php');
require_once(PXDB_CLASSPATH . '/metadata/pxdb_datatype.class.php');
require_once(PXDB_CLASSPATH . '/metadata/pxdb_typesfield.class.php');

header("Content-Type: text/plain");

function convert_case($name, $ucfirstword=true)
{
    $pieces = preg_split("/[^a-zA-Z0-9]/", $name);
    $res = ''; $i=0;
    for($i=0, $z=sizeof($pieces); $i<$z; $i++) {
        $piece = strtolower($pieces[$i]); 
        if(!($ucfirstword==false && !$i)) {
            $piece = ucfirst($piece);
        }
        $res .= $piece;
    }
    return $res;
}


if(!$datatype) {
    trigger_error("No datatype passed to tpl generation script.", E_USER_ERROR);
}

$dt = $datatype;
$dtObj = &new pxdb_datatype($datatype);
$datatype = $dtObj->get_label();

// Set some basic info
$basename = convert_case($dtObj->get_type()); // 'document' -> 'Document'
$basevarname = convert_case($dtObj->get_type());

$dt_define = 'DATATYPE_' . strtoupper($dtObj->get_type());

# First create the List Class
# ---------------------------
#

$list_class = <<< EOB

/*
IMPORTANT NOTICE

This class definition file is autogenerated. You SHOULD NOT modify this code.
Instead always use a subclass of this class and add or override methods as
necessary.
*/

// Include class dependencies

    pxdb_import('content.output.pxdb_collection');
    pxdb_import('content.output.pxdb_record');
    pxdb_import('content.output.pxdb_search');

// Set up a constant to use in place of datatype number

    define('{$dt_define}', $dt);

/**
* This is a collection class for of type $basename.
* This class extends pxdb_collection and provides object-specific methods which invoke
* parent generic methods.  This class provides some methods you might find useful --
* and more importantly, it provides a base from which you can build your own.
*
* IMPORTANT: You SHOULD NOT implement this class directly. It is an abstract class.
* Instead you should use the subclassed 'user' class.
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class Abstract{$basename}Collection extends pxdb_collection
{

    /**
    * Constructor. 
    * Calls parent constructor and sets a default 'order by' value for the
    * results sets this class will produce.
    */
    function Abstract{$basename}Collection()
    {
        init();
    }
    
    /**
    * Initialization function
    * Called by subclasses to initialize the object
    */
    function init()
    {
        parent::pxdb_collection({$dt_define});
        // Default order will be the 'name' column
        // you can override this, of course
        \$this->orderBy('name'); 
    }
    
    /**
    * Wrapper for parent's set_order method.
    * @param string \$order Column to order by.
    */
    function orderBy(\$order)
    {
        return parent::set_order(\$order);
    }
    
    /**
    * Calls parent fetch_record class, specifying to use the $basename class.
    * @return object $basename
    */
    function &fetchRecord()
    {
        return parent::fetch_record('$basename');
    }
    
EOB;
    
// get all typesfields for that datatype

while($objf = &$dtObj->fetch_typesfield()) {

    $field = $objf->get_identifier();
    $field_basefuncname = convert_case($field);
    $field_basevarname = convert_case($field, false);

if($field) {
    
    if($objf->get_field_type() == 'relationship') {
        
$list_class .= <<< EOB

    /**
    * Find based on a filter for relationship (field `{$field}`)
    * @param integer \${$field_basevarname}ID Related record ID
    * @return void
    */
    function findBy{$field_basefuncname}(\${$field_basevarname}ID)
    {       
        \${$basevarname}Filter = &pxdb_search::filter({$dt_define});
        \${$basevarname}Filter->add_value('$field', \${$field_basevarname}ID);
        \$this->find(\${$basevarname}Filter);               
    }
    
EOB;

}   

if($objf->get_field_metatype() == 'pickid' || $objf->get_field_metatype() == 'pick') {


$list_class .= <<< EOB

    /**
    * Find records matching `$field` pick list -- or finds all {$datatype} sorted by $field.
    * If the \${$field} parameter is left blank, it is assumed you want to find all of the 
    * $datatype records, organized (sorted) by {$field}.
    * @param mixed \${$field} Pick table `id` col -- or `name` col
    * @return void
    */
    function findBy{$field_basefuncname}(\${$field}=null)
    {
        if(\${$field} == null) {
            \$this->orderBy('$field, name');
            \$this->find();
        } else {
            \$pickFilter = &pxdb_search::filter({$dt_define});
            \$pickFilter->add_value('{$field}', \${$field});
            \$this->find(\$pickFilter);                 
        }
    }
    
EOB;

} // if

} // if field
}// while()

$list_class .= <<< EOB

} // end Abstract{$basename}Collection class

EOB;

# Now create the Record Class
# ---------------------------
#

$rec_class = <<< EOB

/**
* This is a skeleton class for a class that represents a record of type $basename
* You can use this in place of using the pxdb_record class directly.
* It is an abstract class that SHOULD NOT be implemented directly. Instead you should
* use a subclass (such as the user skeleton class provided in DBasis).
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class Abstract{$basename} extends pxdb_record
{

    /**
    * Constructor. 
    * Calls parent constructor.
    * @param mixed \$data Record ID or record row (array)
    */
    function Abstract{$basename}(\$data=null)
    {
        init(\$data);
    }
    
    /**
    * Initialization method
    */
    function init(\$data)
    {
        parent::pxdb_record(\$data);
    }
    
    /**
    * Return the ID for the object.
    * This is "aliased" because of how frequently it is used.
    * @return integer ID
    */
    function getID()
    {
        return parent::get_id();    
    }
    
EOB;

// now for each typesfield ...

$i=0;
while($objf = &$dtObj->fetch_typesfield((!$i++ ? true : null) )) {

    $field = $objf->get_identifier();
    $field_basefuncname = convert_case($field);
    $field_basevarname = convert_case($field, false);

if($field) {

    if($objf->get_field_type() == 'relationship') {
        
$rec_class .= <<< EOB

    /**
    * Get the related object for record `{$field}` -- or value, if \$lookup_field is specified.
    * @param string \$lookup_field Field to lookup on related record
    * @return mixed Object, array of objects -- or value or array of values (if \$lookup_field)
    */
    function get{$field_basefuncname}(\$lookup_field=null)
    {               
        return \$this->get_field('$field', \$lookup_field);             
    }
    
EOB;

    } else {

$rec_class .= <<< EOB

    /**
    * Get the value for field `{$field}`.
    * @return mixed Value or array of values.
    */
    function get{$field_basefuncname}()
    {       
        return \$this->get_field('$field');             
    }
    
EOB;

if($objf->get_field_metatype() == 'boolean') {
$rec_class .= <<< EOB

    /**
    * Get whether or not `{$field}` is non-zero.
    * @return boolean True for non-zero value, false if zero.
    */
    function is{$field_basefuncname}()
    {       
        if(\$this->get_field('$field')) { return true; } else { return false; }             
    }
    
EOB;
} // if boolean

} // if field type is relationship

} // if field
} // while

$rec_class .= <<< EOB

} // end Abstract{$basename} class

EOB;

?><?=('<'.'?'.'php')?>


<?=$list_class?>


<?=$rec_class?>


<?=('?'.'>')?>

