<?php
// $Id: build_user_class.php,v 1.1.1.1 2004/09/10 19:27:32 omerida Exp $

error_reporting(E_ALL ^ E_NOTICE);

require_once(dirname(__FILE__) . '/../includes/setup.php');
require_once(PXDB_CLASSPATH . '/metadata/pxdb_datatype.class.php');
require_once(PXDB_CLASSPATH . '/metadata/pxdb_typesfield.class.php');

header("Content-Type: text/plain");

function convert_case($name, $ucfirstword=true)
{
    $pieces = preg_split("/[^a-zA-Z0-9]/", $name);
    $res = ''; $i=0;
    for($i=0, $z=sizeof($pieces); $i<$z; $i++) {
        $piece = strtolower($pieces[$i]); 
        if(!($ucfirstword==false && !$i)) {
            $piece = ucfirst($piece);
        }
        $res .= $piece;
    }
    return $res;
}


if(!$datatype) {
    trigger_error("No datatype passed to tpl generation script.", E_USER_ERROR);
}

$dt = $datatype;
$dtObj = &new pxdb_datatype($datatype);
$datatype = $dtObj->get_label();

// Set some basic info
$basename = convert_case($dtObj->get_type()); // 'document' -> 'Document'
$basevarname = convert_case($dtObj->get_type());

$dt_define = 'DATATYPE_' . strtoupper($dtObj->get_type());

# First create the List Class
# ---------------------------
#

$list_class = <<< EOB

// Include class file for base abstract class
require_once(dirname(__FILE__) . "/Abstract{$basename}.class.php");

// Register this class as the pxdb_record class to use for datatype $dt_define
pxdb::register_class('{$basename}', 'pxdb_record', $dt_define);

/**
* This is a collection class for of type $basename.
* This class extends the abstract class which in turn extends the pxdb_collection
* and provides object-specific methods which invoke
* parent generic methods.  This class provides some methods you might find useful --
* and more importantly, it provides a base from which you can build your own.
*
* Note that this class uses CamelHump capitalization so that methods of this
* class can be easily distinguished from the all-lowercase methods of the parent
* classes.
*
* Here's an example of how to use these classes (not based on this class):
*
* \$myDocs = new DocumentList();
* \$myDocs->findByAuthor(\$user->get_uid()); // current logged-in user's id.
* 
* while(\$doc = &\$myDocs->fetchRecord()) { 
*   // fetchRecord() returns a Document object --
*   // which extends the pxdb_record object and provides individual methods
*   // for getting attributes. 
*   print "<br>".\$doc->getTitle();
* }
*
* If you need to only get a subset or a paged version of the query, you will 
* want to execute the query manually (otherwise default execute() is run when 
* you fetchRecord()).
*
* \$myDocs->execute_page(\$rows_per_page, \$current_page);
* while(\$doc = &\$myDocs->fetchRecord()) { 
* ...
* OR
* \$myDocs->execute_limit(\$num_rows);
* while(\$doc = &\$myDocs->fetchRecord()) { 
* ...
*
* Remember also that the ADOdb recordset is returned from the ->execute() method.
* \$rs = &\$myDocs->execute();
* print "Rows found: ".\$rs->RecordCount();
* while(!\$rs->EOF) {
*   print "Document name: ".\$rs->fields['name'];
*   \$rs->MoveNext();
* }
*
* @version build_user_class 1.2
* @author AutoGenerated (DBasis)
*/

class {$basename}Collection extends Abstract{$basename}Collection
{ 
    /**
    * Constructor. 
    * Calls parent constructor
    * results sets this class will produce.
    */
    function {$basename}Collection()
    {
        parent::init();
    }
} // end {$basename}Collection class

/**
* This is a skeleton class for a class that represents a record of type $basename
* You can use this in place of using the pxdb_record class directly.
*
* @version build_class 1.2
* @author AutoGenerated (DBasis)
*/
class $basename extends Abstract{$basename}
{
    /**
    * Constructor. 
    * Calls parent constructor.
    * @param mixed \$data Record ID or record row (array)
    */
    function $basename(\$data=null)
    {
        parent::init(\$data);
    }
    
    /**
    * Initialization method
    */
    function init(\$data)
    {
        parent::pxdb_record(\$data);
    }
} // end Abstract{$basename} class

EOB;

?><?=('<'.'?'.'php')?>

<?=$list_class?>

<?=('?'.'>')?>

