<?php
// oam: can now enable the feature checkbox per datatype after checking
// if a field named 'featured' exists for this object
$dtinfo = new pxdb_datatype( $dt );
$featField = $dtinfo->arr_typesfields( $mask='{identifier}', "identifier='featured'" );
$show_featured = ( 0 < count( $featField ) );
// record privs
pxdb_import('record_privs');

//output buffery to grab the pagination output just once
ob_start();
    include(SITE_ROOT . '/display/paginate.disp.php');
    $paginator = ob_get_contents();
ob_end_clean();

?>
<?php 
if (!isset($SUPRESS_TITLE)) 
{ 
?>
<h1><?= $datatype['label'] ?> Records</h1>
<?php
} 

if (!isset($SUPRESS_SEARCH_FORM) && false) 
{ 
?>
<form action="<?= $_SERVER['SCRIPT_URI'] ?>" method="POST" name="frmSearch">    
    <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td class="subheading-blue" align="right">Search:&nbsp;&nbsp;</td>
            <td class="subheading-blue">
                <input type="text" size="20" name="search_terms" value="<?= htmlspecialchars($search_terms) ?>">
            </td>
            <td class="subheading-blue">
                <input type="submit" name="subbtn" value="Go" />
            </td>
        </tr>
    </table>
</form>
<?php
} // end SUPRESS_SEARCH_FORM 

include(SITE_ROOT . '/display/list_filters.php');
?>

<table border="0" width="100%" cellspacing="0" style="margin-right:10px;">
    <tr>
<?php
if (!isset($SUPRESS_ADD_LINK) && $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_ADD )) 
{
?>
        <td class="add-link">
            [<a href="<?= SITE_REL ?>/db.php?mode=add<?= ($parent ? "&oref[".$dtObj->get_parent_relid()."]=$parent" : "") ?>&dt=<?= $dt ?>&ref=<?= urlencode($_SERVER['SCRIPT_URI']) ?>" class="add-link">Add <?= $datatype['label'] ?></a>]
        </td>
<?php
} // end SUPRESS_ADD_LINK 
?>
        <td align="right" valign="bottom">&nbsp;<?= $paginator ?></td>
    </tr>
</table>

<?php
if ($results->rs->RecordCount() > 0)
{ 
?>
<table border="0" width="100%" cellspacing="0" style="margin-right:10px;">
    <tr>
<?php
    if ( isset($weighted) && $weighted && $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_EDIT ) ) 
    { 
?>
        <th class="move">move</th>
<?php
    } // end if weighted 

    if ( $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_VIEW ) ) 
    {
?>        
        <th class="view">view</th>
<?php
    } // end if view allowed
    
    if ( $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_EDIT ) ) 
    {    
?>
        <th class="edit">edit</th>
<?php
    } // end if edit allowed
    
    if ( (!isset( $approve_disabled ) || !$approve_disabled) && $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_APPROVE ) ) 
    { 
?>
        <th class="approve">approve</th>
<?php
    } //end if approve allowed  
    
    for ($i=0, $z=sizeof($fields); $i<$z; $i++)
    {
        
?>
        <th class="<?=isset($approval_view) ? $approval_view : '' ?>">
<?php
        if ( (!isset($weighted) || !$weighted) && $fields[$i]['sortable'])
        {
            if (isset($_REQUEST['orderby_direction']) && $fields[$i]['identifier'] == $_REQUEST['orderby_field'])
            {
                switch ( strtoupper($_REQUEST['orderby_direction'])) 
                {
                    case 'ASC':
                        $orderby_direction = 'DESC';
                    break;
                    
                    case 'DESC':
                    default:
                        $orderby_direction = 'ASC';
                    break;
                } // end switch
            }
            else
            {
                $orderby_direction = 'ASC';
            }
            
            $sort_class = 'class';
            if ( isset($_REQUEST['orderby_field']) && $fields[$i]['identifier'] == $_REQUEST['orderby_field'])
            {
                if ( 'asc' == strtolower($orderby_direction))
                {
                    $sort_class = 'sort_desc';
                }
                else
                {
                    $sort_class = 'sort_asc';
                }
            }
            
?>
            <a href="<?= get_sort($fields[$i]['identifier'], $orderby_direction) ?>" class="<?= $sort_class ?>"> <?= $fields[$i]['label'] ?></a>
<?php
        }
        else
        {
?>
            <?= $fields[$i]['label'] ?>
<?php
        }
?>
        </th>
<?php
    }
    
    if ( isset($sub_datatypes) &&  0 < count($sub_datatypes) ) 
    {
        for ($i=0,$z=sizeof($sub_datatypes); $i<$z; $i++) 
        { 
?>
        <th class="<?= $approval_view ?>">View <?= $sub_datatypes[$i]['label'] ?> Records</td>
<?php
        }
    }
    
    if ( $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_EDIT ) ) 
    {        
?>
        <th class="expired">expired</th>            
<?php             
    }
    
    if ( $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_DELETE ) ) 
    {
?>
        <th class="delete">delete</th>
<?php
    }
?>    
    </tr>
<?php
    $row_classes = array('on', 'off');

    $lace = 0; // init var
    while ($row =& $results->fetch_record()) 
    {
        $has_row_write_privs = record_privs::hasPriv($row->get_id(), $user->ugidarray, 'write');
        if ( isset( $modified) && $row->get_id() == $modified)
        { 
            $css = 'row-modified'; 
        }
        else
        {
            $css = $row_classes[$lace++ % 2];
            if ( $row->get_field('approved') )
            {
                 $css.='Approved';
            }
            else
            {
                 $css.='Unapproved';
            }
        } // end if row not modified
?>
    <tr class="<?= $css ?>">
<?php
        if ( isset($weighted) && $weighted)
        { 
?>
        <td class="action">
            <table border=0 cellspacing=4 cellpadding=0>            
                <tr>
                    <td><a href="<?= prep_uri_for_args($_SERVER['REQUEST_URI']) ?>mode=move_down&amp;id=<?= $row->get_id() ?>"><img src="<?= SITE_REL ?>/images/down_arrow.gif" border="0"></a></td>
                    <td><a href="<?= prep_uri_for_args($_SERVER['REQUEST_URI']) ?>mode=move_up&amp;id=<?= $row->get_id() ?>"><img src="<?= SITE_REL ?>/images/up_arrow.gif" border="0"></a></td>
                </tr>
            </table>
        </td>
<?php
        } 

        if ( $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_VIEW ) ) 
        {
?>            
        <td class="view">
                <a href="<?= SITE_REL ?>/object/<?= $object ?>/<?= $row->get_id() ?>" title="View Record"><img src="<?= SITE_REL ?>/images/gnome_icons/stock_draw-callouts.gif" alt="View Record" border="0"></a>
        </td>
<?php
        } // end if view allowed

        if ( $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_EDIT ) ) 
        {        
?>        
        <td class="edit">
<?php
            if (true === $has_row_write_privs)
            {
?>
            <a href="<?= SITE_REL ?>/db.php?mode=edit&dt=<?= $dt ?>&id=<?= $row->get_id() ?>" title="Edit Record"><img src="<?= SITE_REL ?>/images/gnome_icons/stock_edit-16.gif" border="0" alt="Edit Record"></a>
<?php
            }
            else
            {
?>
            &nbsp;
<?php
            }
?>
        </td>      
<?php
        }
        
        if ( (!isset( $approve_disabled ) || !$approve_disabled) && $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_APPROVE ))
        {
?>
        <td class="action">
<?php
            if (true === $has_row_write_privs)
            {
?>
            <form action="<?= $_SERVER['SCRIPT_URI'] ?>" method="post">
                <input type="hidden" name="mode" value="approve">                    
                <input type="hidden" name="toggle_approval[<?= $row->get_id() ?>]" value="0"> 
                <input type="checkbox" name="toggle_approval[<?= $row->get_id() ?>]" value="1" <?= ($row->get_field('approved')) ? 'checked' :'' ?> onClick="this.form.submit()">
            </form>
<?php
            }
            else
            {
?>
            &nbsp;
<?php
            }
?>
        </td>
<?php
        }
        
        for ($i=0, $z=sizeof($fields); $i<$z; $i++) 
        {
            $tf =& new pxdb_typesfield($fields[$i]['id']);
        
            if ( 'image'==$fields[$i]['identifier'] && 'upload'==$tf->get_field_metatype() )
            {
?>            
        <td><img src="<?= $row->get_field($fields[$i]['identifier']) ?>" border="0" alt="thumbnail" height="50"></td>    
<?php
            }
            else if ($tf->get_field_metatype() == 'date')
            {
                if ( END_OF_TIME == $row->get_field($fields[$i]['identifier']) )
                {
?>
        <td>&nbsp;</td>
<?php 
                }
                else
                {
?>
        <td><?= strftime("%e %b %Y", strtotime($row->get_field($fields[$i]['identifier']))) ?></td>
<?php
                }
            }
            else
            {
?>
        <td><?= format_field($row->get_field($fields[$i]['identifier'], 'name')) ?></td>
<?php
            } // end if field type
        } // end for 

        if ( isset( $sub_datatypes ) )
        {
            for ($i=0,$z=sizeof($sub_datatypes); $i<$z; $i++)
            {
?>
        <td>
            <a href="<?= $_SERVER['SCRIPT_URI'] ?><?= $row->get_id() ?>/<?= preg_replace("/[^\w]/", "_", $sub_datatypes[$i]['type']) ?>" title="View Subtypes"><?= $sub_datatypes[$i]['label'] ?> Records</a>
        </td>
<?php
            } // end for
        } // end if
        
        if ( $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_EDIT ) ) 
        {
            $sunset = $row->get_field('sunset' );
            if ( !empty( $sunset) )
            { 
                $is_expired = (time() > strtotime($sunset) && END_OF_TIME != $sunset);
            }
?>
        <td class="action">
<?php
            if (true === $has_row_write_privs)
            {
?>
            <form action="<?= $_SERVER['SCRIPT_URI'] ?>" method="post">
                <input type="hidden" name="mode" value="expire">
                <input type="hidden" name="toggle_expire[<?= $row->get_id() ?>]" value="0">                         
                <input type="checkbox" name="toggle_expire[<?= $row->get_id() ?>]" value="1" <?= ($is_expired) ? 'checked' : '' ?> onClick="this.form.submit()">
            </form>
<?php
            }
            else
            {
?>
            &nbsp;
<?php
            }
?>
        </td>                                                    
<?php
        } // end if edit allowed
        
        if ( $datatype_privs->is_allowed( $dt, DATATYPE_PRIV_DELETE ) )
        {
?>    
        <td class="delete">
<?php
            if (true === $has_row_write_privs)
            {
?>
            <form action="<?= SITE_REL ?>/db.php" method="post" onSubmit="return confirmDelete('<?= $datatype['label'] ?>')">
                <input type="hidden" name="mode" value="del" />
                <input type="hidden" name="dt" value="<?=$dt?>" />
                <input type="hidden" name="id" value="<?=$row->get_id()?>" />
                <input type="hidden" name="ref" value="<?= urlencode($_SERVER['SCRIPT_URI']) ?>" />
                <input type="image" border="0" src="<?= SITE_REL ?>/images/gnome_icons/stock_delete-16.gif" alt="Delete" />
            </form>
<?php
            }
            else
            {
?>
            &nbsp;
<?php
            }
?>
        </td>
<?php
        } // end if delete allowed
?>    
    </tr>
<?php
    } // end while row
?>
</table>
        
<table border="0" width="100%" cellspacing="0" style="margin-right:10px;">
    <tr>            
        <td align="right">&nbsp;<?= $paginator ?></td>
    </tr>
</table>
<?php
}
else
{
?>
<p>No records found.</p>
<?php
}
?>
