<?php 
// shows options for filtering a datatype list
// if admin_filter preff is null (not set) or 1, 
// then we should display the filters
// TODO: control filters via a view named 'admin_filter'

// approval status should always be available to filter by
if (!isset($_SESSION[$object]))
{
    $_SESSION[$object] = null;
}
$terms = (false === isset($_SESSION[$object]['admin_filters']['name']))
    ? null : $_SESSION[$object]['admin_filters']['name'];
    
$filter_class = (!empty($_SESSION[$object]['admin_filters']['name'] ))
    ? 'filter_active' : 'filter_empty';?>
<form name="list_filters" action="" method="POST">
    <table class="list_filters" style="background-color: #F0F0F0;" cellpadding="2">
        <tr>
            <td valign="top">
                <h3>Filters:</h3>
                <div class="<?= $filter_class ?>">
                    <strong>Search Term:</strong><br>
                    <input type="text" name="name" value="<?= $terms ?>">
                </div>
            </td>
            <td style="padding-left: .5em">
                <input type="hidden" name="mode" value="set_filters">
<?php 
$approval_opts[] = array('value'=>1, 'label'=>'Approved');
$approval_opts[] = array('value'=>0, 'label'=>'Unapproved');
$approved_value = (true === isset($_SESSION[$object]['admin_filters']['approved']))
    ? $_SESSION[$object]['admin_filters']['approved'] : null;
$approvalL = new ListWidget($approval_opts, 'approved' , $approved_value);
$approvalL->setDefaultElement(array("value"=>'', "label"=>"Any Approval"));    
    
$filter_class = (!empty($_SESSION[$object]['admin_filters']['approved'] ))
    ? 'filter_active' : 'filter_empty';
?>
        
                <table style="background-color: #CCC; margin-top: 4px;">
                    <tr>
                        <td class="<?= $filter_class ?>">
                            <?= $approvalL->selectList() ?>
                        </td>
<?php
         
$pref_switch = $prefs->get_pref('admin_filter', $datatype['id']);
if (!isset($SUPPRES_FILTERS_FORM) && (''===$pref_switch || 1 == $pref_switch)) 
{    
    require_once(SITE_ROOT . '/includes/lib.DspListFilters.php');
    
    // 3 ways to control if these display
    // 1) pxdb_pref admin_filters,datatype_id turns them on or off
    // 2) if a view called admin_filters exists for the object, it'll use those
    // 3) if not, it will build it automatically from the typesfields, right now just gets 
    //    pick fields
    
    // suppress warning if view isn't found:
    if ($view = @pxdb_view::factory($dt, 'admin_filters'))
    {
        $widgets = DspListFilters::getFromView($view, $_SESSION[$object]['admin_filters'], $user);
    }
    else
    {
        $admin_filters_array = (true === isset($_SESSION[$object]['admin_filters']))
            ? $_SESSION[$object]['admin_filters'] : null;
        $widgets = DspListFilters::getFromTypesfield($dt, $admin_filters_array, $user);
    }
    
    $widget_count = count($widgets);
    $row_count = 2;
    $column_count = 2;
    if (0 < $widget_count)
    {
        while (list($ident, $listWidget) = each ($widgets))
        {
            $filter_class = (true === isset($_SESSION[$object]['admin_filters'][$ident]) && !empty($_SESSION[$object]['admin_filters'][$ident]))
                ? 'filter_active' : 'filter_empty';                        
?>
                        <td class="<?= $filter_class ?>">
                            <?= $listWidget['object'] ?>
                        </td>

<?php
            // end the row if it's at a stopping place
            if (3 == $column_count)
            {
?>

                    </tr>
<?php
                $column_count = 0; // gets incremented later
            }
            elseif (($row_count == ($widget_count + 1)) && (3 > $column_count))
            {
                // if there are no more widgets and we're not at the end of
                // a column, then balance out the row
                for ($i = $column_count; $i < (3 - $column_count); $i++)
                {
?>

                        <td></td>
<?php
                } // end for
?>

                    </tr>
<?php
            } // end elseif
            $column_count++;
            $row_count++;
       }
    }
    else
    {
?>
                    </tr>
<?php
    }
?>
                </table>
<?php
} // end if suppress filters
?>
            </td>
            <td valign="bottom">
                <input type="hidden" name="clear_filters" value="">
                <input type="button" class="inputButton" value="clear filters" onclick="document.forms['list_filters'].elements['clear_filters'].value = 'clear filters'; document.forms['list_filters'].submit()"><br>
                <input type="submit" value="apply filters" class="inputButton" style="font-weight: bold">
            </td>
        </tr>
    </table>
</form>

