<?php
// various context related columns
pxdb_import( 'record_privs' );

class Column_viewLink extends TableColumn 
{
    
    function dspCell ( &$row ) 
    {
        if ( isset( $this->params['privs'] ) )
        {            
            $privs = &$this->params['privs'];
            if ( !$privs->is_allowed( $row['datatype'], DATATYPE_PRIV_VIEW ) )
            {
                return;
                //return null;
            } 
        }
        
        global $user;
        if ( empty( $user ) )
        {
            trigger_error( 'Can not get user object', E_USER_WARNING );
        }
        
        $has_row_write_privs = record_privs::hasPriv($row['id'], $user->ugidarray, 'read');
        if ( !$has_row_write_privs )
        {
            return;
        }
        
        if ( isset( $this->params[ 'object'] ) )
        {
            // if you don't pass it the object label ( for one datatype lists )
            // you have to pass it an array of datatypes
            $object = $this->params[ 'object'];             
        }
        else 
        {
            //echo '<pre>'; print_r( $this->params['datatypes'] ); echo '</pre>';            
            $object = $this->params[ 'datatypes' ][ $row['datatype'] ]['type'];
        }
?>
        <a href="<?=SITE_REL?>/object/<?=$object?>/<?=$row['id']?>/"><img src="<?=SITE_REL?>/images/gnome_icons/stock_draw-callouts.gif" title="View: <?=$row['name']?>" border="0"></a>    
<?php
                               
    }    
    
} // end class

class Column_editLink extends TableColumn 
{
    
    function dspCell ( &$row ) 
    {        
        
        if ( isset( $this->params['privs'] ) )
        {            
            $privs = &$this->params['privs'];
            if ( !$privs->is_allowed( $row['datatype'], DATATYPE_PRIV_EDIT ) )
            {
                
                return;
                //return null;
            } 
        }
        
        global $user;
        if ( empty( $user ) )
        {
            trigger_error( 'Can not get user object', E_USER_WARNING );
        }
        
        $has_row_write_privs = record_privs::hasPriv($row['id'], $user->ugidarray, 'write');
        if ( !$has_row_write_privs )
        {
            return;
        }
    
        if ( isset( $this->params[ 'dt' ] ) )
        {
            // if you don't pass it the object label ( for one datatype lists )
            // you have to pass it an array of datatypes
            $dt = $this->params[ 'dt' ];             
        }
        else 
        {
            //echo '<pre>'; print_r( $this->params['datatypes'] ); echo '</pre>';            
            $dt = $row['datatype'];
        }
        
       if ( !empty( $this->params['ref'] ) )
       {
           $ref = '&ref='.$this->params['ref'];
       }
       else 
       {
           $ref = null;
       }
           
?>
      <a href="<?=SITE_REL?>/db.php?mode=edit&dt=<?=$dt?>&id=<?=$row['id'].$ref?>"><img src="<?=SITE_REL?>/images/gnome_icons/stock_edit-16.gif" border="0" title="Edit: <?=$row['name']?>" align="middle"></a>
<?php

    }    
    
} // end class

class Column_deleteLink extends TableColumn 
{
    function dspCell ( &$row ) 
    {        
        if ( isset( $this->params['privs'] ) )
        {            
            $privs = &$this->params['privs'];
            if ( !$privs->is_allowed( $row['datatype'], DATATYPE_PRIV_EDIT ) )
            {
                return;
                //return null;
            } 
        }
                
        global $user;
        $has_row_write_privs = record_privs::hasPriv($row['id'], $user->ugidarray, 'write');
        if ( !$has_row_write_privs )
        {
            return;
        }
        
        if ( isset( $this->params[ 'dt'] ) )
        {
            // if you don't pass it the object label ( for one datatype lists )
            // you have to pass it an array of datatypes
            $dt = $this->params[ 'dt'];                
        }
        else
        {
            //echo '<pre>'; print_r( $this->params['datatypes'] ); echo '</pre>';            
            $dt = $row['datatype'];            
        }
?>
    <a href="<?=SITE_REL?>/db.php?mode=del&dt=<?=$dt?>&id=<?=$row['id']?>" onclick="return confirmDelete(' <?=$row['name']?>')"><img src="<?=SITE_REL?>/images/gnome_icons/stock_delete-16.gif" title="Delete: <?=$row['name']?>" border="0"></a>
<?php

    }    
    
} // end class


class Column_approveCheckbox extends TableColumn 
{
    
    function dspCell ( &$row ) 
    {
        
        if ( isset( $this->params[ 'object'] ) )
        {
            // if you don't pass it the object label ( for one datatype lists )
            // you have to pass it an array of datatypes
            $object = $this->params[ 'object'];             
        } else {
            //echo '<pre>'; print_r( $this->params['datatypes'] ); echo '</pre>';            
            $object = $this->params[ 'datatypes' ][ $row['datatype'] ]['type'];
        }
        
        $privs = &$this->params['privs'];
        
        global $user;
        $has_row_write_privs = record_privs::hasPriv($row['id'], $user->ugidarray, 'write');
        if ( !$has_row_write_privs )
        {
            return;
        }
        
        if ( $privs->is_allowed( $row['datatype'], DATATYPE_PRIV_APPROVE ) )
        {        
        //admin/object/event/        
?>				
    <form name="approve_<?=$row['id']?>" action="<?=SITE_REL?>/object/<?=$object?>/" method="post">
        <input type="hidden" name="mode" value="approve">                    
        <input type="hidden" name="toggle_approval[<?=$row['id']?>]" value="0"> 
        <input type="checkbox" name="toggle_approval[<?=$row['id']?>]" value="1" <?=(1==$row['approved']) ? 'checked' :''?> onClick="this.form.submit()">
	</form>

<?php    
        } // IF PRIVS
    } // function
} // class

class Column_datatypeLabel extends TableColumn {
    
    function dspCell ( &$row )
    {
        
        $dtArray = $this->params[ 'datatypes' ];
        echo '('.$dtArray[ $row['datatype'] ][ 'label' ].')';
    }    
    
} // end class

class Column_featureCheckbox extends TableColumn {
    
    function dspCell ( &$row ) 
    {
        if ( isset( $this->params[ 'object'] ) )
        {
            // if you don't pass it the object label ( for one datatype lists )
            // you have to pass it an array of datatypes
            $object = $this->params[ 'object'];             
        }
        else 
        {
            //echo '<pre>'; print_r( $this->params['datatypes'] ); echo '</pre>';            
            $object = $this->params[ 'datatypes' ][ $row['datatype'] ]['type'];
        }
        
        $privs = &$this->params['privs'];
        
        if ( $privs->is_allowed( $row['datatype'], DATATYPE_PRIV_EDIT ) )
        {      
        //admin/object/event/        
?>
    <form name="feature_<?=$row['id']?>" action="<?=SITE_REL?>/object/<?=$object?>/" method="post"    
        <input type="hidden" name="mode" value="feature">                    
        <input type="hidden" name="toggle_feature[<?=$row['id']?>]" value="0"> 
        <input type="checkbox" name="toggle_feature[<?=$row['id']?>]" value="1" <?=(1==$row['featured']) ? 'checked' :''?> onClick="this.form.submit()">
    </form>

<?php   
        }
    }
}

class Column_removeLink extends TableColumn 
{
 
    function dspCell ( &$row ) 
    {
        $parent  = $this->params['parent'];
        $noderel = $this->params['noderel'];
        
?>
    <a href="<?=SITE_REL?>/db.php?mode=remove_from_sect&id=<?=$row['id']?>&parent=<?=$parent?>&noderel=<?=$noderel?>" onclick="return confirmRemove(' <?=$row['name']?>')"><img src="<?=SITE_REL?>/images/gnome_icons/stock_data-delete-link-16.png" title="Remove: <?=$row['name']?>" border="0"></a>
<?php
        
        
    }
    
}

/**
* Column to allow reordering items in a table.
*
* Displays link(s) to move and item up or down.  Requires the following array of parameters:
*  id : unique id on the page/script
*  max_items: total number of rows in table
*  script: script that will reorder the object, this script will be passed
*          two parameters, an id and the direction to move that row in (up|down)
*  extra: array of additional key, value pairs to send in GET string
*/
class Column_reorderLinks extends TableColumn 
{    
    function dspCell( &$row ) 
    {
        if ( empty( $GLOBALS[ $this->params['id'] ] ) ) 
        {
            $GLOBALS[ $this->params['id'] ]= 0;
        }
        $GLOBALS[ $this->params['id'] ]++;
        $count = $GLOBALS[ $this->params['id'] ];
        
        $addl ='';        
        if ( !empty( $this->params['extra'] ) )
        {            
            reset( $this->params['extra'] );
            while( list( $key, $val) = each( $this->params['extra'] ) )
            {
                $addl.= '&'.$key.'='.$val;
            }
        }        
                 
        if ( !isset( $this->params['script'] ) )
        {
            $this->params['script'] = $_SERVER['SCRIPT_URL'];
        }
        
        if ( 1 < $count  ) 
        {
?>  
    <a href="<?=$this->params['script']?>?id=<?=$row['id']?>&dir=up<?=$addl?>"><img border="0" src="<?=SITE_REL?>/images/gnome_icons/stock_up-16.gif" /></a><?php
        }
        
        if ( $count < $this->params['max_items'] ) 
        {
?>
        
    <a href="<?=$this->params['script']?>?id=<?=$row['id']?>&dir=down<?=$addl?>"><img border="0" src="<?=SITE_REL?>/images/gnome_icons/stock_down-16.gif" /></a>
<?php
        }
    }
    
}
?>
