<?php
require_once( dirname(__FILE__).'/lib.objOrder.php' );
/**
* Handles reordering objects in the object table
*/

class objOrder_noderel extends Orderer 
{
    /**
    * Parent node
    */
    var $parent;
    /**
    * Node Relid
    */
    var $noderelid;
    
    /**
    * Constructor
    *
    * @param integer id of the parent node
    * @param integere id of the noderel
    */
    function objOrder_noderel( $parent, $noderelid )
    {
        $this->parent    = $parent;
        $this->noderelid = $noderelid;
    }
    
    function getWeightsRaw()
    {
        pxdb_import( 'content.output.pxdb_search' );
        pxdb_import( 'content.output.pxdb_collection' );
        
        $basis = new pxdb_basis();
        $exposed =& $basis->arr_datatypes( $mask='{type}', $constraint_sql="expose='Y'", $orderby = 'id' );
        $dt_exposed = array();
        while ( list(,$arr) = each ( $exposed ) )
        {
            array_push( $dt_exposed, $arr['id'] );    
        }
        $dt_exposed = join( ',' ,$dt_exposed );
        
        // its ok to use the raw sql here because the section content pane
        // always shows all the exposed datatypes for reordering
        
        $sql = 'SELECT n.child, n.weight'
              .' FROM noderel n'
              .' INNER JOIN records r on ( r.id=n.child and r.datatype in ('.$dt_exposed.') )'
              .' WHERE n.parent='.$this->parent.' and n.noderelid='.$this->noderelid
              .' ORDER BY n.weight, r.name'
        ;
        $dbh =& pxdb::dbh();
        $q = $dbh->execute( $sql );
                
        while ( $r = $q->fetchRow( $q ) )
        {                        
            $a[ $r['child'] ] = $r['weight'];
        }
             
        return $a;            
    }
    
    
    function saveWeight( $id, $wt )
    {
        $d[ 'child'     ] = $id;
        $d[ 'parent'    ] = $this->parent;
        $d[ 'noderelid' ] = $this->noderelid;
        $d[ 'weight'    ] = $wt;
        $where = array ( 'child','parent', 'noderelid' );
        
        $dbh =& pxdb::dbh();        
        return $dbh->replace( 'noderel', $d, $where );
    }
} // end class

?>
