<?php
// control global and group privs
require_once(dirname(__FILE__).'/lib.privs.php');

pxdb_import('content.output.pxdb_record');
pxdb_import('record_privs');
$Record = new pxdb_record($_REQUEST['id']);
$groupPrivs = (array) record_privs::getAllGroups($Record);

$groups = get_groups(array_keys($groupPrivs));

?>

<script language="javascript">
function checkPrivs ( inForm )
{
    if ( !inForm.elements['priv_read'].checked && !inForm.elements['priv_write'].checked ) {
        alert( 'Please check at least one privilege to grant.' );
        return false;
    }
    
    return true;   
}
</script>
<h1>Set Access Privileges for '<?= $Record->get_field('name') ?>'</h1>

<p>
    Access privileges control what groups of users have access to this content
    record. 'Read' access allows them to view but not modify or delete this
    record. 'Write' access allows modification of this record.
</p>


<form name="priv_<?= $_REQUEST['id'] ?>" action="<?= SITE_REL ?>/db.php">
    <input type="hidden" name="id" value="<?= $_REQUEST['id'] ?>">
    <input type="hidden" name="dt" value="<?= $_REQUEST['dt'] ?>">
    <input type="hidden" name="ugid" value="<?= ( isset( $_REQUEST['ugid'] ) ? $_REQUEST['ugid'] : null )?>">
    <input type="hidden" name="ref" value="<?= $_REQUEST['ref'] ?>">
    <input type="hidden" name="mode" value="update_privs">
    <table border="0" width="500" cellspacing="0" cellpadding="3">
        <tr>
            <th width="200">Group</th>
            <th width="*">Access</th>
            <th width="90">&nbsp;</th>
        </tr>
<?php
// for alternating rows
$i = 0;
reset( $groupPrivs );
while( list(, $priv) = each( $groupPrivs ) ) 
{
    $i++;
?>
        <tr class="<?= (0 == $i % 2 ) ? 'on' : 'off' ?>">
            <td valign="top"><?= $priv['name'] ?></td>
<?php
    if (true === isset($_REQUEST['ugid']) && $_REQUEST['ugid'] == $priv['ugid'])
    {    
        $checkRead = (1 == $priv['read']) ? ' checked' : '';
        $checkWrite = (1 == $priv['write']) ? ' checked' : '';
?>
            <td valign="top">
                <input type="checkbox" name="priv_read" value="1"<?= $checkRead ?>>Read<br />
                <input type="checkbox" name="priv_write" value="1"<?= $checkWrite ?>>Write
            </td>
            <td valign="top">
                <input type="submit" value="save">
            </td>
<?php
    }
    else
    {
?>
            <td><?= get_priv_label($priv) ?></td>
    
<?php 
        if (true === isset($_REQUEST['ugid']))
        {
?>   
            <td>&nbsp;</td>
<?php
        }
        else
        {
?>    
            <td>
                <a href="<?= SITE_REL ?>/db.php?ugid=<?= $priv['ugid'] ?>&amp;<?= $_SERVER['QUERY_STRING'] ?>">edit</a>
            </td>
<?php
        } // end if
    } // if isset
?>
        </tr>
<?php
} // foreach
?>
    </table>
</form>
<?php
if ( 0 < count( $groups ) )
{
?>
<form name="priv_<?= $_REQUEST['id'].'_'.$priv['ugid'] ?>" action="<?= SITE_REL ?>/db.php" onSubmit="return checkPrivs(document.forms['priv_<?= $_REQUEST['id'].'_'.$priv['ugid'] ?>'])">
    <input type="hidden" name="id" value="<?= $_REQUEST['id'] ?>">
    <input type="hidden" name="dt" value="<?= $_REQUEST['dt'] ?>">
    <input type="hidden" name="ref" value="<?= $_REQUEST['ref'] ?>">
    <input type="hidden" name="mode" value="update_privs">    
    <table border="0" width="500" cellspacing="0" cellpadding="3">
        <tr>
            <th width="200">Grant group privileges</th>
            <th colspan="2">&nbsp;</th>
        </tr>
        <tr class="on">
            <td valign="top" width="200">
                <select name="ugid" size="1">
<?php   
    reset($groups);
    while (list($group_id, $group_name) = each($groups))    
    {
?>
                    <option value="<?= $group_id ?>"><?= $group_name ?></option>
<?php
    }
?>
                </select>
            </td>
            <td valign="top" width="*">    
                <input type="checkbox" name="priv_read" value="1" />Read<br />
                <input type="checkbox" name="priv_write" value="1" />Write
            </td>
            <td valign="top" width="90">
                <input type="submit" value="add privilege">
            </td>
        </tr>
    </table>
</form>
<?php
} // if groups
?>