<h1>Section Content</h1>
<?php 
// build arrays holding the content published to this section
require_once( VHOST_ROOT.'/private/lib/DynTable/class.DynamicTable.php' );
require_once ( SITE_ROOT.'/includes/ContextColumns.php' );

pxdb_import( 'content.output.pxdb_search' );
pxdb_import( 'content.output.pxdb_collection' );

$dt_edit = $datatype_privs->get_object_array( DATATYPE_PRIV_EDIT );
/*
OAM: The section content pane will show all content that
has been exposed to the logged in user.
*/
$basis = new pxdb_basis();
$exposed =& $basis->arr_datatypes( $mask='{type}', $constraint_sql="expose='Y'", $orderby = 'id' );
$dt_exposed = array();
while ( list(,$arr) = each ( $exposed ) )
{
    array_push( $dt_exposed, $arr['id'] );    
}
$dt_exposed = join( ',' ,$dt_exposed );


reset( $GLOBALS['noderel_data'] );
while ( list( $nid, $desc ) = each( $GLOBALS['noderel_data'] ) )
{
    // show a;; exposed datatypes    
    $filter =& pxdb_search::filter( $dt_exposed );
    
    // create parent filter    
    $parentFilter =& pxdb_search::filter( DT_NODE );    
    $parentFilter->add_value( 'id', $_REQUEST['id'] );    
    
    // add to main filter
    $filter->add_parent( $parentFilter, $nid, $weighted='ASC');
    
    $collection = new pxdb_collection( $dt_exposed );
    $collection->use_public_privs( FALSE );    
    $collection->set_show_unapproved( TRUE );
    $collection->set_user_minimal_columns( array( 'name', 'sunrise', 'sunset' ) );
    $collection->find( $filter );        
    $collection->execute();
    
    $listTable = &DynamicTable::factory( 'pxdbCollection', $collection );
    $listTable->setSortable( false );    
    $listTable->setShowOnlyFields( TRUE );
    $listTable->showFields( 'name', 'sunrise', 'sunset' );
    $listTable->setRowStyle( array ('onUnapproved', 'offUnapproved' ) );
        
    // extra parameters for row ordering script
    $extraParams[ 'mode'   ] = 'noderel_order';
    $extraParams[ 'parent' ] = $_REQUEST['id'];
    $extraParams[ 'noderel'] = $nid;
    
    $listTable->addPreColumn( 'reorderLinks', 'order', array( 'id'=>'sort_'.$nid,  'max_items'=>$collection->num_records(), 'extra'=>$extraParams ) );
    
    $listTable->addPreColumn( 'editLink', 'Edit', array( 'privs'=>$datatype_privs, 'datatypes'=>$dt_edit, 'ref'=>urlencode($_SERVER['REQUEST_URI'] ) ) );
    $listTable->addPreColumn( 'datatypeLabel', 'Content Type', array( 'datatypes'=>$dt_edit ) );
    $listTable->addColumn( 'removeLink', 'Remove', array( 'parent'=>$_REQUEST['id'], 'noderel'=>$nid ) );
    $listTable->setFieldCallback( 'sunrise' , 'apFormatTime' );
    $listTable->setFieldCallback( 'sunset'  , 'apFormatTime' );
?>
<h2><?=$desc?></h2>

<?=$listTable->display()?>
<?php 
}

reset( $GLOBALS['noderel_data'] );

?>
