<?php
// $Id: setup.php,v 1.9 2006/04/13 20:40:50 sandys1 Exp $

# Output buffering -- implied flush at close of script

ob_start();

# Load Configuration Options
# --------------------------
# set define() based on values in config.

define('SITE_ROOT', realpath(dirname(__FILE__) . DIRECTORY_SEPARATOR . '..'));

include( SITE_ROOT . DIRECTORY_SEPARATOR . 'config'.DIRECTORY_SEPARATOR.'config.inc.php' );

if( !isset($SITE_URL) )
{
    $SITE_URL = 'http://'.$_SERVER['HTTP_HOST'];
}
else
{
    $SITE_URL = preg_replace("/\/\$/", "", $SITE_URL);
}


// if we haven't moved dbasis, then the private root is 3 directories above
define('VHOST_ROOT', realpath( SITE_ROOT. DIRECTORY_SEPARATOR . '..'. DIRECTORY_SEPARATOR . '..' ) );

//php_value session.save_path "/var/www/vhosts/syntaxdev.www/private/tmp/session"
ini_set( 'session.save_path', VHOST_ROOT.DIRECTORY_SEPARATOR .'private'.DIRECTORY_SEPARATOR .'tmp'.DIRECTORY_SEPARATOR .'session' );


define( 'SITE_NAME', $SITE_NAME );	
define( 'SITE_URL' , $SITE_URL );

$url = parse_url(SITE_URL);	
define('SITE_REL', $url['path']);

if( !isset($ROWS_PER_PAGE) )
{
    $ROWS_PER_PAGE = 20;
}

define( 'ROWS_PER_PAGE', $ROWS_PER_PAGE );

# Module Information
# (if using a plugin module)
if( FALSE !== strpos( $_SERVER['REQUEST_URI'], '/modules/' ) )
{
    $last = null;
    // OAM : vanquished another preg 
    $path_dirs = explode( DIRECTORY_SEPARATOR, $_SERVER['REQUEST_URI'] );
    while ( list(,$_dir) = each( $path_dirs ) )
    {
        if ( 'modules' == $last )
        { // keep this dir
            $match = $_dir;
            break;
        }
        $last = $_dir;            
    }
    
    define('MODULE_ROOT', realpath(SITE_ROOT . DIRECTORY_SEPARATOR . 'modules' . DIRECTORY_SEPARATOR . $match ) );
}


## PxDB Setup
## ----------

$dbh = pxdb::dbh();

// setup prefs & metadata objects that will be used throughout the site.
include_once( PXDB_CLASSPATH.'/metadata/pxdb_basis.class.php' );

$prefs =& new pxdb_prefs();
$md =& new pxdb_basis();

# Libraries
# ---------

include_once(SITE_ROOT . '/includes/lib/db.lib.php');

# Session
#

if( SITE_REL )
{
    // if it's empty, then we can use use default, which is '/'
    ini_set('session.cookie_path', SITE_REL);
}

// Give this session a unique name to avoid clashes with other cookie
// sessions (particularly if the cookie path is changed above
ini_set('session.name', 'STX_ADM_SID');
    
session_start();
# Authentication
# --------------
// pxdb_auth class is imported by default
// AUTH VARS can be set in config/config.inc.php
$auth =& new pxdb_auth( $AUTH_SESSION_NAME );
if ( !empty ( $AUTH_USERNAME_FIELD ) )
{
    $auth->set_username_field($AUTH_USERNAME_FIELD );
}
//$auth->debug = true;
// restrict to specified groups -- in config

if( isset($_GET['logout'] ) )
{
    $auth->logout(); 
}

$auth->restrict($ALLOWED_GROUPS);

if( !($user = &$auth->authenticate()) )
{
    include( SITE_ROOT . '/display/header.disp.php' );
    $auth->showlogin();
    include( SITE_ROOT . '/display/footer.disp.php' );
    exit;
}


##
# DATATYPE PRIVS
pxdb_import( 'metadata.pxdb_datatype_privs' );    
$datatype_privs = new pxdb_datatype_privs( $user->ugidarray );

if( defined('DATATYPE_EXPOSE_KEY') && DATATYPE_EXPOSE_KEY )
{
    $dt_show = $prefs->get_pref( 'datatype_expose', DATATYPE_EXPOSE_KEY );    
    
    if ( !empty( $dt_show ) )
    {    
        $datatype_privs->set_restrict_datatypes( $dt_show );
    } else {
        trigger_error( 'Restricting to datatype_expose_key='.DATATYPE_EXPOSE_KEY.', but no datatypes found in preferences!', E_USER_WARNING );
    }    
    
} 
else
{
    $datatype_privs->set_exposed( TRUE ); // enforces datatypes.exposed column
}

# Templates
# ---------
$datatypes = $md->arr_datatypes("{type} ({id})", "expose='Y'");

?>
