<?php
// OAM: the following casued a new session to start
// sessions are started in includes/setup.php
// session_start();
require_once(dirname(__FILE__) . '/includes/setup.php');
require_once(PXDB_CLASSPATH . '/metadata/pxdb_datatype.class.php');

define('QUARTER_TIME', pxdb_tools::get_time_quarters()); 
if (!defined('END_OF_TIME'))
{
    define('END_OF_TIME', '3000-01-01 00:00:00');
}
// OAM: remove dependence on register globals on
$parent =  (isset($_REQUEST['parent']) ? $_REQUEST['parent'] : null);

if (isset($_REQUEST['object']))
{
    $object = $_REQUEST['object'];
}
$datatype = lookup_datatype($object);
$dt = $datatype['id'];

$mode = (isset($_REQUEST['mode']) ? $_REQUEST['mode'] : null);

$search_terms = (isset($_REQUEST['search_terms']) ? $_REQUEST['search_terms'] : null);

// parse request.  first part of request is the object we are dealing with.
// use like.
pxdb_import('content.output.pxdb_collection');
pxdb_import('content.output.pxdb_search');


if ($datatype_privs->is_allowed($dt, DATATYPE_PRIV_VIEW))
{
    $dtObj = &new pxdb_datatype($dt);
	// process post ...
	
	switch ($mode) 
    {
        case "set_filters":
        
            //filters are saved in $_SESSION where the first key
            //is the datatype to which they apply
            //to get filters for a datatype you'd use $_SESSION[ $dt ]['admin_filters']
            
            // clear if desired
            if (true === isset($_REQUEST['clear_filters']) && 'clear filters' == $_REQUEST['clear_filters'])
            {
                if (true === isset($_SESSION[$object]['admin_filters']))
                {
                    unset($_SESSION[$object]['admin_filters']);
                }
            }
            else
            {
                // these values are not part of the filter values that needs to be saved
                // assume we're always POSTING when changing these values
                $keep = array_diff(array_keys($_POST), array('mode'));
                while (list(,$filter_var) = each($keep))            
                {                        
                    $admin_filters[$filter_var] = $_POST[ $filter_var ];                
                }
                            
                $_SESSION[ $object ] = array('admin_filters'=>$admin_filters);
            }
            // return to the referer
            Header('Location: '.$_SERVER['HTTP_REFERER']);
            exit;
            
        break;
        
		case "approve":
            $toggle_approval = $_REQUEST['toggle_approval'];
                         
			if (isset($toggle_approval))
            {
                echo '<pre>'; print_r($toggle_approval); echo '</pre>';
				pxdb_import('content.input.pxdb_commit');
                
				
				// items in this array need to become approved
				foreach ($toggle_approval as $recid => $bit) 
                {
                    $adm =& new pxdb_commit($recid);					
					$adm->set_approval_status($bit);
				}
                
				// if this was a node, indicate that nav information has changed.	
				if (DT_NODE == $adm->datatype) 
                {		
					$pxdb_prefs->set_pref('content_updated', 'nav', time());
				}
                else 
                {
					$pxdb_prefs->set_pref('content_updated', 'content', time());
				}
			}
            Header('Location: '.$_SERVER['HTTP_REFERER']);
            exit; 
		break;
        
        case "feature":
            if (isset($_REQUEST['toggle_feature']))
            {
                pxdb_import('content.input.pxdb_commit');
				$adm =& new pxdb_commit();
				// items in this array need to become approved                
				foreach ($toggle_feature as $recid => $bit) 
                {                    
					$adm->set_id($recid);
                    $adm->set_datatype($dt);
					$adm->set_field('featured', $bit);
                    $adm->save();
				} // end foreach                
            } 
        
        
        break;
		
		case "move_up":
			move($id, $dtObj->get_parent_relid(), 'up', $parent);
		break;
		
		case "move_down":
			move($id, $dtObj->get_parent_relid(), 'down', $parent);
		break;
	
		case "expire":
			$toggle_expire = $_REQUEST['toggle_expire'];
            if (isset($toggle_expire))
            {
				pxdb_import('content.input.pxdb_commit');
				
				// items in this array need to become approved                
                while (list($recid,$bit) = each ($toggle_expire))
                {
                    $adm =& new pxdb_commit($recid);					
					if (true == $bit)
                    {                                                
                        $adm->set_field('sunset', date("Y-m-d H:i:s", strtotime(QUARTER_TIME)));
                    }
                    else 
                    {
                        $adm->set_field('sunset', END_OF_TIME);
                    }

					$adm->save();
				}

				// if this was a node, indicate that nav information has changed.	
				if (DT_NODE == $adm->get_datatype()) 
                {		
					$pxdb_prefs->set_pref('content_updated', 'nav', time());
				}
                else 
                {
					$pxdb_prefs->set_pref('content_updated', 'content', time());
				}				
			}			
            Header('Location: '.$_SERVER['HTTP_REFERER']);
            exit; 
			
		break;
	}


    // OAM: can set var $LEFT_INCLUDE to in left nav in header.disp.php
    // SFS: including this on the main page precludes needing this here
    //$LEFT_NAV_INCLUDE = SITE_ROOT.'/display/list_filters.php';
    
    include_once(SITE_ROOT . '/display/header.disp.php');


    // OAM: we just changed somthing in the db by posting or getting, issue an http
    // redirect so that people can refresh the screen without their browser complaining about post or get.
    if ('results' == $mode)
    {                
        $ref = isset($_REQUEST['ref']) ? $_REQUEST['ref'] : $_SERVER['HTTP_REFERER'];        
        header("Location: $ref");
        exit;
    }
    	
    // OAM: use pxdb_view object to get the view fields
    pxdb_import('metadata.pxdb_view');    
    $admin_view =& pxdb_view::factory($datatype['id'], 'admin');
    $fields = $admin_view->arr_viewfields();
    
    
	$records_columns = $dbh->MetaColumnNames('records');		
	
	for ($i=0,$z=sizeof($fields); $i<$z; $i++) 
    {
		// is it sortable?  we just need to know that it's not a relationship
		$objf =& new pxdb_typesfield($fields[$i]['id']);
		if ('relationship' == $objf->get_field_type()) 
        {
			$fields[$i]['sortable'] = false;
		}
        else
        {
			$fields[$i]['sortable'] = true;
		}
	}
	
	//$sub_datatypes = $md->arr_child_datatypes($dt);
	
	// setup content class & fetch the records for current search
	
    $results = &new pxdb_collection($dt);
    $results->show_unapproved = true; // in general allow unapproved records to be viewed (specific filters below)
    
    if (false === empty($_REQUEST['orderby_field']))
    {
        $results->set_order($_REQUEST['orderby_field'].' '.$_REQUEST['orderby_direction']);
    } 
    else 
    {
        $results->set_order(array('approved', 'created DESC'));
    }
    
    $ct_filter =& pxdb_search::filter($dt);
    
    if (isset($_SESSION[$object]['admin_filters']) && !empty($_SESSION[$object]['admin_filters']))
    {        
        while (list($field, $value) = each($_SESSION[$object]['admin_filters']))
        {
            // cause we may want to be able to sort to 0, use null for no filter
            // note that this test is not the same as null !== since in the session
            // its storing actual empty strings            
            if ('group' == $field)
            {
                //users should be able to filter records to any group, privs will take care
                //of checking if they can be modified by the logged in user
                $results->set_priv_ugids($value);
            }
            elseif ('name' == $field && !is_null($value) && '' !== $value)
            {
                $terms = pxdb_tools::get_search_terms(quotemeta($value));
                $ct_filter->add_value($field, $terms, 'REGEXP', 'name');
            }
            else if ('clear_filters' != $field && !is_null($value) && '' !== $value)
            {
                $ct_filter->add_value($field, $value);
            }
        }
    }
    
    $results->find($ct_filter);
    
    // total records
    //$total_rs = $results->execute();
    //echo '<pre>'; print_r($results->get_sql()); echo '</pre>';
    // paged records
    $current_page = (isset($_REQUEST['current_page']) ? $_REQUEST['current_page'] : null);    
    $rs = $results->execute_page($ROWS_PER_PAGE, $current_page);
    
    // display the list template				
    // -------------------------		
    
    include(SITE_ROOT . '/display/list.disp.php');
}
else 
{
    trigger_error ('You do not have permission to view this object', E_USER_ERROR);
}

include_once(SITE_ROOT . '/display/footer.disp.php');

?>