<?php

require_once(dirname(__FILE__) . '/../../includes/setup.php');
require_once( VHOST_ROOT.'/private/lib/DynTable/class.DynamicTable.php' );

// eventually use to replace Han's ugly list.php code 
require_once ( SITE_ROOT.'/includes/ContextColumns.php' );
pxdb_import( 'content.output.pxdb_collection' );
pxdb_import( 'content.output.pxdb_search' );
pxdb_import( 'content.output.pxdb_record' );

include_once(SITE_ROOT . '/display/header.disp.php');

if ( $dt_approve = $datatype_privs->get_object_array( DATATYPE_PRIV_APPROVE ) )
{    
    // use a collection to filter for unapproved datatypes
    $filter = &pxdb_search::filter( array_keys( $dt_approve ) );
    $filter->add_value( 'approved', '0' );
    
    $Collection = new pxdb_collection( array_keys( $dt_approve ) );
    $Collection->set_user_minimal_columns( array( 'name' ) );
    $Collection->set_show_unapproved(true);
    $sort = isset( $_REQUEST['orderby'] ) ? $_REQUEST['orderby'] : 'name DESC';
    $Collection->set_order( $sort );

    $Collection->find( $filter );
    
    // oam hack here to get a consistent set of columns from the collection
    $sqlp = explode( 'FROM', $Collection->get_sql() );
    
    $sql = 'select distinct r.id, r.name, r.approved, r.created, r.datatype, r.modified'
          .' FROM '.$sqlp[1];

    $Collection->find( $sql );
    $Collection->execute();   

    if ( 0 < $Collection->num_records() )
    {    
        $listTable = &DynamicTable::factory( 'pxdbCollection', $Collection );
        $listTable->setSortable( true );
        $listTable->setShowOnlyFields( true );
        $listTable->showFields( 'title', 'name', 'created', 'modified' );
        
        $listTable->setRowStyle ( array ('onUnapproved', 'offUnapproved' ) );
                
        $listTable->addPreColumn( 'viewLink', 'View', array( 'privs'=>$datatype_privs, 'datatypes'=>$dt_approve ) );
        
        $dt_edit = $datatype_privs->get_object_array( DATATYPE_PRIV_EDIT );
        $listTable->addPreColumn( 'editLink', 'Edit', array( 'privs'=>$datatype_privs, 'datatypes'=>$dt_edit ) );
                
        $dt_approve = $datatype_privs->get_object_array( DATATYPE_PRIV_APPROVE );
        $listTable->addPreColumn( 'approveCheckbox', 'Approve', array( 'privs'=>$datatype_privs, 'datatypes'=>$dt_approve ) );
        
        $listTable->addPreColumn( 'datatypeLabel', 'Content Type', array( 'datatypes'=>$dt_approve ) );
        
        $dt_delete = $datatype_privs->get_object_array( DATATYPE_PRIV_DELETE );
        $listTable->addColumn( 'deleteLink', 'Delete', array( 'privs'=>$datatype_privs, 'datatypes'=>$dt_delete ) );
        
        $listTable->setFieldCallback( 'created'  , 'apFormatTime' );
        $listTable->setFieldCallback( 'modified' , 'apFormatTime' );
        include( MODULE_ROOT.'/templates/list.tpl' );
    } else {
        include( MODULE_ROOT.'/templates/queue_empty.tpl' );        
    }
    
} else {
    trigger_error( 'User does not have access to approval queue: '.$uset->get_username(), E_USER_WARNING );
    
    include( MODULE_ROOT.'/templates/access_forbidden.tpl' );
}
include_once(SITE_ROOT . '/display/footer.disp.php');

?>