<?php 
// creates a director under parent_dir

if( empty( $_REQUEST['parent_dir'] ) )
{
    trigger_error( 'Parent dir not supplied', E_USER_ERROR );
    exit;
}
elseif ( FALSE === strstr( $_REQUEST['parent_dir'], IMG_MGR_DIR ) )
{
    trigger_error( 'Parent dir not under image manager directory', E_USER_ERROR );
    exit;
}
elseif( !is_dir( $_REQUEST['parent_dir'] ) )
{
    trigger_error( 'Parent dir is not a valid directory', E_USER_ERROR );
    exit;
} 
elseif( !is_writeable( $_REQUEST['parent_dir'] ) )
{
    trigger_error( 'Parent dir is not writeable', E_USER_ERROR );
    exit;
}
else
{
    $parent_dir = $_REQUEST['parent_dir'];
}

if( empty( $_REQUEST['new_dir'] ) )
{
    trigger_error( 'New directory not supplied', E_USER_ERROR );
    exit;
}
else
{
    $new_dir = $_REQUEST['new_dir'];
}

$mkdir = $parent_dir.'/'.$new_dir;

if ( is_dir( $mkdir ) )
{
    trigger_error( 'Directory already exists', E_USER_WARN );
    $_SESSION['error'] = "Directory $new_dir already exists.";
}
else
{
    $oldumask = umask(0);
    mkdir( $mkdir, 0777);
    umask($oldumask); 
    $newdir = str_replace( IMG_MGR_DIR, '', $mkdir );
    $ref = IMG_MGR_WEBROOT.'/?dir='.$newdir;
    
    $_SESSION['feedback'] = "Directory $new_dir created.";
}

?>
