<?php

require_once( dirname(__FILE__) . '/../../includes/setup.php' );
include_once( MODULE_ROOT.'/lib.php' );

$datatype = lookup_datatype('node');
$dt    = $datatype['id'];

// check any passed parameters
if ( isset( $_REQUEST['id'] ) && !is_numeric( $_REQUEST['id'] ) )
{
    trigger_error( 'Non-numeric id passed in request', E_USER_WARNING);    
}
else if ( isset( $_REQUEST['id'] ) )
{
    $id = $_REQUEST['id'];
} 

if ( isset( $_REQUEST['parent'] ) && !is_numeric( $_REQUEST['parent'] ) )
{
    trigger_error( 'Non-numeric parent id in request', E_USER_WARNING );
}
else if ( isset( $_REQUEST['parent'] ) )
{
    $parent = $_REQUEST['parent'];
}

$mode = ( isset( $_REQUEST['mode'] ) ? $_REQUEST['mode'] : null );

// parse request.  first part of request is the object we are dealing with.
// use like.
pxdb_import('content.output.pxdb_collection');
pxdb_import('content.output.pxdb_search');

$dtObj = &new pxdb_datatype($dt);
 
switch ($mode) 
{
	case "move_up":
		$pxdb_prefs->set_pref('content_updated', 'nav', time());
		node_move($id, 'up', $parent);
	    header( 'Location: '.$_SERVER[ 'HTTP_REFERER' ] );
        exit();
	break;
	
	case "move_down":
		$pxdb_prefs->set_pref('content_updated', 'nav', time());
		node_move($id,'down', $parent);		
	    header( 'Location: '.$_SERVER[ 'HTTP_REFERER' ] );        
        exit();
	break;
    
    case 'show_all':
        $_SESSION['pub_node_parent'] = null;
        unset( $_SESSION['pub_node_parent'] );
        header( 'Location: '.$_SERVER[ 'SCRIPT_URI' ] );
        exit();
    break;
    
    case 'set_parent_node':
        $pub_parent = (int) $_REQUEST['pub_node_parent'];
        
        if ( !empty( $pub_parent ) )
        {
            $_SESSION['pub_node_parent'] = $pub_parent;
            header( 'Location: '.$_SERVER[ 'SCRIPT_URI' ] );
            exit();
        }        
    break;
}

include(SITE_ROOT . '/display/header.disp.php');
							
// process mode:
// display the list template				
// -------------------------
include(MODULE_ROOT . '/display/list.disp.php');
		

include(SITE_ROOT . '/display/footer.disp.php');


?>