<?php
require_once(dirname(__FILE__) . '/../../includes/setup.php');

// $datatypes is defined in setup and includes the datatypes that are
// exposed for administration. Perfect for our needs.

// construct a list of Datatype IDs

$view = (true === isset($_REQUEST['view'])) ? $_REQUEST['view'] : null;

switch ($view)
{

    case 'detail':
    
        $id = $_REQUEST['id'];
        
        // handle a bad ID
        if (! is_numeric($id) || 0 === $id)
        {
            header('Location: '.$_SERVER['SCRIPT_URL'].'?view=error');
            exit;
        }
        
        pxdb_import('metadata.pxdb_datatype');
        pxdb_import('content.output.pxdb_collection');
        
        $datatype = new pxdb_datatype($id);
        $collection = new pxdb_collection($id);
        
        $datatype_fields = $datatype->arr_typesfields();
        
        include('templates/excel.php');
               
    break;
        
    default:
    
        include(SITE_ROOT . '/display/header.disp.php');
        // get totals
        $dbh = &pxdb::dbh();
        $datatype_totals = array();
        $total_records = null;
        
        // handle site sections
        $datatype_totals[DT_NODE]['label'] = 'Site Section';
        // overall total for datatype
        $sql = "
SELECT
    COUNT(id)
FROM
    records
WHERE
    datatype = " . DT_NODE . "
    AND desc3 LIKE '" . NAV_ROOT_EL . "%'
        ";
        $datatype_totals[DT_NODE]['total'] = $dbh->GetOne($sql);
        // approved and unapproved total for datatype
        $sql = "
SELECT
    COUNT(id)
FROM
    records
WHERE
    datatype = " . DT_NODE . "
    AND approved = 1
        ";
        $datatype_totals[DT_NODE]['approved'] = $dbh->GetOne($sql);
        $datatype_totals[DT_NODE]['unapproved'] = $datatype_totals[DT_NODE]['total'] - $datatype_totals[DT_NODE]['approved'];
        
        // handle all other exposed content types
        reset($dt_view); // never know who's been impolite
        while (list(, $datatype) = each($dt_view))
        {
            $datatype_totals[$datatype['id']]['label'] = $datatype['label'];
            // overall total for datatype
            $sql = "
SELECT
    COUNT(id)
FROM
    records
WHERE
    datatype = " . $datatype['id'] . "
            ";
            $datatype_totals[$datatype['id']]['total'] = $dbh->GetOne($sql);
            // approved and unapproved total for datatype
            $sql = "
SELECT
    COUNT(id)
FROM
    records
WHERE
    datatype = " . $datatype['id'] . "
    AND approved = 1
            ";
            $datatype_totals[$datatype['id']]['approved'] = $dbh->GetOne($sql);
            $datatype_totals[$datatype['id']]['unapproved'] = $datatype_totals[$datatype['id']]['total'] - $datatype_totals[$datatype['id']]['approved'];
        }
        reset($dt_view); // be polite

        include('templates/list.php');
        include(SITE_ROOT . '/display/footer.disp.php');
        
}

?>