<?php

require_once(dirname(__FILE__) . '/includes/setup.php');
	
$picktable = $_GET['table']; // from rewrite rule

// Escape metaquote the picktable name to handle extended characters
$picktable = "`" . $picktable . "`"; // njc - 2004-05-18

// for getting the metadata we need to change the fetchmode back to numeric array indexes:	
$cols = $dbh->MetaColumnNames($picktable);
$hidden = array('orderby', 'weight', 'parent');

$readonly = array('id');

$table      = (isset($_REQUEST['table']) ? $_REQUEST['table'] : null);
$mode       = (isset($_REQUEST['mode']) ? $_REQUEST['mode'] : null);
$edit       = (isset($_REQUEST['edit']) ? $_REQUEST['edit'] : null);
$id         = (isset($_REQUEST['id']) ? $_REQUEST['id'] : null);
$modified   = (isset($_REQUEST['modified']) ? $_REQUEST['modified'] : null);

switch( $mode )
{
	case "move_up":
    
        if (in_array('weight', $cols)) 
        {
            $obycol = 'weight';
        }
        elseif (in_array('orderby', $cols)) 
        {
            $obycol = 'orderby';
        }

        pick_move($id, 'up', $obycol);

        // header("Location: $_SERVER[SCRIPT_URI]?&modified=$id&".$Persist->pass('url'));
	    header("Location: ".prep_uri_for_args($_SERVER['SCRIPT_URI'], false)."modified=$id");
        exit();
	break;

	case "move_down":

        if (in_array('weight', $cols)) 
        {
            $obycol = 'weight';
        }
        else if(in_array('orderby', $cols)) 
        {
            $obycol = 'orderby';
        }

        pick_move($id, 'down', $obycol);
        // header("Location: $_SERVER[SCRIPT_URI]?&modified=$id&".$Persist->pass('url'));
        header("Location: ".prep_uri_for_args($_SERVER['SCRIPT_URI'], false)."modified=$id");
        exit();
	break;

	case "save":		
		$c=0;
		$sql = "update $picktable set ";
        
        foreach($edit as $var => $value) 
        {
            if (!in_array($var, $readonly)) 
            {
                $sql .= ($c++ ? ',' : '') . " $var = ".$dbh->Quote($value);
            }
        }
		$sql .= " where id = $id";

		//print $sql;

		$dbh->Execute($sql);		
		
		// header("Location: $_SERVER[SCRIPT_URI]?&modified=$id&".$Persist->pass('url'));
		header("Location: ".prep_uri_for_args($_SERVER['SCRIPT_URI'], false)."modified=$id");
		exit();
	break;

	case "add":        
        
		$add    = $_REQUEST['add'];
		$keys   = array_keys($add);
		$values = array_values($add);
		
		array_walk($values, 'quote');
		
		if (in_array('orderby', $cols) || in_array('weight', $cols)) 
        {
			if ( in_array('weight', $cols) ) 
            {
				$obycol = 'weight';
			}
            else if ( in_array('orderby', $cols) ) 
            {
				$obycol = 'orderby';
			}			
			$oby_key = ", $obycol";
			$oby_value = ", "._new_pick_oby($obycol);
		}
		
		$sql = "insert into $picktable (".implode(",",$keys).$oby_key.") VALUES (".implode(",", $values).$oby_value.")";
		
		//print $sql;
		
		$dbh->Execute($sql);	
		
		$id = $dbh->Insert_ID();	

		// header("Location: $_SERVER[SCRIPT_URI]?&modified=$id&".$Persist->pass('url'));
		header("Location: ".prep_uri_for_args($_SERVER['SCRIPT_URI'], false)."modified=$id");
		exit();
	break;


	case "del":
        $id = $_REQUEST['id'];
		$sql = "DELETE FROM $picktable WHERE id = $id";
		$dbh->Execute($sql);
		// header("Location: $_SERVER[SCRIPT_URI]?&modified=$id&".$Persist->pass('url'));
		header("Location: ".prep_uri_for_args($_SERVER['SCRIPT_URI'], false)."modified=$id");
        exit();
	break;


	case "import_form":
	
		$view = "import_form";
	
	break;

	case "import":		

		// only imports into name

		if ( 'overwrite' == $import_mode ) 
        {
			$sql = "delete from $picktable";
			$dbh->Execute($sql);
		}

		// grab the data

		$importA = explode("\n", $import_data);				


		foreach($importA as $name) 
        {
		
			if (trim($name)) 
            {			
				if (in_array('orderby', $cols) || in_array('weight', $cols)) 
                {
					if (in_array('weight', $cols)) 
                    {
						$obycol = 'weight';
					}
                    elseif(in_array('orderby', $cols)) 
                    {
						$obycol = 'orderby';
					}			
					$oby_key = ", $obycol";
					$oby_value = ", "._new_pick_oby($obycol);
				}

				
				$sql = "INSERT INTO $picktable (name".$oby_key.") VALUES (".$dbh->Quote(trim($name)).$oby_value.")";
				$dbh->Execute($sql);
			}
		
		}			
		
		// header("Location: $_SERVER[SCRIPT_URI]?&modified=$id&".$Persist->pass('url'));
		header("Location: ".prep_uri_for_args($_SERVER['SCRIPT_URI'], false)."modified=$id");
        exit();
	break;


}

	include(SITE_ROOT.'/display/header.disp.php');
  	    
	include(SITE_ROOT."/display/pick_list.disp.php");
	
	include(SITE_ROOT.'/display/footer.disp.php');


// Functions for use here:

function quote(&$item) 
{
	global $dbh;
	$item = $dbh->Quote($item);
}

function pick_reorder($obycol) 
{
	
	global $dbh, $picktable;
	
	// for curr datatype

	$sql = "SELECT id, $obycol FROM $picktable ORDER BY $obycol, name ASC";		
	$rs =& $dbh->Execute($sql);

	for ($oby=0; !$rs->EOF; $oby += 5) 
    {																							
        // precautionary
		$sql = "UPDATE $picktable SET $obycol = $oby WHERE id = ".$rs->fields[id];
		$dbh->Execute($sql);			
		$rs->MoveNext();
	}

}

function pick_move($id, $dir, $obycol) 
{
	
	global $dbh, $picktable;
	
	// 1) do we need to clean up order of fields?
	$sql = "select p.$obycol from $picktable p inner join $picktable p2 on p2.id <> p.id and p2.$obycol = p.$obycol";
	$test_rs = $dbh->Execute($sql);
	if(!$test_rs->EOF) 
    {
		pick_reorder($obycol);
	}

	// get the $obycol of the current field.
	// swap with next higher or lower field

	$sql = "select $obycol from $picktable where id = $id";
	$curr_rs =& $dbh->Execute($sql);	
	$curr_oby = $curr_rs->fields[$obycol];

	switch($dir) {

		case 'up':				
			$new_sql = "SELECT id, $obycol FROM $picktable WHERE $obycol < $curr_oby ORDER BY $obycol DESC";				
		break;			

		case 'down':			
			$new_sql = "SELECT id, $obycol FROM $picktable WHERE $obycol > $curr_oby ORDER BY $obycol ASC";				
		break;

	}

	$new_rs =& $dbh->Execute($new_sql);

	if (!$new_rs->EOF) 
    {
		// if it found a higher or lower order by value, then it
		// should swap them.
		$sql = "UPDATE $picktable SET $obycol = $curr_oby WHERE id = ".$new_rs->fields[id];
		//print "<br>$sql";
		
		$dbh->Execute($sql);

		$sql = "UPDATE $picktable SET $obycol = ".$new_rs->fields[$obycol]." WHERE id = $id";
		//print "<br>$sql";
		$dbh->Execute($sql);

		return true;

	} 
    else 
    {

		// first check to make sure that there aren't any duplicates
		$sql = "SELECT COUNT(*) AS count FROM $picktable WHERE $obycol = $curr_oby";
		$check_rs =& $dbh->Execute($sql);

		// if dup $obycol nums were found -- then re-organize
		if($check_rs->fields[count] > 1) 
        {

			pick_reorder();

			// and run this function again ...  RECURSIVE
			pick_move($id, $dir, $obycol);

			return true;
		}
        else 
        {
			// it didn't move the field
			return false;
		}
	} 
}

function _new_pick_oby($obycol) 
{
	
	global $dbh, $picktable;
	
	$sql = "select $obycol from $picktable order by $obycol desc";
	$rs = $dbh->Execute($sql);
	return ($rs->fields[$obycol] + 5);
	
}

?>
