<?php 
/*
* simple script that tests various aspects of a syntax installation
* by looping through the files in the tests subdirectory
*
* @author Oscar Merida
*/

$init_path = realpath(dirname( __FILE__ ) . '/../../../private/init');

// automated tests
$test_dir = dirname(__FILE__).'/tests';

if ( $handle = opendir( $test_dir ) )
{
    
   while (false !== ($file = readdir($handle))) 
   { 
       if ($file != "." && $file != ".." && !is_dir( $file) ) 
       {
           $files[ $file ] = "$test_dir/$file";
       }
   }
   closedir($handle);
}
asort( $files );

ob_start();

while( list( $file, $fullpath ) = each( $files ) )
{
    include( $fullpath );
}

$c = ob_get_contents();
ob_end_clean();

?>
<html>
    <head>
        <title>Syntax Installation Testing</title>
        <link rel="stylesheet" href="style.css" >        
    </head>
<body>

    <h1>Results</h1>
    <?=$c?>
</body>
</html>
