<?php 
// test for smarty and adodb directories/symlinks

$resources_path = SITE_LIB_PATH.'/ext/PxDB/resources';
$smarty_path = $resources_path . '/Smarty-2.6.1/libs';
$adodb_path = $resources_path . '/adodb';
?>
<h2>Checking Resources</h2>

<h3>Checking resource path: <?=$resources_path?></h3> 
<p>These are resources required for Sytnax to initialize properly.

<?php 
if ( file_exists( $resources_path ) )
{
?>
    <blockquote class="good">Path exists</blockquote>
<?php 
} else {
?>    
    <blockquote class="fail">Path does not exist.</blockquote>
<?php 
}
?>

<h3>Checking for Smarty Distribution: <?=$smarty_path?></h3>

<?php 
if ( file_exists( $smarty_path ) )
{
?>
    <blockquote class="good">Smarty directory found.</blockquote>
<?php 
} else {
?>    
    <blockquote class="fail">Smarty directory not found<br />
<?php 
    // look for a smarty folder in this dir:
    if ( $handle = opendir( $resources_path ) )
    {        
       while (false !== ($file = readdir($handle))) 
       { 
           if ($file != "." && $file != "..") 
           {
               if ( preg_match( '/^Smarty/', $file, $match)  && is_dir( "$resources_path/$file" ))
               {
                   echo '...Found smarty directory '.$resources_path.'/'.$file.'<br />';
                   
                   if( is_writeable( $resources_path ) )
                   {
                       echo "...Attempting to make symlink to $file/libs, ";
                       chdir( $resources_path );
                       if ( file_exists( "$resources_path/$file/libs" ) )
                       {
                           if ( symlink( "$file/libs", 'smarty' ) )
                           {
                               echo 'Success!';
                           } else {
                               echo 'Failed - could not create symlink';
                           }
                       } else {
                           echo "Failed, libs/ not found.";
                       }
                   } else {                       
                       echo "...resources path is not writable by web server user.";
                       echo "To fix you need to issue this command on your sever: <pre>";
                       echo "<br>cd ".$resources_path;
                       echo "<br>ln -s $file/libs smarty";
                       echo "</pre>";
                       
                   }
                   
                   break;
               }
           }
       }
       closedir($handle);
    }
?>
    </blockquote>
<?php

}
?>
<h3>Checking for ADODB Distribution: <?=$adodb_path?></h3>

<?php 
if ( file_exists( $adodb_path ) )
{
?>
    <blockquote class="good">ADODB directory found.</blockquote>
<?php 
} else {
?>  
    <blockquote class="fail">ADODB directory not found.</blockquote>
<?php 
}
?>
