<?php 
$whoami = exec('whoami');    
$mygroup = array_shift( explode( ' ', exec('groups')));
?>    
<h2>Filesystem Checks</h2>
<p>The following directories must be writable by the web server user <strong><?= $whoami ?></strong>.</p>
<?php 
$is_writeable = array(SITE_TMP_PATH, SITE_TMP_PATH . '/cache', SITE_TMP_PATH . '/session', PXDB_TPLPATH . '/templates_c');

while( list(, $check) = each( $is_writeable ) )
{
    if (is_writeable($check))
    {
?>
    <blockquote class="good">Is writable by <strong><?= $whoami ?></strong>: <?= $check ?></blockquote>
<?php 
    }
    else 
    {
?>
<<<<<<< 0050_file_permissions.php
    <blockquote class="fail">Is NOT writable by <strong><?= $whoami ?></strong>: <?= $check ?><br />
        <br />To fix:
        <pre>chown -R <?= $whoami ?> <?= $check ?></pre>     
        <br />Or, if you can't change ownership of the file make sure it is in the group <b><?= $mygroup ?></b> and readable by them:
        <pre>chmod g+w <?= $check ?></pre>
    </blockquote>
<?php 
    } // end if
} //end while
?>
<p>Checking for pxdb_www link in web root:</p> 
<?php
$pxdb_www = realpath(dirname(__FILE__).'/../../..');
if (file_exists($pxdb_www . '/pxdb_www' ))
{
?>
    <blockquote class="good">Exists: <?= $pxdb_www . '/pxdb_www'?></blockquote>
<?php 
}
else 
{
    
?>
    <blockquote class="fail">Does not exist: <?= $pxdb_www . '/pxdb_www';?></blockquote>
<?php     
    chdir($pxdb_www);
    if (@symlink(PXDB_PATH . '/pxdb_www', 'pxdb_www'))
    {
?>        
     <blockquote class="good">Symbolic link created</blockquote>
<?php 
    }
    else
    {
?>        
    <blockquote class="fail">Could not create symlink<br />
    <pre>cd <?= realpath('../../') ?><br />
ln -s <?= PXDB_PATH . '/pxdb_www' ?> pxdb_www</pre>
<?php         
    }
?>    
    </blockquote>
<?php 
}
?>
