<?php
// buffer output until we send headers
ob_start();
session_start();
// We just need to do the SITE init and the PHlexDB init.
require_once(dirname(__FILE__) . '/../private/init/init.urls.php');

// Load the PHlexDB classes
require_once(SITE_INI_PATH .'/init.pxdb.php');                        
    
$mimes = array(
    'word'          => 'application/msword',
    'excel'         => 'application/vnd.ms-excel',
    'powerpoint'    => 'application/vnd.ms-powerpoint',
    'pdf'           => 'application/pdf',
    'gif'           => 'image/gif',
    'jpg'           => 'image/jpeg',
    'jpeg'          => 'image/jpeg',
    'png'           => 'image/png',
    'html'          => 'text/html',
    'text'          => 'text/plain',
    'shockwave'     => 'application/x-shockwave-flash',
    'realaudio'     => 'audio/vnd.rn-realaudio',
    'realvideo'     => 'video/vns.rn-realvideo',
    'realmedia'     => 'audio/x-pn-realaudio',
    'msvideo'       => 'video/x-ms-asf',
    'msaudiowma'    => 'audio/x-ms-wma',
    'msaudiowax'    => 'audio/x-ms-wax',
    
);
                     
$mimemap = array(
    'doc'   => $mimes['word'],
    'wp'    => $mimes['word'],
    'wp5'   => $mimes['word'],
    'xls'   => $mimes['excel'],
    'wks'   => $mimes['excel'],
    'wk1'   => $mimes['excel'],
    'wk2'   => $mimes['excel'],
    'wk3'   => $mimes['excel'],
    'ppt'   => $mimes['powerpoint'],
    'pdf'   => $mimes['pdf'],
    'gif'   => $mimes['gif'],
    'jpg'   => $mimes['jpg'],
    'jpeg'  => $mimes['jpeg'],
    'png'   => $mimes['png'],
    'htm'   => $mimes['html'],
    'html'  => $mimes['html'],
    'text'  => $mimes['text'],
    'swf'   => $mimes['shockwave'],
    'wmv'   => $mimes['msvideo'],
    'ra'    => $mimes['realaudio'],
    'rm'    => $mimes['realmedia'],
    'ram'   => $mimes['realaudio'],
    'rv'    => $mimes['realvideo'],
    'asf'   => $mimes['msvideo'],
    'asx'   => $mimes['msvideo'],
    'wma'   => $mimes['msaudiowma'],
    'wax'   => $mimes['msaudiowax']
);

// image mem array
$image_exts = array ('gif', 'jpg', 'png');

// Get path info.
// OAM remove dependence on register globals
if ( isset( $_REQUEST['file'] ) )
{
    $file =& $_REQUEST['file'];
}
else
{
    // one reason files is usually empty on apache is multiview is on
    trigger_error( 'File parameter is empty', E_USER_ERROR );
}


$fileinfo = pathinfo($file);
$ext = strtolower($fileinfo['extension']);
                     
// Is this file allowed to just pass through (regex defined in fileperms.conf.php)

$authorized = false; // default

include_once(SITE_CFG_PATH . '/fileperms.conf.php');
include_once(SITE_CFG_PATH . '/auth.conf.php');
    
if (preg_match('/'.FILES_PASSTHRU_REGEX.'/i', $file))  
{
    $authorized = true;
}
else
{
    // Permission must be checked for this file.
    // 1) parse filename to get recid
    preg_match('/([\d]+)_([^$]+)$/i', $file, $matches);
    $recid = $matches[1];
    $base_filename = $matches[2];

    // 2) is read-access granted to user for the record which this file is a part?
    pxdb_import('content.output.pxdb_record');
    require_once (SITE_INI_PATH .'/init.auth.php');
    
    $rec =& new pxdb_record($recid);

    if ($rec->is_authorized()) 
    {
        $authorized = true;
    }
    else
    {
        $authorized = false;
    }
    
}

if ( true === $authorized ) 
{           
    // Yes! -- authorized
             
    $datastore_path = PXDB_FILESTORE_PATH;
    
    if (isset($mimemap[$ext])) 
    {
        $mime = $mimemap[$ext];
    }
    else
    {
        $mime = "application/download";
    }
    
    if (in_array(strtolower($ext), $image_exts))
    {
        // Get the time the cache file was last modified
        $request = getallheaders();
        //echo '<pre>'; print_r ($request); echo '</pre>';
        $lastModified = filemtime($datastore_path . '/' . $file);
        
        if (isset($request['If-Modified-Since'])) 
        {
            // Split the If-Modified-Since (Netscape < v6 gets this wrong)
            $modifiedSince = explode(';', $request['If-Modified-Since']);
        
            // Turn the client request If-Modified-Since into a timestamp
            $modifiedSince = strtotime($modifiedSince[0]);
        }
        else
        {
            // Set modified since to 0
            $modifiedSince = 0;
        }
        
        // get rid of anything in the output buffer
        ob_end_clean();
        // Issue an HTTP last modified header
        header('Expires: ' . gmdate('D, d M Y H:i:s', $lastModified+60*60*4) . ' GMT');
        header('Last-Modified: ' .gmdate('D, d M Y H:i:s', $lastModified) . ' GMT');
        header('Cache-control: public');
        header('Pragma: public');
        
        if ($lastModified <= $modifiedSince) 
        {
          // Save on some bandwidth!
          header('HTTP/1.1 304 Not Modified');
          exit();
        }
        
        header("Content-type: {$mimemap[$ext]}");
        //header("Content-Disposition: inline; filename=\"$base_filename\"");                        
    }
    else
    {
        // get rid of anything in the output buffer
        ob_end_clean();
        
        if ( isset($mimemap[$ext]) )
        {
            header("Content-type: ".$mimemap[$ext]);
        }
        header("Content-Disposition: attachment; filename=\"$base_filename\"");
        header("Content-Length: ".filesize($datastore_path . '/' . $file));
        
        if ( isset($mimemap[$ext]) && false === strpos($mimemap[$ext], 'text/'))
        {                
            header("Content-Transfer-Encoding: binary");
        }
        header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
        header("Pragma: public"); // hack for getting IE to work with Excel files
    }
    
    $bytes = readfile($datastore_path . '/' . $file);
}
else
{
    // get rid of anything in the output buffer
    ob_end_clean();
    if (preg_match("/MSIE/", $_SERVER['USER_AGENT'])) 
    {
        header("Status: 401.5 Unauthorized");
    }
    else
    {
        header("HTTP/1.0 403 Access Forbidden");
    }
    
    echo "You are not authorized to download $file";
}
?>
